//
// File: Cego.cc
// This code was produced by the dragon parser generator
//
#include "Cego.h"
#include <lfcbase/Exception.h>
#include <lfcbase/StackT.h>

Cego::ScannerStateEntry::ScannerStateEntry()
{
}

Cego::ScannerStateEntry::ScannerStateEntry(int state, ScannerStateType type)
{
   _state = state;
   _type = type;
}

Cego::ScannerStateEntry& Cego::ScannerStateEntry::operator = (const Cego::ScannerStateEntry& s)
{
   _state = s._state;
   _type = s._type;
   return(*this);
}

bool Cego::ScannerStateEntry::operator == (const Cego::ScannerStateEntry& s)
{
   if ( _state == s._state )
      return true;
   return false;
}

Cego::ScannerStateType Cego::ScannerStateEntry::getType()
{
   return _type;
}
int Cego::ScannerStateEntry::getState()
{
   return _state;
}


Cego::ScannerTransEntry::ScannerTransEntry()
{
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c)
{
   _state = state;
   _c = c;
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c, int fstate)
{
   _state = state;
   _c = c;
   _fstate = fstate;
}

Cego::ScannerTransEntry& Cego::ScannerTransEntry::operator = (const Cego::ScannerTransEntry& s)
{
   _state = s._state;
   _c = s._c;
   _fstate = s._fstate;
   return(*this);
}

bool Cego::ScannerTransEntry::operator == (const Cego::ScannerTransEntry& s)
{
   if ( _state == s._state && _c == s._c)
      return true;
   return false;
}

int Cego::ScannerTransEntry::getFState()
{
   return _fstate;
}


Cego::Scanner::Scanner()
{
}


Cego::Scanner::Scanner(Token t)
{
   _token = t;
}

Cego::Token Cego::Scanner::getToken()
{
   return _token;
}

void Cego::Scanner::addState(ScannerStateEntry s)
{
   _stateList.Insert(s);
}

void Cego::Scanner::addTransition(ScannerTransEntry t)
{
   _transList.Insert(t);
}

bool Cego::Scanner::checkPattern(const Chain& p)
{
   unsigned long state = 0;
   ScannerStateEntry* pS = _stateList.First();
   while (pS)
   {
      if (pS->getType() == START || pS->getType() == ANY)
      {
         state = pS->getState();
         pS = 0;
      }
      else
      {
         pS = _stateList.Next();
      }
   }
   unsigned long i = 0;
   ScannerTransEntry* pT = 
   _transList.Find(ScannerTransEntry(state, p[i]));
   while (pT)
   {
      ScannerStateEntry* pS = _stateList.Find(ScannerStateEntry(pT->getFState())); 
      if (pS)
      {
         if ( ( i == p.length()-2 ) && ( pS->getType() == FINAL || pS->getType() == ANY))
         {
            return true;
         }
         else
         {
            state = pT->getFState();
         }
      }
      else
      {
         return false;
      }
      i++;
      pT = _transList.Find(ScannerTransEntry(state, p[i]));
   }
   return false;
}
Cego::StackEntry::StackEntry()
{
   _symbol = NONE;
}

Cego::StackEntry::StackEntry(Symbol symbol, int num, int state, Chain tval)
{
   _symbol=symbol;
   _num=num;
   _state=state;
   _tval=tval;
}

Cego::StackEntry& Cego::StackEntry::operator = (const Cego::StackEntry& se)
{
   _symbol=se._symbol;
   _num=se._num;
   _state=se._state;
   _tval=se._tval;
   return(*this);
}

int Cego::StackEntry::getState()
{
   return _state;
}
Cego::Symbol Cego::StackEntry::getSymbol()
{
   return _symbol;
}
Chain& Cego::StackEntry::getTval()
{
   return _tval;
}

Cego::ActionEntry::ActionEntry()
{
   _action=NULLACTION;
}

Cego::ActionEntry::ActionEntry(Action action , int num)
{
   _action=action;
   _num=num;
}

bool Cego::ActionEntry::operator == (const Cego::ActionEntry& ae)
{
   if (_action == ae._action && _num == ae._num)
      return true;
   return false;
}

Cego::ActionEntry& Cego::ActionEntry::operator = (const Cego::ActionEntry& ae)
{
   _action=ae._action;
   _num=ae._num;
   return(*this);
}

Cego::Action Cego::ActionEntry::getAction()
{
   return _action;
}

int Cego::ActionEntry::getNum()
{
   return _num;
}

Cego::ProdEntry::ProdEntry()
{
}

Cego::ProdEntry::ProdEntry(int id)
{
   _id = id;
}

Cego::ProdEntry::ProdEntry(int id, Production prod, int numSymbol)
{
   _id = id;
   _prod = prod;
   _numSymbol = numSymbol;
}

bool Cego::ProdEntry::operator == (const Cego::ProdEntry& pe)
{
   if (_id == pe._id)
      return true;
   return false;
}

Cego::ProdEntry& Cego::ProdEntry::operator = (const Cego::ProdEntry& pe)
{
   _id = pe._id;
   _prod = pe._prod;
   _numSymbol = pe._numSymbol;
   return(*this);
}


int Cego::ProdEntry::getId()
{
   return _id;
}

Cego::Production Cego::ProdEntry::getProd()
{
   return _prod;
}

int Cego::ProdEntry::getNumSymbol()
{
   return _numSymbol;
}
void Cego::loadScanner()
{
   Scanner s0(ADD);
   s0.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(2 ,START));
   s0.addState(ScannerStateEntry(3 ,FINAL));
   s0.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s0.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s0.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s0.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s0.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s0.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s0);

   Scanner s1(AND);
   s1.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(2 ,START));
   s1.addState(ScannerStateEntry(3 ,FINAL));
   s1.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s1.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s1.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s1.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s1.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s1.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s1);

   Scanner s2(ALL);
   s2.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(2 ,START));
   s2.addState(ScannerStateEntry(3 ,FINAL));
   s2.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s2.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s2.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s2.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s2.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s2.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s2);

   Scanner s3(ALTER);
   s3.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(2 ,START));
   s3.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(5 ,FINAL));
   s3.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s3.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s3.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s3.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s3.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s3.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s3.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s3.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s3.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s3.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s3);

   Scanner s4(APPEND);
   s4.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(2 ,START));
   s4.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(6 ,FINAL));
   s4.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s4.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s4.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s4.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s4.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s4.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s4.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s4.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s4.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s4.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s4.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s4.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s4);

   Scanner s5(AS);
   s5.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(1 ,FINAL));
   s5.addState(ScannerStateEntry(2 ,START));
   s5.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s5.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s5.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s5.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s5);

   Scanner s6(ASC);
   s6.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(2 ,START));
   s6.addState(ScannerStateEntry(3 ,FINAL));
   s6.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s6.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s6.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s6.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s6.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s6.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s6);

   Scanner s7(AUTHORIZE);
   s7.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(2 ,START));
   s7.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(9 ,FINAL));
   s7.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s7.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s7.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s7.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s7.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s7.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s7.addTransition(ScannerTransEntry(3 ,'H' ,4));
   s7.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s7.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s7.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s7.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s7.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s7.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s7.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s7.addTransition(ScannerTransEntry(7 ,'Z' ,8));
   s7.addTransition(ScannerTransEntry(7 ,'z' ,8));
   s7.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s7.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s7);

   Scanner s8(AUTOCOMMIT);
   s8.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(2 ,START));
   s8.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(10 ,FINAL));
   s8.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s8.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s8.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s8.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s8.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s8.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s8.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s8.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s8.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s8.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s8.addTransition(ScannerTransEntry(5 ,'O' ,6));
   s8.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s8.addTransition(ScannerTransEntry(6 ,'M' ,7));
   s8.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s8.addTransition(ScannerTransEntry(7 ,'M' ,8));
   s8.addTransition(ScannerTransEntry(7 ,'m' ,8));
   s8.addTransition(ScannerTransEntry(8 ,'I' ,9));
   s8.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s8.addTransition(ScannerTransEntry(9 ,'T' ,10));
   s8.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s8);

   Scanner s9(AVG);
   s9.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(2 ,START));
   s9.addState(ScannerStateEntry(3 ,FINAL));
   s9.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s9.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s9.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s9.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s9.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s9.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s9);

   Scanner s10(AVLTREE);
   s10.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(2 ,START));
   s10.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(7 ,FINAL));
   s10.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s10.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s10.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s10.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s10.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s10.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s10.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s10.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s10.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s10.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s10.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s10.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s10.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s10.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s10);

   Scanner s11(BEGIN);
   s11.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(2 ,START));
   s11.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(5 ,FINAL));
   s11.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s11.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s11.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s11.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s11.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s11.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s11.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s11.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s11.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s11.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s11);

   Scanner s12(BETWEEN);
   s12.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(2 ,START));
   s12.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(7 ,FINAL));
   s12.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s12.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s12.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s12.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s12.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s12.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s12.addTransition(ScannerTransEntry(3 ,'W' ,4));
   s12.addTransition(ScannerTransEntry(3 ,'w' ,4));
   s12.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s12.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s12.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s12.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s12.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s12.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s12);

   Scanner s13(BIGINT);
   s13.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(2 ,START));
   s13.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(6 ,FINAL));
   s13.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s13.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s13.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s13.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s13.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s13.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s13.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s13.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s13.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s13.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s13.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s13.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s13);

   Scanner s14(BITAND);
   s14.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(2 ,START));
   s14.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(6 ,FINAL));
   s14.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s14.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s14.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s14.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s14.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s14.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s14.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s14.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s14.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s14.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s14.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s14.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s14);

   Scanner s15(BITOR);
   s15.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(2 ,START));
   s15.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(5 ,FINAL));
   s15.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s15.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s15.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s15.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s15.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s15.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s15.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s15.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s15.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s15.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s15);

   Scanner s16(BITXOR);
   s16.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(2 ,START));
   s16.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(6 ,FINAL));
   s16.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s16.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s16.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s16.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s16.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s16.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s16.addTransition(ScannerTransEntry(3 ,'X' ,4));
   s16.addTransition(ScannerTransEntry(3 ,'x' ,4));
   s16.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s16.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s16.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s16.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s16);

   Scanner s17(BLOB);
   s17.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(2 ,START));
   s17.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(4 ,FINAL));
   s17.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s17.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s17.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s17.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s17.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s17.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s17.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s17.addTransition(ScannerTransEntry(3 ,'b' ,4));
   _scannerList.Insert(s17);

   Scanner s18(BLOBSIZE);
   s18.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(2 ,START));
   s18.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(8 ,FINAL));
   s18.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s18.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s18.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s18.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s18.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s18.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s18.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s18.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s18.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s18.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s18.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s18.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s18.addTransition(ScannerTransEntry(6 ,'Z' ,7));
   s18.addTransition(ScannerTransEntry(6 ,'z' ,7));
   s18.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s18.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s18);

   Scanner s19(BOOL);
   s19.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(2 ,START));
   s19.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(4 ,FINAL));
   s19.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s19.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s19.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s19.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s19.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s19.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s19.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s19.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s19);

   Scanner s20(BTREE);
   s20.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(2 ,START));
   s20.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(5 ,FINAL));
   s20.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s20.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s20.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s20.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s20.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s20.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s20.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s20.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s20.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s20.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s20);

   Scanner s21(BY);
   s21.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(1 ,FINAL));
   s21.addState(ScannerStateEntry(2 ,START));
   s21.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s21.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s21.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s21.addTransition(ScannerTransEntry(2 ,'b' ,0));
   _scannerList.Insert(s21);

   Scanner s22(CACHE);
   s22.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(2 ,START));
   s22.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(5 ,FINAL));
   s22.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s22.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s22.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s22.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s22.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s22.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s22.addTransition(ScannerTransEntry(3 ,'H' ,4));
   s22.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s22.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s22.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s22);

   Scanner s23(CALL);
   s23.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(2 ,START));
   s23.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(4 ,FINAL));
   s23.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s23.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s23.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s23.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s23.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s23.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s23.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s23.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s23);

   Scanner s24(CASE);
   s24.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(2 ,START));
   s24.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(4 ,FINAL));
   s24.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s24.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s24.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s24.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s24.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s24.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s24.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s24.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s24);

   Scanner s25(CHECK);
   s25.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(2 ,START));
   s25.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(5 ,FINAL));
   s25.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s25.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s25.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s25.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s25.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s25.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s25.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s25.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s25.addTransition(ScannerTransEntry(4 ,'K' ,5));
   s25.addTransition(ScannerTransEntry(4 ,'k' ,5));
   _scannerList.Insert(s25);

   Scanner s26(CLOB);
   s26.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(2 ,START));
   s26.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(4 ,FINAL));
   s26.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s26.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s26.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s26.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s26.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s26.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s26.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s26.addTransition(ScannerTransEntry(3 ,'b' ,4));
   _scannerList.Insert(s26);

   Scanner s27(CLOBSIZE);
   s27.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(2 ,START));
   s27.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(8 ,FINAL));
   s27.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s27.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s27.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s27.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s27.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s27.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s27.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s27.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s27.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s27.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s27.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s27.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s27.addTransition(ScannerTransEntry(6 ,'Z' ,7));
   s27.addTransition(ScannerTransEntry(6 ,'z' ,7));
   s27.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s27.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s27);

   Scanner s28(CLOB2STR);
   s28.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(2 ,START));
   s28.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(8 ,FINAL));
   s28.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s28.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s28.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s28.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s28.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s28.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s28.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s28.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s28.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s28.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s28.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s28.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s28.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s28.addTransition(ScannerTransEntry(7 ,'R' ,8));
   s28.addTransition(ScannerTransEntry(7 ,'r' ,8));
   _scannerList.Insert(s28);

   Scanner s29(CLOSE);
   s29.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(2 ,START));
   s29.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(5 ,FINAL));
   s29.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s29.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s29.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s29.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s29.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s29.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s29.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s29.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s29.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s29.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s29);

   Scanner s30(COMMIT);
   s30.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(2 ,START));
   s30.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(6 ,FINAL));
   s30.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s30.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s30.addTransition(ScannerTransEntry(1 ,'M' ,3));
   s30.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s30.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s30.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s30.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s30.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s30.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s30.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s30.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s30.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s30);

   Scanner s31(COLUMN);
   s31.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(2 ,START));
   s31.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(6 ,FINAL));
   s31.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s31.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s31.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s31.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s31.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s31.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s31.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s31.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s31.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s31.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s31.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s31.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s31);

   Scanner s32(CONSTRAINT);
   s32.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(2 ,START));
   s32.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(10 ,FINAL));
   s32.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s32.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s32.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s32.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s32.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s32.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s32.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s32.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s32.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s32.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s32.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s32.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s32.addTransition(ScannerTransEntry(6 ,'A' ,7));
   s32.addTransition(ScannerTransEntry(6 ,'a' ,7));
   s32.addTransition(ScannerTransEntry(7 ,'I' ,8));
   s32.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s32.addTransition(ScannerTransEntry(8 ,'N' ,9));
   s32.addTransition(ScannerTransEntry(8 ,'n' ,9));
   s32.addTransition(ScannerTransEntry(9 ,'T' ,10));
   s32.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s32);

   Scanner s33(COUNT);
   s33.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(2 ,START));
   s33.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(5 ,FINAL));
   s33.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s33.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s33.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s33.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s33.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s33.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s33.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s33.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s33.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s33.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s33);

   Scanner s34(COUNTER);
   s34.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(2 ,START));
   s34.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(7 ,FINAL));
   s34.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s34.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s34.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s34.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s34.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s34.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s34.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s34.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s34.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s34.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s34.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s34.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s34.addTransition(ScannerTransEntry(6 ,'R' ,7));
   s34.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s34);

   Scanner s35(CREATE);
   s35.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(2 ,START));
   s35.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(6 ,FINAL));
   s35.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s35.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s35.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s35.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s35.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s35.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s35.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s35.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s35.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s35.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s35.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s35.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s35);

   Scanner s36(CURSOR);
   s36.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(2 ,START));
   s36.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(6 ,FINAL));
   s36.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s36.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s36.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s36.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s36.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s36.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s36.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s36.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s36.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s36.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s36.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s36.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s36);

   Scanner s37(DATE);
   s37.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(2 ,START));
   s37.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(4 ,FINAL));
   s37.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s37.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s37.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s37.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s37.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s37.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s37.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s37.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s37);

   Scanner s38(DATE2STR);
   s38.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(2 ,START));
   s38.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(8 ,FINAL));
   s38.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s38.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s38.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s38.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s38.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s38.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s38.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s38.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s38.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s38.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s38.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s38.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s38.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s38.addTransition(ScannerTransEntry(7 ,'R' ,8));
   s38.addTransition(ScannerTransEntry(7 ,'r' ,8));
   _scannerList.Insert(s38);

   Scanner s39(DATE2INT);
   s39.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(2 ,START));
   s39.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(8 ,FINAL));
   s39.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s39.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s39.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s39.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s39.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s39.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s39.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s39.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s39.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s39.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s39.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s39.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s39.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s39.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s39.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s39);

   Scanner s40(DATETIME);
   s40.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(2 ,START));
   s40.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(8 ,FINAL));
   s40.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s40.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s40.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s40.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s40.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s40.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s40.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s40.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s40.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s40.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s40.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s40.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s40.addTransition(ScannerTransEntry(6 ,'M' ,7));
   s40.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s40.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s40.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s40);

   Scanner s41(DECIMAL);
   s41.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(2 ,START));
   s41.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(7 ,FINAL));
   s41.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s41.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s41.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s41.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s41.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s41.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s41.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s41.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s41.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s41.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s41.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s41.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s41.addTransition(ScannerTransEntry(6 ,'L' ,7));
   s41.addTransition(ScannerTransEntry(6 ,'l' ,7));
   _scannerList.Insert(s41);

   Scanner s42(DEFAULT);
   s42.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(2 ,START));
   s42.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(7 ,FINAL));
   s42.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s42.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s42.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s42.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s42.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s42.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s42.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s42.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s42.addTransition(ScannerTransEntry(4 ,'U' ,5));
   s42.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s42.addTransition(ScannerTransEntry(5 ,'L' ,6));
   s42.addTransition(ScannerTransEntry(5 ,'l' ,6));
   s42.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s42.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s42);

   Scanner s43(DELETETOK);
   s43.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(2 ,START));
   s43.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(6 ,FINAL));
   s43.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s43.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s43.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s43.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s43.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s43.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s43.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s43.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s43.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s43.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s43.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s43.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s43);

   Scanner s44(DESC);
   s44.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(2 ,START));
   s44.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(4 ,FINAL));
   s44.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s44.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s44.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s44.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s44.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s44.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s44.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s44.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s44);

   Scanner s45(DISTINCT);
   s45.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(2 ,START));
   s45.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(8 ,FINAL));
   s45.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s45.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s45.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s45.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s45.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s45.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s45.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s45.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s45.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s45.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s45.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s45.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s45.addTransition(ScannerTransEntry(6 ,'C' ,7));
   s45.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s45.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s45.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s45);

   Scanner s46(DIV);
   s46.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(2 ,START));
   s46.addState(ScannerStateEntry(3 ,FINAL));
   s46.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s46.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s46.addTransition(ScannerTransEntry(1 ,'V' ,3));
   s46.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s46.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s46.addTransition(ScannerTransEntry(2 ,'d' ,0));
   _scannerList.Insert(s46);

   Scanner s47(DOUBLE);
   s47.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(2 ,START));
   s47.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(6 ,FINAL));
   s47.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s47.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s47.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s47.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s47.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s47.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s47.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s47.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s47.addTransition(ScannerTransEntry(4 ,'L' ,5));
   s47.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s47.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s47.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s47);

   Scanner s48(DROP);
   s48.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(2 ,START));
   s48.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(4 ,FINAL));
   s48.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s48.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s48.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s48.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s48.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s48.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s48.addTransition(ScannerTransEntry(3 ,'P' ,4));
   s48.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s48);

   Scanner s49(ELSE);
   s49.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(2 ,START));
   s49.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(4 ,FINAL));
   s49.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s49.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s49.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s49.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s49.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s49.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s49.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s49.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s49);

   Scanner s50(ELSIF);
   s50.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(2 ,START));
   s50.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(5 ,FINAL));
   s50.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s50.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s50.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s50.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s50.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s50.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s50.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s50.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s50.addTransition(ScannerTransEntry(4 ,'F' ,5));
   s50.addTransition(ScannerTransEntry(4 ,'f' ,5));
   _scannerList.Insert(s50);

   Scanner s51(END_TOKEN);
   s51.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(2 ,START));
   s51.addState(ScannerStateEntry(3 ,FINAL));
   s51.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s51.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s51.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s51.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s51.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s51.addTransition(ScannerTransEntry(2 ,'e' ,0));
   _scannerList.Insert(s51);

   Scanner s52(EXCEPTION);
   s52.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(2 ,START));
   s52.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(9 ,FINAL));
   s52.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s52.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s52.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s52.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s52.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s52.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s52.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s52.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s52.addTransition(ScannerTransEntry(4 ,'P' ,5));
   s52.addTransition(ScannerTransEntry(4 ,'p' ,5));
   s52.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s52.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s52.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s52.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s52.addTransition(ScannerTransEntry(7 ,'O' ,8));
   s52.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s52.addTransition(ScannerTransEntry(8 ,'N' ,9));
   s52.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s52);

   Scanner s53(EXISTS);
   s53.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(2 ,START));
   s53.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(6 ,FINAL));
   s53.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s53.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s53.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s53.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s53.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s53.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s53.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s53.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s53.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s53.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s53.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s53.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s53);

   Scanner s54(FALSEVAL);
   s54.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(2 ,START));
   s54.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(5 ,FINAL));
   s54.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s54.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s54.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s54.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s54.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s54.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s54.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s54.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s54.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s54.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s54);

   Scanner s55(FETCH);
   s55.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(2 ,START));
   s55.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(5 ,FINAL));
   s55.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s55.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s55.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s55.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s55.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s55.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s55.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s55.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s55.addTransition(ScannerTransEntry(4 ,'H' ,5));
   s55.addTransition(ScannerTransEntry(4 ,'h' ,5));
   _scannerList.Insert(s55);

   Scanner s56(FIXED);
   s56.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(2 ,START));
   s56.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(5 ,FINAL));
   s56.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s56.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s56.addTransition(ScannerTransEntry(1 ,'X' ,3));
   s56.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s56.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s56.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s56.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s56.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s56.addTransition(ScannerTransEntry(4 ,'D' ,5));
   s56.addTransition(ScannerTransEntry(4 ,'d' ,5));
   _scannerList.Insert(s56);

   Scanner s57(FLOAT);
   s57.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(2 ,START));
   s57.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(5 ,FINAL));
   s57.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s57.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s57.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s57.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s57.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s57.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s57.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s57.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s57.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s57.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s57);

   Scanner s58(FOR);
   s58.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(2 ,START));
   s58.addState(ScannerStateEntry(3 ,FINAL));
   s58.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s58.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s58.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s58.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s58.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s58.addTransition(ScannerTransEntry(2 ,'f' ,0));
   _scannerList.Insert(s58);

   Scanner s59(FOREIGN);
   s59.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(2 ,START));
   s59.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(7 ,FINAL));
   s59.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s59.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s59.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s59.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s59.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s59.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s59.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s59.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s59.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s59.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s59.addTransition(ScannerTransEntry(5 ,'G' ,6));
   s59.addTransition(ScannerTransEntry(5 ,'g' ,6));
   s59.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s59.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s59);

   Scanner s60(FROM);
   s60.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(2 ,START));
   s60.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(4 ,FINAL));
   s60.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s60.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s60.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s60.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s60.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s60.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s60.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s60.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s60);

   Scanner s61(GETPOS);
   s61.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(2 ,START));
   s61.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(6 ,FINAL));
   s61.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s61.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s61.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s61.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s61.addTransition(ScannerTransEntry(2 ,'G' ,0));
   s61.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s61.addTransition(ScannerTransEntry(3 ,'P' ,4));
   s61.addTransition(ScannerTransEntry(3 ,'p' ,4));
   s61.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s61.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s61.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s61.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s61);

   Scanner s62(GROUP);
   s62.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(2 ,START));
   s62.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(5 ,FINAL));
   s62.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s62.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s62.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s62.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s62.addTransition(ScannerTransEntry(2 ,'G' ,0));
   s62.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s62.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s62.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s62.addTransition(ScannerTransEntry(4 ,'P' ,5));
   s62.addTransition(ScannerTransEntry(4 ,'p' ,5));
   _scannerList.Insert(s62);

   Scanner s63(HAVING);
   s63.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(2 ,START));
   s63.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(6 ,FINAL));
   s63.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s63.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s63.addTransition(ScannerTransEntry(1 ,'V' ,3));
   s63.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s63.addTransition(ScannerTransEntry(2 ,'H' ,0));
   s63.addTransition(ScannerTransEntry(2 ,'h' ,0));
   s63.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s63.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s63.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s63.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s63.addTransition(ScannerTransEntry(5 ,'G' ,6));
   s63.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s63);

   Scanner s64(IDENTIFIED);
   s64.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(2 ,START));
   s64.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(10 ,FINAL));
   s64.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s64.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s64.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s64.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s64.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s64.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s64.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s64.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s64.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s64.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s64.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s64.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s64.addTransition(ScannerTransEntry(6 ,'F' ,7));
   s64.addTransition(ScannerTransEntry(6 ,'f' ,7));
   s64.addTransition(ScannerTransEntry(7 ,'I' ,8));
   s64.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s64.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s64.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s64.addTransition(ScannerTransEntry(9 ,'D' ,10));
   s64.addTransition(ScannerTransEntry(9 ,'d' ,10));
   _scannerList.Insert(s64);

   Scanner s65(IF);
   s65.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(1 ,FINAL));
   s65.addState(ScannerStateEntry(2 ,START));
   s65.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s65.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s65.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s65.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s65);

   Scanner s66(INDEX);
   s66.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(2 ,START));
   s66.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(5 ,FINAL));
   s66.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s66.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s66.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s66.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s66.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s66.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s66.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s66.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s66.addTransition(ScannerTransEntry(4 ,'X' ,5));
   s66.addTransition(ScannerTransEntry(4 ,'x' ,5));
   _scannerList.Insert(s66);

   Scanner s67(INTOK);
   s67.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(1 ,FINAL));
   s67.addState(ScannerStateEntry(2 ,START));
   s67.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s67.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s67.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s67.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s67);

   Scanner s68(INNER);
   s68.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(2 ,START));
   s68.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(5 ,FINAL));
   s68.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s68.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s68.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s68.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s68.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s68.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s68.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s68.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s68.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s68.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s68);

   Scanner s69(INT);
   s69.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(2 ,START));
   s69.addState(ScannerStateEntry(3 ,FINAL));
   s69.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s69.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s69.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s69.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s69.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s69.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s69);

   Scanner s70(INTO);
   s70.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(2 ,START));
   s70.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(4 ,FINAL));
   s70.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s70.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s70.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s70.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s70.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s70.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s70.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s70.addTransition(ScannerTransEntry(3 ,'o' ,4));
   _scannerList.Insert(s70);

   Scanner s71(INT2DATE);
   s71.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(2 ,START));
   s71.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(8 ,FINAL));
   s71.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s71.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s71.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s71.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s71.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s71.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s71.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s71.addTransition(ScannerTransEntry(4 ,'D' ,5));
   s71.addTransition(ScannerTransEntry(4 ,'d' ,5));
   s71.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s71.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s71.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s71.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s71.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s71.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s71);

   Scanner s72(NEWDATE);
   s72.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(2 ,START));
   s72.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(7 ,FINAL));
   s72.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s72.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s72.addTransition(ScannerTransEntry(1 ,'W' ,3));
   s72.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s72.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s72.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s72.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s72.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s72.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s72.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s72.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s72.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s72.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s72.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s72);

   Scanner s73(INSERT);
   s73.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(2 ,START));
   s73.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(6 ,FINAL));
   s73.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s73.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s73.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s73.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s73.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s73.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s73.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s73.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s73.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s73.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s73.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s73.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s73);

   Scanner s74(IS);
   s74.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(1 ,FINAL));
   s74.addState(ScannerStateEntry(2 ,START));
   s74.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s74.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s74.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s74.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s74);

   Scanner s75(ISOLATION);
   s75.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(2 ,START));
   s75.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(9 ,FINAL));
   s75.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s75.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s75.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s75.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s75.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s75.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s75.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s75.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s75.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s75.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s75.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s75.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s75.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s75.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s75.addTransition(ScannerTransEntry(7 ,'O' ,8));
   s75.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s75.addTransition(ScannerTransEntry(8 ,'N' ,9));
   s75.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s75);

   Scanner s76(JDBC);
   s76.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(2 ,START));
   s76.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(4 ,FINAL));
   s76.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s76.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s76.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s76.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s76.addTransition(ScannerTransEntry(2 ,'J' ,0));
   s76.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s76.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s76.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s76);

   Scanner s77(JOIN);
   s77.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(2 ,START));
   s77.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(4 ,FINAL));
   s77.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s77.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s77.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s77.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s77.addTransition(ScannerTransEntry(2 ,'J' ,0));
   s77.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s77.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s77.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s77);

   Scanner s78(KEY);
   s78.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(2 ,START));
   s78.addState(ScannerStateEntry(3 ,FINAL));
   s78.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s78.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s78.addTransition(ScannerTransEntry(1 ,'Y' ,3));
   s78.addTransition(ScannerTransEntry(1 ,'y' ,3));
   s78.addTransition(ScannerTransEntry(2 ,'K' ,0));
   s78.addTransition(ScannerTransEntry(2 ,'k' ,0));
   _scannerList.Insert(s78);

   Scanner s79(LEFT);
   s79.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(2 ,START));
   s79.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(4 ,FINAL));
   s79.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s79.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s79.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s79.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s79.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s79.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s79.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s79.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s79);

   Scanner s80(LENGTH);
   s80.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(2 ,START));
   s80.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(6 ,FINAL));
   s80.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s80.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s80.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s80.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s80.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s80.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s80.addTransition(ScannerTransEntry(3 ,'G' ,4));
   s80.addTransition(ScannerTransEntry(3 ,'g' ,4));
   s80.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s80.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s80.addTransition(ScannerTransEntry(5 ,'H' ,6));
   s80.addTransition(ScannerTransEntry(5 ,'h' ,6));
   _scannerList.Insert(s80);

   Scanner s81(LIKE);
   s81.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(2 ,START));
   s81.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(4 ,FINAL));
   s81.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s81.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s81.addTransition(ScannerTransEntry(1 ,'K' ,3));
   s81.addTransition(ScannerTransEntry(1 ,'k' ,3));
   s81.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s81.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s81.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s81.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s81);

   Scanner s82(LIST);
   s82.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(2 ,START));
   s82.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(4 ,FINAL));
   s82.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s82.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s82.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s82.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s82.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s82.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s82.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s82.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s82);

   Scanner s83(LOAD);
   s83.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(2 ,START));
   s83.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(4 ,FINAL));
   s83.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s83.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s83.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s83.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s83.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s83.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s83.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s83.addTransition(ScannerTransEntry(3 ,'d' ,4));
   _scannerList.Insert(s83);

   Scanner s84(LOCKS);
   s84.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(2 ,START));
   s84.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(5 ,FINAL));
   s84.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s84.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s84.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s84.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s84.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s84.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s84.addTransition(ScannerTransEntry(3 ,'K' ,4));
   s84.addTransition(ScannerTransEntry(3 ,'k' ,4));
   s84.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s84.addTransition(ScannerTransEntry(4 ,'s' ,5));
   _scannerList.Insert(s84);

   Scanner s85(LONG);
   s85.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(2 ,START));
   s85.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(4 ,FINAL));
   s85.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s85.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s85.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s85.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s85.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s85.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s85.addTransition(ScannerTransEntry(3 ,'G' ,4));
   s85.addTransition(ScannerTransEntry(3 ,'g' ,4));
   _scannerList.Insert(s85);

   Scanner s86(LOWER);
   s86.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(2 ,START));
   s86.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(5 ,FINAL));
   s86.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s86.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s86.addTransition(ScannerTransEntry(1 ,'W' ,3));
   s86.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s86.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s86.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s86.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s86.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s86.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s86.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s86);

   Scanner s87(LTRIM);
   s87.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(2 ,START));
   s87.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(5 ,FINAL));
   s87.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s87.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s87.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s87.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s87.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s87.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s87.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s87.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s87.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s87.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s87);

   Scanner s88(MIN);
   s88.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(2 ,START));
   s88.addState(ScannerStateEntry(3 ,FINAL));
   s88.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s88.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s88.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s88.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s88.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s88.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s88);

   Scanner s89(MAX);
   s89.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(2 ,START));
   s89.addState(ScannerStateEntry(3 ,FINAL));
   s89.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s89.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s89.addTransition(ScannerTransEntry(1 ,'X' ,3));
   s89.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s89.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s89.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s89);

   Scanner s90(MOD);
   s90.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(2 ,START));
   s90.addState(ScannerStateEntry(3 ,FINAL));
   s90.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s90.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s90.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s90.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s90.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s90.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s90);

   Scanner s91(MODIFY);
   s91.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(2 ,START));
   s91.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(6 ,FINAL));
   s91.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s91.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s91.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s91.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s91.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s91.addTransition(ScannerTransEntry(2 ,'m' ,0));
   s91.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s91.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s91.addTransition(ScannerTransEntry(4 ,'F' ,5));
   s91.addTransition(ScannerTransEntry(4 ,'f' ,5));
   s91.addTransition(ScannerTransEntry(5 ,'Y' ,6));
   s91.addTransition(ScannerTransEntry(5 ,'y' ,6));
   _scannerList.Insert(s91);

   Scanner s92(NEXTCOUNT);
   s92.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(2 ,START));
   s92.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(9 ,FINAL));
   s92.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s92.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s92.addTransition(ScannerTransEntry(1 ,'X' ,3));
   s92.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s92.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s92.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s92.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s92.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s92.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s92.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s92.addTransition(ScannerTransEntry(5 ,'O' ,6));
   s92.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s92.addTransition(ScannerTransEntry(6 ,'U' ,7));
   s92.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s92.addTransition(ScannerTransEntry(7 ,'N' ,8));
   s92.addTransition(ScannerTransEntry(7 ,'n' ,8));
   s92.addTransition(ScannerTransEntry(8 ,'T' ,9));
   s92.addTransition(ScannerTransEntry(8 ,'t' ,9));
   _scannerList.Insert(s92);

   Scanner s93(NOOP);
   s93.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(2 ,START));
   s93.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(4 ,FINAL));
   s93.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s93.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s93.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s93.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s93.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s93.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s93.addTransition(ScannerTransEntry(3 ,'P' ,4));
   s93.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s93);

   Scanner s94(NOT);
   s94.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(2 ,START));
   s94.addState(ScannerStateEntry(3 ,FINAL));
   s94.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s94.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s94.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s94.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s94.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s94.addTransition(ScannerTransEntry(2 ,'n' ,0));
   _scannerList.Insert(s94);

   Scanner s95(NULLTOKEN);
   s95.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(2 ,START));
   s95.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(4 ,FINAL));
   s95.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s95.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s95.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s95.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s95.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s95.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s95.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s95.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s95);

   Scanner s96(OFF);
   s96.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(2 ,START));
   s96.addState(ScannerStateEntry(3 ,FINAL));
   s96.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s96.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s96.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s96.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s96.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s96.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s96);

   Scanner s97(ON);
   s97.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(1 ,FINAL));
   s97.addState(ScannerStateEntry(2 ,START));
   s97.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s97.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s97.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s97.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s97);

   Scanner s98(OUTTOK);
   s98.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(2 ,START));
   s98.addState(ScannerStateEntry(3 ,FINAL));
   s98.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s98.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s98.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s98.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s98.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s98.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s98);

   Scanner s99(OUTER);
   s99.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(2 ,START));
   s99.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(5 ,FINAL));
   s99.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s99.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s99.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s99.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s99.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s99.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s99.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s99.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s99.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s99.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s99);

   Scanner s100(OR);
   s100.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(1 ,FINAL));
   s100.addState(ScannerStateEntry(2 ,START));
   s100.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s100.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s100.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s100.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s100);

   Scanner s101(ORDER);
   s101.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(2 ,START));
   s101.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(5 ,FINAL));
   s101.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s101.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s101.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s101.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s101.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s101.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s101.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s101.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s101.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s101.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s101);

   Scanner s102(PLAN);
   s102.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(2 ,START));
   s102.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(4 ,FINAL));
   s102.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s102.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s102.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s102.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s102.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s102.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s102.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s102.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s102);

   Scanner s103(POOL);
   s103.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(2 ,START));
   s103.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(4 ,FINAL));
   s103.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s103.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s103.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s103.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s103.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s103.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s103.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s103.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s103);

   Scanner s104(POWER);
   s104.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(2 ,START));
   s104.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(5 ,FINAL));
   s104.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s104.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s104.addTransition(ScannerTransEntry(1 ,'W' ,3));
   s104.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s104.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s104.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s104.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s104.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s104.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s104.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s104);

   Scanner s105(PRIMARY);
   s105.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(2 ,START));
   s105.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(7 ,FINAL));
   s105.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s105.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s105.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s105.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s105.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s105.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s105.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s105.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s105.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s105.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s105.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s105.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s105.addTransition(ScannerTransEntry(6 ,'Y' ,7));
   s105.addTransition(ScannerTransEntry(6 ,'y' ,7));
   _scannerList.Insert(s105);

   Scanner s106(PRINT);
   s106.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(2 ,START));
   s106.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(5 ,FINAL));
   s106.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s106.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s106.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s106.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s106.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s106.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s106.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s106.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s106);

   Scanner s107(PROCEDURE);
   s107.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(2 ,START));
   s107.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(9 ,FINAL));
   s107.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s107.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s107.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s107.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s107.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s107.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s107.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s107.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s107.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s107.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s107.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s107.addTransition(ScannerTransEntry(5 ,'d' ,6));
   s107.addTransition(ScannerTransEntry(6 ,'U' ,7));
   s107.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s107.addTransition(ScannerTransEntry(7 ,'R' ,8));
   s107.addTransition(ScannerTransEntry(7 ,'r' ,8));
   s107.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s107.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s107);

   Scanner s108(QUIT);
   s108.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(2 ,START));
   s108.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(4 ,FINAL));
   s108.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s108.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s108.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s108.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s108.addTransition(ScannerTransEntry(2 ,'Q' ,0));
   s108.addTransition(ScannerTransEntry(2 ,'q' ,0));
   s108.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s108.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s108);

   Scanner s109(RANDSTR);
   s109.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(2 ,START));
   s109.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(7 ,FINAL));
   s109.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s109.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s109.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s109.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s109.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s109.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s109.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s109.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s109.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s109.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s109.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s109.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s109.addTransition(ScannerTransEntry(6 ,'R' ,7));
   s109.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s109);

   Scanner s110(RANDINT);
   s110.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(2 ,START));
   s110.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(7 ,FINAL));
   s110.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s110.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s110.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s110.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s110.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s110.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s110.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s110.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s110.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s110.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s110.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s110.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s110.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s110.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s110);

   Scanner s111(RBSEG);
   s111.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(2 ,START));
   s111.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(5 ,FINAL));
   s111.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s111.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s111.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s111.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s111.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s111.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s111.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s111.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s111.addTransition(ScannerTransEntry(4 ,'G' ,5));
   s111.addTransition(ScannerTransEntry(4 ,'g' ,5));
   _scannerList.Insert(s111);

   Scanner s112(REFERENCES);
   s112.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(2 ,START));
   s112.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(10 ,FINAL));
   s112.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s112.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s112.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s112.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s112.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s112.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s112.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s112.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s112.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s112.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s112.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s112.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s112.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s112.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s112.addTransition(ScannerTransEntry(7 ,'C' ,8));
   s112.addTransition(ScannerTransEntry(7 ,'c' ,8));
   s112.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s112.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s112.addTransition(ScannerTransEntry(9 ,'S' ,10));
   s112.addTransition(ScannerTransEntry(9 ,'s' ,10));
   _scannerList.Insert(s112);

   Scanner s113(RENAME);
   s113.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(2 ,START));
   s113.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(6 ,FINAL));
   s113.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s113.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s113.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s113.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s113.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s113.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s113.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s113.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s113.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s113.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s113.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s113.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s113);

   Scanner s114(REORGANIZE);
   s114.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(2 ,START));
   s114.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(10 ,FINAL));
   s114.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s114.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s114.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s114.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s114.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s114.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s114.addTransition(ScannerTransEntry(3 ,'R' ,4));
   s114.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s114.addTransition(ScannerTransEntry(4 ,'G' ,5));
   s114.addTransition(ScannerTransEntry(4 ,'g' ,5));
   s114.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s114.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s114.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s114.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s114.addTransition(ScannerTransEntry(7 ,'I' ,8));
   s114.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s114.addTransition(ScannerTransEntry(8 ,'Z' ,9));
   s114.addTransition(ScannerTransEntry(8 ,'z' ,9));
   s114.addTransition(ScannerTransEntry(9 ,'E' ,10));
   s114.addTransition(ScannerTransEntry(9 ,'e' ,10));
   _scannerList.Insert(s114);

   Scanner s115(RETURNTOKEN);
   s115.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(2 ,START));
   s115.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(6 ,FINAL));
   s115.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s115.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s115.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s115.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s115.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s115.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s115.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s115.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s115.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s115.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s115.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s115.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s115);

   Scanner s116(REMOVE);
   s116.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(2 ,START));
   s116.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(6 ,FINAL));
   s116.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s116.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s116.addTransition(ScannerTransEntry(1 ,'M' ,3));
   s116.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s116.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s116.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s116.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s116.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s116.addTransition(ScannerTransEntry(4 ,'V' ,5));
   s116.addTransition(ScannerTransEntry(4 ,'v' ,5));
   s116.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s116.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s116);

   Scanner s117(REPLACE);
   s117.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(2 ,START));
   s117.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(7 ,FINAL));
   s117.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s117.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s117.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s117.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s117.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s117.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s117.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s117.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s117.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s117.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s117.addTransition(ScannerTransEntry(5 ,'C' ,6));
   s117.addTransition(ScannerTransEntry(5 ,'c' ,6));
   s117.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s117.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s117);

   Scanner s118(RIGHT);
   s118.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(2 ,START));
   s118.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(5 ,FINAL));
   s118.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s118.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s118.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s118.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s118.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s118.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s118.addTransition(ScannerTransEntry(3 ,'H' ,4));
   s118.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s118.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s118.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s118);

   Scanner s119(ROLLBACK);
   s119.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(2 ,START));
   s119.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(8 ,FINAL));
   s119.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s119.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s119.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s119.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s119.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s119.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s119.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s119.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s119.addTransition(ScannerTransEntry(4 ,'B' ,5));
   s119.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s119.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s119.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s119.addTransition(ScannerTransEntry(6 ,'C' ,7));
   s119.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s119.addTransition(ScannerTransEntry(7 ,'K' ,8));
   s119.addTransition(ScannerTransEntry(7 ,'k' ,8));
   _scannerList.Insert(s119);

   Scanner s120(ROUND);
   s120.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(2 ,START));
   s120.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(5 ,FINAL));
   s120.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s120.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s120.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s120.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s120.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s120.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s120.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s120.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s120.addTransition(ScannerTransEntry(4 ,'D' ,5));
   s120.addTransition(ScannerTransEntry(4 ,'d' ,5));
   _scannerList.Insert(s120);

   Scanner s121(ROWLIMIT);
   s121.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(2 ,START));
   s121.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(8 ,FINAL));
   s121.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s121.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s121.addTransition(ScannerTransEntry(1 ,'W' ,3));
   s121.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s121.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s121.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s121.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s121.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s121.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s121.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s121.addTransition(ScannerTransEntry(5 ,'M' ,6));
   s121.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s121.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s121.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s121.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s121.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s121);

   Scanner s122(RTRIM);
   s122.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(2 ,START));
   s122.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(5 ,FINAL));
   s122.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s122.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s122.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s122.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s122.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s122.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s122.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s122.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s122.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s122.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s122);

   Scanner s123(SELECT);
   s123.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(2 ,START));
   s123.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(6 ,FINAL));
   s123.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s123.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s123.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s123.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s123.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s123.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s123.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s123.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s123.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s123.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s123.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s123.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s123);

   Scanner s124(SET);
   s124.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(2 ,START));
   s124.addState(ScannerStateEntry(3 ,FINAL));
   s124.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s124.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s124.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s124.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s124.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s124.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s124);

   Scanner s125(SETCOUNT);
   s125.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(2 ,START));
   s125.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(8 ,FINAL));
   s125.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s125.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s125.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s125.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s125.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s125.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s125.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s125.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s125.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s125.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s125.addTransition(ScannerTransEntry(5 ,'U' ,6));
   s125.addTransition(ScannerTransEntry(5 ,'u' ,6));
   s125.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s125.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s125.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s125.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s125);

   Scanner s126(SHOW);
   s126.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(2 ,START));
   s126.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(4 ,FINAL));
   s126.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s126.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s126.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s126.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s126.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s126.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s126.addTransition(ScannerTransEntry(3 ,'W' ,4));
   s126.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s126);

   Scanner s127(SMALLINT);
   s127.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(2 ,START));
   s127.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(8 ,FINAL));
   s127.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s127.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s127.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s127.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s127.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s127.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s127.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s127.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s127.addTransition(ScannerTransEntry(4 ,'L' ,5));
   s127.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s127.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s127.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s127.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s127.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s127.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s127.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s127);

   Scanner s128(START_TOKEN);
   s128.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(2 ,START));
   s128.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(5 ,FINAL));
   s128.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s128.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s128.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s128.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s128.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s128.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s128.addTransition(ScannerTransEntry(3 ,'R' ,4));
   s128.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s128.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s128.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s128);

   Scanner s129(STRING);
   s129.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(2 ,START));
   s129.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(6 ,FINAL));
   s129.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s129.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s129.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s129.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s129.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s129.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s129.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s129.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s129.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s129.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s129.addTransition(ScannerTransEntry(5 ,'G' ,6));
   s129.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s129);

   Scanner s130(SUBSTR);
   s130.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(2 ,START));
   s130.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(6 ,FINAL));
   s130.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s130.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s130.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s130.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s130.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s130.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s130.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s130.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s130.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s130.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s130.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s130.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s130);

   Scanner s131(SUM);
   s131.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(2 ,START));
   s131.addState(ScannerStateEntry(3 ,FINAL));
   s131.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s131.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s131.addTransition(ScannerTransEntry(1 ,'M' ,3));
   s131.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s131.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s131.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s131);

   Scanner s132(SYNC);
   s132.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(2 ,START));
   s132.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(4 ,FINAL));
   s132.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s132.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s132.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s132.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s132.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s132.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s132.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s132.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s132);

   Scanner s133(SYSDATE);
   s133.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(2 ,START));
   s133.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(7 ,FINAL));
   s133.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s133.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s133.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s133.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s133.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s133.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s133.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s133.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s133.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s133.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s133.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s133.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s133.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s133.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s133);

   Scanner s134(SYSTEMSPACE);
   s134.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(2 ,START));
   s134.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(11 ,FINAL));
   s134.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s134.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s134.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s134.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s134.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s134.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s134.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s134.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s134.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s134.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s134.addTransition(ScannerTransEntry(5 ,'M' ,6));
   s134.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s134.addTransition(ScannerTransEntry(6 ,'S' ,7));
   s134.addTransition(ScannerTransEntry(6 ,'s' ,7));
   s134.addTransition(ScannerTransEntry(7 ,'P' ,8));
   s134.addTransition(ScannerTransEntry(7 ,'p' ,8));
   s134.addTransition(ScannerTransEntry(8 ,'A' ,9));
   s134.addTransition(ScannerTransEntry(8 ,'a' ,9));
   s134.addTransition(ScannerTransEntry(9 ,'C' ,10));
   s134.addTransition(ScannerTransEntry(9 ,'c' ,10));
   s134.addTransition(ScannerTransEntry(10 ,'E' ,11));
   s134.addTransition(ScannerTransEntry(10 ,'e' ,11));
   _scannerList.Insert(s134);

   Scanner s135(SYSOBJ);
   s135.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(2 ,START));
   s135.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(6 ,FINAL));
   s135.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s135.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s135.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s135.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s135.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s135.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s135.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s135.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s135.addTransition(ScannerTransEntry(4 ,'B' ,5));
   s135.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s135.addTransition(ScannerTransEntry(5 ,'J' ,6));
   s135.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s135);

   Scanner s136(TABLEINFO);
   s136.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(2 ,START));
   s136.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(9 ,FINAL));
   s136.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s136.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s136.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s136.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s136.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s136.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s136.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s136.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s136.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s136.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s136.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s136.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s136.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s136.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s136.addTransition(ScannerTransEntry(7 ,'F' ,8));
   s136.addTransition(ScannerTransEntry(7 ,'f' ,8));
   s136.addTransition(ScannerTransEntry(8 ,'O' ,9));
   s136.addTransition(ScannerTransEntry(8 ,'o' ,9));
   _scannerList.Insert(s136);

   Scanner s137(TABLE);
   s137.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(2 ,START));
   s137.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(5 ,FINAL));
   s137.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s137.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s137.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s137.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s137.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s137.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s137.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s137.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s137.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s137.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s137);

   Scanner s138(TABLESET);
   s138.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(2 ,START));
   s138.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(8 ,FINAL));
   s138.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s138.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s138.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s138.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s138.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s138.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s138.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s138.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s138.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s138.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s138.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s138.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s138.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s138.addTransition(ScannerTransEntry(6 ,'e' ,7));
   s138.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s138.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s138);

   Scanner s139(THEN);
   s139.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(2 ,START));
   s139.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(4 ,FINAL));
   s139.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s139.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s139.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s139.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s139.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s139.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s139.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s139.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s139);

   Scanner s140(THROW);
   s140.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(2 ,START));
   s140.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(5 ,FINAL));
   s140.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s140.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s140.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s140.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s140.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s140.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s140.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s140.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s140.addTransition(ScannerTransEntry(4 ,'W' ,5));
   s140.addTransition(ScannerTransEntry(4 ,'w' ,5));
   _scannerList.Insert(s140);

   Scanner s141(TINYINT);
   s141.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(2 ,START));
   s141.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(7 ,FINAL));
   s141.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s141.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s141.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s141.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s141.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s141.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s141.addTransition(ScannerTransEntry(3 ,'Y' ,4));
   s141.addTransition(ScannerTransEntry(3 ,'y' ,4));
   s141.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s141.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s141.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s141.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s141.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s141.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s141);

   Scanner s142(TMPOBJ);
   s142.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(2 ,START));
   s142.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(6 ,FINAL));
   s142.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s142.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s142.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s142.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s142.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s142.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s142.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s142.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s142.addTransition(ScannerTransEntry(4 ,'B' ,5));
   s142.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s142.addTransition(ScannerTransEntry(5 ,'J' ,6));
   s142.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s142);

   Scanner s143(TRANSACTION);
   s143.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(2 ,START));
   s143.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(11 ,FINAL));
   s143.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s143.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s143.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s143.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s143.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s143.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s143.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s143.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s143.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s143.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s143.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s143.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s143.addTransition(ScannerTransEntry(6 ,'C' ,7));
   s143.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s143.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s143.addTransition(ScannerTransEntry(7 ,'t' ,8));
   s143.addTransition(ScannerTransEntry(8 ,'I' ,9));
   s143.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s143.addTransition(ScannerTransEntry(9 ,'O' ,10));
   s143.addTransition(ScannerTransEntry(9 ,'o' ,10));
   s143.addTransition(ScannerTransEntry(10 ,'N' ,11));
   s143.addTransition(ScannerTransEntry(10 ,'n' ,11));
   _scannerList.Insert(s143);

   Scanner s144(STR2INT);
   s144.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(2 ,START));
   s144.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(7 ,FINAL));
   s144.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s144.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s144.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s144.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s144.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s144.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s144.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s144.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s144.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s144.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s144.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s144.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s144.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s144);

   Scanner s145(STR2LONG);
   s145.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(2 ,START));
   s145.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(8 ,FINAL));
   s145.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s145.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s145.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s145.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s145.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s145.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s145.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s145.addTransition(ScannerTransEntry(4 ,'L' ,5));
   s145.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s145.addTransition(ScannerTransEntry(5 ,'O' ,6));
   s145.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s145.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s145.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s145.addTransition(ScannerTransEntry(7 ,'G' ,8));
   s145.addTransition(ScannerTransEntry(7 ,'g' ,8));
   _scannerList.Insert(s145);

   Scanner s146(STR2DATE);
   s146.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(2 ,START));
   s146.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(8 ,FINAL));
   s146.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s146.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s146.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s146.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s146.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s146.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s146.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s146.addTransition(ScannerTransEntry(4 ,'D' ,5));
   s146.addTransition(ScannerTransEntry(4 ,'d' ,5));
   s146.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s146.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s146.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s146.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s146.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s146.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s146);

   Scanner s147(TO);
   s147.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(1 ,FINAL));
   s147.addState(ScannerStateEntry(2 ,START));
   s147.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s147.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s147.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s147.addTransition(ScannerTransEntry(2 ,'t' ,0));
   _scannerList.Insert(s147);

   Scanner s148(TRIM);
   s148.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(2 ,START));
   s148.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(4 ,FINAL));
   s148.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s148.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s148.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s148.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s148.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s148.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s148.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s148.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s148);

   Scanner s149(TRUEVAL);
   s149.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(2 ,START));
   s149.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(4 ,FINAL));
   s149.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s149.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s149.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s149.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s149.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s149.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s149.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s149.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s149);

   Scanner s150(TRUNC);
   s150.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(2 ,START));
   s150.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(5 ,FINAL));
   s150.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s150.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s150.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s150.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s150.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s150.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s150.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s150.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s150.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s150.addTransition(ScannerTransEntry(4 ,'c' ,5));
   _scannerList.Insert(s150);

   Scanner s151(UNION);
   s151.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(2 ,START));
   s151.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(5 ,FINAL));
   s151.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s151.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s151.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s151.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s151.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s151.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s151.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s151.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s151.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s151.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s151);

   Scanner s152(UNIQUE);
   s152.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(2 ,START));
   s152.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(6 ,FINAL));
   s152.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s152.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s152.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s152.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s152.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s152.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s152.addTransition(ScannerTransEntry(3 ,'Q' ,4));
   s152.addTransition(ScannerTransEntry(3 ,'q' ,4));
   s152.addTransition(ScannerTransEntry(4 ,'U' ,5));
   s152.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s152.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s152.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s152);

   Scanner s153(UPDATE);
   s153.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(2 ,START));
   s153.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(6 ,FINAL));
   s153.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s153.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s153.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s153.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s153.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s153.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s153.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s153.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s153.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s153.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s153.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s153.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s153);

   Scanner s154(UPTIME);
   s154.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(2 ,START));
   s154.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(6 ,FINAL));
   s154.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s154.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s154.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s154.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s154.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s154.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s154.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s154.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s154.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s154.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s154.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s154.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s154);

   Scanner s155(UPPER);
   s155.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(2 ,START));
   s155.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(5 ,FINAL));
   s155.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s155.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s155.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s155.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s155.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s155.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s155.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s155.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s155.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s155.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s155);

   Scanner s156(VAR);
   s156.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(2 ,START));
   s156.addState(ScannerStateEntry(3 ,FINAL));
   s156.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s156.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s156.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s156.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s156.addTransition(ScannerTransEntry(2 ,'V' ,0));
   s156.addTransition(ScannerTransEntry(2 ,'v' ,0));
   _scannerList.Insert(s156);

   Scanner s157(VALUES);
   s157.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(2 ,START));
   s157.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(6 ,FINAL));
   s157.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s157.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s157.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s157.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s157.addTransition(ScannerTransEntry(2 ,'V' ,0));
   s157.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s157.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s157.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s157.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s157.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s157.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s157.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s157);

   Scanner s158(VIEW);
   s158.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(2 ,START));
   s158.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(4 ,FINAL));
   s158.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s158.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s158.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s158.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s158.addTransition(ScannerTransEntry(2 ,'V' ,0));
   s158.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s158.addTransition(ScannerTransEntry(3 ,'W' ,4));
   s158.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s158);

   Scanner s159(WHEN);
   s159.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s159.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s159.addState(ScannerStateEntry(2 ,START));
   s159.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s159.addState(ScannerStateEntry(4 ,FINAL));
   s159.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s159.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s159.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s159.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s159.addTransition(ScannerTransEntry(2 ,'W' ,0));
   s159.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s159.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s159.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s159);

   Scanner s160(WHERE);
   s160.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(2 ,START));
   s160.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(5 ,FINAL));
   s160.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s160.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s160.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s160.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s160.addTransition(ScannerTransEntry(2 ,'W' ,0));
   s160.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s160.addTransition(ScannerTransEntry(3 ,'R' ,4));
   s160.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s160.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s160.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s160);

   Scanner s161(WHILE);
   s161.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s161.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s161.addState(ScannerStateEntry(2 ,START));
   s161.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s161.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s161.addState(ScannerStateEntry(5 ,FINAL));
   s161.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s161.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s161.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s161.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s161.addTransition(ScannerTransEntry(2 ,'W' ,0));
   s161.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s161.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s161.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s161.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s161.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s161);

   Scanner s162(CONCAT);
   s162.addState(ScannerStateEntry(0 ,START));
   s162.addState(ScannerStateEntry(1 ,FINAL));
   s162.addTransition(ScannerTransEntry(0 ,'|' ,1));
   _scannerList.Insert(s162);

   Scanner s163(EQU);
   s163.addState(ScannerStateEntry(0 ,START));
   s163.addState(ScannerStateEntry(1 ,FINAL));
   s163.addTransition(ScannerTransEntry(0 ,'=' ,1));
   _scannerList.Insert(s163);

   Scanner s164(KSEP);
   s164.addState(ScannerStateEntry(0 ,START));
   s164.addState(ScannerStateEntry(1 ,FINAL));
   s164.addTransition(ScannerTransEntry(0 ,',' ,1));
   _scannerList.Insert(s164);

   Scanner s165(LB);
   s165.addState(ScannerStateEntry(0 ,START));
   s165.addState(ScannerStateEntry(1 ,FINAL));
   s165.addTransition(ScannerTransEntry(0 ,'(' ,1));
   _scannerList.Insert(s165);

   Scanner s166(LT);
   s166.addState(ScannerStateEntry(0 ,START));
   s166.addState(ScannerStateEntry(1 ,FINAL));
   s166.addTransition(ScannerTransEntry(0 ,'<' ,1));
   _scannerList.Insert(s166);

   Scanner s167(MT);
   s167.addState(ScannerStateEntry(0 ,START));
   s167.addState(ScannerStateEntry(1 ,FINAL));
   s167.addTransition(ScannerTransEntry(0 ,'>' ,1));
   _scannerList.Insert(s167);

   Scanner s168(NEGATION);
   s168.addState(ScannerStateEntry(0 ,START));
   s168.addState(ScannerStateEntry(1 ,FINAL));
   s168.addTransition(ScannerTransEntry(0 ,'!' ,1));
   _scannerList.Insert(s168);

   Scanner s169(RB);
   s169.addState(ScannerStateEntry(0 ,START));
   s169.addState(ScannerStateEntry(1 ,FINAL));
   s169.addTransition(ScannerTransEntry(0 ,')' ,1));
   _scannerList.Insert(s169);

   Scanner s170(LAB);
   s170.addState(ScannerStateEntry(0 ,START));
   s170.addState(ScannerStateEntry(1 ,FINAL));
   s170.addTransition(ScannerTransEntry(0 ,'[' ,1));
   _scannerList.Insert(s170);

   Scanner s171(RAB);
   s171.addState(ScannerStateEntry(0 ,START));
   s171.addState(ScannerStateEntry(1 ,FINAL));
   s171.addTransition(ScannerTransEntry(0 ,']' ,1));
   _scannerList.Insert(s171);

   Scanner s172(SEMICOLON);
   s172.addState(ScannerStateEntry(0 ,START));
   s172.addState(ScannerStateEntry(1 ,FINAL));
   s172.addTransition(ScannerTransEntry(0 ,';' ,1));
   _scannerList.Insert(s172);

   Scanner s173(STAR);
   s173.addState(ScannerStateEntry(0 ,START));
   s173.addState(ScannerStateEntry(1 ,FINAL));
   s173.addTransition(ScannerTransEntry(0 ,'*' ,1));
   _scannerList.Insert(s173);

   Scanner s174(DIVISION);
   s174.addState(ScannerStateEntry(0 ,START));
   s174.addState(ScannerStateEntry(1 ,FINAL));
   s174.addTransition(ScannerTransEntry(0 ,'/' ,1));
   _scannerList.Insert(s174);

   Scanner s175(MINUS);
   s175.addState(ScannerStateEntry(0 ,START));
   s175.addState(ScannerStateEntry(1 ,FINAL));
   s175.addTransition(ScannerTransEntry(0 ,'-' ,1));
   _scannerList.Insert(s175);

   Scanner s176(PLUS);
   s176.addState(ScannerStateEntry(0 ,START));
   s176.addState(ScannerStateEntry(1 ,FINAL));
   s176.addTransition(ScannerTransEntry(0 ,'+' ,1));
   _scannerList.Insert(s176);

   Scanner s177(INTVAL);
   s177.addState(ScannerStateEntry(0 ,START));
   s177.addState(ScannerStateEntry(1 ,FINAL));
   s177.addState(ScannerStateEntry(2 ,FINAL));
   s177.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s177.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'9' ,1));
   _scannerList.Insert(s177);

   Scanner s178(FLOATVAL);
   s178.addState(ScannerStateEntry(0 ,START));
   s178.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s178.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s178.addState(ScannerStateEntry(3 ,FINAL));
   s178.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s178.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s178.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s178.addTransition(ScannerTransEntry(1 ,'.' ,3));
   s178.addTransition(ScannerTransEntry(2 ,'.' ,3));
   s178.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s178.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s178.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s178.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s178.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s178.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s178.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s178.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s178.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s178.addTransition(ScannerTransEntry(3 ,'9' ,3));
   _scannerList.Insert(s178);

   Scanner s179(IDENTIFIER);
   s179.addState(ScannerStateEntry(0 ,START));
   s179.addState(ScannerStateEntry(1 ,FINAL));
   s179.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s179.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s179.addTransition(ScannerTransEntry(1 ,'z' ,1));
   _scannerList.Insert(s179);

   Scanner s180(VARREF);
   s180.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s180.addState(ScannerStateEntry(1 ,FINAL));
   s180.addState(ScannerStateEntry(2 ,START));
   s180.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s180.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s180.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s180.addTransition(ScannerTransEntry(2 ,':' ,0));
   _scannerList.Insert(s180);

   Scanner s181(QUALIFIEDOBJ);
   s181.addState(ScannerStateEntry(0 ,START));
   s181.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s181.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s181.addState(ScannerStateEntry(3 ,FINAL));
   s181.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s181.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s181.addTransition(ScannerTransEntry(1 ,'.' ,2));
   s181.addTransition(ScannerTransEntry(2 ,'$' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s181.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s181.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s181);

   Scanner s182(QUALIFIEDPRE);
   s182.addState(ScannerStateEntry(0 ,START));
   s182.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s182.addState(ScannerStateEntry(2 ,FINAL));
   s182.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s182.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s182.addTransition(ScannerTransEntry(1 ,'.' ,2));
   _scannerList.Insert(s182);

   Scanner s183(QUALIFIEDTS);
   s183.addState(ScannerStateEntry(0 ,START));
   s183.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s183.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s183.addState(ScannerStateEntry(3 ,FINAL));
   s183.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s183.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s183.addTransition(ScannerTransEntry(1 ,'@' ,2));
   s183.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s183.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s183.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s183);

}
void Cego::loadParser0()
{
   _actionMap[867][SEMICOLON] = ActionEntry(REDUCE, 70);
   _actionMap[866][RB] = ActionEntry(SHIFT, 867);
   _actionMap[865][IDENTIFIER] = ActionEntry(SHIFT, 748);
   _jumpMap[865][SimpleAttr] = 747;
   _jumpMap[865][SimpleAttrList] = 866;
   _actionMap[862][LB] = ActionEntry(SHIFT, 865);
   _actionMap[863][ROWLIMIT] = ActionEntry(REDUCE, 242);
   _actionMap[863][UNION] = ActionEntry(REDUCE, 242);
   _actionMap[863][ENDTOKEN] = ActionEntry(REDUCE, 242);
   _actionMap[863][RB] = ActionEntry(REDUCE, 242);
   _actionMap[863][SEMICOLON] = ActionEntry(REDUCE, 242);
   _actionMap[863][KSEP] = ActionEntry(REDUCE, 242);
   _actionMap[864][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[864][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[864][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[864][ORDER] = ActionEntry(REDUCE, 236);
   _actionMap[864][ROWLIMIT] = ActionEntry(REDUCE, 236);
   _actionMap[864][UNION] = ActionEntry(REDUCE, 236);
   _actionMap[864][ENDTOKEN] = ActionEntry(REDUCE, 236);
   _actionMap[864][RB] = ActionEntry(REDUCE, 236);
   _actionMap[864][SEMICOLON] = ActionEntry(REDUCE, 236);
   _actionMap[858][IDENTIFIER] = ActionEntry(SHIFT, 862);
   _actionMap[859][SEMICOLON] = ActionEntry(REDUCE, 82);
   _actionMap[859][RB] = ActionEntry(REDUCE, 82);
   _actionMap[860][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[860][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[860][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[860][ASC] = ActionEntry(SHIFT, 851);
   _actionMap[860][ROWLIMIT] = ActionEntry(REDUCE, 247);
   _actionMap[860][DESC] = ActionEntry(SHIFT, 852);
   _actionMap[860][UNION] = ActionEntry(REDUCE, 247);
   _actionMap[860][ENDTOKEN] = ActionEntry(REDUCE, 247);
   _actionMap[860][RB] = ActionEntry(REDUCE, 247);
   _actionMap[860][SEMICOLON] = ActionEntry(REDUCE, 247);
   _actionMap[860][KSEP] = ActionEntry(REDUCE, 247);
   _jumpMap[860][DefaultOrderOpt] = 850;
   _jumpMap[860][OrderingOpt] = 863;
   _actionMap[861][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[861][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[861][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[861][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[861][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[861][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[861][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[861][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[861][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[861][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[861][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[861][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[861][UPPER] = ActionEntry(SHIFT, 150);
}
void Cego::loadParser1()
{
   _actionMap[861][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[861][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[861][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[861][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[861][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[861][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[861][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[861][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[861][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[861][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[861][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[861][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[861][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[861][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[861][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[861][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[861][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[861][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[861][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[861][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[861][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[861][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[861][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[861][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[861][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[861][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[861][LB] = ActionEntry(SHIFT, 151);
   _actionMap[861][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[861][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[861][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[861][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[861][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[861][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[861][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[861][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[861][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[861][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[861][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[861][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[861][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[861][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[861][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[861][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[861][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[861][ObjSpec] = 102;
   _jumpMap[861][Constant] = 101;
   _jumpMap[861][SignedFloat] = 100;
   _jumpMap[861][SignedInt] = 99;
   _jumpMap[861][Attribute] = 98;
   _jumpMap[861][Function] = 97;
}
void Cego::loadParser2()
{
   _jumpMap[861][CasePrepare] = 96;
   _jumpMap[861][CaseClause] = 95;
   _jumpMap[861][Factor] = 94;
   _jumpMap[861][Term] = 93;
   _jumpMap[861][Expr] = 864;
   _actionMap[846][REFERENCES] = ActionEntry(SHIFT, 858);
   _actionMap[847][ELSE] = ActionEntry(REDUCE, 119);
   _actionMap[847][ELSIF] = ActionEntry(REDUCE, 119);
   _actionMap[847][EXCEPTION] = ActionEntry(REDUCE, 119);
   _actionMap[847][END_TOKEN] = ActionEntry(REDUCE, 119);
   _actionMap[847][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[847][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[847][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[847][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[847][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[847][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[847][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[847][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[847][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[847][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[847][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[847][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[847][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[847][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[847][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[847][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[847][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[847][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[847][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[847][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[847][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[847][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[847][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[847][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[847][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[847][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[847][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[847][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[847][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[847][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[847][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[847][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[847][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[847][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[847][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[847][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[847][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[847][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[847][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[847][LB] = ActionEntry(SHIFT, 151);
}
void Cego::loadParser3()
{
   _actionMap[847][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[847][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[847][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[847][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[847][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[847][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[847][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[847][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[847][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[847][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[847][VARREF] = ActionEntry(SHIFT, 361);
   _actionMap[847][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[847][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[847][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[847][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[847][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[847][MAX] = ActionEntry(SHIFT, 129);
   _actionMap[847][IF] = ActionEntry(SHIFT, 355);
   _actionMap[847][BEGIN] = ActionEntry(SHIFT, 352);
   _actionMap[847][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[847][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[847][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[847][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[847][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[847][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[847][VAR] = ActionEntry(SHIFT, 359);
   _actionMap[847][CURSOR] = ActionEntry(SHIFT, 354);
   _actionMap[847][CLOSE] = ActionEntry(SHIFT, 353);
   _actionMap[847][NOOP] = ActionEntry(SHIFT, 356);
   _actionMap[847][THROW] = ActionEntry(SHIFT, 358);
   _actionMap[847][RETURNTOKEN] = ActionEntry(SHIFT, 357);
   _actionMap[847][WHILE] = ActionEntry(SHIFT, 360);
   _jumpMap[847][ObjSpec] = 102;
   _jumpMap[847][Constant] = 101;
   _jumpMap[847][SignedFloat] = 100;
   _jumpMap[847][SignedInt] = 99;
   _jumpMap[847][Attribute] = 98;
   _jumpMap[847][Function] = 97;
   _jumpMap[847][DeleteStatement] = 351;
   _jumpMap[847][UpdateStatement] = 350;
   _jumpMap[847][InsertStatement] = 349;
   _jumpMap[847][RollbackStatement] = 348;
   _jumpMap[847][CommitStatement] = 347;
   _jumpMap[847][StartStatement] = 346;
   _jumpMap[847][CasePrepare] = 96;
   _jumpMap[847][CaseClause] = 95;
   _jumpMap[847][Factor] = 94;
   _jumpMap[847][Term] = 93;
   _jumpMap[847][Expr] = 345;
   _jumpMap[847][ProcStatement] = 485;
}
void Cego::loadParser4()
{
   _jumpMap[847][ProcIfPart] = 343;
   _jumpMap[847][ProcBlockStart] = 342;
   _actionMap[848][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[848][SelectStatement] = 859;
   _actionMap[849][ROWLIMIT] = ActionEntry(REDUCE, 243);
   _actionMap[849][UNION] = ActionEntry(REDUCE, 243);
   _actionMap[849][ENDTOKEN] = ActionEntry(REDUCE, 243);
   _actionMap[849][RB] = ActionEntry(REDUCE, 243);
   _actionMap[849][SEMICOLON] = ActionEntry(REDUCE, 243);
   _actionMap[849][KSEP] = ActionEntry(REDUCE, 243);
   _actionMap[850][ROWLIMIT] = ActionEntry(REDUCE, 244);
   _actionMap[850][UNION] = ActionEntry(REDUCE, 244);
   _actionMap[850][ENDTOKEN] = ActionEntry(REDUCE, 244);
   _actionMap[850][RB] = ActionEntry(REDUCE, 244);
   _actionMap[850][SEMICOLON] = ActionEntry(REDUCE, 244);
   _actionMap[850][KSEP] = ActionEntry(REDUCE, 244);
   _actionMap[851][ROWLIMIT] = ActionEntry(REDUCE, 246);
   _actionMap[851][UNION] = ActionEntry(REDUCE, 246);
   _actionMap[851][ENDTOKEN] = ActionEntry(REDUCE, 246);
   _actionMap[851][RB] = ActionEntry(REDUCE, 246);
   _actionMap[851][SEMICOLON] = ActionEntry(REDUCE, 246);
   _actionMap[851][KSEP] = ActionEntry(REDUCE, 246);
   _actionMap[852][ROWLIMIT] = ActionEntry(REDUCE, 245);
   _actionMap[852][UNION] = ActionEntry(REDUCE, 245);
   _actionMap[852][ENDTOKEN] = ActionEntry(REDUCE, 245);
   _actionMap[852][RB] = ActionEntry(REDUCE, 245);
   _actionMap[852][SEMICOLON] = ActionEntry(REDUCE, 245);
   _actionMap[852][KSEP] = ActionEntry(REDUCE, 245);
   _actionMap[853][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[853][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[853][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[853][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[853][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[853][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[853][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[853][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[853][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[853][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[853][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[853][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[853][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[853][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[853][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[853][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[853][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[853][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[853][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[853][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[853][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[853][STR2LONG] = ActionEntry(SHIFT, 145);
}
void Cego::loadParser5()
{
   _actionMap[853][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[853][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[853][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[853][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[853][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[853][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[853][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[853][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[853][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[853][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[853][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[853][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[853][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[853][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[853][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[853][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[853][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[853][LB] = ActionEntry(SHIFT, 151);
   _actionMap[853][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[853][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[853][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[853][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[853][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[853][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[853][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[853][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[853][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[853][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[853][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[853][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[853][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[853][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[853][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[853][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[853][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[853][ObjSpec] = 102;
   _jumpMap[853][Constant] = 101;
   _jumpMap[853][SignedFloat] = 100;
   _jumpMap[853][SignedInt] = 99;
   _jumpMap[853][Attribute] = 98;
   _jumpMap[853][Function] = 97;
   _jumpMap[853][CasePrepare] = 96;
   _jumpMap[853][CaseClause] = 95;
   _jumpMap[853][Factor] = 94;
   _jumpMap[853][Term] = 93;
   _jumpMap[853][Expr] = 860;
   _actionMap[854][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[854][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[854][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[854][EQU] = ActionEntry(SHIFT, 531);
}
void Cego::loadParser6()
{
   _actionMap[854][NEGATION] = ActionEntry(SHIFT, 534);
   _actionMap[854][LT] = ActionEntry(SHIFT, 532);
   _actionMap[854][MT] = ActionEntry(SHIFT, 533);
   _jumpMap[854][Comparison] = 861;
   _actionMap[855][KSEP] = ActionEntry(REDUCE, 234);
   _actionMap[855][HAVING] = ActionEntry(REDUCE, 234);
   _actionMap[855][ORDER] = ActionEntry(REDUCE, 234);
   _actionMap[855][ROWLIMIT] = ActionEntry(REDUCE, 234);
   _actionMap[855][UNION] = ActionEntry(REDUCE, 234);
   _actionMap[855][ENDTOKEN] = ActionEntry(REDUCE, 234);
   _actionMap[855][RB] = ActionEntry(REDUCE, 234);
   _actionMap[855][SEMICOLON] = ActionEntry(REDUCE, 234);
   _actionMap[856][AND] = ActionEntry(SHIFT, 535);
   _actionMap[856][OR] = ActionEntry(SHIFT, 536);
   _actionMap[856][LEFT] = ActionEntry(REDUCE, 219);
   _actionMap[856][RIGHT] = ActionEntry(REDUCE, 219);
   _actionMap[856][INNER] = ActionEntry(REDUCE, 219);
   _actionMap[856][JOIN] = ActionEntry(REDUCE, 219);
   _actionMap[856][RETURNTOKEN] = ActionEntry(REDUCE, 219);
   _actionMap[856][SEMICOLON] = ActionEntry(REDUCE, 219);
   _actionMap[856][RB] = ActionEntry(REDUCE, 219);
   _actionMap[856][ENDTOKEN] = ActionEntry(REDUCE, 219);
   _actionMap[856][UNION] = ActionEntry(REDUCE, 219);
   _actionMap[856][ROWLIMIT] = ActionEntry(REDUCE, 219);
   _actionMap[856][ORDER] = ActionEntry(REDUCE, 219);
   _actionMap[856][GROUP] = ActionEntry(REDUCE, 219);
   _actionMap[856][WHERE] = ActionEntry(REDUCE, 219);
   _actionMap[857][AND] = ActionEntry(SHIFT, 535);
   _actionMap[857][OR] = ActionEntry(SHIFT, 536);
   _actionMap[857][LEFT] = ActionEntry(REDUCE, 220);
   _actionMap[857][RIGHT] = ActionEntry(REDUCE, 220);
   _actionMap[857][INNER] = ActionEntry(REDUCE, 220);
   _actionMap[857][JOIN] = ActionEntry(REDUCE, 220);
   _actionMap[857][RETURNTOKEN] = ActionEntry(REDUCE, 220);
   _actionMap[857][SEMICOLON] = ActionEntry(REDUCE, 220);
   _actionMap[857][RB] = ActionEntry(REDUCE, 220);
   _actionMap[857][ENDTOKEN] = ActionEntry(REDUCE, 220);
   _actionMap[857][UNION] = ActionEntry(REDUCE, 220);
   _actionMap[857][ROWLIMIT] = ActionEntry(REDUCE, 220);
   _actionMap[857][ORDER] = ActionEntry(REDUCE, 220);
   _actionMap[857][GROUP] = ActionEntry(REDUCE, 220);
   _actionMap[857][WHERE] = ActionEntry(REDUCE, 220);
   _actionMap[823][RB] = ActionEntry(SHIFT, 846);
   _actionMap[824][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[824][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[824][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[824][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[824][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[824][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[824][ROUND] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser7()
{
   _actionMap[824][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[824][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[824][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[824][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[824][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[824][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[824][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[824][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[824][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[824][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[824][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[824][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[824][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[824][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[824][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[824][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[824][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[824][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[824][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[824][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[824][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[824][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[824][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[824][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[824][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[824][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[824][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[824][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[824][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[824][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[824][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[824][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[824][LB] = ActionEntry(SHIFT, 151);
   _actionMap[824][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[824][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[824][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[824][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[824][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[824][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[824][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[824][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[824][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[824][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[824][VARREF] = ActionEntry(SHIFT, 361);
   _actionMap[824][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[824][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[824][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[824][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[824][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[824][MAX] = ActionEntry(SHIFT, 129);
}
void Cego::loadParser8()
{
   _actionMap[824][IF] = ActionEntry(SHIFT, 355);
   _actionMap[824][BEGIN] = ActionEntry(SHIFT, 352);
   _actionMap[824][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[824][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[824][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[824][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[824][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[824][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[824][VAR] = ActionEntry(SHIFT, 359);
   _actionMap[824][CURSOR] = ActionEntry(SHIFT, 354);
   _actionMap[824][CLOSE] = ActionEntry(SHIFT, 353);
   _actionMap[824][NOOP] = ActionEntry(SHIFT, 356);
   _actionMap[824][THROW] = ActionEntry(SHIFT, 358);
   _actionMap[824][RETURNTOKEN] = ActionEntry(SHIFT, 357);
   _actionMap[824][WHILE] = ActionEntry(SHIFT, 360);
   _jumpMap[824][ObjSpec] = 102;
   _jumpMap[824][Constant] = 101;
   _jumpMap[824][SignedFloat] = 100;
   _jumpMap[824][SignedInt] = 99;
   _jumpMap[824][Attribute] = 98;
   _jumpMap[824][Function] = 97;
   _jumpMap[824][DeleteStatement] = 351;
   _jumpMap[824][UpdateStatement] = 350;
   _jumpMap[824][InsertStatement] = 349;
   _jumpMap[824][RollbackStatement] = 348;
   _jumpMap[824][CommitStatement] = 347;
   _jumpMap[824][StartStatement] = 346;
   _jumpMap[824][CasePrepare] = 96;
   _jumpMap[824][CaseClause] = 95;
   _jumpMap[824][Factor] = 94;
   _jumpMap[824][Term] = 93;
   _jumpMap[824][Expr] = 345;
   _jumpMap[824][ProcStatement] = 344;
   _jumpMap[824][ProcIfPart] = 343;
   _jumpMap[824][ProcBlockStart] = 342;
   _jumpMap[824][ProcStatementList] = 847;
   _actionMap[825][BEGIN] = ActionEntry(REDUCE, 340);
   _actionMap[825][EQU] = ActionEntry(REDUCE, 340);
   _actionMap[825][DEFAULT] = ActionEntry(REDUCE, 340);
   _actionMap[825][NULLTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[825][NOT] = ActionEntry(REDUCE, 340);
   _actionMap[825][KSEP] = ActionEntry(REDUCE, 340);
   _actionMap[825][SEMICOLON] = ActionEntry(REDUCE, 340);
   _actionMap[825][RB] = ActionEntry(REDUCE, 340);
   _actionMap[826][BEGIN] = ActionEntry(REDUCE, 345);
   _actionMap[826][EQU] = ActionEntry(REDUCE, 345);
   _actionMap[826][DEFAULT] = ActionEntry(REDUCE, 345);
   _actionMap[826][NULLTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[826][NOT] = ActionEntry(REDUCE, 345);
   _actionMap[826][KSEP] = ActionEntry(REDUCE, 345);
}
void Cego::loadParser9()
{
   _actionMap[826][SEMICOLON] = ActionEntry(REDUCE, 345);
   _actionMap[826][RB] = ActionEntry(REDUCE, 345);
   _actionMap[827][BEGIN] = ActionEntry(REDUCE, 346);
   _actionMap[827][EQU] = ActionEntry(REDUCE, 346);
   _actionMap[827][DEFAULT] = ActionEntry(REDUCE, 346);
   _actionMap[827][NULLTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[827][NOT] = ActionEntry(REDUCE, 346);
   _actionMap[827][KSEP] = ActionEntry(REDUCE, 346);
   _actionMap[827][SEMICOLON] = ActionEntry(REDUCE, 346);
   _actionMap[827][RB] = ActionEntry(REDUCE, 346);
   _actionMap[828][BEGIN] = ActionEntry(REDUCE, 337);
   _actionMap[828][EQU] = ActionEntry(REDUCE, 337);
   _actionMap[828][DEFAULT] = ActionEntry(REDUCE, 337);
   _actionMap[828][NULLTOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[828][NOT] = ActionEntry(REDUCE, 337);
   _actionMap[828][KSEP] = ActionEntry(REDUCE, 337);
   _actionMap[828][SEMICOLON] = ActionEntry(REDUCE, 337);
   _actionMap[828][RB] = ActionEntry(REDUCE, 337);
   _actionMap[829][SEMICOLON] = ActionEntry(REDUCE, 60);
   _actionMap[830][RB] = ActionEntry(REDUCE, 184);
   _actionMap[831][SEMICOLON] = ActionEntry(REDUCE, 178);
   _actionMap[831][KSEP] = ActionEntry(REDUCE, 178);
   _actionMap[831][RB] = ActionEntry(REDUCE, 178);
   _actionMap[832][LEFT] = ActionEntry(REDUCE, 326);
   _actionMap[832][RIGHT] = ActionEntry(REDUCE, 326);
   _actionMap[832][INNER] = ActionEntry(REDUCE, 326);
   _actionMap[832][JOIN] = ActionEntry(REDUCE, 326);
   _actionMap[832][RETURNTOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[832][SEMICOLON] = ActionEntry(REDUCE, 326);
   _actionMap[832][ENDTOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[832][UNION] = ActionEntry(REDUCE, 326);
   _actionMap[832][ROWLIMIT] = ActionEntry(REDUCE, 326);
   _actionMap[832][ORDER] = ActionEntry(REDUCE, 326);
   _actionMap[832][GROUP] = ActionEntry(REDUCE, 326);
   _actionMap[832][WHERE] = ActionEntry(REDUCE, 326);
   _actionMap[832][THEN] = ActionEntry(REDUCE, 326);
   _actionMap[832][AND] = ActionEntry(REDUCE, 326);
   _actionMap[832][OR] = ActionEntry(REDUCE, 326);
   _actionMap[832][RB] = ActionEntry(REDUCE, 326);
   _actionMap[833][SEMICOLON] = ActionEntry(REDUCE, 208);
   _actionMap[833][RB] = ActionEntry(REDUCE, 208);
   _actionMap[834][ALL] = ActionEntry(SHIFT, 848);
   _actionMap[835][UNION] = ActionEntry(REDUCE, 251);
   _actionMap[835][ENDTOKEN] = ActionEntry(REDUCE, 251);
   _actionMap[835][RB] = ActionEntry(REDUCE, 251);
   _actionMap[835][SEMICOLON] = ActionEntry(REDUCE, 251);
   _actionMap[836][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[836][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[836][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[836][ASC] = ActionEntry(SHIFT, 851);
}
void Cego::loadParser10()
{
   _actionMap[836][ROWLIMIT] = ActionEntry(REDUCE, 247);
   _actionMap[836][DESC] = ActionEntry(SHIFT, 852);
   _actionMap[836][UNION] = ActionEntry(REDUCE, 247);
   _actionMap[836][ENDTOKEN] = ActionEntry(REDUCE, 247);
   _actionMap[836][RB] = ActionEntry(REDUCE, 247);
   _actionMap[836][SEMICOLON] = ActionEntry(REDUCE, 247);
   _actionMap[836][KSEP] = ActionEntry(REDUCE, 247);
   _jumpMap[836][DefaultOrderOpt] = 850;
   _jumpMap[836][OrderingOpt] = 849;
   _actionMap[837][KSEP] = ActionEntry(SHIFT, 853);
   _actionMap[837][ROWLIMIT] = ActionEntry(REDUCE, 239);
   _actionMap[837][UNION] = ActionEntry(REDUCE, 239);
   _actionMap[837][ENDTOKEN] = ActionEntry(REDUCE, 239);
   _actionMap[837][RB] = ActionEntry(REDUCE, 239);
   _actionMap[837][SEMICOLON] = ActionEntry(REDUCE, 239);
   _actionMap[838][ORDER] = ActionEntry(REDUCE, 231);
   _actionMap[838][ROWLIMIT] = ActionEntry(REDUCE, 231);
   _actionMap[838][UNION] = ActionEntry(REDUCE, 231);
   _actionMap[838][ENDTOKEN] = ActionEntry(REDUCE, 231);
   _actionMap[838][RB] = ActionEntry(REDUCE, 231);
   _actionMap[838][SEMICOLON] = ActionEntry(REDUCE, 231);
   _actionMap[839][ORDER] = ActionEntry(REDUCE, 237);
   _actionMap[839][ROWLIMIT] = ActionEntry(REDUCE, 237);
   _actionMap[839][UNION] = ActionEntry(REDUCE, 237);
   _actionMap[839][ENDTOKEN] = ActionEntry(REDUCE, 237);
   _actionMap[839][RB] = ActionEntry(REDUCE, 237);
   _actionMap[839][SEMICOLON] = ActionEntry(REDUCE, 237);
   _actionMap[840][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[840][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[840][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[840][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[840][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[840][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[840][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[840][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[840][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[840][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[840][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[840][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[840][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[840][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[840][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[840][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[840][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[840][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[840][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[840][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[840][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[840][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[840][STR2DATE] = ActionEntry(SHIFT, 146);
}
void Cego::loadParser11()
{
   _actionMap[840][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[840][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[840][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[840][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[840][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[840][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[840][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[840][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[840][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[840][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[840][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[840][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[840][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[840][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[840][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[840][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[840][LB] = ActionEntry(SHIFT, 151);
   _actionMap[840][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[840][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[840][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[840][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[840][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[840][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[840][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[840][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[840][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[840][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[840][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[840][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[840][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[840][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[840][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[840][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[840][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[840][ObjSpec] = 102;
   _jumpMap[840][Constant] = 101;
   _jumpMap[840][SignedFloat] = 100;
   _jumpMap[840][SignedInt] = 99;
   _jumpMap[840][Attribute] = 98;
   _jumpMap[840][Function] = 97;
   _jumpMap[840][CasePrepare] = 96;
   _jumpMap[840][CaseClause] = 95;
   _jumpMap[840][Factor] = 94;
   _jumpMap[840][Term] = 93;
   _jumpMap[840][Expr] = 854;
   _actionMap[841][IDENTIFIER] = ActionEntry(SHIFT, 816);
   _actionMap[841][QUALIFIEDOBJ] = ActionEntry(SHIFT, 817);
   _actionMap[841][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _jumpMap[841][Attribute] = 855;
   _actionMap[842][FLOATVAL] = ActionEntry(SHIFT, 154);
}
void Cego::loadParser12()
{
   _actionMap[842][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[842][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[842][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[842][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[842][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[842][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[842][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[842][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[842][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[842][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[842][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[842][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[842][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[842][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[842][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[842][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[842][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[842][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[842][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[842][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[842][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[842][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[842][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[842][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[842][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[842][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[842][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[842][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[842][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[842][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[842][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[842][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[842][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[842][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[842][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[842][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[842][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[842][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[842][LB] = ActionEntry(SHIFT, 391);
   _actionMap[842][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[842][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[842][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[842][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[842][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[842][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[842][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[842][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[842][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[842][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[842][VARREF] = ActionEntry(SHIFT, 156);
}
void Cego::loadParser13()
{
   _actionMap[842][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[842][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[842][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[842][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[842][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[842][MAX] = ActionEntry(SHIFT, 129);
   _actionMap[842][EXISTS] = ActionEntry(SHIFT, 389);
   _actionMap[842][NOT] = ActionEntry(SHIFT, 390);
   _jumpMap[842][ObjSpec] = 102;
   _jumpMap[842][Constant] = 101;
   _jumpMap[842][SignedFloat] = 100;
   _jumpMap[842][SignedInt] = 99;
   _jumpMap[842][Attribute] = 98;
   _jumpMap[842][QueryPredicate] = 388;
   _jumpMap[842][QueryCondition] = 856;
   _jumpMap[842][Function] = 97;
   _jumpMap[842][CasePrepare] = 96;
   _jumpMap[842][CaseClause] = 95;
   _jumpMap[842][Factor] = 94;
   _jumpMap[842][Term] = 93;
   _jumpMap[842][Expr] = 386;
   _actionMap[843][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[843][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[843][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[843][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[843][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[843][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[843][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[843][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[843][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[843][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[843][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[843][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[843][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[843][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[843][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[843][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[843][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[843][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[843][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[843][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[843][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[843][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[843][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[843][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[843][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[843][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[843][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[843][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[843][BITAND] = ActionEntry(SHIFT, 105);
}
void Cego::loadParser14()
{
   _actionMap[843][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[843][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[843][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[843][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[843][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[843][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[843][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[843][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[843][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[843][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[843][LB] = ActionEntry(SHIFT, 391);
   _actionMap[843][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[843][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[843][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[843][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[843][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[843][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[843][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[843][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[843][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[843][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[843][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[843][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[843][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[843][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[843][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[843][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[843][MAX] = ActionEntry(SHIFT, 129);
   _actionMap[843][EXISTS] = ActionEntry(SHIFT, 389);
   _actionMap[843][NOT] = ActionEntry(SHIFT, 390);
   _jumpMap[843][ObjSpec] = 102;
   _jumpMap[843][Constant] = 101;
   _jumpMap[843][SignedFloat] = 100;
   _jumpMap[843][SignedInt] = 99;
   _jumpMap[843][Attribute] = 98;
   _jumpMap[843][QueryPredicate] = 388;
   _jumpMap[843][QueryCondition] = 857;
   _jumpMap[843][Function] = 97;
   _jumpMap[843][CasePrepare] = 96;
   _jumpMap[843][CaseClause] = 95;
   _jumpMap[843][Factor] = 94;
   _jumpMap[843][Term] = 93;
   _jumpMap[843][Expr] = 386;
   _actionMap[844][SEMICOLON] = ActionEntry(REDUCE, 260);
   _actionMap[844][KSEP] = ActionEntry(REDUCE, 260);
   _actionMap[845][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[845][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[845][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[845][SEMICOLON] = ActionEntry(REDUCE, 262);
   _actionMap[845][KSEP] = ActionEntry(REDUCE, 262);
}
void Cego::loadParser15()
{
   _actionMap[782][AND] = ActionEntry(SHIFT, 535);
   _actionMap[782][OR] = ActionEntry(SHIFT, 536);
   _actionMap[782][SEMICOLON] = ActionEntry(REDUCE, 71);
   _actionMap[783][IDENTIFIER] = ActionEntry(SHIFT, 748);
   _jumpMap[783][SimpleAttr] = 747;
   _jumpMap[783][SimpleAttrList] = 823;
   _actionMap[784][SEMICOLON] = ActionEntry(REDUCE, 272);
   _actionMap[784][KSEP] = ActionEntry(REDUCE, 272);
   _actionMap[785][LONG] = ActionEntry(SHIFT, 292);
   _actionMap[785][BIGINT] = ActionEntry(SHIFT, 288);
   _actionMap[785][SMALLINT] = ActionEntry(SHIFT, 293);
   _actionMap[785][TINYINT] = ActionEntry(SHIFT, 294);
   _actionMap[785][DOUBLE] = ActionEntry(SHIFT, 290);
   _actionMap[785][DECIMAL] = ActionEntry(SHIFT, 289);
   _actionMap[785][FIXED] = ActionEntry(SHIFT, 291);
   _actionMap[786][SEMICOLON] = ActionEntry(REDUCE, 273);
   _actionMap[786][KSEP] = ActionEntry(REDUCE, 273);
   _actionMap[787][THEN] = ActionEntry(SHIFT, 824);
   _actionMap[788][THEN] = ActionEntry(REDUCE, 124);
   _actionMap[789][END_TOKEN] = ActionEntry(REDUCE, 129);
   _actionMap[789][ELSE] = ActionEntry(REDUCE, 129);
   _actionMap[789][ELSIF] = ActionEntry(REDUCE, 129);
   _actionMap[790][BEGIN] = ActionEntry(REDUCE, 143);
   _actionMap[790][THEN] = ActionEntry(REDUCE, 143);
   _actionMap[790][OR] = ActionEntry(REDUCE, 143);
   _actionMap[790][AND] = ActionEntry(REDUCE, 143);
   _actionMap[790][RB] = ActionEntry(REDUCE, 143);
   _actionMap[791][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[791][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[791][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[791][SEMICOLON] = ActionEntry(REDUCE, 103);
   _actionMap[792][RB] = ActionEntry(SHIFT, 825);
   _actionMap[793][RB] = ActionEntry(SHIFT, 826);
   _actionMap[794][RB] = ActionEntry(SHIFT, 827);
   _actionMap[795][RB] = ActionEntry(SHIFT, 828);
   _actionMap[796][SEMICOLON] = ActionEntry(REDUCE, 135);
   _actionMap[797][RB] = ActionEntry(SHIFT, 829);
   _actionMap[798][SEMICOLON] = ActionEntry(REDUCE, 59);
   _actionMap[799][IDENTIFIER] = ActionEntry(SHIFT, 748);
   _jumpMap[799][SimpleAttr] = 747;
   _jumpMap[799][SimpleAttrList] = 830;
   _actionMap[800][SEMICOLON] = ActionEntry(REDUCE, 176);
   _actionMap[800][KSEP] = ActionEntry(REDUCE, 176);
   _actionMap[800][RB] = ActionEntry(REDUCE, 176);
   _actionMap[801][SEMICOLON] = ActionEntry(REDUCE, 179);
   _actionMap[801][KSEP] = ActionEntry(REDUCE, 179);
   _actionMap[801][RB] = ActionEntry(REDUCE, 179);
   _actionMap[802][NULLTOKEN] = ActionEntry(SHIFT, 831);
   _actionMap[803][SEMICOLON] = ActionEntry(REDUCE, 177);
   _actionMap[803][KSEP] = ActionEntry(REDUCE, 177);
}
void Cego::loadParser16()
{
   _actionMap[803][RB] = ActionEntry(REDUCE, 177);
   _actionMap[804][NULLTOKEN] = ActionEntry(REDUCE, 181);
   _actionMap[804][NOT] = ActionEntry(REDUCE, 181);
   _actionMap[804][KSEP] = ActionEntry(REDUCE, 181);
   _actionMap[804][SEMICOLON] = ActionEntry(REDUCE, 181);
   _actionMap[804][RB] = ActionEntry(REDUCE, 181);
   _actionMap[805][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[805][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[805][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[805][KSEP] = ActionEntry(REDUCE, 206);
   _actionMap[805][RB] = ActionEntry(REDUCE, 206);
   _actionMap[806][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[806][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[806][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[806][LEFT] = ActionEntry(REDUCE, 328);
   _actionMap[806][RIGHT] = ActionEntry(REDUCE, 328);
   _actionMap[806][INNER] = ActionEntry(REDUCE, 328);
   _actionMap[806][JOIN] = ActionEntry(REDUCE, 328);
   _actionMap[806][RETURNTOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[806][SEMICOLON] = ActionEntry(REDUCE, 328);
   _actionMap[806][ENDTOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[806][UNION] = ActionEntry(REDUCE, 328);
   _actionMap[806][ROWLIMIT] = ActionEntry(REDUCE, 328);
   _actionMap[806][ORDER] = ActionEntry(REDUCE, 328);
   _actionMap[806][GROUP] = ActionEntry(REDUCE, 328);
   _actionMap[806][WHERE] = ActionEntry(REDUCE, 328);
   _actionMap[806][THEN] = ActionEntry(REDUCE, 328);
   _actionMap[806][AND] = ActionEntry(REDUCE, 328);
   _actionMap[806][OR] = ActionEntry(REDUCE, 328);
   _actionMap[806][RB] = ActionEntry(REDUCE, 328);
   _actionMap[807][LEFT] = ActionEntry(REDUCE, 325);
   _actionMap[807][RIGHT] = ActionEntry(REDUCE, 325);
   _actionMap[807][INNER] = ActionEntry(REDUCE, 325);
   _actionMap[807][JOIN] = ActionEntry(REDUCE, 325);
   _actionMap[807][RETURNTOKEN] = ActionEntry(REDUCE, 325);
   _actionMap[807][SEMICOLON] = ActionEntry(REDUCE, 325);
   _actionMap[807][ENDTOKEN] = ActionEntry(REDUCE, 325);
   _actionMap[807][UNION] = ActionEntry(REDUCE, 325);
   _actionMap[807][ROWLIMIT] = ActionEntry(REDUCE, 325);
   _actionMap[807][ORDER] = ActionEntry(REDUCE, 325);
   _actionMap[807][GROUP] = ActionEntry(REDUCE, 325);
   _actionMap[807][WHERE] = ActionEntry(REDUCE, 325);
   _actionMap[807][THEN] = ActionEntry(REDUCE, 325);
   _actionMap[807][AND] = ActionEntry(REDUCE, 325);
   _actionMap[807][OR] = ActionEntry(REDUCE, 325);
   _actionMap[807][RB] = ActionEntry(REDUCE, 325);
   _actionMap[808][RB] = ActionEntry(SHIFT, 832);
   _actionMap[809][KSEP] = ActionEntry(REDUCE, 170);
   _actionMap[809][RB] = ActionEntry(REDUCE, 170);
   _actionMap[810][UNION] = ActionEntry(SHIFT, 834);
}
void Cego::loadParser17()
{
   _actionMap[810][SEMICOLON] = ActionEntry(REDUCE, 83);
   _actionMap[810][RB] = ActionEntry(REDUCE, 83);
   _jumpMap[810][UnionAllOpt] = 833;
   _actionMap[811][UNION] = ActionEntry(REDUCE, 252);
   _actionMap[811][ENDTOKEN] = ActionEntry(REDUCE, 252);
   _actionMap[811][RB] = ActionEntry(REDUCE, 252);
   _actionMap[811][SEMICOLON] = ActionEntry(REDUCE, 252);
   _actionMap[812][INTVAL] = ActionEntry(SHIFT, 835);
   _actionMap[813][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[813][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[813][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[813][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[813][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[813][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[813][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[813][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[813][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[813][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[813][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[813][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[813][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[813][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[813][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[813][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[813][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[813][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[813][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[813][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[813][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[813][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[813][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[813][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[813][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[813][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[813][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[813][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[813][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[813][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[813][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[813][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[813][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[813][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[813][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[813][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[813][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[813][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[813][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[813][LB] = ActionEntry(SHIFT, 151);
   _actionMap[813][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[813][DATE] = ActionEntry(SHIFT, 115);
}
void Cego::loadParser18()
{
   _actionMap[813][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[813][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[813][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[813][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[813][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[813][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[813][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[813][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[813][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[813][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[813][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[813][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[813][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[813][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[813][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[813][ObjSpec] = 102;
   _jumpMap[813][Constant] = 101;
   _jumpMap[813][SignedFloat] = 100;
   _jumpMap[813][SignedInt] = 99;
   _jumpMap[813][Attribute] = 98;
   _jumpMap[813][Function] = 97;
   _jumpMap[813][OrderingList] = 837;
   _jumpMap[813][CasePrepare] = 96;
   _jumpMap[813][CaseClause] = 95;
   _jumpMap[813][Factor] = 94;
   _jumpMap[813][Term] = 93;
   _jumpMap[813][Expr] = 836;
   _actionMap[814][KSEP] = ActionEntry(SHIFT, 841);
   _actionMap[814][ORDER] = ActionEntry(REDUCE, 238);
   _actionMap[814][HAVING] = ActionEntry(SHIFT, 840);
   _actionMap[814][ROWLIMIT] = ActionEntry(REDUCE, 238);
   _actionMap[814][UNION] = ActionEntry(REDUCE, 238);
   _actionMap[814][ENDTOKEN] = ActionEntry(REDUCE, 238);
   _actionMap[814][RB] = ActionEntry(REDUCE, 238);
   _actionMap[814][SEMICOLON] = ActionEntry(REDUCE, 238);
   _jumpMap[814][NoHaving] = 839;
   _jumpMap[814][HavingClause] = 838;
   _actionMap[815][KSEP] = ActionEntry(REDUCE, 235);
   _actionMap[815][HAVING] = ActionEntry(REDUCE, 235);
   _actionMap[815][ORDER] = ActionEntry(REDUCE, 235);
   _actionMap[815][ROWLIMIT] = ActionEntry(REDUCE, 235);
   _actionMap[815][UNION] = ActionEntry(REDUCE, 235);
   _actionMap[815][ENDTOKEN] = ActionEntry(REDUCE, 235);
   _actionMap[815][RB] = ActionEntry(REDUCE, 235);
   _actionMap[815][SEMICOLON] = ActionEntry(REDUCE, 235);
   _actionMap[816][KSEP] = ActionEntry(REDUCE, 355);
   _actionMap[816][HAVING] = ActionEntry(REDUCE, 355);
   _actionMap[816][ORDER] = ActionEntry(REDUCE, 355);
   _actionMap[816][ROWLIMIT] = ActionEntry(REDUCE, 355);
   _actionMap[816][UNION] = ActionEntry(REDUCE, 355);
}
void Cego::loadParser19()
{
   _actionMap[816][ENDTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[816][RB] = ActionEntry(REDUCE, 355);
   _actionMap[816][SEMICOLON] = ActionEntry(REDUCE, 355);
   _actionMap[817][KSEP] = ActionEntry(REDUCE, 356);
   _actionMap[817][HAVING] = ActionEntry(REDUCE, 356);
   _actionMap[817][ORDER] = ActionEntry(REDUCE, 356);
   _actionMap[817][ROWLIMIT] = ActionEntry(REDUCE, 356);
   _actionMap[817][UNION] = ActionEntry(REDUCE, 356);
   _actionMap[817][ENDTOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[817][RB] = ActionEntry(REDUCE, 356);
   _actionMap[817][SEMICOLON] = ActionEntry(REDUCE, 356);
   _actionMap[818][AND] = ActionEntry(SHIFT, 535);
   _actionMap[818][OR] = ActionEntry(SHIFT, 536);
   _actionMap[818][LEFT] = ActionEntry(REDUCE, 218);
   _actionMap[818][RIGHT] = ActionEntry(REDUCE, 218);
   _actionMap[818][INNER] = ActionEntry(REDUCE, 218);
   _actionMap[818][JOIN] = ActionEntry(REDUCE, 218);
   _actionMap[818][RETURNTOKEN] = ActionEntry(REDUCE, 218);
   _actionMap[818][SEMICOLON] = ActionEntry(REDUCE, 218);
   _actionMap[818][RB] = ActionEntry(REDUCE, 218);
   _actionMap[818][ENDTOKEN] = ActionEntry(REDUCE, 218);
   _actionMap[818][UNION] = ActionEntry(REDUCE, 218);
   _actionMap[818][ROWLIMIT] = ActionEntry(REDUCE, 218);
   _actionMap[818][ORDER] = ActionEntry(REDUCE, 218);
   _actionMap[818][GROUP] = ActionEntry(REDUCE, 218);
   _actionMap[818][WHERE] = ActionEntry(REDUCE, 218);
   _actionMap[819][ON] = ActionEntry(SHIFT, 776);
   _jumpMap[819][JoinTableOn] = 842;
   _actionMap[820][ON] = ActionEntry(SHIFT, 776);
   _jumpMap[820][JoinTableOn] = 843;
   _actionMap[821][VARREF] = ActionEntry(SHIFT, 781);
   _jumpMap[821][ReturnVar] = 844;
   _actionMap[822][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[822][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[822][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[822][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[822][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[822][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[822][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[822][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[822][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[822][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[822][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[822][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[822][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[822][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[822][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[822][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[822][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[822][REPLACE] = ActionEntry(SHIFT, 136);
}
void Cego::loadParser20()
{
   _actionMap[822][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[822][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[822][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[822][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[822][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[822][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[822][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[822][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[822][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[822][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[822][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[822][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[822][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[822][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[822][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[822][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[822][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[822][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[822][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[822][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[822][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[822][LB] = ActionEntry(SHIFT, 151);
   _actionMap[822][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[822][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[822][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[822][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[822][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[822][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[822][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[822][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[822][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[822][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[822][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[822][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[822][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[822][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[822][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[822][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[822][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[822][ObjSpec] = 102;
   _jumpMap[822][Constant] = 101;
   _jumpMap[822][SignedFloat] = 100;
   _jumpMap[822][SignedInt] = 99;
   _jumpMap[822][Attribute] = 98;
   _jumpMap[822][Function] = 97;
   _jumpMap[822][CasePrepare] = 96;
   _jumpMap[822][CaseClause] = 95;
   _jumpMap[822][Factor] = 94;
   _jumpMap[822][Term] = 93;
   _jumpMap[822][Expr] = 845;
}
void Cego::loadParser21()
{
   _actionMap[721][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[721][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[721][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[721][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[721][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[721][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[721][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[721][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[721][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[721][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[721][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[721][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[721][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[721][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[721][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[721][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[721][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[721][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[721][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[721][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[721][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[721][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[721][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[721][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[721][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[721][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[721][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[721][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[721][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[721][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[721][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[721][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[721][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[721][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[721][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[721][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[721][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[721][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[721][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[721][LB] = ActionEntry(SHIFT, 391);
   _actionMap[721][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[721][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[721][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[721][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[721][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[721][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[721][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[721][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[721][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[721][CASE] = ActionEntry(SHIFT, 110);
}
void Cego::loadParser22()
{
   _actionMap[721][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[721][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[721][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[721][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[721][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[721][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[721][MAX] = ActionEntry(SHIFT, 129);
   _actionMap[721][EXISTS] = ActionEntry(SHIFT, 389);
   _actionMap[721][NOT] = ActionEntry(SHIFT, 390);
   _jumpMap[721][ObjSpec] = 102;
   _jumpMap[721][Constant] = 101;
   _jumpMap[721][SignedFloat] = 100;
   _jumpMap[721][SignedInt] = 99;
   _jumpMap[721][Attribute] = 98;
   _jumpMap[721][QueryPredicate] = 388;
   _jumpMap[721][QueryCondition] = 782;
   _jumpMap[721][Function] = 97;
   _jumpMap[721][CasePrepare] = 96;
   _jumpMap[721][CaseClause] = 95;
   _jumpMap[721][Factor] = 94;
   _jumpMap[721][Term] = 93;
   _jumpMap[721][Expr] = 386;
   _actionMap[722][LB] = ActionEntry(SHIFT, 783);
   _actionMap[723][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[723][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[723][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[723][LB] = ActionEntry(SHIFT, 785);
   _actionMap[723][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[723][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[723][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[723][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[723][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[723][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[723][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[723][CLOB] = ActionEntry(SHIFT, 111);
   _jumpMap[723][Constant] = 784;
   _jumpMap[723][SignedFloat] = 100;
   _jumpMap[723][SignedInt] = 99;
   _actionMap[724][IDENTIFIER] = ActionEntry(SHIFT, 786);
   _actionMap[725][SEMICOLON] = ActionEntry(REDUCE, 30);
   _actionMap[726][IDENTIFIER] = ActionEntry(SHIFT, 788);
   _jumpMap[726][ProcExceptionType] = 787;
   _actionMap[727][END_TOKEN] = ActionEntry(REDUCE, 130);
   _actionMap[728][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[728][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[728][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[728][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[728][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[728][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[728][ROUND] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser23()
{
   _actionMap[728][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[728][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[728][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[728][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[728][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[728][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[728][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[728][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[728][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[728][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[728][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[728][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[728][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[728][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[728][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[728][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[728][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[728][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[728][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[728][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[728][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[728][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[728][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[728][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[728][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[728][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[728][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[728][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[728][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[728][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[728][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[728][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[728][LB] = ActionEntry(SHIFT, 151);
   _actionMap[728][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[728][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[728][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[728][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[728][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[728][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[728][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[728][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[728][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[728][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[728][VARREF] = ActionEntry(SHIFT, 361);
   _actionMap[728][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[728][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[728][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[728][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[728][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[728][MAX] = ActionEntry(SHIFT, 129);
}
void Cego::loadParser24()
{
   _actionMap[728][IF] = ActionEntry(SHIFT, 355);
   _actionMap[728][BEGIN] = ActionEntry(SHIFT, 352);
   _actionMap[728][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[728][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[728][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[728][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[728][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[728][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[728][VAR] = ActionEntry(SHIFT, 359);
   _actionMap[728][CURSOR] = ActionEntry(SHIFT, 354);
   _actionMap[728][CLOSE] = ActionEntry(SHIFT, 353);
   _actionMap[728][NOOP] = ActionEntry(SHIFT, 356);
   _actionMap[728][THROW] = ActionEntry(SHIFT, 358);
   _actionMap[728][RETURNTOKEN] = ActionEntry(SHIFT, 357);
   _actionMap[728][WHILE] = ActionEntry(SHIFT, 360);
   _jumpMap[728][ObjSpec] = 102;
   _jumpMap[728][Constant] = 101;
   _jumpMap[728][SignedFloat] = 100;
   _jumpMap[728][SignedInt] = 99;
   _jumpMap[728][Attribute] = 98;
   _jumpMap[728][Function] = 97;
   _jumpMap[728][DeleteStatement] = 351;
   _jumpMap[728][UpdateStatement] = 350;
   _jumpMap[728][InsertStatement] = 349;
   _jumpMap[728][RollbackStatement] = 348;
   _jumpMap[728][CommitStatement] = 347;
   _jumpMap[728][StartStatement] = 346;
   _jumpMap[728][CasePrepare] = 96;
   _jumpMap[728][CaseClause] = 95;
   _jumpMap[728][Factor] = 94;
   _jumpMap[728][Term] = 93;
   _jumpMap[728][Expr] = 345;
   _jumpMap[728][ProcStatement] = 344;
   _jumpMap[728][ProcIfPart] = 343;
   _jumpMap[728][ProcBlockStart] = 342;
   _jumpMap[728][ProcStatementList] = 341;
   _jumpMap[728][ProcStmtBlock] = 789;
   _actionMap[729][SEMICOLON] = ActionEntry(REDUCE, 98);
   _actionMap[730][END_TOKEN] = ActionEntry(REDUCE, 126);
   _actionMap[730][ELSE] = ActionEntry(REDUCE, 126);
   _actionMap[730][ELSIF] = ActionEntry(REDUCE, 126);
   _actionMap[731][BEGIN] = ActionEntry(REDUCE, 138);
   _actionMap[731][RB] = ActionEntry(REDUCE, 138);
   _actionMap[731][AND] = ActionEntry(REDUCE, 138);
   _actionMap[731][OR] = ActionEntry(REDUCE, 138);
   _actionMap[731][THEN] = ActionEntry(REDUCE, 138);
   _actionMap[732][BEGIN] = ActionEntry(REDUCE, 137);
   _actionMap[732][RB] = ActionEntry(REDUCE, 137);
   _actionMap[732][AND] = ActionEntry(REDUCE, 137);
   _actionMap[732][OR] = ActionEntry(REDUCE, 137);
}
void Cego::loadParser25()
{
   _actionMap[732][THEN] = ActionEntry(REDUCE, 137);
   _actionMap[733][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[733][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[733][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[733][BEGIN] = ActionEntry(REDUCE, 141);
   _actionMap[733][THEN] = ActionEntry(REDUCE, 141);
   _actionMap[733][OR] = ActionEntry(REDUCE, 141);
   _actionMap[733][AND] = ActionEntry(REDUCE, 141);
   _actionMap[733][RB] = ActionEntry(REDUCE, 141);
   _actionMap[734][NULLTOKEN] = ActionEntry(SHIFT, 790);
   _actionMap[735][BEGIN] = ActionEntry(REDUCE, 142);
   _actionMap[735][THEN] = ActionEntry(REDUCE, 142);
   _actionMap[735][OR] = ActionEntry(REDUCE, 142);
   _actionMap[735][AND] = ActionEntry(REDUCE, 142);
   _actionMap[735][RB] = ActionEntry(REDUCE, 142);
   _actionMap[736][BEGIN] = ActionEntry(REDUCE, 140);
   _actionMap[736][RB] = ActionEntry(REDUCE, 140);
   _actionMap[736][AND] = ActionEntry(REDUCE, 140);
   _actionMap[736][OR] = ActionEntry(REDUCE, 140);
   _actionMap[736][THEN] = ActionEntry(REDUCE, 140);
   _actionMap[737][SEMICOLON] = ActionEntry(REDUCE, 97);
   _actionMap[738][SEMICOLON] = ActionEntry(REDUCE, 104);
   _actionMap[739][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[739][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[739][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[739][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[739][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[739][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[739][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[739][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[739][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[739][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[739][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[739][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[739][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[739][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[739][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[739][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[739][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[739][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[739][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[739][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[739][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[739][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[739][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[739][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[739][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[739][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[739][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[739][POWER] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser26()
{
   _actionMap[739][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[739][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[739][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[739][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[739][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[739][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[739][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[739][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[739][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[739][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[739][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[739][LB] = ActionEntry(SHIFT, 151);
   _actionMap[739][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[739][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[739][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[739][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[739][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[739][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[739][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[739][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[739][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[739][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[739][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[739][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[739][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[739][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[739][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[739][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[739][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[739][ObjSpec] = 102;
   _jumpMap[739][Constant] = 101;
   _jumpMap[739][SignedFloat] = 100;
   _jumpMap[739][SignedInt] = 99;
   _jumpMap[739][Attribute] = 98;
   _jumpMap[739][Function] = 97;
   _jumpMap[739][CasePrepare] = 96;
   _jumpMap[739][CaseClause] = 95;
   _jumpMap[739][Factor] = 94;
   _jumpMap[739][Term] = 93;
   _jumpMap[739][Expr] = 791;
   _actionMap[740][INTVAL] = ActionEntry(SHIFT, 792);
   _actionMap[741][INTVAL] = ActionEntry(SHIFT, 793);
   _actionMap[742][INTVAL] = ActionEntry(SHIFT, 794);
   _actionMap[743][INTVAL] = ActionEntry(SHIFT, 795);
   _actionMap[744][END_TOKEN] = ActionEntry(SHIFT, 796);
   _actionMap[745][IDENTIFIER] = ActionEntry(SHIFT, 748);
   _jumpMap[745][SimpleAttr] = 747;
   _jumpMap[745][SimpleAttrList] = 797;
   _actionMap[746][RB] = ActionEntry(SHIFT, 798);
   _actionMap[747][KSEP] = ActionEntry(SHIFT, 799);
}
void Cego::loadParser27()
{
   _actionMap[747][RB] = ActionEntry(REDUCE, 185);
   _actionMap[748][RB] = ActionEntry(REDUCE, 186);
   _actionMap[748][KSEP] = ActionEntry(REDUCE, 186);
   _actionMap[749][KSEP] = ActionEntry(REDUCE, 90);
   _actionMap[749][RB] = ActionEntry(REDUCE, 90);
   _actionMap[750][BEGIN] = ActionEntry(REDUCE, 86);
   _actionMap[751][KSEP] = ActionEntry(REDUCE, 92);
   _actionMap[751][RB] = ActionEntry(REDUCE, 92);
   _actionMap[752][KSEP] = ActionEntry(REDUCE, 93);
   _actionMap[752][RB] = ActionEntry(REDUCE, 93);
   _actionMap[753][KSEP] = ActionEntry(REDUCE, 172);
   _actionMap[753][RB] = ActionEntry(REDUCE, 172);
   _actionMap[754][SEMICOLON] = ActionEntry(REDUCE, 180);
   _actionMap[754][NULLTOKEN] = ActionEntry(SHIFT, 803);
   _actionMap[754][NOT] = ActionEntry(SHIFT, 802);
   _actionMap[754][KSEP] = ActionEntry(REDUCE, 180);
   _actionMap[754][RB] = ActionEntry(REDUCE, 180);
   _jumpMap[754][DefaultNullOpt] = 801;
   _jumpMap[754][NullOpt] = 800;
   _actionMap[755][NULLTOKEN] = ActionEntry(REDUCE, 182);
   _actionMap[755][NOT] = ActionEntry(REDUCE, 182);
   _actionMap[755][KSEP] = ActionEntry(REDUCE, 182);
   _actionMap[755][SEMICOLON] = ActionEntry(REDUCE, 182);
   _actionMap[755][RB] = ActionEntry(REDUCE, 182);
   _actionMap[756][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[756][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[756][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[756][LB] = ActionEntry(SHIFT, 785);
   _actionMap[756][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[756][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[756][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[756][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[756][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[756][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[756][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[756][CLOB] = ActionEntry(SHIFT, 111);
   _jumpMap[756][Constant] = 804;
   _jumpMap[756][SignedFloat] = 100;
   _jumpMap[756][SignedInt] = 99;
   _actionMap[757][SEMICOLON] = ActionEntry(REDUCE, 201);
   _actionMap[757][KSEP] = ActionEntry(REDUCE, 201);
   _actionMap[758][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[758][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[758][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[758][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[758][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[758][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[758][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[758][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[758][DATE2INT] = ActionEntry(SHIFT, 117);
}
void Cego::loadParser28()
{
   _actionMap[758][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[758][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[758][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[758][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[758][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[758][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[758][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[758][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[758][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[758][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[758][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[758][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[758][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[758][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[758][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[758][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[758][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[758][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[758][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[758][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[758][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[758][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[758][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[758][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[758][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[758][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[758][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[758][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[758][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[758][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[758][LB] = ActionEntry(SHIFT, 151);
   _actionMap[758][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[758][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[758][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[758][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[758][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[758][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[758][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[758][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[758][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[758][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[758][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[758][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[758][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[758][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[758][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[758][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[758][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[758][ObjSpec] = 102;
   _jumpMap[758][Constant] = 101;
}
void Cego::loadParser29()
{
   _jumpMap[758][SignedFloat] = 100;
   _jumpMap[758][SignedInt] = 99;
   _jumpMap[758][Attribute] = 98;
   _jumpMap[758][Function] = 97;
   _jumpMap[758][CasePrepare] = 96;
   _jumpMap[758][CaseClause] = 95;
   _jumpMap[758][Factor] = 94;
   _jumpMap[758][Term] = 93;
   _jumpMap[758][Expr] = 805;
   _actionMap[759][SEMICOLON] = ActionEntry(REDUCE, 203);
   _actionMap[759][KSEP] = ActionEntry(REDUCE, 203);
   _actionMap[760][KSEP] = ActionEntry(REDUCE, 204);
   _actionMap[760][RB] = ActionEntry(REDUCE, 204);
   _actionMap[761][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[761][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[761][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[761][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[761][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[761][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[761][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[761][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[761][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[761][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[761][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[761][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[761][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[761][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[761][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[761][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[761][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[761][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[761][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[761][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[761][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[761][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[761][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[761][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[761][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[761][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[761][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[761][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[761][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[761][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[761][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[761][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[761][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[761][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[761][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[761][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[761][IDENTIFIER] = ActionEntry(SHIFT, 155);
}
void Cego::loadParser30()
{
   _actionMap[761][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[761][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[761][LB] = ActionEntry(SHIFT, 151);
   _actionMap[761][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[761][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[761][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[761][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[761][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[761][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[761][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[761][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[761][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[761][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[761][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[761][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[761][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[761][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[761][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[761][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[761][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[761][ObjSpec] = 102;
   _jumpMap[761][Constant] = 101;
   _jumpMap[761][SignedFloat] = 100;
   _jumpMap[761][SignedInt] = 99;
   _jumpMap[761][Attribute] = 98;
   _jumpMap[761][Function] = 97;
   _jumpMap[761][CasePrepare] = 96;
   _jumpMap[761][CaseClause] = 95;
   _jumpMap[761][Factor] = 94;
   _jumpMap[761][Term] = 93;
   _jumpMap[761][Expr] = 806;
   _actionMap[762][RB] = ActionEntry(SHIFT, 807);
   _actionMap[763][LEFT] = ActionEntry(REDUCE, 330);
   _actionMap[763][RIGHT] = ActionEntry(REDUCE, 330);
   _actionMap[763][INNER] = ActionEntry(REDUCE, 330);
   _actionMap[763][JOIN] = ActionEntry(REDUCE, 330);
   _actionMap[763][RETURNTOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[763][SEMICOLON] = ActionEntry(REDUCE, 330);
   _actionMap[763][ENDTOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[763][UNION] = ActionEntry(REDUCE, 330);
   _actionMap[763][ROWLIMIT] = ActionEntry(REDUCE, 330);
   _actionMap[763][ORDER] = ActionEntry(REDUCE, 330);
   _actionMap[763][GROUP] = ActionEntry(REDUCE, 330);
   _actionMap[763][WHERE] = ActionEntry(REDUCE, 330);
   _actionMap[763][THEN] = ActionEntry(REDUCE, 330);
   _actionMap[763][AND] = ActionEntry(REDUCE, 330);
   _actionMap[763][OR] = ActionEntry(REDUCE, 330);
   _actionMap[763][RB] = ActionEntry(REDUCE, 330);
   _actionMap[764][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[764][SelectStatement] = 808;
}
void Cego::loadParser31()
{
   _actionMap[765][LEFT] = ActionEntry(REDUCE, 332);
   _actionMap[765][RIGHT] = ActionEntry(REDUCE, 332);
   _actionMap[765][INNER] = ActionEntry(REDUCE, 332);
   _actionMap[765][JOIN] = ActionEntry(REDUCE, 332);
   _actionMap[765][RETURNTOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[765][SEMICOLON] = ActionEntry(REDUCE, 332);
   _actionMap[765][ENDTOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[765][UNION] = ActionEntry(REDUCE, 332);
   _actionMap[765][ROWLIMIT] = ActionEntry(REDUCE, 332);
   _actionMap[765][ORDER] = ActionEntry(REDUCE, 332);
   _actionMap[765][GROUP] = ActionEntry(REDUCE, 332);
   _actionMap[765][WHERE] = ActionEntry(REDUCE, 332);
   _actionMap[765][THEN] = ActionEntry(REDUCE, 332);
   _actionMap[765][AND] = ActionEntry(REDUCE, 332);
   _actionMap[765][OR] = ActionEntry(REDUCE, 332);
   _actionMap[765][RB] = ActionEntry(REDUCE, 332);
   _actionMap[766][THEN] = ActionEntry(REDUCE, 324);
   _actionMap[766][LEFT] = ActionEntry(REDUCE, 324);
   _actionMap[766][RIGHT] = ActionEntry(REDUCE, 324);
   _actionMap[766][INNER] = ActionEntry(REDUCE, 324);
   _actionMap[766][JOIN] = ActionEntry(REDUCE, 324);
   _actionMap[766][RETURNTOKEN] = ActionEntry(REDUCE, 324);
   _actionMap[766][SEMICOLON] = ActionEntry(REDUCE, 324);
   _actionMap[766][RB] = ActionEntry(REDUCE, 324);
   _actionMap[766][ENDTOKEN] = ActionEntry(REDUCE, 324);
   _actionMap[766][UNION] = ActionEntry(REDUCE, 324);
   _actionMap[766][ROWLIMIT] = ActionEntry(REDUCE, 324);
   _actionMap[766][ORDER] = ActionEntry(REDUCE, 324);
   _actionMap[766][GROUP] = ActionEntry(REDUCE, 324);
   _actionMap[766][WHERE] = ActionEntry(REDUCE, 324);
   _actionMap[766][AND] = ActionEntry(REDUCE, 324);
   _actionMap[766][OR] = ActionEntry(REDUCE, 324);
   _actionMap[767][WHEN] = ActionEntry(REDUCE, 372);
   _actionMap[767][ELSE] = ActionEntry(REDUCE, 372);
   _actionMap[767][LEFT] = ActionEntry(REDUCE, 372);
   _actionMap[767][RIGHT] = ActionEntry(REDUCE, 372);
   _actionMap[767][INNER] = ActionEntry(REDUCE, 372);
   _actionMap[767][JOIN] = ActionEntry(REDUCE, 372);
   _actionMap[767][RETURNTOKEN] = ActionEntry(REDUCE, 372);
   _actionMap[767][ORDER] = ActionEntry(REDUCE, 372);
   _actionMap[767][GROUP] = ActionEntry(REDUCE, 372);
   _actionMap[767][WHERE] = ActionEntry(REDUCE, 372);
   _actionMap[767][NULLTOKEN] = ActionEntry(REDUCE, 372);
   _actionMap[767][FROM] = ActionEntry(REDUCE, 372);
   _actionMap[767][AS] = ActionEntry(REDUCE, 372);
   _actionMap[767][END_TOKEN] = ActionEntry(REDUCE, 372);
   _actionMap[767][BEGIN] = ActionEntry(REDUCE, 372);
   _actionMap[767][THEN] = ActionEntry(REDUCE, 372);
   _actionMap[767][OR] = ActionEntry(REDUCE, 372);
   _actionMap[767][AND] = ActionEntry(REDUCE, 372);
}
void Cego::loadParser32()
{
   _actionMap[767][INTOK] = ActionEntry(REDUCE, 372);
   _actionMap[767][NOT] = ActionEntry(REDUCE, 372);
   _actionMap[767][BETWEEN] = ActionEntry(REDUCE, 372);
   _actionMap[767][IS] = ActionEntry(REDUCE, 372);
   _actionMap[767][LIKE] = ActionEntry(REDUCE, 372);
   _actionMap[767][MT] = ActionEntry(REDUCE, 372);
   _actionMap[767][LT] = ActionEntry(REDUCE, 372);
   _actionMap[767][NEGATION] = ActionEntry(REDUCE, 372);
   _actionMap[767][EQU] = ActionEntry(REDUCE, 372);
   _actionMap[767][RB] = ActionEntry(REDUCE, 372);
   _actionMap[767][ENDTOKEN] = ActionEntry(REDUCE, 372);
   _actionMap[767][UNION] = ActionEntry(REDUCE, 372);
   _actionMap[767][ROWLIMIT] = ActionEntry(REDUCE, 372);
   _actionMap[767][KSEP] = ActionEntry(REDUCE, 372);
   _actionMap[767][ASC] = ActionEntry(REDUCE, 372);
   _actionMap[767][DESC] = ActionEntry(REDUCE, 372);
   _actionMap[767][SEMICOLON] = ActionEntry(REDUCE, 372);
   _actionMap[767][PLUS] = ActionEntry(REDUCE, 372);
   _actionMap[767][MINUS] = ActionEntry(REDUCE, 372);
   _actionMap[767][DIVISION] = ActionEntry(REDUCE, 372);
   _actionMap[767][STAR] = ActionEntry(REDUCE, 372);
   _actionMap[767][CONCAT] = ActionEntry(REDUCE, 372);
   _actionMap[768][VARREF] = ActionEntry(SHIFT, 809);
   _actionMap[769][WHEN] = ActionEntry(REDUCE, 153);
   _actionMap[769][ELSE] = ActionEntry(REDUCE, 153);
   _actionMap[769][LEFT] = ActionEntry(REDUCE, 153);
   _actionMap[769][RIGHT] = ActionEntry(REDUCE, 153);
   _actionMap[769][INNER] = ActionEntry(REDUCE, 153);
   _actionMap[769][JOIN] = ActionEntry(REDUCE, 153);
   _actionMap[769][RETURNTOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[769][ORDER] = ActionEntry(REDUCE, 153);
   _actionMap[769][GROUP] = ActionEntry(REDUCE, 153);
   _actionMap[769][WHERE] = ActionEntry(REDUCE, 153);
   _actionMap[769][AS] = ActionEntry(REDUCE, 153);
   _actionMap[769][FROM] = ActionEntry(REDUCE, 153);
   _actionMap[769][END_TOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[769][BEGIN] = ActionEntry(REDUCE, 153);
   _actionMap[769][THEN] = ActionEntry(REDUCE, 153);
   _actionMap[769][OR] = ActionEntry(REDUCE, 153);
   _actionMap[769][AND] = ActionEntry(REDUCE, 153);
   _actionMap[769][LIKE] = ActionEntry(REDUCE, 153);
   _actionMap[769][IS] = ActionEntry(REDUCE, 153);
   _actionMap[769][BETWEEN] = ActionEntry(REDUCE, 153);
   _actionMap[769][NOT] = ActionEntry(REDUCE, 153);
   _actionMap[769][INTOK] = ActionEntry(REDUCE, 153);
   _actionMap[769][EQU] = ActionEntry(REDUCE, 153);
   _actionMap[769][NEGATION] = ActionEntry(REDUCE, 153);
   _actionMap[769][LT] = ActionEntry(REDUCE, 153);
   _actionMap[769][MT] = ActionEntry(REDUCE, 153);
   _actionMap[769][DESC] = ActionEntry(REDUCE, 153);
}
void Cego::loadParser33()
{
   _actionMap[769][ASC] = ActionEntry(REDUCE, 153);
   _actionMap[769][KSEP] = ActionEntry(REDUCE, 153);
   _actionMap[769][ROWLIMIT] = ActionEntry(REDUCE, 153);
   _actionMap[769][UNION] = ActionEntry(REDUCE, 153);
   _actionMap[769][ENDTOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[769][RB] = ActionEntry(REDUCE, 153);
   _actionMap[769][SEMICOLON] = ActionEntry(REDUCE, 153);
   _actionMap[769][CONCAT] = ActionEntry(REDUCE, 153);
   _actionMap[769][STAR] = ActionEntry(REDUCE, 153);
   _actionMap[769][DIVISION] = ActionEntry(REDUCE, 153);
   _actionMap[769][MINUS] = ActionEntry(REDUCE, 153);
   _actionMap[769][PLUS] = ActionEntry(REDUCE, 153);
   _actionMap[770][WHEN] = ActionEntry(REDUCE, 313);
   _actionMap[770][ELSE] = ActionEntry(REDUCE, 313);
   _actionMap[770][LEFT] = ActionEntry(REDUCE, 313);
   _actionMap[770][RIGHT] = ActionEntry(REDUCE, 313);
   _actionMap[770][INNER] = ActionEntry(REDUCE, 313);
   _actionMap[770][JOIN] = ActionEntry(REDUCE, 313);
   _actionMap[770][RETURNTOKEN] = ActionEntry(REDUCE, 313);
   _actionMap[770][ORDER] = ActionEntry(REDUCE, 313);
   _actionMap[770][GROUP] = ActionEntry(REDUCE, 313);
   _actionMap[770][WHERE] = ActionEntry(REDUCE, 313);
   _actionMap[770][FROM] = ActionEntry(REDUCE, 313);
   _actionMap[770][AS] = ActionEntry(REDUCE, 313);
   _actionMap[770][END_TOKEN] = ActionEntry(REDUCE, 313);
   _actionMap[770][BEGIN] = ActionEntry(REDUCE, 313);
   _actionMap[770][THEN] = ActionEntry(REDUCE, 313);
   _actionMap[770][OR] = ActionEntry(REDUCE, 313);
   _actionMap[770][AND] = ActionEntry(REDUCE, 313);
   _actionMap[770][INTOK] = ActionEntry(REDUCE, 313);
   _actionMap[770][NOT] = ActionEntry(REDUCE, 313);
   _actionMap[770][BETWEEN] = ActionEntry(REDUCE, 313);
   _actionMap[770][IS] = ActionEntry(REDUCE, 313);
   _actionMap[770][LIKE] = ActionEntry(REDUCE, 313);
   _actionMap[770][MT] = ActionEntry(REDUCE, 313);
   _actionMap[770][LT] = ActionEntry(REDUCE, 313);
   _actionMap[770][NEGATION] = ActionEntry(REDUCE, 313);
   _actionMap[770][EQU] = ActionEntry(REDUCE, 313);
   _actionMap[770][RB] = ActionEntry(REDUCE, 313);
   _actionMap[770][ENDTOKEN] = ActionEntry(REDUCE, 313);
   _actionMap[770][UNION] = ActionEntry(REDUCE, 313);
   _actionMap[770][ROWLIMIT] = ActionEntry(REDUCE, 313);
   _actionMap[770][KSEP] = ActionEntry(REDUCE, 313);
   _actionMap[770][ASC] = ActionEntry(REDUCE, 313);
   _actionMap[770][DESC] = ActionEntry(REDUCE, 313);
   _actionMap[770][SEMICOLON] = ActionEntry(REDUCE, 313);
   _actionMap[770][PLUS] = ActionEntry(REDUCE, 313);
   _actionMap[770][MINUS] = ActionEntry(REDUCE, 313);
   _actionMap[770][DIVISION] = ActionEntry(REDUCE, 313);
   _actionMap[770][STAR] = ActionEntry(REDUCE, 313);
}
void Cego::loadParser34()
{
   _actionMap[770][CONCAT] = ActionEntry(REDUCE, 313);
   _actionMap[771][SEMICOLON] = ActionEntry(REDUCE, 253);
   _actionMap[771][RB] = ActionEntry(REDUCE, 253);
   _actionMap[771][ENDTOKEN] = ActionEntry(REDUCE, 253);
   _actionMap[771][UNION] = ActionEntry(REDUCE, 253);
   _actionMap[771][ROWLIMIT] = ActionEntry(SHIFT, 812);
   _jumpMap[771][NoLimit] = 811;
   _jumpMap[771][LimitOpt] = 810;
   _actionMap[772][ROWLIMIT] = ActionEntry(REDUCE, 240);
   _actionMap[772][UNION] = ActionEntry(REDUCE, 240);
   _actionMap[772][ENDTOKEN] = ActionEntry(REDUCE, 240);
   _actionMap[772][RB] = ActionEntry(REDUCE, 240);
   _actionMap[772][SEMICOLON] = ActionEntry(REDUCE, 240);
   _actionMap[773][BY] = ActionEntry(SHIFT, 813);
   _actionMap[774][IDENTIFIER] = ActionEntry(SHIFT, 816);
   _actionMap[774][QUALIFIEDOBJ] = ActionEntry(SHIFT, 817);
   _actionMap[774][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _jumpMap[774][Attribute] = 815;
   _jumpMap[774][GroupList] = 814;
   _actionMap[775][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[775][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[775][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[775][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[775][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[775][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[775][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[775][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[775][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[775][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[775][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[775][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[775][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[775][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[775][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[775][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[775][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[775][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[775][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[775][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[775][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[775][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[775][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[775][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[775][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[775][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[775][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[775][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[775][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[775][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[775][BITXOR] = ActionEntry(SHIFT, 107);
}
void Cego::loadParser35()
{
   _actionMap[775][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[775][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[775][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[775][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[775][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[775][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[775][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[775][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[775][LB] = ActionEntry(SHIFT, 391);
   _actionMap[775][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[775][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[775][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[775][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[775][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[775][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[775][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[775][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[775][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[775][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[775][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[775][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[775][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[775][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[775][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[775][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[775][MAX] = ActionEntry(SHIFT, 129);
   _actionMap[775][EXISTS] = ActionEntry(SHIFT, 389);
   _actionMap[775][NOT] = ActionEntry(SHIFT, 390);
   _jumpMap[775][ObjSpec] = 102;
   _jumpMap[775][Constant] = 101;
   _jumpMap[775][SignedFloat] = 100;
   _jumpMap[775][SignedInt] = 99;
   _jumpMap[775][Attribute] = 98;
   _jumpMap[775][QueryPredicate] = 388;
   _jumpMap[775][QueryCondition] = 818;
   _jumpMap[775][Function] = 97;
   _jumpMap[775][CasePrepare] = 96;
   _jumpMap[775][CaseClause] = 95;
   _jumpMap[775][Factor] = 94;
   _jumpMap[775][Term] = 93;
   _jumpMap[775][Expr] = 386;
   _actionMap[776][EXISTS] = ActionEntry(REDUCE, 227);
   _actionMap[776][LB] = ActionEntry(REDUCE, 227);
   _actionMap[776][NOT] = ActionEntry(REDUCE, 227);
   _actionMap[776][VARREF] = ActionEntry(REDUCE, 227);
   _actionMap[776][FETCH] = ActionEntry(REDUCE, 227);
   _actionMap[776][COUNT] = ActionEntry(REDUCE, 227);
   _actionMap[776][SUM] = ActionEntry(REDUCE, 227);
   _actionMap[776][AVG] = ActionEntry(REDUCE, 227);
   _actionMap[776][MIN] = ActionEntry(REDUCE, 227);
}
void Cego::loadParser36()
{
   _actionMap[776][MAX] = ActionEntry(REDUCE, 227);
   _actionMap[776][CASE] = ActionEntry(REDUCE, 227);
   _actionMap[776][TRIM] = ActionEntry(REDUCE, 227);
   _actionMap[776][RTRIM] = ActionEntry(REDUCE, 227);
   _actionMap[776][LTRIM] = ActionEntry(REDUCE, 227);
   _actionMap[776][ROUND] = ActionEntry(REDUCE, 227);
   _actionMap[776][DATE2STR] = ActionEntry(REDUCE, 227);
   _actionMap[776][DATE2INT] = ActionEntry(REDUCE, 227);
   _actionMap[776][INT2DATE] = ActionEntry(REDUCE, 227);
   _actionMap[776][NEWDATE] = ActionEntry(REDUCE, 227);
   _actionMap[776][LOWER] = ActionEntry(REDUCE, 227);
   _actionMap[776][UPPER] = ActionEntry(REDUCE, 227);
   _actionMap[776][LEFT] = ActionEntry(REDUCE, 227);
   _actionMap[776][RIGHT] = ActionEntry(REDUCE, 227);
   _actionMap[776][GETPOS] = ActionEntry(REDUCE, 227);
   _actionMap[776][SUBSTR] = ActionEntry(REDUCE, 227);
   _actionMap[776][REPLACE] = ActionEntry(REDUCE, 227);
   _actionMap[776][LENGTH] = ActionEntry(REDUCE, 227);
   _actionMap[776][TRUNC] = ActionEntry(REDUCE, 227);
   _actionMap[776][STR2INT] = ActionEntry(REDUCE, 227);
   _actionMap[776][STR2LONG] = ActionEntry(REDUCE, 227);
   _actionMap[776][STR2DATE] = ActionEntry(REDUCE, 227);
   _actionMap[776][RANDSTR] = ActionEntry(REDUCE, 227);
   _actionMap[776][RANDINT] = ActionEntry(REDUCE, 227);
   _actionMap[776][MOD] = ActionEntry(REDUCE, 227);
   _actionMap[776][DIV] = ActionEntry(REDUCE, 227);
   _actionMap[776][POWER] = ActionEntry(REDUCE, 227);
   _actionMap[776][BITAND] = ActionEntry(REDUCE, 227);
   _actionMap[776][BITOR] = ActionEntry(REDUCE, 227);
   _actionMap[776][BITXOR] = ActionEntry(REDUCE, 227);
   _actionMap[776][BLOBSIZE] = ActionEntry(REDUCE, 227);
   _actionMap[776][CLOBSIZE] = ActionEntry(REDUCE, 227);
   _actionMap[776][CLOB2STR] = ActionEntry(REDUCE, 227);
   _actionMap[776][NEXTCOUNT] = ActionEntry(REDUCE, 227);
   _actionMap[776][SETCOUNT] = ActionEntry(REDUCE, 227);
   _actionMap[776][IDENTIFIER] = ActionEntry(REDUCE, 227);
   _actionMap[776][QUALIFIEDOBJ] = ActionEntry(REDUCE, 227);
   _actionMap[776][QUALIFIEDTS] = ActionEntry(REDUCE, 227);
   _actionMap[776][QUALIFIEDPRE] = ActionEntry(REDUCE, 227);
   _actionMap[776][STRINGVAL] = ActionEntry(REDUCE, 227);
   _actionMap[776][DATE] = ActionEntry(REDUCE, 227);
   _actionMap[776][SYSDATE] = ActionEntry(REDUCE, 227);
   _actionMap[776][NULLTOKEN] = ActionEntry(REDUCE, 227);
   _actionMap[776][TRUEVAL] = ActionEntry(REDUCE, 227);
   _actionMap[776][FALSEVAL] = ActionEntry(REDUCE, 227);
   _actionMap[776][BLOB] = ActionEntry(REDUCE, 227);
   _actionMap[776][CLOB] = ActionEntry(REDUCE, 227);
   _actionMap[776][FLOATVAL] = ActionEntry(REDUCE, 227);
   _actionMap[776][MINUS] = ActionEntry(REDUCE, 227);
   _actionMap[776][INTVAL] = ActionEntry(REDUCE, 227);
}
void Cego::loadParser37()
{
   _actionMap[777][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[777][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[777][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[777][ObjSpec] = 459;
   _jumpMap[777][Table] = 819;
   _actionMap[778][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[778][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[778][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[778][ObjSpec] = 459;
   _jumpMap[778][Table] = 820;
   _actionMap[779][KSEP] = ActionEntry(SHIFT, 821);
   _actionMap[779][SEMICOLON] = ActionEntry(REDUCE, 258);
   _actionMap[780][SEMICOLON] = ActionEntry(REDUCE, 261);
   _actionMap[780][KSEP] = ActionEntry(REDUCE, 261);
   _actionMap[781][EQU] = ActionEntry(SHIFT, 822);
   _actionMap[620][SEMICOLON] = ActionEntry(REDUCE, 267);
   _actionMap[621][COLUMN] = ActionEntry(SHIFT, 476);
   _actionMap[622][ON] = ActionEntry(SHIFT, 721);
   _actionMap[623][SEMICOLON] = ActionEntry(REDUCE, 270);
   _actionMap[623][KSEP] = ActionEntry(REDUCE, 270);
   _actionMap[624][IDENTIFIER] = ActionEntry(SHIFT, 722);
   _actionMap[625][SEMICOLON] = ActionEntry(REDUCE, 269);
   _actionMap[625][KSEP] = ActionEntry(REDUCE, 269);
   _actionMap[626][SEMICOLON] = ActionEntry(REDUCE, 271);
   _actionMap[626][KSEP] = ActionEntry(REDUCE, 271);
   _actionMap[627][DEFAULT] = ActionEntry(SHIFT, 723);
   _actionMap[627][INT] = ActionEntry(SHIFT, 660);
   _actionMap[627][LONG] = ActionEntry(SHIFT, 661);
   _actionMap[627][STRING] = ActionEntry(SHIFT, 663);
   _actionMap[627][DATETIME] = ActionEntry(SHIFT, 655);
   _actionMap[627][BOOL] = ActionEntry(SHIFT, 653);
   _actionMap[627][BIGINT] = ActionEntry(SHIFT, 651);
   _actionMap[627][FLOAT] = ActionEntry(SHIFT, 659);
   _actionMap[627][DOUBLE] = ActionEntry(SHIFT, 657);
   _actionMap[627][SMALLINT] = ActionEntry(SHIFT, 662);
   _actionMap[627][TINYINT] = ActionEntry(SHIFT, 664);
   _actionMap[627][DECIMAL] = ActionEntry(SHIFT, 656);
   _actionMap[627][FIXED] = ActionEntry(SHIFT, 658);
   _actionMap[627][BLOB] = ActionEntry(SHIFT, 652);
   _actionMap[627][CLOB] = ActionEntry(SHIFT, 654);
   _jumpMap[627][DataTypeProd] = 677;
   _actionMap[628][TO] = ActionEntry(SHIFT, 724);
   _actionMap[629][IDENTIFIER] = ActionEntry(SHIFT, 725);
   _actionMap[630][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[630][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[630][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[630][KSEP] = ActionEntry(REDUCE, 122);
   _actionMap[630][RB] = ActionEntry(REDUCE, 122);
   _actionMap[631][ELSE] = ActionEntry(REDUCE, 117);
   _actionMap[631][ELSIF] = ActionEntry(REDUCE, 117);
}
void Cego::loadParser38()
{
   _actionMap[631][EXCEPTION] = ActionEntry(REDUCE, 117);
   _actionMap[631][END_TOKEN] = ActionEntry(REDUCE, 117);
   _actionMap[632][WHEN] = ActionEntry(SHIFT, 726);
   _actionMap[633][EXCEPTION] = ActionEntry(REDUCE, 95);
   _actionMap[633][END_TOKEN] = ActionEntry(REDUCE, 95);
   _actionMap[633][ELSE] = ActionEntry(REDUCE, 95);
   _actionMap[633][ELSIF] = ActionEntry(REDUCE, 95);
   _actionMap[633][VAR] = ActionEntry(REDUCE, 95);
   _actionMap[633][CURSOR] = ActionEntry(REDUCE, 95);
   _actionMap[633][CLOSE] = ActionEntry(REDUCE, 95);
   _actionMap[633][VARREF] = ActionEntry(REDUCE, 95);
   _actionMap[633][NOOP] = ActionEntry(REDUCE, 95);
   _actionMap[633][THROW] = ActionEntry(REDUCE, 95);
   _actionMap[633][RETURNTOKEN] = ActionEntry(REDUCE, 95);
   _actionMap[633][WHILE] = ActionEntry(REDUCE, 95);
   _actionMap[633][IF] = ActionEntry(REDUCE, 95);
   _actionMap[633][BEGIN] = ActionEntry(REDUCE, 95);
   _actionMap[633][ROLLBACK] = ActionEntry(REDUCE, 95);
   _actionMap[633][COMMIT] = ActionEntry(REDUCE, 95);
   _actionMap[633][START_TOKEN] = ActionEntry(REDUCE, 95);
   _actionMap[633][UPDATE] = ActionEntry(REDUCE, 95);
   _actionMap[633][DELETETOK] = ActionEntry(REDUCE, 95);
   _actionMap[633][INSERT] = ActionEntry(REDUCE, 95);
   _actionMap[633][FETCH] = ActionEntry(REDUCE, 95);
   _actionMap[633][LB] = ActionEntry(REDUCE, 95);
   _actionMap[633][COUNT] = ActionEntry(REDUCE, 95);
   _actionMap[633][SUM] = ActionEntry(REDUCE, 95);
   _actionMap[633][AVG] = ActionEntry(REDUCE, 95);
   _actionMap[633][MIN] = ActionEntry(REDUCE, 95);
   _actionMap[633][MAX] = ActionEntry(REDUCE, 95);
   _actionMap[633][CASE] = ActionEntry(REDUCE, 95);
   _actionMap[633][TRIM] = ActionEntry(REDUCE, 95);
   _actionMap[633][RTRIM] = ActionEntry(REDUCE, 95);
   _actionMap[633][LTRIM] = ActionEntry(REDUCE, 95);
   _actionMap[633][ROUND] = ActionEntry(REDUCE, 95);
   _actionMap[633][DATE2STR] = ActionEntry(REDUCE, 95);
   _actionMap[633][DATE2INT] = ActionEntry(REDUCE, 95);
   _actionMap[633][INT2DATE] = ActionEntry(REDUCE, 95);
   _actionMap[633][NEWDATE] = ActionEntry(REDUCE, 95);
   _actionMap[633][LOWER] = ActionEntry(REDUCE, 95);
   _actionMap[633][UPPER] = ActionEntry(REDUCE, 95);
   _actionMap[633][LEFT] = ActionEntry(REDUCE, 95);
   _actionMap[633][RIGHT] = ActionEntry(REDUCE, 95);
   _actionMap[633][GETPOS] = ActionEntry(REDUCE, 95);
   _actionMap[633][SUBSTR] = ActionEntry(REDUCE, 95);
   _actionMap[633][REPLACE] = ActionEntry(REDUCE, 95);
   _actionMap[633][LENGTH] = ActionEntry(REDUCE, 95);
   _actionMap[633][TRUNC] = ActionEntry(REDUCE, 95);
   _actionMap[633][STR2INT] = ActionEntry(REDUCE, 95);
   _actionMap[633][STR2LONG] = ActionEntry(REDUCE, 95);
}
void Cego::loadParser39()
{
   _actionMap[633][STR2DATE] = ActionEntry(REDUCE, 95);
   _actionMap[633][RANDSTR] = ActionEntry(REDUCE, 95);
   _actionMap[633][RANDINT] = ActionEntry(REDUCE, 95);
   _actionMap[633][MOD] = ActionEntry(REDUCE, 95);
   _actionMap[633][DIV] = ActionEntry(REDUCE, 95);
   _actionMap[633][POWER] = ActionEntry(REDUCE, 95);
   _actionMap[633][BITAND] = ActionEntry(REDUCE, 95);
   _actionMap[633][BITOR] = ActionEntry(REDUCE, 95);
   _actionMap[633][BITXOR] = ActionEntry(REDUCE, 95);
   _actionMap[633][BLOBSIZE] = ActionEntry(REDUCE, 95);
   _actionMap[633][CLOBSIZE] = ActionEntry(REDUCE, 95);
   _actionMap[633][CLOB2STR] = ActionEntry(REDUCE, 95);
   _actionMap[633][NEXTCOUNT] = ActionEntry(REDUCE, 95);
   _actionMap[633][SETCOUNT] = ActionEntry(REDUCE, 95);
   _actionMap[633][IDENTIFIER] = ActionEntry(REDUCE, 95);
   _actionMap[633][QUALIFIEDOBJ] = ActionEntry(REDUCE, 95);
   _actionMap[633][QUALIFIEDTS] = ActionEntry(REDUCE, 95);
   _actionMap[633][QUALIFIEDPRE] = ActionEntry(REDUCE, 95);
   _actionMap[633][STRINGVAL] = ActionEntry(REDUCE, 95);
   _actionMap[633][DATE] = ActionEntry(REDUCE, 95);
   _actionMap[633][SYSDATE] = ActionEntry(REDUCE, 95);
   _actionMap[633][NULLTOKEN] = ActionEntry(REDUCE, 95);
   _actionMap[633][TRUEVAL] = ActionEntry(REDUCE, 95);
   _actionMap[633][FALSEVAL] = ActionEntry(REDUCE, 95);
   _actionMap[633][BLOB] = ActionEntry(REDUCE, 95);
   _actionMap[633][CLOB] = ActionEntry(REDUCE, 95);
   _actionMap[633][FLOATVAL] = ActionEntry(REDUCE, 95);
   _actionMap[633][MINUS] = ActionEntry(REDUCE, 95);
   _actionMap[633][INTVAL] = ActionEntry(REDUCE, 95);
   _actionMap[634][SEMICOLON] = ActionEntry(REDUCE, 115);
   _actionMap[635][END_TOKEN] = ActionEntry(SHIFT, 638);
   _actionMap[636][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[636][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[636][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[636][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[636][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[636][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[636][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[636][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[636][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[636][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[636][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[636][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[636][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[636][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[636][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[636][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[636][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[636][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[636][LENGTH] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser40()
{
   _actionMap[636][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[636][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[636][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[636][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[636][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[636][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[636][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[636][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[636][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[636][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[636][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[636][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[636][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[636][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[636][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[636][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[636][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[636][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[636][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[636][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[636][LB] = ActionEntry(SHIFT, 151);
   _actionMap[636][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[636][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[636][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[636][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[636][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[636][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[636][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[636][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[636][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[636][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[636][VARREF] = ActionEntry(SHIFT, 361);
   _actionMap[636][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[636][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[636][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[636][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[636][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[636][MAX] = ActionEntry(SHIFT, 129);
   _actionMap[636][IF] = ActionEntry(SHIFT, 355);
   _actionMap[636][BEGIN] = ActionEntry(SHIFT, 352);
   _actionMap[636][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[636][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[636][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[636][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[636][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[636][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[636][VAR] = ActionEntry(SHIFT, 359);
   _actionMap[636][CURSOR] = ActionEntry(SHIFT, 354);
   _actionMap[636][CLOSE] = ActionEntry(SHIFT, 353);
   _actionMap[636][NOOP] = ActionEntry(SHIFT, 356);
}
void Cego::loadParser41()
{
   _actionMap[636][THROW] = ActionEntry(SHIFT, 358);
   _actionMap[636][RETURNTOKEN] = ActionEntry(SHIFT, 357);
   _actionMap[636][WHILE] = ActionEntry(SHIFT, 360);
   _jumpMap[636][ObjSpec] = 102;
   _jumpMap[636][Constant] = 101;
   _jumpMap[636][SignedFloat] = 100;
   _jumpMap[636][SignedInt] = 99;
   _jumpMap[636][Attribute] = 98;
   _jumpMap[636][Function] = 97;
   _jumpMap[636][DeleteStatement] = 351;
   _jumpMap[636][UpdateStatement] = 350;
   _jumpMap[636][InsertStatement] = 349;
   _jumpMap[636][RollbackStatement] = 348;
   _jumpMap[636][CommitStatement] = 347;
   _jumpMap[636][StartStatement] = 346;
   _jumpMap[636][CasePrepare] = 96;
   _jumpMap[636][CaseClause] = 95;
   _jumpMap[636][Factor] = 94;
   _jumpMap[636][Term] = 93;
   _jumpMap[636][Expr] = 345;
   _jumpMap[636][ProcStatement] = 344;
   _jumpMap[636][ProcIfPart] = 343;
   _jumpMap[636][ProcBlockStart] = 342;
   _jumpMap[636][ProcStatementList] = 341;
   _jumpMap[636][ProcStmtBlock] = 727;
   _actionMap[637][VAR] = ActionEntry(REDUCE, 132);
   _actionMap[637][CURSOR] = ActionEntry(REDUCE, 132);
   _actionMap[637][CLOSE] = ActionEntry(REDUCE, 132);
   _actionMap[637][VARREF] = ActionEntry(REDUCE, 132);
   _actionMap[637][NOOP] = ActionEntry(REDUCE, 132);
   _actionMap[637][THROW] = ActionEntry(REDUCE, 132);
   _actionMap[637][RETURNTOKEN] = ActionEntry(REDUCE, 132);
   _actionMap[637][WHILE] = ActionEntry(REDUCE, 132);
   _actionMap[637][IF] = ActionEntry(REDUCE, 132);
   _actionMap[637][BEGIN] = ActionEntry(REDUCE, 132);
   _actionMap[637][ROLLBACK] = ActionEntry(REDUCE, 132);
   _actionMap[637][COMMIT] = ActionEntry(REDUCE, 132);
   _actionMap[637][START_TOKEN] = ActionEntry(REDUCE, 132);
   _actionMap[637][UPDATE] = ActionEntry(REDUCE, 132);
   _actionMap[637][DELETETOK] = ActionEntry(REDUCE, 132);
   _actionMap[637][INSERT] = ActionEntry(REDUCE, 132);
   _actionMap[637][FETCH] = ActionEntry(REDUCE, 132);
   _actionMap[637][LB] = ActionEntry(REDUCE, 132);
   _actionMap[637][COUNT] = ActionEntry(REDUCE, 132);
   _actionMap[637][SUM] = ActionEntry(REDUCE, 132);
   _actionMap[637][AVG] = ActionEntry(REDUCE, 132);
   _actionMap[637][MIN] = ActionEntry(REDUCE, 132);
   _actionMap[637][MAX] = ActionEntry(REDUCE, 132);
   _actionMap[637][CASE] = ActionEntry(REDUCE, 132);
   _actionMap[637][TRIM] = ActionEntry(REDUCE, 132);
}
void Cego::loadParser42()
{
   _actionMap[637][RTRIM] = ActionEntry(REDUCE, 132);
   _actionMap[637][LTRIM] = ActionEntry(REDUCE, 132);
   _actionMap[637][ROUND] = ActionEntry(REDUCE, 132);
   _actionMap[637][DATE2STR] = ActionEntry(REDUCE, 132);
   _actionMap[637][DATE2INT] = ActionEntry(REDUCE, 132);
   _actionMap[637][INT2DATE] = ActionEntry(REDUCE, 132);
   _actionMap[637][NEWDATE] = ActionEntry(REDUCE, 132);
   _actionMap[637][LOWER] = ActionEntry(REDUCE, 132);
   _actionMap[637][UPPER] = ActionEntry(REDUCE, 132);
   _actionMap[637][LEFT] = ActionEntry(REDUCE, 132);
   _actionMap[637][RIGHT] = ActionEntry(REDUCE, 132);
   _actionMap[637][GETPOS] = ActionEntry(REDUCE, 132);
   _actionMap[637][SUBSTR] = ActionEntry(REDUCE, 132);
   _actionMap[637][REPLACE] = ActionEntry(REDUCE, 132);
   _actionMap[637][LENGTH] = ActionEntry(REDUCE, 132);
   _actionMap[637][TRUNC] = ActionEntry(REDUCE, 132);
   _actionMap[637][STR2INT] = ActionEntry(REDUCE, 132);
   _actionMap[637][STR2LONG] = ActionEntry(REDUCE, 132);
   _actionMap[637][STR2DATE] = ActionEntry(REDUCE, 132);
   _actionMap[637][RANDSTR] = ActionEntry(REDUCE, 132);
   _actionMap[637][RANDINT] = ActionEntry(REDUCE, 132);
   _actionMap[637][MOD] = ActionEntry(REDUCE, 132);
   _actionMap[637][DIV] = ActionEntry(REDUCE, 132);
   _actionMap[637][POWER] = ActionEntry(REDUCE, 132);
   _actionMap[637][BITAND] = ActionEntry(REDUCE, 132);
   _actionMap[637][BITOR] = ActionEntry(REDUCE, 132);
   _actionMap[637][BITXOR] = ActionEntry(REDUCE, 132);
   _actionMap[637][BLOBSIZE] = ActionEntry(REDUCE, 132);
   _actionMap[637][CLOBSIZE] = ActionEntry(REDUCE, 132);
   _actionMap[637][CLOB2STR] = ActionEntry(REDUCE, 132);
   _actionMap[637][NEXTCOUNT] = ActionEntry(REDUCE, 132);
   _actionMap[637][SETCOUNT] = ActionEntry(REDUCE, 132);
   _actionMap[637][IDENTIFIER] = ActionEntry(REDUCE, 132);
   _actionMap[637][QUALIFIEDOBJ] = ActionEntry(REDUCE, 132);
   _actionMap[637][QUALIFIEDTS] = ActionEntry(REDUCE, 132);
   _actionMap[637][QUALIFIEDPRE] = ActionEntry(REDUCE, 132);
   _actionMap[637][STRINGVAL] = ActionEntry(REDUCE, 132);
   _actionMap[637][DATE] = ActionEntry(REDUCE, 132);
   _actionMap[637][SYSDATE] = ActionEntry(REDUCE, 132);
   _actionMap[637][NULLTOKEN] = ActionEntry(REDUCE, 132);
   _actionMap[637][TRUEVAL] = ActionEntry(REDUCE, 132);
   _actionMap[637][FALSEVAL] = ActionEntry(REDUCE, 132);
   _actionMap[637][BLOB] = ActionEntry(REDUCE, 132);
   _actionMap[637][CLOB] = ActionEntry(REDUCE, 132);
   _actionMap[637][FLOATVAL] = ActionEntry(REDUCE, 132);
   _actionMap[637][MINUS] = ActionEntry(REDUCE, 132);
   _actionMap[637][INTVAL] = ActionEntry(REDUCE, 132);
   _actionMap[638][SEMICOLON] = ActionEntry(REDUCE, 125);
   _actionMap[639][END_TOKEN] = ActionEntry(REDUCE, 127);
   _actionMap[639][ELSE] = ActionEntry(REDUCE, 127);
}
void Cego::loadParser43()
{
   _actionMap[640][THEN] = ActionEntry(SHIFT, 728);
   _actionMap[641][OR] = ActionEntry(SHIFT, 645);
   _actionMap[641][AND] = ActionEntry(SHIFT, 644);
   _actionMap[641][THEN] = ActionEntry(REDUCE, 134);
   _actionMap[642][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[642][SelectStatement] = 729;
   _actionMap[643][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[643][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[643][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[643][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[643][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[643][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[643][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[643][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[643][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[643][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[643][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[643][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[643][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[643][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[643][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[643][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[643][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[643][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[643][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[643][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[643][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[643][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[643][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[643][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[643][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[643][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[643][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[643][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[643][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[643][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[643][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[643][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[643][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[643][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[643][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[643][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[643][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[643][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[643][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[643][LB] = ActionEntry(SHIFT, 151);
   _actionMap[643][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[643][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[643][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[643][NULLTOKEN] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser44()
{
   _actionMap[643][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[643][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[643][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[643][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[643][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[643][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[643][VARREF] = ActionEntry(SHIFT, 361);
   _actionMap[643][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[643][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[643][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[643][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[643][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[643][MAX] = ActionEntry(SHIFT, 129);
   _actionMap[643][IF] = ActionEntry(SHIFT, 355);
   _actionMap[643][BEGIN] = ActionEntry(SHIFT, 352);
   _actionMap[643][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[643][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[643][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[643][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[643][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[643][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[643][VAR] = ActionEntry(SHIFT, 359);
   _actionMap[643][CURSOR] = ActionEntry(SHIFT, 354);
   _actionMap[643][CLOSE] = ActionEntry(SHIFT, 353);
   _actionMap[643][NOOP] = ActionEntry(SHIFT, 356);
   _actionMap[643][THROW] = ActionEntry(SHIFT, 358);
   _actionMap[643][RETURNTOKEN] = ActionEntry(SHIFT, 357);
   _actionMap[643][WHILE] = ActionEntry(SHIFT, 360);
   _jumpMap[643][ObjSpec] = 102;
   _jumpMap[643][Constant] = 101;
   _jumpMap[643][SignedFloat] = 100;
   _jumpMap[643][SignedInt] = 99;
   _jumpMap[643][Attribute] = 98;
   _jumpMap[643][Function] = 97;
   _jumpMap[643][DeleteStatement] = 351;
   _jumpMap[643][UpdateStatement] = 350;
   _jumpMap[643][InsertStatement] = 349;
   _jumpMap[643][RollbackStatement] = 348;
   _jumpMap[643][CommitStatement] = 347;
   _jumpMap[643][StartStatement] = 346;
   _jumpMap[643][CasePrepare] = 96;
   _jumpMap[643][CaseClause] = 95;
   _jumpMap[643][Factor] = 94;
   _jumpMap[643][Term] = 93;
   _jumpMap[643][Expr] = 345;
   _jumpMap[643][ProcStatement] = 344;
   _jumpMap[643][ProcIfPart] = 343;
   _jumpMap[643][ProcBlockStart] = 342;
   _jumpMap[643][ProcStatementList] = 341;
   _jumpMap[643][ProcStmtBlock] = 730;
}
void Cego::loadParser45()
{
   _actionMap[644][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[644][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[644][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[644][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[644][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[644][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[644][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[644][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[644][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[644][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[644][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[644][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[644][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[644][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[644][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[644][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[644][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[644][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[644][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[644][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[644][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[644][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[644][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[644][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[644][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[644][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[644][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[644][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[644][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[644][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[644][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[644][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[644][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[644][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[644][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[644][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[644][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[644][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[644][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[644][LB] = ActionEntry(SHIFT, 497);
   _actionMap[644][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[644][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[644][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[644][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[644][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[644][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[644][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[644][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[644][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[644][CASE] = ActionEntry(SHIFT, 110);
}
void Cego::loadParser46()
{
   _actionMap[644][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[644][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[644][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[644][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[644][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[644][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[644][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[644][ObjSpec] = 102;
   _jumpMap[644][Constant] = 101;
   _jumpMap[644][SignedFloat] = 100;
   _jumpMap[644][SignedInt] = 99;
   _jumpMap[644][Attribute] = 98;
   _jumpMap[644][Function] = 97;
   _jumpMap[644][CasePrepare] = 96;
   _jumpMap[644][CaseClause] = 95;
   _jumpMap[644][Factor] = 94;
   _jumpMap[644][Term] = 93;
   _jumpMap[644][Expr] = 496;
   _jumpMap[644][ProcPredicate] = 731;
   _actionMap[645][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[645][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[645][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[645][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[645][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[645][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[645][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[645][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[645][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[645][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[645][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[645][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[645][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[645][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[645][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[645][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[645][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[645][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[645][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[645][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[645][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[645][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[645][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[645][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[645][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[645][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[645][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[645][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[645][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[645][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[645][BITXOR] = ActionEntry(SHIFT, 107);
}
void Cego::loadParser47()
{
   _actionMap[645][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[645][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[645][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[645][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[645][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[645][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[645][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[645][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[645][LB] = ActionEntry(SHIFT, 497);
   _actionMap[645][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[645][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[645][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[645][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[645][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[645][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[645][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[645][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[645][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[645][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[645][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[645][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[645][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[645][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[645][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[645][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[645][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[645][ObjSpec] = 102;
   _jumpMap[645][Constant] = 101;
   _jumpMap[645][SignedFloat] = 100;
   _jumpMap[645][SignedInt] = 99;
   _jumpMap[645][Attribute] = 98;
   _jumpMap[645][Function] = 97;
   _jumpMap[645][CasePrepare] = 96;
   _jumpMap[645][CaseClause] = 95;
   _jumpMap[645][Factor] = 94;
   _jumpMap[645][Term] = 93;
   _jumpMap[645][Expr] = 496;
   _jumpMap[645][ProcPredicate] = 732;
   _actionMap[646][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[646][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[646][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[646][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[646][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[646][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[646][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[646][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[646][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[646][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[646][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[646][LOWER] = ActionEntry(SHIFT, 126);
}
void Cego::loadParser48()
{
   _actionMap[646][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[646][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[646][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[646][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[646][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[646][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[646][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[646][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[646][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[646][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[646][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[646][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[646][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[646][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[646][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[646][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[646][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[646][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[646][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[646][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[646][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[646][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[646][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[646][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[646][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[646][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[646][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[646][LB] = ActionEntry(SHIFT, 151);
   _actionMap[646][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[646][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[646][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[646][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[646][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[646][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[646][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[646][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[646][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[646][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[646][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[646][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[646][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[646][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[646][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[646][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[646][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[646][ObjSpec] = 102;
   _jumpMap[646][Constant] = 101;
   _jumpMap[646][SignedFloat] = 100;
   _jumpMap[646][SignedInt] = 99;
   _jumpMap[646][Attribute] = 98;
}
void Cego::loadParser49()
{
   _jumpMap[646][Function] = 97;
   _jumpMap[646][CasePrepare] = 96;
   _jumpMap[646][CaseClause] = 95;
   _jumpMap[646][Factor] = 94;
   _jumpMap[646][Term] = 93;
   _jumpMap[646][Expr] = 733;
   _actionMap[647][NOT] = ActionEntry(SHIFT, 734);
   _actionMap[647][NULLTOKEN] = ActionEntry(SHIFT, 735);
   _actionMap[648][RB] = ActionEntry(SHIFT, 736);
   _actionMap[648][OR] = ActionEntry(SHIFT, 645);
   _actionMap[648][AND] = ActionEntry(SHIFT, 644);
   _actionMap[649][RB] = ActionEntry(SHIFT, 439);
   _actionMap[649][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[649][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[649][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[649][IS] = ActionEntry(SHIFT, 647);
   _actionMap[649][EQU] = ActionEntry(SHIFT, 531);
   _actionMap[649][NEGATION] = ActionEntry(SHIFT, 534);
   _actionMap[649][LT] = ActionEntry(SHIFT, 532);
   _actionMap[649][MT] = ActionEntry(SHIFT, 533);
   _jumpMap[649][Comparison] = 646;
   _actionMap[650][SEMICOLON] = ActionEntry(REDUCE, 105);
   _actionMap[650][EQU] = ActionEntry(SHIFT, 739);
   _jumpMap[650][ProcNoAssignment] = 738;
   _jumpMap[650][ProcInitialAssignment] = 737;
   _actionMap[651][LB] = ActionEntry(SHIFT, 740);
   _actionMap[652][BEGIN] = ActionEntry(REDUCE, 347);
   _actionMap[652][EQU] = ActionEntry(REDUCE, 347);
   _actionMap[652][DEFAULT] = ActionEntry(REDUCE, 347);
   _actionMap[652][NULLTOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[652][NOT] = ActionEntry(REDUCE, 347);
   _actionMap[652][KSEP] = ActionEntry(REDUCE, 347);
   _actionMap[652][SEMICOLON] = ActionEntry(REDUCE, 347);
   _actionMap[652][RB] = ActionEntry(REDUCE, 347);
   _actionMap[653][BEGIN] = ActionEntry(REDUCE, 339);
   _actionMap[653][EQU] = ActionEntry(REDUCE, 339);
   _actionMap[653][DEFAULT] = ActionEntry(REDUCE, 339);
   _actionMap[653][NULLTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[653][NOT] = ActionEntry(REDUCE, 339);
   _actionMap[653][KSEP] = ActionEntry(REDUCE, 339);
   _actionMap[653][SEMICOLON] = ActionEntry(REDUCE, 339);
   _actionMap[653][RB] = ActionEntry(REDUCE, 339);
   _actionMap[654][BEGIN] = ActionEntry(REDUCE, 348);
   _actionMap[654][EQU] = ActionEntry(REDUCE, 348);
   _actionMap[654][DEFAULT] = ActionEntry(REDUCE, 348);
   _actionMap[654][NULLTOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[654][NOT] = ActionEntry(REDUCE, 348);
   _actionMap[654][KSEP] = ActionEntry(REDUCE, 348);
   _actionMap[654][SEMICOLON] = ActionEntry(REDUCE, 348);
   _actionMap[654][RB] = ActionEntry(REDUCE, 348);
}
void Cego::loadParser50()
{
   _actionMap[655][BEGIN] = ActionEntry(REDUCE, 338);
   _actionMap[655][EQU] = ActionEntry(REDUCE, 338);
   _actionMap[655][DEFAULT] = ActionEntry(REDUCE, 338);
   _actionMap[655][NULLTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[655][NOT] = ActionEntry(REDUCE, 338);
   _actionMap[655][KSEP] = ActionEntry(REDUCE, 338);
   _actionMap[655][SEMICOLON] = ActionEntry(REDUCE, 338);
   _actionMap[655][RB] = ActionEntry(REDUCE, 338);
   _actionMap[656][LB] = ActionEntry(SHIFT, 741);
   _actionMap[657][BEGIN] = ActionEntry(REDUCE, 342);
   _actionMap[657][EQU] = ActionEntry(REDUCE, 342);
   _actionMap[657][DEFAULT] = ActionEntry(REDUCE, 342);
   _actionMap[657][NULLTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[657][NOT] = ActionEntry(REDUCE, 342);
   _actionMap[657][KSEP] = ActionEntry(REDUCE, 342);
   _actionMap[657][SEMICOLON] = ActionEntry(REDUCE, 342);
   _actionMap[657][RB] = ActionEntry(REDUCE, 342);
   _actionMap[658][LB] = ActionEntry(SHIFT, 742);
   _actionMap[659][BEGIN] = ActionEntry(REDUCE, 341);
   _actionMap[659][EQU] = ActionEntry(REDUCE, 341);
   _actionMap[659][DEFAULT] = ActionEntry(REDUCE, 341);
   _actionMap[659][NULLTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[659][NOT] = ActionEntry(REDUCE, 341);
   _actionMap[659][KSEP] = ActionEntry(REDUCE, 341);
   _actionMap[659][SEMICOLON] = ActionEntry(REDUCE, 341);
   _actionMap[659][RB] = ActionEntry(REDUCE, 341);
   _actionMap[660][BEGIN] = ActionEntry(REDUCE, 335);
   _actionMap[660][EQU] = ActionEntry(REDUCE, 335);
   _actionMap[660][DEFAULT] = ActionEntry(REDUCE, 335);
   _actionMap[660][NULLTOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[660][NOT] = ActionEntry(REDUCE, 335);
   _actionMap[660][KSEP] = ActionEntry(REDUCE, 335);
   _actionMap[660][SEMICOLON] = ActionEntry(REDUCE, 335);
   _actionMap[660][RB] = ActionEntry(REDUCE, 335);
   _actionMap[661][BEGIN] = ActionEntry(REDUCE, 336);
   _actionMap[661][EQU] = ActionEntry(REDUCE, 336);
   _actionMap[661][DEFAULT] = ActionEntry(REDUCE, 336);
   _actionMap[661][NULLTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[661][NOT] = ActionEntry(REDUCE, 336);
   _actionMap[661][KSEP] = ActionEntry(REDUCE, 336);
   _actionMap[661][SEMICOLON] = ActionEntry(REDUCE, 336);
   _actionMap[661][RB] = ActionEntry(REDUCE, 336);
   _actionMap[662][BEGIN] = ActionEntry(REDUCE, 343);
   _actionMap[662][EQU] = ActionEntry(REDUCE, 343);
   _actionMap[662][DEFAULT] = ActionEntry(REDUCE, 343);
   _actionMap[662][NULLTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[662][NOT] = ActionEntry(REDUCE, 343);
   _actionMap[662][KSEP] = ActionEntry(REDUCE, 343);
   _actionMap[662][SEMICOLON] = ActionEntry(REDUCE, 343);
   _actionMap[662][RB] = ActionEntry(REDUCE, 343);
}
void Cego::loadParser51()
{
   _actionMap[663][LB] = ActionEntry(SHIFT, 743);
   _actionMap[664][BEGIN] = ActionEntry(REDUCE, 344);
   _actionMap[664][EQU] = ActionEntry(REDUCE, 344);
   _actionMap[664][DEFAULT] = ActionEntry(REDUCE, 344);
   _actionMap[664][NULLTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[664][NOT] = ActionEntry(REDUCE, 344);
   _actionMap[664][KSEP] = ActionEntry(REDUCE, 344);
   _actionMap[664][SEMICOLON] = ActionEntry(REDUCE, 344);
   _actionMap[664][RB] = ActionEntry(REDUCE, 344);
   _actionMap[665][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[665][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[665][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[665][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[665][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[665][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[665][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[665][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[665][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[665][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[665][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[665][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[665][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[665][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[665][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[665][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[665][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[665][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[665][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[665][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[665][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[665][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[665][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[665][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[665][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[665][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[665][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[665][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[665][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[665][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[665][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[665][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[665][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[665][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[665][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[665][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[665][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[665][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[665][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[665][LB] = ActionEntry(SHIFT, 151);
   _actionMap[665][STRINGVAL] = ActionEntry(SHIFT, 103);
}
void Cego::loadParser52()
{
   _actionMap[665][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[665][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[665][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[665][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[665][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[665][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[665][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[665][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[665][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[665][VARREF] = ActionEntry(SHIFT, 361);
   _actionMap[665][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[665][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[665][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[665][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[665][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[665][MAX] = ActionEntry(SHIFT, 129);
   _actionMap[665][IF] = ActionEntry(SHIFT, 355);
   _actionMap[665][BEGIN] = ActionEntry(SHIFT, 352);
   _actionMap[665][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[665][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[665][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[665][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[665][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[665][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[665][VAR] = ActionEntry(SHIFT, 359);
   _actionMap[665][CURSOR] = ActionEntry(SHIFT, 354);
   _actionMap[665][CLOSE] = ActionEntry(SHIFT, 353);
   _actionMap[665][NOOP] = ActionEntry(SHIFT, 356);
   _actionMap[665][THROW] = ActionEntry(SHIFT, 358);
   _actionMap[665][RETURNTOKEN] = ActionEntry(SHIFT, 357);
   _actionMap[665][WHILE] = ActionEntry(SHIFT, 360);
   _jumpMap[665][ObjSpec] = 102;
   _jumpMap[665][Constant] = 101;
   _jumpMap[665][SignedFloat] = 100;
   _jumpMap[665][SignedInt] = 99;
   _jumpMap[665][Attribute] = 98;
   _jumpMap[665][Function] = 97;
   _jumpMap[665][DeleteStatement] = 351;
   _jumpMap[665][UpdateStatement] = 350;
   _jumpMap[665][InsertStatement] = 349;
   _jumpMap[665][RollbackStatement] = 348;
   _jumpMap[665][CommitStatement] = 347;
   _jumpMap[665][StartStatement] = 346;
   _jumpMap[665][CasePrepare] = 96;
   _jumpMap[665][CaseClause] = 95;
   _jumpMap[665][Factor] = 94;
   _jumpMap[665][Term] = 93;
   _jumpMap[665][Expr] = 345;
   _jumpMap[665][ProcStatement] = 344;
   _jumpMap[665][ProcIfPart] = 343;
}
void Cego::loadParser53()
{
   _jumpMap[665][ProcBlockStart] = 342;
   _jumpMap[665][ProcStatementList] = 341;
   _jumpMap[665][ProcStmtBlock] = 744;
   _actionMap[666][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[666][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[666][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[666][SEMICOLON] = ActionEntry(REDUCE, 100);
   _actionMap[667][LB] = ActionEntry(SHIFT, 745);
   _actionMap[668][IDENTIFIER] = ActionEntry(SHIFT, 748);
   _jumpMap[668][SimpleAttr] = 747;
   _jumpMap[668][SimpleAttrList] = 746;
   _actionMap[669][IDENTIFIER] = ActionEntry(SHIFT, 510);
   _jumpMap[669][ProcArg] = 749;
   _actionMap[670][BEGIN] = ActionEntry(REDUCE, 84);
   _actionMap[671][INT] = ActionEntry(SHIFT, 660);
   _actionMap[671][LONG] = ActionEntry(SHIFT, 661);
   _actionMap[671][STRING] = ActionEntry(SHIFT, 663);
   _actionMap[671][DATETIME] = ActionEntry(SHIFT, 655);
   _actionMap[671][BOOL] = ActionEntry(SHIFT, 653);
   _actionMap[671][BIGINT] = ActionEntry(SHIFT, 651);
   _actionMap[671][FLOAT] = ActionEntry(SHIFT, 659);
   _actionMap[671][DOUBLE] = ActionEntry(SHIFT, 657);
   _actionMap[671][SMALLINT] = ActionEntry(SHIFT, 662);
   _actionMap[671][TINYINT] = ActionEntry(SHIFT, 664);
   _actionMap[671][DECIMAL] = ActionEntry(SHIFT, 656);
   _actionMap[671][FIXED] = ActionEntry(SHIFT, 658);
   _actionMap[671][BLOB] = ActionEntry(SHIFT, 652);
   _actionMap[671][CLOB] = ActionEntry(SHIFT, 654);
   _jumpMap[671][DataTypeProd] = 750;
   _actionMap[672][INT] = ActionEntry(SHIFT, 660);
   _actionMap[672][LONG] = ActionEntry(SHIFT, 661);
   _actionMap[672][STRING] = ActionEntry(SHIFT, 663);
   _actionMap[672][DATETIME] = ActionEntry(SHIFT, 655);
   _actionMap[672][BOOL] = ActionEntry(SHIFT, 653);
   _actionMap[672][BIGINT] = ActionEntry(SHIFT, 651);
   _actionMap[672][FLOAT] = ActionEntry(SHIFT, 659);
   _actionMap[672][DOUBLE] = ActionEntry(SHIFT, 657);
   _actionMap[672][SMALLINT] = ActionEntry(SHIFT, 662);
   _actionMap[672][TINYINT] = ActionEntry(SHIFT, 664);
   _actionMap[672][DECIMAL] = ActionEntry(SHIFT, 656);
   _actionMap[672][FIXED] = ActionEntry(SHIFT, 658);
   _actionMap[672][BLOB] = ActionEntry(SHIFT, 652);
   _actionMap[672][CLOB] = ActionEntry(SHIFT, 654);
   _jumpMap[672][DataTypeProd] = 751;
   _actionMap[673][INT] = ActionEntry(SHIFT, 660);
   _actionMap[673][LONG] = ActionEntry(SHIFT, 661);
   _actionMap[673][STRING] = ActionEntry(SHIFT, 663);
   _actionMap[673][DATETIME] = ActionEntry(SHIFT, 655);
   _actionMap[673][BOOL] = ActionEntry(SHIFT, 653);
   _actionMap[673][BIGINT] = ActionEntry(SHIFT, 651);
}
void Cego::loadParser54()
{
   _actionMap[673][FLOAT] = ActionEntry(SHIFT, 659);
   _actionMap[673][DOUBLE] = ActionEntry(SHIFT, 657);
   _actionMap[673][SMALLINT] = ActionEntry(SHIFT, 662);
   _actionMap[673][TINYINT] = ActionEntry(SHIFT, 664);
   _actionMap[673][DECIMAL] = ActionEntry(SHIFT, 656);
   _actionMap[673][FIXED] = ActionEntry(SHIFT, 658);
   _actionMap[673][BLOB] = ActionEntry(SHIFT, 652);
   _actionMap[673][CLOB] = ActionEntry(SHIFT, 654);
   _jumpMap[673][DataTypeProd] = 752;
   _actionMap[674][IDENTIFIER] = ActionEntry(SHIFT, 515);
   _actionMap[674][PRIMARY] = ActionEntry(SHIFT, 514);
   _jumpMap[674][ColumnDesc] = 513;
   _jumpMap[674][KeyColumn] = 753;
   _actionMap[675][SEMICOLON] = ActionEntry(REDUCE, 58);
   _actionMap[676][KSEP] = ActionEntry(REDUCE, 174);
   _actionMap[676][RB] = ActionEntry(REDUCE, 174);
   _actionMap[677][RB] = ActionEntry(REDUCE, 183);
   _actionMap[677][SEMICOLON] = ActionEntry(REDUCE, 183);
   _actionMap[677][KSEP] = ActionEntry(REDUCE, 183);
   _actionMap[677][NOT] = ActionEntry(REDUCE, 183);
   _actionMap[677][NULLTOKEN] = ActionEntry(REDUCE, 183);
   _actionMap[677][DEFAULT] = ActionEntry(SHIFT, 756);
   _jumpMap[677][DefaultDefOpt] = 755;
   _jumpMap[677][DefaultOpt] = 754;
   _actionMap[678][LB] = ActionEntry(SHIFT, 520);
   _jumpMap[678][InsertValueSpec] = 757;
   _actionMap[679][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[679][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[679][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[679][KSEP] = ActionEntry(REDUCE, 207);
   _actionMap[679][RB] = ActionEntry(REDUCE, 207);
   _actionMap[680][RB] = ActionEntry(SHIFT, 759);
   _actionMap[680][KSEP] = ActionEntry(SHIFT, 758);
   _actionMap[681][IDENTIFIER] = ActionEntry(SHIFT, 760);
   _actionMap[682][SELECT] = ActionEntry(REDUCE, 198);
   _actionMap[682][VALUES] = ActionEntry(REDUCE, 198);
   _actionMap[683][WHEN] = ActionEntry(REDUCE, 165);
   _actionMap[683][ELSE] = ActionEntry(REDUCE, 165);
   _actionMap[683][LEFT] = ActionEntry(REDUCE, 165);
   _actionMap[683][RIGHT] = ActionEntry(REDUCE, 165);
   _actionMap[683][INNER] = ActionEntry(REDUCE, 165);
   _actionMap[683][JOIN] = ActionEntry(REDUCE, 165);
   _actionMap[683][RETURNTOKEN] = ActionEntry(REDUCE, 165);
   _actionMap[683][ORDER] = ActionEntry(REDUCE, 165);
   _actionMap[683][GROUP] = ActionEntry(REDUCE, 165);
   _actionMap[683][WHERE] = ActionEntry(REDUCE, 165);
   _actionMap[683][BEGIN] = ActionEntry(REDUCE, 165);
   _actionMap[683][THEN] = ActionEntry(REDUCE, 165);
   _actionMap[683][OR] = ActionEntry(REDUCE, 165);
   _actionMap[683][FROM] = ActionEntry(REDUCE, 165);
}
void Cego::loadParser55()
{
   _actionMap[683][AS] = ActionEntry(REDUCE, 165);
   _actionMap[683][END_TOKEN] = ActionEntry(REDUCE, 165);
   _actionMap[683][AND] = ActionEntry(REDUCE, 165);
   _actionMap[683][INTOK] = ActionEntry(REDUCE, 165);
   _actionMap[683][NOT] = ActionEntry(REDUCE, 165);
   _actionMap[683][BETWEEN] = ActionEntry(REDUCE, 165);
   _actionMap[683][IS] = ActionEntry(REDUCE, 165);
   _actionMap[683][LIKE] = ActionEntry(REDUCE, 165);
   _actionMap[683][MT] = ActionEntry(REDUCE, 165);
   _actionMap[683][LT] = ActionEntry(REDUCE, 165);
   _actionMap[683][NEGATION] = ActionEntry(REDUCE, 165);
   _actionMap[683][EQU] = ActionEntry(REDUCE, 165);
   _actionMap[683][RB] = ActionEntry(REDUCE, 165);
   _actionMap[683][ENDTOKEN] = ActionEntry(REDUCE, 165);
   _actionMap[683][UNION] = ActionEntry(REDUCE, 165);
   _actionMap[683][ROWLIMIT] = ActionEntry(REDUCE, 165);
   _actionMap[683][KSEP] = ActionEntry(REDUCE, 165);
   _actionMap[683][ASC] = ActionEntry(REDUCE, 165);
   _actionMap[683][DESC] = ActionEntry(REDUCE, 165);
   _actionMap[683][SEMICOLON] = ActionEntry(REDUCE, 165);
   _actionMap[683][PLUS] = ActionEntry(REDUCE, 165);
   _actionMap[683][MINUS] = ActionEntry(REDUCE, 165);
   _actionMap[683][DIVISION] = ActionEntry(REDUCE, 165);
   _actionMap[683][STAR] = ActionEntry(REDUCE, 165);
   _actionMap[683][CONCAT] = ActionEntry(REDUCE, 165);
   _actionMap[684][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[684][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[684][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[684][LEFT] = ActionEntry(REDUCE, 327);
   _actionMap[684][RIGHT] = ActionEntry(REDUCE, 327);
   _actionMap[684][INNER] = ActionEntry(REDUCE, 327);
   _actionMap[684][JOIN] = ActionEntry(REDUCE, 327);
   _actionMap[684][RETURNTOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[684][SEMICOLON] = ActionEntry(REDUCE, 327);
   _actionMap[684][ENDTOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[684][UNION] = ActionEntry(REDUCE, 327);
   _actionMap[684][ROWLIMIT] = ActionEntry(REDUCE, 327);
   _actionMap[684][ORDER] = ActionEntry(REDUCE, 327);
   _actionMap[684][GROUP] = ActionEntry(REDUCE, 327);
   _actionMap[684][WHERE] = ActionEntry(REDUCE, 327);
   _actionMap[684][THEN] = ActionEntry(REDUCE, 327);
   _actionMap[684][AND] = ActionEntry(REDUCE, 327);
   _actionMap[684][OR] = ActionEntry(REDUCE, 327);
   _actionMap[684][RB] = ActionEntry(REDUCE, 327);
   _actionMap[685][AND] = ActionEntry(SHIFT, 761);
   _actionMap[685][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[685][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[685][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[686][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[686][SelectStatement] = 762;
}
void Cego::loadParser56()
{
   _actionMap[687][NULLTOKEN] = ActionEntry(SHIFT, 763);
   _actionMap[688][LEFT] = ActionEntry(REDUCE, 329);
   _actionMap[688][RIGHT] = ActionEntry(REDUCE, 329);
   _actionMap[688][INNER] = ActionEntry(REDUCE, 329);
   _actionMap[688][JOIN] = ActionEntry(REDUCE, 329);
   _actionMap[688][RETURNTOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[688][SEMICOLON] = ActionEntry(REDUCE, 329);
   _actionMap[688][ENDTOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[688][UNION] = ActionEntry(REDUCE, 329);
   _actionMap[688][ROWLIMIT] = ActionEntry(REDUCE, 329);
   _actionMap[688][ORDER] = ActionEntry(REDUCE, 329);
   _actionMap[688][GROUP] = ActionEntry(REDUCE, 329);
   _actionMap[688][WHERE] = ActionEntry(REDUCE, 329);
   _actionMap[688][THEN] = ActionEntry(REDUCE, 329);
   _actionMap[688][AND] = ActionEntry(REDUCE, 329);
   _actionMap[688][OR] = ActionEntry(REDUCE, 329);
   _actionMap[688][RB] = ActionEntry(REDUCE, 329);
   _actionMap[689][LEFT] = ActionEntry(REDUCE, 331);
   _actionMap[689][RIGHT] = ActionEntry(REDUCE, 331);
   _actionMap[689][INNER] = ActionEntry(REDUCE, 331);
   _actionMap[689][JOIN] = ActionEntry(REDUCE, 331);
   _actionMap[689][RETURNTOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[689][SEMICOLON] = ActionEntry(REDUCE, 331);
   _actionMap[689][ENDTOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[689][UNION] = ActionEntry(REDUCE, 331);
   _actionMap[689][ROWLIMIT] = ActionEntry(REDUCE, 331);
   _actionMap[689][ORDER] = ActionEntry(REDUCE, 331);
   _actionMap[689][GROUP] = ActionEntry(REDUCE, 331);
   _actionMap[689][WHERE] = ActionEntry(REDUCE, 331);
   _actionMap[689][THEN] = ActionEntry(REDUCE, 331);
   _actionMap[689][AND] = ActionEntry(REDUCE, 331);
   _actionMap[689][OR] = ActionEntry(REDUCE, 331);
   _actionMap[689][RB] = ActionEntry(REDUCE, 331);
   _actionMap[690][LB] = ActionEntry(SHIFT, 764);
   _actionMap[691][STRINGVAL] = ActionEntry(SHIFT, 765);
   _actionMap[692][VARREF] = ActionEntry(REDUCE, 353);
   _actionMap[692][FETCH] = ActionEntry(REDUCE, 353);
   _actionMap[692][LB] = ActionEntry(REDUCE, 353);
   _actionMap[692][COUNT] = ActionEntry(REDUCE, 353);
   _actionMap[692][SUM] = ActionEntry(REDUCE, 353);
   _actionMap[692][AVG] = ActionEntry(REDUCE, 353);
   _actionMap[692][MIN] = ActionEntry(REDUCE, 353);
   _actionMap[692][MAX] = ActionEntry(REDUCE, 353);
   _actionMap[692][CASE] = ActionEntry(REDUCE, 353);
   _actionMap[692][TRIM] = ActionEntry(REDUCE, 353);
   _actionMap[692][RTRIM] = ActionEntry(REDUCE, 353);
   _actionMap[692][LTRIM] = ActionEntry(REDUCE, 353);
   _actionMap[692][ROUND] = ActionEntry(REDUCE, 353);
   _actionMap[692][DATE2STR] = ActionEntry(REDUCE, 353);
   _actionMap[692][DATE2INT] = ActionEntry(REDUCE, 353);
}
void Cego::loadParser57()
{
   _actionMap[692][INT2DATE] = ActionEntry(REDUCE, 353);
   _actionMap[692][NEWDATE] = ActionEntry(REDUCE, 353);
   _actionMap[692][LOWER] = ActionEntry(REDUCE, 353);
   _actionMap[692][UPPER] = ActionEntry(REDUCE, 353);
   _actionMap[692][LEFT] = ActionEntry(REDUCE, 353);
   _actionMap[692][RIGHT] = ActionEntry(REDUCE, 353);
   _actionMap[692][GETPOS] = ActionEntry(REDUCE, 353);
   _actionMap[692][SUBSTR] = ActionEntry(REDUCE, 353);
   _actionMap[692][REPLACE] = ActionEntry(REDUCE, 353);
   _actionMap[692][LENGTH] = ActionEntry(REDUCE, 353);
   _actionMap[692][TRUNC] = ActionEntry(REDUCE, 353);
   _actionMap[692][STR2INT] = ActionEntry(REDUCE, 353);
   _actionMap[692][STR2LONG] = ActionEntry(REDUCE, 353);
   _actionMap[692][STR2DATE] = ActionEntry(REDUCE, 353);
   _actionMap[692][RANDSTR] = ActionEntry(REDUCE, 353);
   _actionMap[692][RANDINT] = ActionEntry(REDUCE, 353);
   _actionMap[692][MOD] = ActionEntry(REDUCE, 353);
   _actionMap[692][DIV] = ActionEntry(REDUCE, 353);
   _actionMap[692][POWER] = ActionEntry(REDUCE, 353);
   _actionMap[692][BITAND] = ActionEntry(REDUCE, 353);
   _actionMap[692][BITOR] = ActionEntry(REDUCE, 353);
   _actionMap[692][BITXOR] = ActionEntry(REDUCE, 353);
   _actionMap[692][BLOBSIZE] = ActionEntry(REDUCE, 353);
   _actionMap[692][CLOBSIZE] = ActionEntry(REDUCE, 353);
   _actionMap[692][CLOB2STR] = ActionEntry(REDUCE, 353);
   _actionMap[692][NEXTCOUNT] = ActionEntry(REDUCE, 353);
   _actionMap[692][SETCOUNT] = ActionEntry(REDUCE, 353);
   _actionMap[692][IDENTIFIER] = ActionEntry(REDUCE, 353);
   _actionMap[692][QUALIFIEDOBJ] = ActionEntry(REDUCE, 353);
   _actionMap[692][QUALIFIEDTS] = ActionEntry(REDUCE, 353);
   _actionMap[692][QUALIFIEDPRE] = ActionEntry(REDUCE, 353);
   _actionMap[692][STRINGVAL] = ActionEntry(REDUCE, 353);
   _actionMap[692][DATE] = ActionEntry(REDUCE, 353);
   _actionMap[692][SYSDATE] = ActionEntry(REDUCE, 353);
   _actionMap[692][NULLTOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[692][TRUEVAL] = ActionEntry(REDUCE, 353);
   _actionMap[692][FALSEVAL] = ActionEntry(REDUCE, 353);
   _actionMap[692][BLOB] = ActionEntry(REDUCE, 353);
   _actionMap[692][CLOB] = ActionEntry(REDUCE, 353);
   _actionMap[692][FLOATVAL] = ActionEntry(REDUCE, 353);
   _actionMap[692][MINUS] = ActionEntry(REDUCE, 353);
   _actionMap[692][INTVAL] = ActionEntry(REDUCE, 353);
   _actionMap[693][VARREF] = ActionEntry(REDUCE, 354);
   _actionMap[693][FETCH] = ActionEntry(REDUCE, 354);
   _actionMap[693][LB] = ActionEntry(REDUCE, 354);
   _actionMap[693][COUNT] = ActionEntry(REDUCE, 354);
   _actionMap[693][SUM] = ActionEntry(REDUCE, 354);
   _actionMap[693][AVG] = ActionEntry(REDUCE, 354);
   _actionMap[693][MIN] = ActionEntry(REDUCE, 354);
   _actionMap[693][MAX] = ActionEntry(REDUCE, 354);
}
void Cego::loadParser58()
{
   _actionMap[693][CASE] = ActionEntry(REDUCE, 354);
   _actionMap[693][TRIM] = ActionEntry(REDUCE, 354);
   _actionMap[693][RTRIM] = ActionEntry(REDUCE, 354);
   _actionMap[693][LTRIM] = ActionEntry(REDUCE, 354);
   _actionMap[693][ROUND] = ActionEntry(REDUCE, 354);
   _actionMap[693][DATE2STR] = ActionEntry(REDUCE, 354);
   _actionMap[693][DATE2INT] = ActionEntry(REDUCE, 354);
   _actionMap[693][INT2DATE] = ActionEntry(REDUCE, 354);
   _actionMap[693][NEWDATE] = ActionEntry(REDUCE, 354);
   _actionMap[693][LOWER] = ActionEntry(REDUCE, 354);
   _actionMap[693][UPPER] = ActionEntry(REDUCE, 354);
   _actionMap[693][LEFT] = ActionEntry(REDUCE, 354);
   _actionMap[693][RIGHT] = ActionEntry(REDUCE, 354);
   _actionMap[693][GETPOS] = ActionEntry(REDUCE, 354);
   _actionMap[693][SUBSTR] = ActionEntry(REDUCE, 354);
   _actionMap[693][REPLACE] = ActionEntry(REDUCE, 354);
   _actionMap[693][LENGTH] = ActionEntry(REDUCE, 354);
   _actionMap[693][TRUNC] = ActionEntry(REDUCE, 354);
   _actionMap[693][STR2INT] = ActionEntry(REDUCE, 354);
   _actionMap[693][STR2LONG] = ActionEntry(REDUCE, 354);
   _actionMap[693][STR2DATE] = ActionEntry(REDUCE, 354);
   _actionMap[693][RANDSTR] = ActionEntry(REDUCE, 354);
   _actionMap[693][RANDINT] = ActionEntry(REDUCE, 354);
   _actionMap[693][MOD] = ActionEntry(REDUCE, 354);
   _actionMap[693][DIV] = ActionEntry(REDUCE, 354);
   _actionMap[693][POWER] = ActionEntry(REDUCE, 354);
   _actionMap[693][BITAND] = ActionEntry(REDUCE, 354);
   _actionMap[693][BITOR] = ActionEntry(REDUCE, 354);
   _actionMap[693][BITXOR] = ActionEntry(REDUCE, 354);
   _actionMap[693][BLOBSIZE] = ActionEntry(REDUCE, 354);
   _actionMap[693][CLOBSIZE] = ActionEntry(REDUCE, 354);
   _actionMap[693][CLOB2STR] = ActionEntry(REDUCE, 354);
   _actionMap[693][NEXTCOUNT] = ActionEntry(REDUCE, 354);
   _actionMap[693][SETCOUNT] = ActionEntry(REDUCE, 354);
   _actionMap[693][IDENTIFIER] = ActionEntry(REDUCE, 354);
   _actionMap[693][QUALIFIEDOBJ] = ActionEntry(REDUCE, 354);
   _actionMap[693][QUALIFIEDTS] = ActionEntry(REDUCE, 354);
   _actionMap[693][QUALIFIEDPRE] = ActionEntry(REDUCE, 354);
   _actionMap[693][STRINGVAL] = ActionEntry(REDUCE, 354);
   _actionMap[693][DATE] = ActionEntry(REDUCE, 354);
   _actionMap[693][SYSDATE] = ActionEntry(REDUCE, 354);
   _actionMap[693][NULLTOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[693][TRUEVAL] = ActionEntry(REDUCE, 354);
   _actionMap[693][FALSEVAL] = ActionEntry(REDUCE, 354);
   _actionMap[693][BLOB] = ActionEntry(REDUCE, 354);
   _actionMap[693][CLOB] = ActionEntry(REDUCE, 354);
   _actionMap[693][FLOATVAL] = ActionEntry(REDUCE, 354);
   _actionMap[693][MINUS] = ActionEntry(REDUCE, 354);
   _actionMap[693][INTVAL] = ActionEntry(REDUCE, 354);
   _actionMap[694][VARREF] = ActionEntry(REDUCE, 350);
}
void Cego::loadParser59()
{
   _actionMap[694][FETCH] = ActionEntry(REDUCE, 350);
   _actionMap[694][LB] = ActionEntry(REDUCE, 350);
   _actionMap[694][COUNT] = ActionEntry(REDUCE, 350);
   _actionMap[694][SUM] = ActionEntry(REDUCE, 350);
   _actionMap[694][AVG] = ActionEntry(REDUCE, 350);
   _actionMap[694][MIN] = ActionEntry(REDUCE, 350);
   _actionMap[694][MAX] = ActionEntry(REDUCE, 350);
   _actionMap[694][CASE] = ActionEntry(REDUCE, 350);
   _actionMap[694][TRIM] = ActionEntry(REDUCE, 350);
   _actionMap[694][RTRIM] = ActionEntry(REDUCE, 350);
   _actionMap[694][LTRIM] = ActionEntry(REDUCE, 350);
   _actionMap[694][ROUND] = ActionEntry(REDUCE, 350);
   _actionMap[694][DATE2STR] = ActionEntry(REDUCE, 350);
   _actionMap[694][DATE2INT] = ActionEntry(REDUCE, 350);
   _actionMap[694][INT2DATE] = ActionEntry(REDUCE, 350);
   _actionMap[694][NEWDATE] = ActionEntry(REDUCE, 350);
   _actionMap[694][LOWER] = ActionEntry(REDUCE, 350);
   _actionMap[694][UPPER] = ActionEntry(REDUCE, 350);
   _actionMap[694][LEFT] = ActionEntry(REDUCE, 350);
   _actionMap[694][RIGHT] = ActionEntry(REDUCE, 350);
   _actionMap[694][GETPOS] = ActionEntry(REDUCE, 350);
   _actionMap[694][SUBSTR] = ActionEntry(REDUCE, 350);
   _actionMap[694][REPLACE] = ActionEntry(REDUCE, 350);
   _actionMap[694][LENGTH] = ActionEntry(REDUCE, 350);
   _actionMap[694][TRUNC] = ActionEntry(REDUCE, 350);
   _actionMap[694][STR2INT] = ActionEntry(REDUCE, 350);
   _actionMap[694][STR2LONG] = ActionEntry(REDUCE, 350);
   _actionMap[694][STR2DATE] = ActionEntry(REDUCE, 350);
   _actionMap[694][RANDSTR] = ActionEntry(REDUCE, 350);
   _actionMap[694][RANDINT] = ActionEntry(REDUCE, 350);
   _actionMap[694][MOD] = ActionEntry(REDUCE, 350);
   _actionMap[694][DIV] = ActionEntry(REDUCE, 350);
   _actionMap[694][POWER] = ActionEntry(REDUCE, 350);
   _actionMap[694][BITAND] = ActionEntry(REDUCE, 350);
   _actionMap[694][BITOR] = ActionEntry(REDUCE, 350);
   _actionMap[694][BITXOR] = ActionEntry(REDUCE, 350);
   _actionMap[694][BLOBSIZE] = ActionEntry(REDUCE, 350);
   _actionMap[694][CLOBSIZE] = ActionEntry(REDUCE, 350);
   _actionMap[694][CLOB2STR] = ActionEntry(REDUCE, 350);
   _actionMap[694][NEXTCOUNT] = ActionEntry(REDUCE, 350);
   _actionMap[694][SETCOUNT] = ActionEntry(REDUCE, 350);
   _actionMap[694][IDENTIFIER] = ActionEntry(REDUCE, 350);
   _actionMap[694][QUALIFIEDOBJ] = ActionEntry(REDUCE, 350);
   _actionMap[694][QUALIFIEDTS] = ActionEntry(REDUCE, 350);
   _actionMap[694][QUALIFIEDPRE] = ActionEntry(REDUCE, 350);
   _actionMap[694][STRINGVAL] = ActionEntry(REDUCE, 350);
   _actionMap[694][DATE] = ActionEntry(REDUCE, 350);
   _actionMap[694][SYSDATE] = ActionEntry(REDUCE, 350);
   _actionMap[694][NULLTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[694][TRUEVAL] = ActionEntry(REDUCE, 350);
}
void Cego::loadParser60()
{
   _actionMap[694][FALSEVAL] = ActionEntry(REDUCE, 350);
   _actionMap[694][BLOB] = ActionEntry(REDUCE, 350);
   _actionMap[694][CLOB] = ActionEntry(REDUCE, 350);
   _actionMap[694][FLOATVAL] = ActionEntry(REDUCE, 350);
   _actionMap[694][MINUS] = ActionEntry(REDUCE, 350);
   _actionMap[694][INTVAL] = ActionEntry(REDUCE, 350);
   _actionMap[695][THEN] = ActionEntry(REDUCE, 321);
   _actionMap[695][LEFT] = ActionEntry(REDUCE, 321);
   _actionMap[695][RIGHT] = ActionEntry(REDUCE, 321);
   _actionMap[695][INNER] = ActionEntry(REDUCE, 321);
   _actionMap[695][JOIN] = ActionEntry(REDUCE, 321);
   _actionMap[695][RETURNTOKEN] = ActionEntry(REDUCE, 321);
   _actionMap[695][SEMICOLON] = ActionEntry(REDUCE, 321);
   _actionMap[695][RB] = ActionEntry(REDUCE, 321);
   _actionMap[695][ENDTOKEN] = ActionEntry(REDUCE, 321);
   _actionMap[695][UNION] = ActionEntry(REDUCE, 321);
   _actionMap[695][ROWLIMIT] = ActionEntry(REDUCE, 321);
   _actionMap[695][ORDER] = ActionEntry(REDUCE, 321);
   _actionMap[695][GROUP] = ActionEntry(REDUCE, 321);
   _actionMap[695][WHERE] = ActionEntry(REDUCE, 321);
   _actionMap[695][OR] = ActionEntry(REDUCE, 321);
   _actionMap[695][AND] = ActionEntry(REDUCE, 321);
   _actionMap[696][THEN] = ActionEntry(REDUCE, 322);
   _actionMap[696][LEFT] = ActionEntry(REDUCE, 322);
   _actionMap[696][RIGHT] = ActionEntry(REDUCE, 322);
   _actionMap[696][INNER] = ActionEntry(REDUCE, 322);
   _actionMap[696][JOIN] = ActionEntry(REDUCE, 322);
   _actionMap[696][RETURNTOKEN] = ActionEntry(REDUCE, 322);
   _actionMap[696][SEMICOLON] = ActionEntry(REDUCE, 322);
   _actionMap[696][RB] = ActionEntry(REDUCE, 322);
   _actionMap[696][ENDTOKEN] = ActionEntry(REDUCE, 322);
   _actionMap[696][UNION] = ActionEntry(REDUCE, 322);
   _actionMap[696][ROWLIMIT] = ActionEntry(REDUCE, 322);
   _actionMap[696][ORDER] = ActionEntry(REDUCE, 322);
   _actionMap[696][GROUP] = ActionEntry(REDUCE, 322);
   _actionMap[696][WHERE] = ActionEntry(REDUCE, 322);
   _actionMap[696][OR] = ActionEntry(REDUCE, 322);
   _actionMap[696][AND] = ActionEntry(REDUCE, 322);
   _actionMap[697][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[697][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[697][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[697][WHEN] = ActionEntry(REDUCE, 168);
   _actionMap[697][ELSE] = ActionEntry(REDUCE, 168);
   _actionMap[698][RB] = ActionEntry(SHIFT, 766);
   _actionMap[699][THEN] = ActionEntry(REDUCE, 333);
   _actionMap[699][LEFT] = ActionEntry(REDUCE, 333);
   _actionMap[699][RIGHT] = ActionEntry(REDUCE, 333);
   _actionMap[699][INNER] = ActionEntry(REDUCE, 333);
   _actionMap[699][JOIN] = ActionEntry(REDUCE, 333);
   _actionMap[699][RETURNTOKEN] = ActionEntry(REDUCE, 333);
}
void Cego::loadParser61()
{
   _actionMap[699][SEMICOLON] = ActionEntry(REDUCE, 333);
   _actionMap[699][RB] = ActionEntry(REDUCE, 333);
   _actionMap[699][ENDTOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[699][UNION] = ActionEntry(REDUCE, 333);
   _actionMap[699][ROWLIMIT] = ActionEntry(REDUCE, 333);
   _actionMap[699][ORDER] = ActionEntry(REDUCE, 333);
   _actionMap[699][GROUP] = ActionEntry(REDUCE, 333);
   _actionMap[699][WHERE] = ActionEntry(REDUCE, 333);
   _actionMap[699][AND] = ActionEntry(REDUCE, 333);
   _actionMap[699][OR] = ActionEntry(REDUCE, 333);
   _actionMap[700][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[700][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[700][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[700][KSEP] = ActionEntry(REDUCE, 316);
   _actionMap[700][RB] = ActionEntry(REDUCE, 316);
   _actionMap[701][RB] = ActionEntry(SHIFT, 767);
   _actionMap[702][RB] = ActionEntry(REDUCE, 380);
   _actionMap[703][RB] = ActionEntry(SHIFT, 769);
   _actionMap[703][KSEP] = ActionEntry(SHIFT, 768);
   _actionMap[704][KSEP] = ActionEntry(REDUCE, 171);
   _actionMap[704][RB] = ActionEntry(REDUCE, 171);
   _actionMap[705][RB] = ActionEntry(SHIFT, 770);
   _actionMap[705][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[705][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[705][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[706][SEMICOLON] = ActionEntry(REDUCE, 241);
   _actionMap[706][RB] = ActionEntry(REDUCE, 241);
   _actionMap[706][ENDTOKEN] = ActionEntry(REDUCE, 241);
   _actionMap[706][UNION] = ActionEntry(REDUCE, 241);
   _actionMap[706][ROWLIMIT] = ActionEntry(REDUCE, 241);
   _actionMap[706][ORDER] = ActionEntry(SHIFT, 773);
   _jumpMap[706][NoOrdering] = 772;
   _jumpMap[706][OrderingClause] = 771;
   _actionMap[707][ORDER] = ActionEntry(REDUCE, 232);
   _actionMap[707][ROWLIMIT] = ActionEntry(REDUCE, 232);
   _actionMap[707][UNION] = ActionEntry(REDUCE, 232);
   _actionMap[707][ENDTOKEN] = ActionEntry(REDUCE, 232);
   _actionMap[707][RB] = ActionEntry(REDUCE, 232);
   _actionMap[707][SEMICOLON] = ActionEntry(REDUCE, 232);
   _actionMap[708][BY] = ActionEntry(SHIFT, 774);
   _actionMap[709][ON] = ActionEntry(SHIFT, 776);
   _jumpMap[709][JoinTableOn] = 775;
   _actionMap[710][IDENTIFIER] = ActionEntry(REDUCE, 221);
   _actionMap[710][QUALIFIEDOBJ] = ActionEntry(REDUCE, 221);
   _actionMap[710][QUALIFIEDTS] = ActionEntry(REDUCE, 221);
   _actionMap[711][JOIN] = ActionEntry(SHIFT, 777);
   _actionMap[712][JOIN] = ActionEntry(SHIFT, 778);
   _actionMap[713][RETURNTOKEN] = ActionEntry(REDUCE, 223);
   _actionMap[713][SEMICOLON] = ActionEntry(REDUCE, 223);
   _actionMap[713][RB] = ActionEntry(REDUCE, 223);
}
void Cego::loadParser62()
{
   _actionMap[713][ENDTOKEN] = ActionEntry(REDUCE, 223);
   _actionMap[713][UNION] = ActionEntry(REDUCE, 223);
   _actionMap[713][ROWLIMIT] = ActionEntry(REDUCE, 223);
   _actionMap[713][ORDER] = ActionEntry(REDUCE, 223);
   _actionMap[713][GROUP] = ActionEntry(REDUCE, 223);
   _actionMap[713][WHERE] = ActionEntry(REDUCE, 223);
   _actionMap[714][KSEP] = ActionEntry(SHIFT, 611);
   _actionMap[714][RETURNTOKEN] = ActionEntry(REDUCE, 224);
   _actionMap[714][SEMICOLON] = ActionEntry(REDUCE, 224);
   _actionMap[714][RB] = ActionEntry(REDUCE, 224);
   _actionMap[714][ENDTOKEN] = ActionEntry(REDUCE, 224);
   _actionMap[714][UNION] = ActionEntry(REDUCE, 224);
   _actionMap[714][ROWLIMIT] = ActionEntry(REDUCE, 224);
   _actionMap[714][ORDER] = ActionEntry(REDUCE, 224);
   _actionMap[714][GROUP] = ActionEntry(REDUCE, 224);
   _actionMap[714][WHERE] = ActionEntry(REDUCE, 224);
   _actionMap[715][SEMICOLON] = ActionEntry(REDUCE, 254);
   _actionMap[716][VARREF] = ActionEntry(SHIFT, 781);
   _jumpMap[716][ReturnVar] = 780;
   _jumpMap[716][ReturnVarList] = 779;
   _actionMap[717][KSEP] = ActionEntry(REDUCE, 255);
   _actionMap[717][WHERE] = ActionEntry(REDUCE, 255);
   _actionMap[717][GROUP] = ActionEntry(REDUCE, 255);
   _actionMap[717][ORDER] = ActionEntry(REDUCE, 255);
   _actionMap[717][ROWLIMIT] = ActionEntry(REDUCE, 255);
   _actionMap[717][UNION] = ActionEntry(REDUCE, 255);
   _actionMap[717][ENDTOKEN] = ActionEntry(REDUCE, 255);
   _actionMap[717][RB] = ActionEntry(REDUCE, 255);
   _actionMap[717][SEMICOLON] = ActionEntry(REDUCE, 255);
   _actionMap[717][RETURNTOKEN] = ActionEntry(REDUCE, 255);
   _actionMap[718][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[718][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[718][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[718][KSEP] = ActionEntry(REDUCE, 257);
   _actionMap[718][WHERE] = ActionEntry(REDUCE, 257);
   _actionMap[718][GROUP] = ActionEntry(REDUCE, 257);
   _actionMap[718][ORDER] = ActionEntry(REDUCE, 257);
   _actionMap[718][ROWLIMIT] = ActionEntry(REDUCE, 257);
   _actionMap[718][UNION] = ActionEntry(REDUCE, 257);
   _actionMap[718][ENDTOKEN] = ActionEntry(REDUCE, 257);
   _actionMap[718][RB] = ActionEntry(REDUCE, 257);
   _actionMap[718][SEMICOLON] = ActionEntry(REDUCE, 257);
   _actionMap[718][RETURNTOKEN] = ActionEntry(REDUCE, 257);
   _actionMap[719][RB] = ActionEntry(SHIFT, 720);
   _actionMap[720][SEMICOLON] = ActionEntry(REDUCE, 57);
   _actionMap[474][DROP] = ActionEntry(SHIFT, 332);
   _actionMap[474][ADD] = ActionEntry(SHIFT, 621);
   _actionMap[474][MODIFY] = ActionEntry(SHIFT, 333);
   _actionMap[474][RENAME] = ActionEntry(SHIFT, 334);
   _jumpMap[474][AlterOption] = 330;
}
void Cego::loadParser63()
{
   _jumpMap[474][AlterList] = 620;
   _actionMap[475][IDENTIFIER] = ActionEntry(SHIFT, 622);
   _actionMap[476][IDENTIFIER] = ActionEntry(SHIFT, 515);
   _jumpMap[476][ColumnDesc] = 623;
   _actionMap[477][KEY] = ActionEntry(SHIFT, 624);
   _actionMap[478][IDENTIFIER] = ActionEntry(SHIFT, 625);
   _actionMap[479][IDENTIFIER] = ActionEntry(SHIFT, 627);
   _jumpMap[479][ColumnDesc] = 626;
   _actionMap[480][IDENTIFIER] = ActionEntry(SHIFT, 628);
   _actionMap[481][FOR] = ActionEntry(SHIFT, 629);
   _actionMap[482][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[482][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[482][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[482][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[482][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[482][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[482][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[482][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[482][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[482][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[482][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[482][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[482][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[482][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[482][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[482][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[482][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[482][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[482][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[482][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[482][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[482][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[482][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[482][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[482][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[482][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[482][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[482][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[482][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[482][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[482][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[482][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[482][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[482][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[482][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[482][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[482][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[482][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[482][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[482][LB] = ActionEntry(SHIFT, 151);
}
void Cego::loadParser64()
{
   _actionMap[482][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[482][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[482][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[482][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[482][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[482][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[482][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[482][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[482][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[482][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[482][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[482][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[482][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[482][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[482][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[482][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[482][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[482][ObjSpec] = 102;
   _jumpMap[482][Constant] = 101;
   _jumpMap[482][SignedFloat] = 100;
   _jumpMap[482][SignedInt] = 99;
   _jumpMap[482][Attribute] = 98;
   _jumpMap[482][Function] = 97;
   _jumpMap[482][CasePrepare] = 96;
   _jumpMap[482][CaseClause] = 95;
   _jumpMap[482][Factor] = 94;
   _jumpMap[482][Term] = 93;
   _jumpMap[482][Expr] = 630;
   _actionMap[483][SEMICOLON] = ActionEntry(REDUCE, 85);
   _actionMap[484][ELSE] = ActionEntry(REDUCE, 94);
   _actionMap[484][ELSIF] = ActionEntry(REDUCE, 94);
   _actionMap[484][END_TOKEN] = ActionEntry(REDUCE, 94);
   _actionMap[484][EXCEPTION] = ActionEntry(SHIFT, 632);
   _jumpMap[484][ProcExceptionStmt] = 631;
   _actionMap[485][SEMICOLON] = ActionEntry(SHIFT, 633);
   _actionMap[486][END_TOKEN] = ActionEntry(SHIFT, 634);
   _actionMap[487][ELSE] = ActionEntry(SHIFT, 637);
   _actionMap[487][END_TOKEN] = ActionEntry(REDUCE, 131);
   _jumpMap[487][ProcElsePart] = 636;
   _jumpMap[487][ProcElseOpt] = 635;
   _actionMap[488][ELSIF] = ActionEntry(SHIFT, 489);
   _actionMap[488][END_TOKEN] = ActionEntry(REDUCE, 128);
   _actionMap[488][ELSE] = ActionEntry(REDUCE, 128);
   _jumpMap[488][ProcElsIfOpt] = 488;
   _jumpMap[488][ProcElsIfList] = 639;
   _actionMap[489][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[489][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[489][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[489][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[489][RTRIM] = ActionEntry(SHIFT, 139);
}
void Cego::loadParser65()
{
   _actionMap[489][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[489][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[489][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[489][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[489][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[489][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[489][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[489][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[489][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[489][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[489][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[489][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[489][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[489][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[489][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[489][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[489][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[489][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[489][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[489][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[489][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[489][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[489][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[489][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[489][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[489][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[489][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[489][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[489][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[489][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[489][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[489][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[489][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[489][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[489][LB] = ActionEntry(SHIFT, 497);
   _actionMap[489][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[489][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[489][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[489][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[489][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[489][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[489][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[489][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[489][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[489][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[489][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[489][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[489][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[489][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[489][AVG] = ActionEntry(SHIFT, 104);
}
void Cego::loadParser66()
{
   _actionMap[489][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[489][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[489][ObjSpec] = 102;
   _jumpMap[489][Constant] = 101;
   _jumpMap[489][SignedFloat] = 100;
   _jumpMap[489][SignedInt] = 99;
   _jumpMap[489][Attribute] = 98;
   _jumpMap[489][Function] = 97;
   _jumpMap[489][CasePrepare] = 96;
   _jumpMap[489][CaseClause] = 95;
   _jumpMap[489][Factor] = 94;
   _jumpMap[489][Term] = 93;
   _jumpMap[489][Expr] = 496;
   _jumpMap[489][ProcPredicate] = 495;
   _jumpMap[489][ProcCondition] = 641;
   _jumpMap[489][ProcElsIfCondition] = 640;
   _actionMap[490][EXCEPTION] = ActionEntry(REDUCE, 96);
   _actionMap[490][END_TOKEN] = ActionEntry(REDUCE, 96);
   _actionMap[490][ELSE] = ActionEntry(REDUCE, 96);
   _actionMap[490][ELSIF] = ActionEntry(REDUCE, 96);
   _actionMap[490][VAR] = ActionEntry(REDUCE, 96);
   _actionMap[490][CURSOR] = ActionEntry(REDUCE, 96);
   _actionMap[490][CLOSE] = ActionEntry(REDUCE, 96);
   _actionMap[490][VARREF] = ActionEntry(REDUCE, 96);
   _actionMap[490][NOOP] = ActionEntry(REDUCE, 96);
   _actionMap[490][THROW] = ActionEntry(REDUCE, 96);
   _actionMap[490][RETURNTOKEN] = ActionEntry(REDUCE, 96);
   _actionMap[490][WHILE] = ActionEntry(REDUCE, 96);
   _actionMap[490][IF] = ActionEntry(REDUCE, 96);
   _actionMap[490][BEGIN] = ActionEntry(REDUCE, 96);
   _actionMap[490][ROLLBACK] = ActionEntry(REDUCE, 96);
   _actionMap[490][COMMIT] = ActionEntry(REDUCE, 96);
   _actionMap[490][START_TOKEN] = ActionEntry(REDUCE, 96);
   _actionMap[490][UPDATE] = ActionEntry(REDUCE, 96);
   _actionMap[490][DELETETOK] = ActionEntry(REDUCE, 96);
   _actionMap[490][INSERT] = ActionEntry(REDUCE, 96);
   _actionMap[490][FETCH] = ActionEntry(REDUCE, 96);
   _actionMap[490][LB] = ActionEntry(REDUCE, 96);
   _actionMap[490][COUNT] = ActionEntry(REDUCE, 96);
   _actionMap[490][SUM] = ActionEntry(REDUCE, 96);
   _actionMap[490][AVG] = ActionEntry(REDUCE, 96);
   _actionMap[490][MIN] = ActionEntry(REDUCE, 96);
   _actionMap[490][MAX] = ActionEntry(REDUCE, 96);
   _actionMap[490][CASE] = ActionEntry(REDUCE, 96);
   _actionMap[490][TRIM] = ActionEntry(REDUCE, 96);
   _actionMap[490][RTRIM] = ActionEntry(REDUCE, 96);
   _actionMap[490][LTRIM] = ActionEntry(REDUCE, 96);
   _actionMap[490][ROUND] = ActionEntry(REDUCE, 96);
   _actionMap[490][DATE2STR] = ActionEntry(REDUCE, 96);
   _actionMap[490][DATE2INT] = ActionEntry(REDUCE, 96);
}
void Cego::loadParser67()
{
   _actionMap[490][INT2DATE] = ActionEntry(REDUCE, 96);
   _actionMap[490][NEWDATE] = ActionEntry(REDUCE, 96);
   _actionMap[490][LOWER] = ActionEntry(REDUCE, 96);
   _actionMap[490][UPPER] = ActionEntry(REDUCE, 96);
   _actionMap[490][LEFT] = ActionEntry(REDUCE, 96);
   _actionMap[490][RIGHT] = ActionEntry(REDUCE, 96);
   _actionMap[490][GETPOS] = ActionEntry(REDUCE, 96);
   _actionMap[490][SUBSTR] = ActionEntry(REDUCE, 96);
   _actionMap[490][REPLACE] = ActionEntry(REDUCE, 96);
   _actionMap[490][LENGTH] = ActionEntry(REDUCE, 96);
   _actionMap[490][TRUNC] = ActionEntry(REDUCE, 96);
   _actionMap[490][STR2INT] = ActionEntry(REDUCE, 96);
   _actionMap[490][STR2LONG] = ActionEntry(REDUCE, 96);
   _actionMap[490][STR2DATE] = ActionEntry(REDUCE, 96);
   _actionMap[490][RANDSTR] = ActionEntry(REDUCE, 96);
   _actionMap[490][RANDINT] = ActionEntry(REDUCE, 96);
   _actionMap[490][MOD] = ActionEntry(REDUCE, 96);
   _actionMap[490][DIV] = ActionEntry(REDUCE, 96);
   _actionMap[490][POWER] = ActionEntry(REDUCE, 96);
   _actionMap[490][BITAND] = ActionEntry(REDUCE, 96);
   _actionMap[490][BITOR] = ActionEntry(REDUCE, 96);
   _actionMap[490][BITXOR] = ActionEntry(REDUCE, 96);
   _actionMap[490][BLOBSIZE] = ActionEntry(REDUCE, 96);
   _actionMap[490][CLOBSIZE] = ActionEntry(REDUCE, 96);
   _actionMap[490][CLOB2STR] = ActionEntry(REDUCE, 96);
   _actionMap[490][NEXTCOUNT] = ActionEntry(REDUCE, 96);
   _actionMap[490][SETCOUNT] = ActionEntry(REDUCE, 96);
   _actionMap[490][IDENTIFIER] = ActionEntry(REDUCE, 96);
   _actionMap[490][QUALIFIEDOBJ] = ActionEntry(REDUCE, 96);
   _actionMap[490][QUALIFIEDTS] = ActionEntry(REDUCE, 96);
   _actionMap[490][QUALIFIEDPRE] = ActionEntry(REDUCE, 96);
   _actionMap[490][STRINGVAL] = ActionEntry(REDUCE, 96);
   _actionMap[490][DATE] = ActionEntry(REDUCE, 96);
   _actionMap[490][SYSDATE] = ActionEntry(REDUCE, 96);
   _actionMap[490][NULLTOKEN] = ActionEntry(REDUCE, 96);
   _actionMap[490][TRUEVAL] = ActionEntry(REDUCE, 96);
   _actionMap[490][FALSEVAL] = ActionEntry(REDUCE, 96);
   _actionMap[490][BLOB] = ActionEntry(REDUCE, 96);
   _actionMap[490][CLOB] = ActionEntry(REDUCE, 96);
   _actionMap[490][FLOATVAL] = ActionEntry(REDUCE, 96);
   _actionMap[490][MINUS] = ActionEntry(REDUCE, 96);
   _actionMap[490][INTVAL] = ActionEntry(REDUCE, 96);
   _actionMap[491][SEMICOLON] = ActionEntry(REDUCE, 99);
   _actionMap[492][AS] = ActionEntry(SHIFT, 642);
   _actionMap[493][THEN] = ActionEntry(SHIFT, 643);
   _actionMap[494][OR] = ActionEntry(SHIFT, 645);
   _actionMap[494][AND] = ActionEntry(SHIFT, 644);
   _actionMap[494][THEN] = ActionEntry(REDUCE, 133);
   _actionMap[495][BEGIN] = ActionEntry(REDUCE, 139);
   _actionMap[495][RB] = ActionEntry(REDUCE, 139);
}
void Cego::loadParser68()
{
   _actionMap[495][AND] = ActionEntry(REDUCE, 139);
   _actionMap[495][OR] = ActionEntry(REDUCE, 139);
   _actionMap[495][THEN] = ActionEntry(REDUCE, 139);
   _actionMap[496][IS] = ActionEntry(SHIFT, 647);
   _actionMap[496][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[496][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[496][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[496][EQU] = ActionEntry(SHIFT, 531);
   _actionMap[496][NEGATION] = ActionEntry(SHIFT, 534);
   _actionMap[496][LT] = ActionEntry(SHIFT, 532);
   _actionMap[496][MT] = ActionEntry(SHIFT, 533);
   _jumpMap[496][Comparison] = 646;
   _actionMap[497][LONG] = ActionEntry(SHIFT, 292);
   _actionMap[497][BIGINT] = ActionEntry(SHIFT, 288);
   _actionMap[497][SMALLINT] = ActionEntry(SHIFT, 293);
   _actionMap[497][TINYINT] = ActionEntry(SHIFT, 294);
   _actionMap[497][DOUBLE] = ActionEntry(SHIFT, 290);
   _actionMap[497][DECIMAL] = ActionEntry(SHIFT, 289);
   _actionMap[497][FIXED] = ActionEntry(SHIFT, 291);
   _actionMap[497][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[497][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[497][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[497][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[497][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[497][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[497][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[497][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[497][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[497][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[497][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[497][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[497][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[497][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[497][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[497][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[497][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[497][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[497][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[497][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[497][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[497][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[497][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[497][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[497][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[497][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[497][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[497][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[497][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[497][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[497][BITXOR] = ActionEntry(SHIFT, 107);
}
void Cego::loadParser69()
{
   _actionMap[497][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[497][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[497][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[497][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[497][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[497][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[497][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[497][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[497][LB] = ActionEntry(SHIFT, 497);
   _actionMap[497][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[497][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[497][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[497][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[497][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[497][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[497][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[497][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[497][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[497][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[497][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[497][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[497][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[497][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[497][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[497][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[497][MAX] = ActionEntry(SHIFT, 129);
   _actionMap[497][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[497][ObjSpec] = 102;
   _jumpMap[497][Constant] = 101;
   _jumpMap[497][SignedFloat] = 100;
   _jumpMap[497][SignedInt] = 99;
   _jumpMap[497][Attribute] = 98;
   _jumpMap[497][Function] = 97;
   _jumpMap[497][SelectStatement] = 287;
   _jumpMap[497][CasePrepare] = 96;
   _jumpMap[497][CaseClause] = 95;
   _jumpMap[497][Factor] = 94;
   _jumpMap[497][Term] = 93;
   _jumpMap[497][Expr] = 649;
   _jumpMap[497][ProcPredicate] = 495;
   _jumpMap[497][ProcCondition] = 648;
   _actionMap[498][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[498][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[498][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[498][SEMICOLON] = ActionEntry(REDUCE, 114);
   _actionMap[499][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[499][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[499][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[499][SEMICOLON] = ActionEntry(REDUCE, 106);
   _actionMap[500][INT] = ActionEntry(SHIFT, 660);
}
void Cego::loadParser70()
{
   _actionMap[500][LONG] = ActionEntry(SHIFT, 661);
   _actionMap[500][STRING] = ActionEntry(SHIFT, 663);
   _actionMap[500][DATETIME] = ActionEntry(SHIFT, 655);
   _actionMap[500][BOOL] = ActionEntry(SHIFT, 653);
   _actionMap[500][BIGINT] = ActionEntry(SHIFT, 651);
   _actionMap[500][FLOAT] = ActionEntry(SHIFT, 659);
   _actionMap[500][DOUBLE] = ActionEntry(SHIFT, 657);
   _actionMap[500][SMALLINT] = ActionEntry(SHIFT, 662);
   _actionMap[500][TINYINT] = ActionEntry(SHIFT, 664);
   _actionMap[500][DECIMAL] = ActionEntry(SHIFT, 656);
   _actionMap[500][FIXED] = ActionEntry(SHIFT, 658);
   _actionMap[500][BLOB] = ActionEntry(SHIFT, 652);
   _actionMap[500][CLOB] = ActionEntry(SHIFT, 654);
   _jumpMap[500][DataTypeProd] = 650;
   _actionMap[501][BEGIN] = ActionEntry(SHIFT, 665);
   _actionMap[502][OR] = ActionEntry(SHIFT, 645);
   _actionMap[502][AND] = ActionEntry(SHIFT, 644);
   _actionMap[502][BEGIN] = ActionEntry(REDUCE, 136);
   _actionMap[503][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[503][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[503][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[503][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[503][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[503][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[503][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[503][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[503][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[503][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[503][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[503][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[503][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[503][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[503][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[503][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[503][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[503][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[503][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[503][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[503][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[503][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[503][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[503][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[503][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[503][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[503][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[503][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[503][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[503][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[503][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[503][BLOBSIZE] = ActionEntry(SHIFT, 109);
}
void Cego::loadParser71()
{
   _actionMap[503][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[503][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[503][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[503][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[503][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[503][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[503][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[503][LB] = ActionEntry(SHIFT, 151);
   _actionMap[503][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[503][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[503][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[503][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[503][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[503][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[503][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[503][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[503][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[503][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[503][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[503][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[503][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[503][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[503][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[503][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[503][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[503][ObjSpec] = 102;
   _jumpMap[503][Constant] = 101;
   _jumpMap[503][SignedFloat] = 100;
   _jumpMap[503][SignedInt] = 99;
   _jumpMap[503][Attribute] = 98;
   _jumpMap[503][Function] = 97;
   _jumpMap[503][CasePrepare] = 96;
   _jumpMap[503][CaseClause] = 95;
   _jumpMap[503][Factor] = 94;
   _jumpMap[503][Term] = 93;
   _jumpMap[503][Expr] = 666;
   _actionMap[504][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[504][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[504][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[504][ObjSpec] = 667;
   _actionMap[505][LB] = ActionEntry(SHIFT, 668);
   _actionMap[506][RB] = ActionEntry(SHIFT, 509);
   _actionMap[507][KSEP] = ActionEntry(SHIFT, 669);
   _actionMap[507][RB] = ActionEntry(REDUCE, 88);
   _actionMap[508][KSEP] = ActionEntry(REDUCE, 91);
   _actionMap[508][RB] = ActionEntry(REDUCE, 91);
   _actionMap[509][RETURNTOKEN] = ActionEntry(SHIFT, 671);
   _actionMap[509][BEGIN] = ActionEntry(REDUCE, 87);
   _jumpMap[509][ReturnOpt] = 670;
   _actionMap[510][INTOK] = ActionEntry(SHIFT, 672);
}
void Cego::loadParser72()
{
   _actionMap[510][OUTTOK] = ActionEntry(SHIFT, 673);
   _actionMap[511][RB] = ActionEntry(SHIFT, 675);
   _actionMap[511][KSEP] = ActionEntry(SHIFT, 674);
   _actionMap[512][KSEP] = ActionEntry(REDUCE, 173);
   _actionMap[512][RB] = ActionEntry(REDUCE, 173);
   _actionMap[513][KSEP] = ActionEntry(REDUCE, 175);
   _actionMap[513][RB] = ActionEntry(REDUCE, 175);
   _actionMap[514][IDENTIFIER] = ActionEntry(SHIFT, 515);
   _jumpMap[514][ColumnDesc] = 676;
   _actionMap[515][INT] = ActionEntry(SHIFT, 660);
   _actionMap[515][LONG] = ActionEntry(SHIFT, 661);
   _actionMap[515][STRING] = ActionEntry(SHIFT, 663);
   _actionMap[515][DATETIME] = ActionEntry(SHIFT, 655);
   _actionMap[515][BOOL] = ActionEntry(SHIFT, 653);
   _actionMap[515][BIGINT] = ActionEntry(SHIFT, 651);
   _actionMap[515][FLOAT] = ActionEntry(SHIFT, 659);
   _actionMap[515][DOUBLE] = ActionEntry(SHIFT, 657);
   _actionMap[515][SMALLINT] = ActionEntry(SHIFT, 662);
   _actionMap[515][TINYINT] = ActionEntry(SHIFT, 664);
   _actionMap[515][DECIMAL] = ActionEntry(SHIFT, 656);
   _actionMap[515][FIXED] = ActionEntry(SHIFT, 658);
   _actionMap[515][BLOB] = ActionEntry(SHIFT, 652);
   _actionMap[515][CLOB] = ActionEntry(SHIFT, 654);
   _jumpMap[515][DataTypeProd] = 677;
   _actionMap[516][SEMICOLON] = ActionEntry(REDUCE, 52);
   _actionMap[517][AND] = ActionEntry(SHIFT, 535);
   _actionMap[517][OR] = ActionEntry(SHIFT, 536);
   _actionMap[517][RETURNTOKEN] = ActionEntry(REDUCE, 318);
   _actionMap[517][GROUP] = ActionEntry(REDUCE, 318);
   _actionMap[517][ORDER] = ActionEntry(REDUCE, 318);
   _actionMap[517][ROWLIMIT] = ActionEntry(REDUCE, 318);
   _actionMap[517][UNION] = ActionEntry(REDUCE, 318);
   _actionMap[517][ENDTOKEN] = ActionEntry(REDUCE, 318);
   _actionMap[517][RB] = ActionEntry(REDUCE, 318);
   _actionMap[517][SEMICOLON] = ActionEntry(REDUCE, 318);
   _actionMap[518][KSEP] = ActionEntry(SHIFT, 678);
   _actionMap[518][SEMICOLON] = ActionEntry(REDUCE, 196);
   _actionMap[519][SEMICOLON] = ActionEntry(REDUCE, 202);
   _actionMap[519][KSEP] = ActionEntry(REDUCE, 202);
   _actionMap[520][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[520][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[520][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[520][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[520][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[520][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[520][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[520][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[520][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[520][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[520][NEWDATE] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser73()
{
   _actionMap[520][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[520][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[520][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[520][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[520][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[520][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[520][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[520][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[520][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[520][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[520][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[520][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[520][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[520][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[520][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[520][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[520][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[520][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[520][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[520][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[520][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[520][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[520][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[520][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[520][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[520][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[520][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[520][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[520][LB] = ActionEntry(SHIFT, 151);
   _actionMap[520][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[520][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[520][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[520][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[520][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[520][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[520][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[520][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[520][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[520][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[520][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[520][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[520][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[520][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[520][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[520][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[520][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[520][ObjSpec] = 102;
   _jumpMap[520][Constant] = 101;
   _jumpMap[520][SignedFloat] = 100;
   _jumpMap[520][SignedInt] = 99;
}
void Cego::loadParser74()
{
   _jumpMap[520][Attribute] = 98;
   _jumpMap[520][Function] = 97;
   _jumpMap[520][InsertValueList] = 680;
   _jumpMap[520][CasePrepare] = 96;
   _jumpMap[520][CaseClause] = 95;
   _jumpMap[520][Factor] = 94;
   _jumpMap[520][Term] = 93;
   _jumpMap[520][Expr] = 679;
   _actionMap[521][RB] = ActionEntry(SHIFT, 682);
   _actionMap[521][KSEP] = ActionEntry(SHIFT, 681);
   _actionMap[522][KSEP] = ActionEntry(REDUCE, 205);
   _actionMap[522][RB] = ActionEntry(REDUCE, 205);
   _actionMap[523][SEMICOLON] = ActionEntry(REDUCE, 53);
   _actionMap[524][END_TOKEN] = ActionEntry(SHIFT, 683);
   _actionMap[524][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[524][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[524][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[525][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[525][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[525][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[525][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[525][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[525][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[525][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[525][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[525][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[525][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[525][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[525][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[525][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[525][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[525][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[525][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[525][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[525][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[525][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[525][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[525][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[525][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[525][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[525][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[525][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[525][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[525][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[525][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[525][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[525][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[525][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[525][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[525][CLOBSIZE] = ActionEntry(SHIFT, 112);
}
void Cego::loadParser75()
{
   _actionMap[525][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[525][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[525][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[525][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[525][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[525][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[525][LB] = ActionEntry(SHIFT, 151);
   _actionMap[525][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[525][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[525][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[525][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[525][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[525][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[525][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[525][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[525][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[525][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[525][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[525][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[525][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[525][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[525][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[525][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[525][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[525][ObjSpec] = 102;
   _jumpMap[525][Constant] = 101;
   _jumpMap[525][SignedFloat] = 100;
   _jumpMap[525][SignedInt] = 99;
   _jumpMap[525][Attribute] = 98;
   _jumpMap[525][Function] = 97;
   _jumpMap[525][CasePrepare] = 96;
   _jumpMap[525][CaseClause] = 95;
   _jumpMap[525][Factor] = 94;
   _jumpMap[525][Term] = 93;
   _jumpMap[525][Expr] = 684;
   _actionMap[526][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[526][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[526][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[526][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[526][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[526][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[526][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[526][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[526][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[526][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[526][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[526][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[526][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[526][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[526][RIGHT] = ActionEntry(SHIFT, 137);
}
void Cego::loadParser76()
{
   _actionMap[526][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[526][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[526][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[526][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[526][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[526][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[526][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[526][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[526][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[526][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[526][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[526][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[526][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[526][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[526][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[526][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[526][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[526][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[526][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[526][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[526][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[526][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[526][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[526][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[526][LB] = ActionEntry(SHIFT, 151);
   _actionMap[526][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[526][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[526][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[526][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[526][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[526][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[526][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[526][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[526][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[526][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[526][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[526][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[526][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[526][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[526][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[526][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[526][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[526][ObjSpec] = 102;
   _jumpMap[526][Constant] = 101;
   _jumpMap[526][SignedFloat] = 100;
   _jumpMap[526][SignedInt] = 99;
   _jumpMap[526][Attribute] = 98;
   _jumpMap[526][Function] = 97;
   _jumpMap[526][CasePrepare] = 96;
   _jumpMap[526][CaseClause] = 95;
}
void Cego::loadParser77()
{
   _jumpMap[526][Factor] = 94;
   _jumpMap[526][Term] = 93;
   _jumpMap[526][Expr] = 685;
   _actionMap[527][LB] = ActionEntry(SHIFT, 686);
   _actionMap[528][NOT] = ActionEntry(SHIFT, 687);
   _actionMap[528][NULLTOKEN] = ActionEntry(SHIFT, 688);
   _actionMap[529][STRINGVAL] = ActionEntry(SHIFT, 689);
   _actionMap[530][LIKE] = ActionEntry(SHIFT, 691);
   _actionMap[530][INTOK] = ActionEntry(SHIFT, 690);
   _actionMap[531][VARREF] = ActionEntry(REDUCE, 349);
   _actionMap[531][FETCH] = ActionEntry(REDUCE, 349);
   _actionMap[531][LB] = ActionEntry(REDUCE, 349);
   _actionMap[531][COUNT] = ActionEntry(REDUCE, 349);
   _actionMap[531][SUM] = ActionEntry(REDUCE, 349);
   _actionMap[531][AVG] = ActionEntry(REDUCE, 349);
   _actionMap[531][MIN] = ActionEntry(REDUCE, 349);
   _actionMap[531][MAX] = ActionEntry(REDUCE, 349);
   _actionMap[531][CASE] = ActionEntry(REDUCE, 349);
   _actionMap[531][TRIM] = ActionEntry(REDUCE, 349);
   _actionMap[531][RTRIM] = ActionEntry(REDUCE, 349);
   _actionMap[531][LTRIM] = ActionEntry(REDUCE, 349);
   _actionMap[531][ROUND] = ActionEntry(REDUCE, 349);
   _actionMap[531][DATE2STR] = ActionEntry(REDUCE, 349);
   _actionMap[531][DATE2INT] = ActionEntry(REDUCE, 349);
   _actionMap[531][INT2DATE] = ActionEntry(REDUCE, 349);
   _actionMap[531][NEWDATE] = ActionEntry(REDUCE, 349);
   _actionMap[531][LOWER] = ActionEntry(REDUCE, 349);
   _actionMap[531][UPPER] = ActionEntry(REDUCE, 349);
   _actionMap[531][LEFT] = ActionEntry(REDUCE, 349);
   _actionMap[531][RIGHT] = ActionEntry(REDUCE, 349);
   _actionMap[531][GETPOS] = ActionEntry(REDUCE, 349);
   _actionMap[531][SUBSTR] = ActionEntry(REDUCE, 349);
   _actionMap[531][REPLACE] = ActionEntry(REDUCE, 349);
   _actionMap[531][LENGTH] = ActionEntry(REDUCE, 349);
   _actionMap[531][TRUNC] = ActionEntry(REDUCE, 349);
   _actionMap[531][STR2INT] = ActionEntry(REDUCE, 349);
   _actionMap[531][STR2LONG] = ActionEntry(REDUCE, 349);
   _actionMap[531][STR2DATE] = ActionEntry(REDUCE, 349);
   _actionMap[531][RANDSTR] = ActionEntry(REDUCE, 349);
   _actionMap[531][RANDINT] = ActionEntry(REDUCE, 349);
   _actionMap[531][MOD] = ActionEntry(REDUCE, 349);
   _actionMap[531][DIV] = ActionEntry(REDUCE, 349);
   _actionMap[531][POWER] = ActionEntry(REDUCE, 349);
   _actionMap[531][BITAND] = ActionEntry(REDUCE, 349);
   _actionMap[531][BITOR] = ActionEntry(REDUCE, 349);
   _actionMap[531][BITXOR] = ActionEntry(REDUCE, 349);
   _actionMap[531][BLOBSIZE] = ActionEntry(REDUCE, 349);
   _actionMap[531][CLOBSIZE] = ActionEntry(REDUCE, 349);
   _actionMap[531][CLOB2STR] = ActionEntry(REDUCE, 349);
   _actionMap[531][NEXTCOUNT] = ActionEntry(REDUCE, 349);
}
void Cego::loadParser78()
{
   _actionMap[531][SETCOUNT] = ActionEntry(REDUCE, 349);
   _actionMap[531][IDENTIFIER] = ActionEntry(REDUCE, 349);
   _actionMap[531][QUALIFIEDOBJ] = ActionEntry(REDUCE, 349);
   _actionMap[531][QUALIFIEDTS] = ActionEntry(REDUCE, 349);
   _actionMap[531][QUALIFIEDPRE] = ActionEntry(REDUCE, 349);
   _actionMap[531][STRINGVAL] = ActionEntry(REDUCE, 349);
   _actionMap[531][DATE] = ActionEntry(REDUCE, 349);
   _actionMap[531][SYSDATE] = ActionEntry(REDUCE, 349);
   _actionMap[531][NULLTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[531][TRUEVAL] = ActionEntry(REDUCE, 349);
   _actionMap[531][FALSEVAL] = ActionEntry(REDUCE, 349);
   _actionMap[531][BLOB] = ActionEntry(REDUCE, 349);
   _actionMap[531][CLOB] = ActionEntry(REDUCE, 349);
   _actionMap[531][FLOATVAL] = ActionEntry(REDUCE, 349);
   _actionMap[531][MINUS] = ActionEntry(REDUCE, 349);
   _actionMap[531][INTVAL] = ActionEntry(REDUCE, 349);
   _actionMap[532][VARREF] = ActionEntry(REDUCE, 351);
   _actionMap[532][FETCH] = ActionEntry(REDUCE, 351);
   _actionMap[532][LB] = ActionEntry(REDUCE, 351);
   _actionMap[532][COUNT] = ActionEntry(REDUCE, 351);
   _actionMap[532][SUM] = ActionEntry(REDUCE, 351);
   _actionMap[532][AVG] = ActionEntry(REDUCE, 351);
   _actionMap[532][MIN] = ActionEntry(REDUCE, 351);
   _actionMap[532][MAX] = ActionEntry(REDUCE, 351);
   _actionMap[532][CASE] = ActionEntry(REDUCE, 351);
   _actionMap[532][TRIM] = ActionEntry(REDUCE, 351);
   _actionMap[532][RTRIM] = ActionEntry(REDUCE, 351);
   _actionMap[532][LTRIM] = ActionEntry(REDUCE, 351);
   _actionMap[532][ROUND] = ActionEntry(REDUCE, 351);
   _actionMap[532][DATE2STR] = ActionEntry(REDUCE, 351);
   _actionMap[532][DATE2INT] = ActionEntry(REDUCE, 351);
   _actionMap[532][INT2DATE] = ActionEntry(REDUCE, 351);
   _actionMap[532][NEWDATE] = ActionEntry(REDUCE, 351);
   _actionMap[532][LOWER] = ActionEntry(REDUCE, 351);
   _actionMap[532][UPPER] = ActionEntry(REDUCE, 351);
   _actionMap[532][LEFT] = ActionEntry(REDUCE, 351);
   _actionMap[532][RIGHT] = ActionEntry(REDUCE, 351);
   _actionMap[532][GETPOS] = ActionEntry(REDUCE, 351);
   _actionMap[532][SUBSTR] = ActionEntry(REDUCE, 351);
   _actionMap[532][REPLACE] = ActionEntry(REDUCE, 351);
   _actionMap[532][LENGTH] = ActionEntry(REDUCE, 351);
   _actionMap[532][TRUNC] = ActionEntry(REDUCE, 351);
   _actionMap[532][STR2INT] = ActionEntry(REDUCE, 351);
   _actionMap[532][STR2LONG] = ActionEntry(REDUCE, 351);
   _actionMap[532][STR2DATE] = ActionEntry(REDUCE, 351);
   _actionMap[532][RANDSTR] = ActionEntry(REDUCE, 351);
   _actionMap[532][RANDINT] = ActionEntry(REDUCE, 351);
   _actionMap[532][MOD] = ActionEntry(REDUCE, 351);
   _actionMap[532][DIV] = ActionEntry(REDUCE, 351);
   _actionMap[532][POWER] = ActionEntry(REDUCE, 351);
}
void Cego::loadParser79()
{
   _actionMap[532][BITAND] = ActionEntry(REDUCE, 351);
   _actionMap[532][BITOR] = ActionEntry(REDUCE, 351);
   _actionMap[532][BITXOR] = ActionEntry(REDUCE, 351);
   _actionMap[532][BLOBSIZE] = ActionEntry(REDUCE, 351);
   _actionMap[532][CLOBSIZE] = ActionEntry(REDUCE, 351);
   _actionMap[532][CLOB2STR] = ActionEntry(REDUCE, 351);
   _actionMap[532][NEXTCOUNT] = ActionEntry(REDUCE, 351);
   _actionMap[532][SETCOUNT] = ActionEntry(REDUCE, 351);
   _actionMap[532][IDENTIFIER] = ActionEntry(REDUCE, 351);
   _actionMap[532][QUALIFIEDOBJ] = ActionEntry(REDUCE, 351);
   _actionMap[532][QUALIFIEDTS] = ActionEntry(REDUCE, 351);
   _actionMap[532][QUALIFIEDPRE] = ActionEntry(REDUCE, 351);
   _actionMap[532][STRINGVAL] = ActionEntry(REDUCE, 351);
   _actionMap[532][DATE] = ActionEntry(REDUCE, 351);
   _actionMap[532][SYSDATE] = ActionEntry(REDUCE, 351);
   _actionMap[532][NULLTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[532][TRUEVAL] = ActionEntry(REDUCE, 351);
   _actionMap[532][FALSEVAL] = ActionEntry(REDUCE, 351);
   _actionMap[532][BLOB] = ActionEntry(REDUCE, 351);
   _actionMap[532][CLOB] = ActionEntry(REDUCE, 351);
   _actionMap[532][FLOATVAL] = ActionEntry(REDUCE, 351);
   _actionMap[532][MINUS] = ActionEntry(REDUCE, 351);
   _actionMap[532][INTVAL] = ActionEntry(REDUCE, 351);
   _actionMap[532][EQU] = ActionEntry(SHIFT, 692);
   _actionMap[533][VARREF] = ActionEntry(REDUCE, 352);
   _actionMap[533][FETCH] = ActionEntry(REDUCE, 352);
   _actionMap[533][LB] = ActionEntry(REDUCE, 352);
   _actionMap[533][COUNT] = ActionEntry(REDUCE, 352);
   _actionMap[533][SUM] = ActionEntry(REDUCE, 352);
   _actionMap[533][AVG] = ActionEntry(REDUCE, 352);
   _actionMap[533][MIN] = ActionEntry(REDUCE, 352);
   _actionMap[533][MAX] = ActionEntry(REDUCE, 352);
   _actionMap[533][CASE] = ActionEntry(REDUCE, 352);
   _actionMap[533][TRIM] = ActionEntry(REDUCE, 352);
   _actionMap[533][RTRIM] = ActionEntry(REDUCE, 352);
   _actionMap[533][LTRIM] = ActionEntry(REDUCE, 352);
   _actionMap[533][ROUND] = ActionEntry(REDUCE, 352);
   _actionMap[533][DATE2STR] = ActionEntry(REDUCE, 352);
   _actionMap[533][DATE2INT] = ActionEntry(REDUCE, 352);
   _actionMap[533][INT2DATE] = ActionEntry(REDUCE, 352);
   _actionMap[533][NEWDATE] = ActionEntry(REDUCE, 352);
   _actionMap[533][LOWER] = ActionEntry(REDUCE, 352);
   _actionMap[533][UPPER] = ActionEntry(REDUCE, 352);
   _actionMap[533][LEFT] = ActionEntry(REDUCE, 352);
   _actionMap[533][RIGHT] = ActionEntry(REDUCE, 352);
   _actionMap[533][GETPOS] = ActionEntry(REDUCE, 352);
   _actionMap[533][SUBSTR] = ActionEntry(REDUCE, 352);
   _actionMap[533][REPLACE] = ActionEntry(REDUCE, 352);
   _actionMap[533][LENGTH] = ActionEntry(REDUCE, 352);
   _actionMap[533][TRUNC] = ActionEntry(REDUCE, 352);
}
void Cego::loadParser80()
{
   _actionMap[533][STR2INT] = ActionEntry(REDUCE, 352);
   _actionMap[533][STR2LONG] = ActionEntry(REDUCE, 352);
   _actionMap[533][STR2DATE] = ActionEntry(REDUCE, 352);
   _actionMap[533][RANDSTR] = ActionEntry(REDUCE, 352);
   _actionMap[533][RANDINT] = ActionEntry(REDUCE, 352);
   _actionMap[533][MOD] = ActionEntry(REDUCE, 352);
   _actionMap[533][DIV] = ActionEntry(REDUCE, 352);
   _actionMap[533][POWER] = ActionEntry(REDUCE, 352);
   _actionMap[533][BITAND] = ActionEntry(REDUCE, 352);
   _actionMap[533][BITOR] = ActionEntry(REDUCE, 352);
   _actionMap[533][BITXOR] = ActionEntry(REDUCE, 352);
   _actionMap[533][BLOBSIZE] = ActionEntry(REDUCE, 352);
   _actionMap[533][CLOBSIZE] = ActionEntry(REDUCE, 352);
   _actionMap[533][CLOB2STR] = ActionEntry(REDUCE, 352);
   _actionMap[533][NEXTCOUNT] = ActionEntry(REDUCE, 352);
   _actionMap[533][SETCOUNT] = ActionEntry(REDUCE, 352);
   _actionMap[533][IDENTIFIER] = ActionEntry(REDUCE, 352);
   _actionMap[533][QUALIFIEDOBJ] = ActionEntry(REDUCE, 352);
   _actionMap[533][QUALIFIEDTS] = ActionEntry(REDUCE, 352);
   _actionMap[533][QUALIFIEDPRE] = ActionEntry(REDUCE, 352);
   _actionMap[533][STRINGVAL] = ActionEntry(REDUCE, 352);
   _actionMap[533][DATE] = ActionEntry(REDUCE, 352);
   _actionMap[533][SYSDATE] = ActionEntry(REDUCE, 352);
   _actionMap[533][NULLTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[533][TRUEVAL] = ActionEntry(REDUCE, 352);
   _actionMap[533][FALSEVAL] = ActionEntry(REDUCE, 352);
   _actionMap[533][BLOB] = ActionEntry(REDUCE, 352);
   _actionMap[533][CLOB] = ActionEntry(REDUCE, 352);
   _actionMap[533][FLOATVAL] = ActionEntry(REDUCE, 352);
   _actionMap[533][MINUS] = ActionEntry(REDUCE, 352);
   _actionMap[533][INTVAL] = ActionEntry(REDUCE, 352);
   _actionMap[533][EQU] = ActionEntry(SHIFT, 693);
   _actionMap[534][EQU] = ActionEntry(SHIFT, 694);
   _actionMap[535][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[535][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[535][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[535][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[535][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[535][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[535][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[535][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[535][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[535][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[535][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[535][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[535][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[535][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[535][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[535][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[535][SUBSTR] = ActionEntry(SHIFT, 141);
}
void Cego::loadParser81()
{
   _actionMap[535][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[535][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[535][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[535][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[535][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[535][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[535][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[535][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[535][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[535][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[535][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[535][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[535][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[535][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[535][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[535][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[535][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[535][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[535][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[535][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[535][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[535][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[535][LB] = ActionEntry(SHIFT, 391);
   _actionMap[535][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[535][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[535][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[535][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[535][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[535][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[535][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[535][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[535][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[535][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[535][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[535][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[535][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[535][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[535][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[535][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[535][MAX] = ActionEntry(SHIFT, 129);
   _actionMap[535][EXISTS] = ActionEntry(SHIFT, 389);
   _actionMap[535][NOT] = ActionEntry(SHIFT, 390);
   _jumpMap[535][ObjSpec] = 102;
   _jumpMap[535][Constant] = 101;
   _jumpMap[535][SignedFloat] = 100;
   _jumpMap[535][SignedInt] = 99;
   _jumpMap[535][Attribute] = 98;
   _jumpMap[535][QueryPredicate] = 695;
   _jumpMap[535][Function] = 97;
   _jumpMap[535][CasePrepare] = 96;
}
void Cego::loadParser82()
{
   _jumpMap[535][CaseClause] = 95;
   _jumpMap[535][Factor] = 94;
   _jumpMap[535][Term] = 93;
   _jumpMap[535][Expr] = 386;
   _actionMap[536][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[536][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[536][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[536][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[536][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[536][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[536][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[536][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[536][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[536][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[536][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[536][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[536][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[536][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[536][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[536][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[536][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[536][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[536][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[536][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[536][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[536][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[536][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[536][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[536][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[536][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[536][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[536][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[536][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[536][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[536][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[536][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[536][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[536][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[536][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[536][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[536][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[536][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[536][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[536][LB] = ActionEntry(SHIFT, 391);
   _actionMap[536][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[536][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[536][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[536][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[536][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[536][FALSEVAL] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser83()
{
   _actionMap[536][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[536][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[536][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[536][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[536][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[536][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[536][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[536][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[536][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[536][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[536][MAX] = ActionEntry(SHIFT, 129);
   _actionMap[536][EXISTS] = ActionEntry(SHIFT, 389);
   _actionMap[536][NOT] = ActionEntry(SHIFT, 390);
   _jumpMap[536][ObjSpec] = 102;
   _jumpMap[536][Constant] = 101;
   _jumpMap[536][SignedFloat] = 100;
   _jumpMap[536][SignedInt] = 99;
   _jumpMap[536][Attribute] = 98;
   _jumpMap[536][QueryPredicate] = 696;
   _jumpMap[536][Function] = 97;
   _jumpMap[536][CasePrepare] = 96;
   _jumpMap[536][CaseClause] = 95;
   _jumpMap[536][Factor] = 94;
   _jumpMap[536][Term] = 93;
   _jumpMap[536][Expr] = 386;
   _actionMap[537][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[537][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[537][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[537][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[537][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[537][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[537][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[537][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[537][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[537][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[537][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[537][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[537][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[537][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[537][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[537][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[537][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[537][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[537][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[537][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[537][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[537][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[537][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[537][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[537][RANDINT] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser84()
{
   _actionMap[537][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[537][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[537][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[537][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[537][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[537][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[537][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[537][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[537][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[537][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[537][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[537][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[537][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[537][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[537][LB] = ActionEntry(SHIFT, 151);
   _actionMap[537][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[537][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[537][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[537][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[537][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[537][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[537][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[537][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[537][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[537][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[537][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[537][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[537][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[537][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[537][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[537][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[537][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[537][ObjSpec] = 102;
   _jumpMap[537][Constant] = 101;
   _jumpMap[537][SignedFloat] = 100;
   _jumpMap[537][SignedInt] = 99;
   _jumpMap[537][Attribute] = 98;
   _jumpMap[537][Function] = 97;
   _jumpMap[537][CasePrepare] = 96;
   _jumpMap[537][CaseClause] = 95;
   _jumpMap[537][Factor] = 94;
   _jumpMap[537][Term] = 93;
   _jumpMap[537][Expr] = 697;
   _actionMap[538][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[538][SelectStatement] = 698;
   _actionMap[539][THEN] = ActionEntry(REDUCE, 334);
   _actionMap[539][LEFT] = ActionEntry(REDUCE, 334);
   _actionMap[539][RIGHT] = ActionEntry(REDUCE, 334);
   _actionMap[539][INNER] = ActionEntry(REDUCE, 334);
   _actionMap[539][JOIN] = ActionEntry(REDUCE, 334);
}
void Cego::loadParser85()
{
   _actionMap[539][RETURNTOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[539][SEMICOLON] = ActionEntry(REDUCE, 334);
   _actionMap[539][RB] = ActionEntry(REDUCE, 334);
   _actionMap[539][ENDTOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[539][UNION] = ActionEntry(REDUCE, 334);
   _actionMap[539][ROWLIMIT] = ActionEntry(REDUCE, 334);
   _actionMap[539][ORDER] = ActionEntry(REDUCE, 334);
   _actionMap[539][GROUP] = ActionEntry(REDUCE, 334);
   _actionMap[539][WHERE] = ActionEntry(REDUCE, 334);
   _actionMap[539][AND] = ActionEntry(REDUCE, 334);
   _actionMap[539][OR] = ActionEntry(REDUCE, 334);
   _actionMap[540][RB] = ActionEntry(SHIFT, 439);
   _actionMap[540][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[540][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[540][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[540][INTOK] = ActionEntry(SHIFT, 527);
   _actionMap[540][NOT] = ActionEntry(SHIFT, 530);
   _actionMap[540][BETWEEN] = ActionEntry(SHIFT, 526);
   _actionMap[540][IS] = ActionEntry(SHIFT, 528);
   _actionMap[540][LIKE] = ActionEntry(SHIFT, 529);
   _actionMap[540][EQU] = ActionEntry(SHIFT, 531);
   _actionMap[540][NEGATION] = ActionEntry(SHIFT, 534);
   _actionMap[540][LT] = ActionEntry(SHIFT, 532);
   _actionMap[540][MT] = ActionEntry(SHIFT, 533);
   _jumpMap[540][Comparison] = 525;
   _actionMap[541][RB] = ActionEntry(SHIFT, 699);
   _actionMap[541][AND] = ActionEntry(SHIFT, 535);
   _actionMap[541][OR] = ActionEntry(SHIFT, 536);
   _actionMap[542][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[542][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[542][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[542][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[542][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[542][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[542][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[542][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[542][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[542][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[542][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[542][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[542][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[542][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[542][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[542][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[542][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[542][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[542][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[542][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[542][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[542][STR2LONG] = ActionEntry(SHIFT, 145);
}
void Cego::loadParser86()
{
   _actionMap[542][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[542][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[542][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[542][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[542][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[542][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[542][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[542][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[542][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[542][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[542][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[542][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[542][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[542][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[542][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[542][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[542][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[542][LB] = ActionEntry(SHIFT, 151);
   _actionMap[542][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[542][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[542][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[542][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[542][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[542][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[542][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[542][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[542][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[542][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[542][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[542][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[542][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[542][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[542][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[542][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[542][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[542][ObjSpec] = 102;
   _jumpMap[542][Constant] = 101;
   _jumpMap[542][SignedFloat] = 100;
   _jumpMap[542][SignedInt] = 99;
   _jumpMap[542][Attribute] = 98;
   _jumpMap[542][Function] = 97;
   _jumpMap[542][CasePrepare] = 96;
   _jumpMap[542][CaseClause] = 95;
   _jumpMap[542][Factor] = 94;
   _jumpMap[542][Term] = 93;
   _jumpMap[542][Expr] = 700;
   _actionMap[543][WHEN] = ActionEntry(REDUCE, 314);
   _actionMap[543][ELSE] = ActionEntry(REDUCE, 314);
   _actionMap[543][LEFT] = ActionEntry(REDUCE, 314);
   _actionMap[543][RIGHT] = ActionEntry(REDUCE, 314);
}
void Cego::loadParser87()
{
   _actionMap[543][INNER] = ActionEntry(REDUCE, 314);
   _actionMap[543][JOIN] = ActionEntry(REDUCE, 314);
   _actionMap[543][RETURNTOKEN] = ActionEntry(REDUCE, 314);
   _actionMap[543][ORDER] = ActionEntry(REDUCE, 314);
   _actionMap[543][GROUP] = ActionEntry(REDUCE, 314);
   _actionMap[543][WHERE] = ActionEntry(REDUCE, 314);
   _actionMap[543][FROM] = ActionEntry(REDUCE, 314);
   _actionMap[543][AS] = ActionEntry(REDUCE, 314);
   _actionMap[543][END_TOKEN] = ActionEntry(REDUCE, 314);
   _actionMap[543][BEGIN] = ActionEntry(REDUCE, 314);
   _actionMap[543][THEN] = ActionEntry(REDUCE, 314);
   _actionMap[543][OR] = ActionEntry(REDUCE, 314);
   _actionMap[543][AND] = ActionEntry(REDUCE, 314);
   _actionMap[543][INTOK] = ActionEntry(REDUCE, 314);
   _actionMap[543][NOT] = ActionEntry(REDUCE, 314);
   _actionMap[543][BETWEEN] = ActionEntry(REDUCE, 314);
   _actionMap[543][IS] = ActionEntry(REDUCE, 314);
   _actionMap[543][LIKE] = ActionEntry(REDUCE, 314);
   _actionMap[543][MT] = ActionEntry(REDUCE, 314);
   _actionMap[543][LT] = ActionEntry(REDUCE, 314);
   _actionMap[543][NEGATION] = ActionEntry(REDUCE, 314);
   _actionMap[543][EQU] = ActionEntry(REDUCE, 314);
   _actionMap[543][RB] = ActionEntry(REDUCE, 314);
   _actionMap[543][ENDTOKEN] = ActionEntry(REDUCE, 314);
   _actionMap[543][UNION] = ActionEntry(REDUCE, 314);
   _actionMap[543][ROWLIMIT] = ActionEntry(REDUCE, 314);
   _actionMap[543][KSEP] = ActionEntry(REDUCE, 314);
   _actionMap[543][ASC] = ActionEntry(REDUCE, 314);
   _actionMap[543][DESC] = ActionEntry(REDUCE, 314);
   _actionMap[543][SEMICOLON] = ActionEntry(REDUCE, 314);
   _actionMap[543][PLUS] = ActionEntry(REDUCE, 314);
   _actionMap[543][MINUS] = ActionEntry(REDUCE, 314);
   _actionMap[543][DIVISION] = ActionEntry(REDUCE, 314);
   _actionMap[543][STAR] = ActionEntry(REDUCE, 314);
   _actionMap[543][CONCAT] = ActionEntry(REDUCE, 314);
   _actionMap[544][WHEN] = ActionEntry(REDUCE, 161);
   _actionMap[544][ELSE] = ActionEntry(REDUCE, 161);
   _actionMap[544][LEFT] = ActionEntry(REDUCE, 161);
   _actionMap[544][RIGHT] = ActionEntry(REDUCE, 161);
   _actionMap[544][INNER] = ActionEntry(REDUCE, 161);
   _actionMap[544][JOIN] = ActionEntry(REDUCE, 161);
   _actionMap[544][RETURNTOKEN] = ActionEntry(REDUCE, 161);
   _actionMap[544][ORDER] = ActionEntry(REDUCE, 161);
   _actionMap[544][GROUP] = ActionEntry(REDUCE, 161);
   _actionMap[544][WHERE] = ActionEntry(REDUCE, 161);
   _actionMap[544][AS] = ActionEntry(REDUCE, 161);
   _actionMap[544][FROM] = ActionEntry(REDUCE, 161);
   _actionMap[544][END_TOKEN] = ActionEntry(REDUCE, 161);
   _actionMap[544][BEGIN] = ActionEntry(REDUCE, 161);
   _actionMap[544][THEN] = ActionEntry(REDUCE, 161);
}
void Cego::loadParser88()
{
   _actionMap[544][OR] = ActionEntry(REDUCE, 161);
   _actionMap[544][AND] = ActionEntry(REDUCE, 161);
   _actionMap[544][LIKE] = ActionEntry(REDUCE, 161);
   _actionMap[544][IS] = ActionEntry(REDUCE, 161);
   _actionMap[544][BETWEEN] = ActionEntry(REDUCE, 161);
   _actionMap[544][NOT] = ActionEntry(REDUCE, 161);
   _actionMap[544][INTOK] = ActionEntry(REDUCE, 161);
   _actionMap[544][EQU] = ActionEntry(REDUCE, 161);
   _actionMap[544][NEGATION] = ActionEntry(REDUCE, 161);
   _actionMap[544][LT] = ActionEntry(REDUCE, 161);
   _actionMap[544][MT] = ActionEntry(REDUCE, 161);
   _actionMap[544][DESC] = ActionEntry(REDUCE, 161);
   _actionMap[544][ASC] = ActionEntry(REDUCE, 161);
   _actionMap[544][KSEP] = ActionEntry(REDUCE, 161);
   _actionMap[544][ROWLIMIT] = ActionEntry(REDUCE, 161);
   _actionMap[544][UNION] = ActionEntry(REDUCE, 161);
   _actionMap[544][ENDTOKEN] = ActionEntry(REDUCE, 161);
   _actionMap[544][RB] = ActionEntry(REDUCE, 161);
   _actionMap[544][SEMICOLON] = ActionEntry(REDUCE, 161);
   _actionMap[544][CONCAT] = ActionEntry(REDUCE, 161);
   _actionMap[544][STAR] = ActionEntry(REDUCE, 161);
   _actionMap[544][DIVISION] = ActionEntry(REDUCE, 161);
   _actionMap[544][MINUS] = ActionEntry(REDUCE, 161);
   _actionMap[544][PLUS] = ActionEntry(REDUCE, 161);
   _actionMap[545][WHEN] = ActionEntry(REDUCE, 306);
   _actionMap[545][ELSE] = ActionEntry(REDUCE, 306);
   _actionMap[545][LEFT] = ActionEntry(REDUCE, 306);
   _actionMap[545][RIGHT] = ActionEntry(REDUCE, 306);
   _actionMap[545][INNER] = ActionEntry(REDUCE, 306);
   _actionMap[545][JOIN] = ActionEntry(REDUCE, 306);
   _actionMap[545][RETURNTOKEN] = ActionEntry(REDUCE, 306);
   _actionMap[545][ORDER] = ActionEntry(REDUCE, 306);
   _actionMap[545][GROUP] = ActionEntry(REDUCE, 306);
   _actionMap[545][WHERE] = ActionEntry(REDUCE, 306);
   _actionMap[545][FROM] = ActionEntry(REDUCE, 306);
   _actionMap[545][AS] = ActionEntry(REDUCE, 306);
   _actionMap[545][END_TOKEN] = ActionEntry(REDUCE, 306);
   _actionMap[545][BEGIN] = ActionEntry(REDUCE, 306);
   _actionMap[545][THEN] = ActionEntry(REDUCE, 306);
   _actionMap[545][OR] = ActionEntry(REDUCE, 306);
   _actionMap[545][AND] = ActionEntry(REDUCE, 306);
   _actionMap[545][INTOK] = ActionEntry(REDUCE, 306);
   _actionMap[545][NOT] = ActionEntry(REDUCE, 306);
   _actionMap[545][BETWEEN] = ActionEntry(REDUCE, 306);
   _actionMap[545][IS] = ActionEntry(REDUCE, 306);
   _actionMap[545][LIKE] = ActionEntry(REDUCE, 306);
   _actionMap[545][MT] = ActionEntry(REDUCE, 306);
   _actionMap[545][LT] = ActionEntry(REDUCE, 306);
   _actionMap[545][NEGATION] = ActionEntry(REDUCE, 306);
   _actionMap[545][EQU] = ActionEntry(REDUCE, 306);
}
void Cego::loadParser89()
{
   _actionMap[545][RB] = ActionEntry(REDUCE, 306);
   _actionMap[545][ENDTOKEN] = ActionEntry(REDUCE, 306);
   _actionMap[545][UNION] = ActionEntry(REDUCE, 306);
   _actionMap[545][ROWLIMIT] = ActionEntry(REDUCE, 306);
   _actionMap[545][KSEP] = ActionEntry(REDUCE, 306);
   _actionMap[545][ASC] = ActionEntry(REDUCE, 306);
   _actionMap[545][DESC] = ActionEntry(REDUCE, 306);
   _actionMap[545][SEMICOLON] = ActionEntry(REDUCE, 306);
   _actionMap[545][PLUS] = ActionEntry(REDUCE, 306);
   _actionMap[545][MINUS] = ActionEntry(REDUCE, 306);
   _actionMap[545][DIVISION] = ActionEntry(REDUCE, 306);
   _actionMap[545][STAR] = ActionEntry(REDUCE, 306);
   _actionMap[545][CONCAT] = ActionEntry(REDUCE, 306);
   _actionMap[546][WHEN] = ActionEntry(REDUCE, 307);
   _actionMap[546][ELSE] = ActionEntry(REDUCE, 307);
   _actionMap[546][LEFT] = ActionEntry(REDUCE, 307);
   _actionMap[546][RIGHT] = ActionEntry(REDUCE, 307);
   _actionMap[546][INNER] = ActionEntry(REDUCE, 307);
   _actionMap[546][JOIN] = ActionEntry(REDUCE, 307);
   _actionMap[546][RETURNTOKEN] = ActionEntry(REDUCE, 307);
   _actionMap[546][ORDER] = ActionEntry(REDUCE, 307);
   _actionMap[546][GROUP] = ActionEntry(REDUCE, 307);
   _actionMap[546][WHERE] = ActionEntry(REDUCE, 307);
   _actionMap[546][FROM] = ActionEntry(REDUCE, 307);
   _actionMap[546][AS] = ActionEntry(REDUCE, 307);
   _actionMap[546][END_TOKEN] = ActionEntry(REDUCE, 307);
   _actionMap[546][BEGIN] = ActionEntry(REDUCE, 307);
   _actionMap[546][THEN] = ActionEntry(REDUCE, 307);
   _actionMap[546][OR] = ActionEntry(REDUCE, 307);
   _actionMap[546][AND] = ActionEntry(REDUCE, 307);
   _actionMap[546][INTOK] = ActionEntry(REDUCE, 307);
   _actionMap[546][NOT] = ActionEntry(REDUCE, 307);
   _actionMap[546][BETWEEN] = ActionEntry(REDUCE, 307);
   _actionMap[546][IS] = ActionEntry(REDUCE, 307);
   _actionMap[546][LIKE] = ActionEntry(REDUCE, 307);
   _actionMap[546][MT] = ActionEntry(REDUCE, 307);
   _actionMap[546][LT] = ActionEntry(REDUCE, 307);
   _actionMap[546][NEGATION] = ActionEntry(REDUCE, 307);
   _actionMap[546][EQU] = ActionEntry(REDUCE, 307);
   _actionMap[546][RB] = ActionEntry(REDUCE, 307);
   _actionMap[546][ENDTOKEN] = ActionEntry(REDUCE, 307);
   _actionMap[546][UNION] = ActionEntry(REDUCE, 307);
   _actionMap[546][ROWLIMIT] = ActionEntry(REDUCE, 307);
   _actionMap[546][KSEP] = ActionEntry(REDUCE, 307);
   _actionMap[546][ASC] = ActionEntry(REDUCE, 307);
   _actionMap[546][DESC] = ActionEntry(REDUCE, 307);
   _actionMap[546][SEMICOLON] = ActionEntry(REDUCE, 307);
   _actionMap[546][PLUS] = ActionEntry(REDUCE, 307);
   _actionMap[546][MINUS] = ActionEntry(REDUCE, 307);
   _actionMap[546][DIVISION] = ActionEntry(REDUCE, 307);
}
void Cego::loadParser90()
{
   _actionMap[546][STAR] = ActionEntry(REDUCE, 307);
   _actionMap[546][CONCAT] = ActionEntry(REDUCE, 307);
   _actionMap[547][WHEN] = ActionEntry(REDUCE, 308);
   _actionMap[547][ELSE] = ActionEntry(REDUCE, 308);
   _actionMap[547][LEFT] = ActionEntry(REDUCE, 308);
   _actionMap[547][RIGHT] = ActionEntry(REDUCE, 308);
   _actionMap[547][INNER] = ActionEntry(REDUCE, 308);
   _actionMap[547][JOIN] = ActionEntry(REDUCE, 308);
   _actionMap[547][RETURNTOKEN] = ActionEntry(REDUCE, 308);
   _actionMap[547][ORDER] = ActionEntry(REDUCE, 308);
   _actionMap[547][GROUP] = ActionEntry(REDUCE, 308);
   _actionMap[547][WHERE] = ActionEntry(REDUCE, 308);
   _actionMap[547][FROM] = ActionEntry(REDUCE, 308);
   _actionMap[547][AS] = ActionEntry(REDUCE, 308);
   _actionMap[547][END_TOKEN] = ActionEntry(REDUCE, 308);
   _actionMap[547][BEGIN] = ActionEntry(REDUCE, 308);
   _actionMap[547][THEN] = ActionEntry(REDUCE, 308);
   _actionMap[547][OR] = ActionEntry(REDUCE, 308);
   _actionMap[547][AND] = ActionEntry(REDUCE, 308);
   _actionMap[547][INTOK] = ActionEntry(REDUCE, 308);
   _actionMap[547][NOT] = ActionEntry(REDUCE, 308);
   _actionMap[547][BETWEEN] = ActionEntry(REDUCE, 308);
   _actionMap[547][IS] = ActionEntry(REDUCE, 308);
   _actionMap[547][LIKE] = ActionEntry(REDUCE, 308);
   _actionMap[547][MT] = ActionEntry(REDUCE, 308);
   _actionMap[547][LT] = ActionEntry(REDUCE, 308);
   _actionMap[547][NEGATION] = ActionEntry(REDUCE, 308);
   _actionMap[547][EQU] = ActionEntry(REDUCE, 308);
   _actionMap[547][RB] = ActionEntry(REDUCE, 308);
   _actionMap[547][ENDTOKEN] = ActionEntry(REDUCE, 308);
   _actionMap[547][UNION] = ActionEntry(REDUCE, 308);
   _actionMap[547][ROWLIMIT] = ActionEntry(REDUCE, 308);
   _actionMap[547][KSEP] = ActionEntry(REDUCE, 308);
   _actionMap[547][ASC] = ActionEntry(REDUCE, 308);
   _actionMap[547][DESC] = ActionEntry(REDUCE, 308);
   _actionMap[547][SEMICOLON] = ActionEntry(REDUCE, 308);
   _actionMap[547][PLUS] = ActionEntry(REDUCE, 308);
   _actionMap[547][MINUS] = ActionEntry(REDUCE, 308);
   _actionMap[547][DIVISION] = ActionEntry(REDUCE, 308);
   _actionMap[547][STAR] = ActionEntry(REDUCE, 308);
   _actionMap[547][CONCAT] = ActionEntry(REDUCE, 308);
   _actionMap[548][WHEN] = ActionEntry(REDUCE, 377);
   _actionMap[548][ELSE] = ActionEntry(REDUCE, 377);
   _actionMap[548][LEFT] = ActionEntry(REDUCE, 377);
   _actionMap[548][RIGHT] = ActionEntry(REDUCE, 377);
   _actionMap[548][INNER] = ActionEntry(REDUCE, 377);
   _actionMap[548][JOIN] = ActionEntry(REDUCE, 377);
   _actionMap[548][RETURNTOKEN] = ActionEntry(REDUCE, 377);
   _actionMap[548][ORDER] = ActionEntry(REDUCE, 377);
   _actionMap[548][GROUP] = ActionEntry(REDUCE, 377);
}
void Cego::loadParser91()
{
   _actionMap[548][WHERE] = ActionEntry(REDUCE, 377);
   _actionMap[548][NULLTOKEN] = ActionEntry(REDUCE, 377);
   _actionMap[548][FROM] = ActionEntry(REDUCE, 377);
   _actionMap[548][AS] = ActionEntry(REDUCE, 377);
   _actionMap[548][END_TOKEN] = ActionEntry(REDUCE, 377);
   _actionMap[548][BEGIN] = ActionEntry(REDUCE, 377);
   _actionMap[548][THEN] = ActionEntry(REDUCE, 377);
   _actionMap[548][OR] = ActionEntry(REDUCE, 377);
   _actionMap[548][AND] = ActionEntry(REDUCE, 377);
   _actionMap[548][INTOK] = ActionEntry(REDUCE, 377);
   _actionMap[548][NOT] = ActionEntry(REDUCE, 377);
   _actionMap[548][BETWEEN] = ActionEntry(REDUCE, 377);
   _actionMap[548][IS] = ActionEntry(REDUCE, 377);
   _actionMap[548][LIKE] = ActionEntry(REDUCE, 377);
   _actionMap[548][MT] = ActionEntry(REDUCE, 377);
   _actionMap[548][LT] = ActionEntry(REDUCE, 377);
   _actionMap[548][NEGATION] = ActionEntry(REDUCE, 377);
   _actionMap[548][EQU] = ActionEntry(REDUCE, 377);
   _actionMap[548][RB] = ActionEntry(REDUCE, 377);
   _actionMap[548][ENDTOKEN] = ActionEntry(REDUCE, 377);
   _actionMap[548][UNION] = ActionEntry(REDUCE, 377);
   _actionMap[548][ROWLIMIT] = ActionEntry(REDUCE, 377);
   _actionMap[548][KSEP] = ActionEntry(REDUCE, 377);
   _actionMap[548][ASC] = ActionEntry(REDUCE, 377);
   _actionMap[548][DESC] = ActionEntry(REDUCE, 377);
   _actionMap[548][SEMICOLON] = ActionEntry(REDUCE, 377);
   _actionMap[548][PLUS] = ActionEntry(REDUCE, 377);
   _actionMap[548][MINUS] = ActionEntry(REDUCE, 377);
   _actionMap[548][DIVISION] = ActionEntry(REDUCE, 377);
   _actionMap[548][STAR] = ActionEntry(REDUCE, 377);
   _actionMap[548][CONCAT] = ActionEntry(REDUCE, 377);
   _actionMap[549][WHEN] = ActionEntry(REDUCE, 309);
   _actionMap[549][ELSE] = ActionEntry(REDUCE, 309);
   _actionMap[549][LEFT] = ActionEntry(REDUCE, 309);
   _actionMap[549][RIGHT] = ActionEntry(REDUCE, 309);
   _actionMap[549][INNER] = ActionEntry(REDUCE, 309);
   _actionMap[549][JOIN] = ActionEntry(REDUCE, 309);
   _actionMap[549][RETURNTOKEN] = ActionEntry(REDUCE, 309);
   _actionMap[549][ORDER] = ActionEntry(REDUCE, 309);
   _actionMap[549][GROUP] = ActionEntry(REDUCE, 309);
   _actionMap[549][WHERE] = ActionEntry(REDUCE, 309);
   _actionMap[549][FROM] = ActionEntry(REDUCE, 309);
   _actionMap[549][AS] = ActionEntry(REDUCE, 309);
   _actionMap[549][END_TOKEN] = ActionEntry(REDUCE, 309);
   _actionMap[549][BEGIN] = ActionEntry(REDUCE, 309);
   _actionMap[549][THEN] = ActionEntry(REDUCE, 309);
   _actionMap[549][OR] = ActionEntry(REDUCE, 309);
   _actionMap[549][AND] = ActionEntry(REDUCE, 309);
   _actionMap[549][INTOK] = ActionEntry(REDUCE, 309);
   _actionMap[549][NOT] = ActionEntry(REDUCE, 309);
}
void Cego::loadParser92()
{
   _actionMap[549][BETWEEN] = ActionEntry(REDUCE, 309);
   _actionMap[549][IS] = ActionEntry(REDUCE, 309);
   _actionMap[549][LIKE] = ActionEntry(REDUCE, 309);
   _actionMap[549][MT] = ActionEntry(REDUCE, 309);
   _actionMap[549][LT] = ActionEntry(REDUCE, 309);
   _actionMap[549][NEGATION] = ActionEntry(REDUCE, 309);
   _actionMap[549][EQU] = ActionEntry(REDUCE, 309);
   _actionMap[549][RB] = ActionEntry(REDUCE, 309);
   _actionMap[549][ENDTOKEN] = ActionEntry(REDUCE, 309);
   _actionMap[549][UNION] = ActionEntry(REDUCE, 309);
   _actionMap[549][ROWLIMIT] = ActionEntry(REDUCE, 309);
   _actionMap[549][KSEP] = ActionEntry(REDUCE, 309);
   _actionMap[549][ASC] = ActionEntry(REDUCE, 309);
   _actionMap[549][DESC] = ActionEntry(REDUCE, 309);
   _actionMap[549][SEMICOLON] = ActionEntry(REDUCE, 309);
   _actionMap[549][PLUS] = ActionEntry(REDUCE, 309);
   _actionMap[549][MINUS] = ActionEntry(REDUCE, 309);
   _actionMap[549][DIVISION] = ActionEntry(REDUCE, 309);
   _actionMap[549][STAR] = ActionEntry(REDUCE, 309);
   _actionMap[549][CONCAT] = ActionEntry(REDUCE, 309);
   _actionMap[550][WHEN] = ActionEntry(REDUCE, 378);
   _actionMap[550][ELSE] = ActionEntry(REDUCE, 378);
   _actionMap[550][LEFT] = ActionEntry(REDUCE, 378);
   _actionMap[550][RIGHT] = ActionEntry(REDUCE, 378);
   _actionMap[550][INNER] = ActionEntry(REDUCE, 378);
   _actionMap[550][JOIN] = ActionEntry(REDUCE, 378);
   _actionMap[550][RETURNTOKEN] = ActionEntry(REDUCE, 378);
   _actionMap[550][ORDER] = ActionEntry(REDUCE, 378);
   _actionMap[550][GROUP] = ActionEntry(REDUCE, 378);
   _actionMap[550][WHERE] = ActionEntry(REDUCE, 378);
   _actionMap[550][NULLTOKEN] = ActionEntry(REDUCE, 378);
   _actionMap[550][FROM] = ActionEntry(REDUCE, 378);
   _actionMap[550][AS] = ActionEntry(REDUCE, 378);
   _actionMap[550][END_TOKEN] = ActionEntry(REDUCE, 378);
   _actionMap[550][BEGIN] = ActionEntry(REDUCE, 378);
   _actionMap[550][THEN] = ActionEntry(REDUCE, 378);
   _actionMap[550][OR] = ActionEntry(REDUCE, 378);
   _actionMap[550][AND] = ActionEntry(REDUCE, 378);
   _actionMap[550][INTOK] = ActionEntry(REDUCE, 378);
   _actionMap[550][NOT] = ActionEntry(REDUCE, 378);
   _actionMap[550][BETWEEN] = ActionEntry(REDUCE, 378);
   _actionMap[550][IS] = ActionEntry(REDUCE, 378);
   _actionMap[550][LIKE] = ActionEntry(REDUCE, 378);
   _actionMap[550][MT] = ActionEntry(REDUCE, 378);
   _actionMap[550][LT] = ActionEntry(REDUCE, 378);
   _actionMap[550][NEGATION] = ActionEntry(REDUCE, 378);
   _actionMap[550][EQU] = ActionEntry(REDUCE, 378);
   _actionMap[550][RB] = ActionEntry(REDUCE, 378);
   _actionMap[550][ENDTOKEN] = ActionEntry(REDUCE, 378);
   _actionMap[550][UNION] = ActionEntry(REDUCE, 378);
}
void Cego::loadParser93()
{
   _actionMap[550][ROWLIMIT] = ActionEntry(REDUCE, 378);
   _actionMap[550][KSEP] = ActionEntry(REDUCE, 378);
   _actionMap[550][ASC] = ActionEntry(REDUCE, 378);
   _actionMap[550][DESC] = ActionEntry(REDUCE, 378);
   _actionMap[550][SEMICOLON] = ActionEntry(REDUCE, 378);
   _actionMap[550][PLUS] = ActionEntry(REDUCE, 378);
   _actionMap[550][MINUS] = ActionEntry(REDUCE, 378);
   _actionMap[550][DIVISION] = ActionEntry(REDUCE, 378);
   _actionMap[550][STAR] = ActionEntry(REDUCE, 378);
   _actionMap[550][CONCAT] = ActionEntry(REDUCE, 378);
   _actionMap[551][WHEN] = ActionEntry(REDUCE, 310);
   _actionMap[551][ELSE] = ActionEntry(REDUCE, 310);
   _actionMap[551][LEFT] = ActionEntry(REDUCE, 310);
   _actionMap[551][RIGHT] = ActionEntry(REDUCE, 310);
   _actionMap[551][INNER] = ActionEntry(REDUCE, 310);
   _actionMap[551][JOIN] = ActionEntry(REDUCE, 310);
   _actionMap[551][RETURNTOKEN] = ActionEntry(REDUCE, 310);
   _actionMap[551][ORDER] = ActionEntry(REDUCE, 310);
   _actionMap[551][GROUP] = ActionEntry(REDUCE, 310);
   _actionMap[551][WHERE] = ActionEntry(REDUCE, 310);
   _actionMap[551][FROM] = ActionEntry(REDUCE, 310);
   _actionMap[551][AS] = ActionEntry(REDUCE, 310);
   _actionMap[551][END_TOKEN] = ActionEntry(REDUCE, 310);
   _actionMap[551][BEGIN] = ActionEntry(REDUCE, 310);
   _actionMap[551][THEN] = ActionEntry(REDUCE, 310);
   _actionMap[551][OR] = ActionEntry(REDUCE, 310);
   _actionMap[551][AND] = ActionEntry(REDUCE, 310);
   _actionMap[551][INTOK] = ActionEntry(REDUCE, 310);
   _actionMap[551][NOT] = ActionEntry(REDUCE, 310);
   _actionMap[551][BETWEEN] = ActionEntry(REDUCE, 310);
   _actionMap[551][IS] = ActionEntry(REDUCE, 310);
   _actionMap[551][LIKE] = ActionEntry(REDUCE, 310);
   _actionMap[551][MT] = ActionEntry(REDUCE, 310);
   _actionMap[551][LT] = ActionEntry(REDUCE, 310);
   _actionMap[551][NEGATION] = ActionEntry(REDUCE, 310);
   _actionMap[551][EQU] = ActionEntry(REDUCE, 310);
   _actionMap[551][RB] = ActionEntry(REDUCE, 310);
   _actionMap[551][ENDTOKEN] = ActionEntry(REDUCE, 310);
   _actionMap[551][UNION] = ActionEntry(REDUCE, 310);
   _actionMap[551][ROWLIMIT] = ActionEntry(REDUCE, 310);
   _actionMap[551][KSEP] = ActionEntry(REDUCE, 310);
   _actionMap[551][ASC] = ActionEntry(REDUCE, 310);
   _actionMap[551][DESC] = ActionEntry(REDUCE, 310);
   _actionMap[551][SEMICOLON] = ActionEntry(REDUCE, 310);
   _actionMap[551][PLUS] = ActionEntry(REDUCE, 310);
   _actionMap[551][MINUS] = ActionEntry(REDUCE, 310);
   _actionMap[551][DIVISION] = ActionEntry(REDUCE, 310);
   _actionMap[551][STAR] = ActionEntry(REDUCE, 310);
   _actionMap[551][CONCAT] = ActionEntry(REDUCE, 310);
   _actionMap[552][WHEN] = ActionEntry(REDUCE, 311);
}
void Cego::loadParser94()
{
   _actionMap[552][ELSE] = ActionEntry(REDUCE, 311);
   _actionMap[552][LEFT] = ActionEntry(REDUCE, 311);
   _actionMap[552][RIGHT] = ActionEntry(REDUCE, 311);
   _actionMap[552][INNER] = ActionEntry(REDUCE, 311);
   _actionMap[552][JOIN] = ActionEntry(REDUCE, 311);
   _actionMap[552][RETURNTOKEN] = ActionEntry(REDUCE, 311);
   _actionMap[552][ORDER] = ActionEntry(REDUCE, 311);
   _actionMap[552][GROUP] = ActionEntry(REDUCE, 311);
   _actionMap[552][WHERE] = ActionEntry(REDUCE, 311);
   _actionMap[552][FROM] = ActionEntry(REDUCE, 311);
   _actionMap[552][AS] = ActionEntry(REDUCE, 311);
   _actionMap[552][END_TOKEN] = ActionEntry(REDUCE, 311);
   _actionMap[552][BEGIN] = ActionEntry(REDUCE, 311);
   _actionMap[552][THEN] = ActionEntry(REDUCE, 311);
   _actionMap[552][OR] = ActionEntry(REDUCE, 311);
   _actionMap[552][AND] = ActionEntry(REDUCE, 311);
   _actionMap[552][INTOK] = ActionEntry(REDUCE, 311);
   _actionMap[552][NOT] = ActionEntry(REDUCE, 311);
   _actionMap[552][BETWEEN] = ActionEntry(REDUCE, 311);
   _actionMap[552][IS] = ActionEntry(REDUCE, 311);
   _actionMap[552][LIKE] = ActionEntry(REDUCE, 311);
   _actionMap[552][MT] = ActionEntry(REDUCE, 311);
   _actionMap[552][LT] = ActionEntry(REDUCE, 311);
   _actionMap[552][NEGATION] = ActionEntry(REDUCE, 311);
   _actionMap[552][EQU] = ActionEntry(REDUCE, 311);
   _actionMap[552][RB] = ActionEntry(REDUCE, 311);
   _actionMap[552][ENDTOKEN] = ActionEntry(REDUCE, 311);
   _actionMap[552][UNION] = ActionEntry(REDUCE, 311);
   _actionMap[552][ROWLIMIT] = ActionEntry(REDUCE, 311);
   _actionMap[552][KSEP] = ActionEntry(REDUCE, 311);
   _actionMap[552][ASC] = ActionEntry(REDUCE, 311);
   _actionMap[552][DESC] = ActionEntry(REDUCE, 311);
   _actionMap[552][SEMICOLON] = ActionEntry(REDUCE, 311);
   _actionMap[552][PLUS] = ActionEntry(REDUCE, 311);
   _actionMap[552][MINUS] = ActionEntry(REDUCE, 311);
   _actionMap[552][DIVISION] = ActionEntry(REDUCE, 311);
   _actionMap[552][STAR] = ActionEntry(REDUCE, 311);
   _actionMap[552][CONCAT] = ActionEntry(REDUCE, 311);
   _actionMap[553][WHEN] = ActionEntry(REDUCE, 162);
   _actionMap[553][ELSE] = ActionEntry(REDUCE, 162);
   _actionMap[553][LEFT] = ActionEntry(REDUCE, 162);
   _actionMap[553][RIGHT] = ActionEntry(REDUCE, 162);
   _actionMap[553][INNER] = ActionEntry(REDUCE, 162);
   _actionMap[553][JOIN] = ActionEntry(REDUCE, 162);
   _actionMap[553][RETURNTOKEN] = ActionEntry(REDUCE, 162);
   _actionMap[553][ORDER] = ActionEntry(REDUCE, 162);
   _actionMap[553][GROUP] = ActionEntry(REDUCE, 162);
   _actionMap[553][WHERE] = ActionEntry(REDUCE, 162);
   _actionMap[553][AS] = ActionEntry(REDUCE, 162);
   _actionMap[553][FROM] = ActionEntry(REDUCE, 162);
}
void Cego::loadParser95()
{
   _actionMap[553][END_TOKEN] = ActionEntry(REDUCE, 162);
   _actionMap[553][BEGIN] = ActionEntry(REDUCE, 162);
   _actionMap[553][THEN] = ActionEntry(REDUCE, 162);
   _actionMap[553][OR] = ActionEntry(REDUCE, 162);
   _actionMap[553][AND] = ActionEntry(REDUCE, 162);
   _actionMap[553][LIKE] = ActionEntry(REDUCE, 162);
   _actionMap[553][IS] = ActionEntry(REDUCE, 162);
   _actionMap[553][BETWEEN] = ActionEntry(REDUCE, 162);
   _actionMap[553][NOT] = ActionEntry(REDUCE, 162);
   _actionMap[553][INTOK] = ActionEntry(REDUCE, 162);
   _actionMap[553][EQU] = ActionEntry(REDUCE, 162);
   _actionMap[553][NEGATION] = ActionEntry(REDUCE, 162);
   _actionMap[553][LT] = ActionEntry(REDUCE, 162);
   _actionMap[553][MT] = ActionEntry(REDUCE, 162);
   _actionMap[553][DESC] = ActionEntry(REDUCE, 162);
   _actionMap[553][ASC] = ActionEntry(REDUCE, 162);
   _actionMap[553][KSEP] = ActionEntry(REDUCE, 162);
   _actionMap[553][ROWLIMIT] = ActionEntry(REDUCE, 162);
   _actionMap[553][UNION] = ActionEntry(REDUCE, 162);
   _actionMap[553][ENDTOKEN] = ActionEntry(REDUCE, 162);
   _actionMap[553][RB] = ActionEntry(REDUCE, 162);
   _actionMap[553][SEMICOLON] = ActionEntry(REDUCE, 162);
   _actionMap[553][CONCAT] = ActionEntry(REDUCE, 162);
   _actionMap[553][STAR] = ActionEntry(REDUCE, 162);
   _actionMap[553][DIVISION] = ActionEntry(REDUCE, 162);
   _actionMap[553][MINUS] = ActionEntry(REDUCE, 162);
   _actionMap[553][PLUS] = ActionEntry(REDUCE, 162);
   _actionMap[554][WHEN] = ActionEntry(REDUCE, 159);
   _actionMap[554][ELSE] = ActionEntry(REDUCE, 159);
   _actionMap[554][LEFT] = ActionEntry(REDUCE, 159);
   _actionMap[554][RIGHT] = ActionEntry(REDUCE, 159);
   _actionMap[554][INNER] = ActionEntry(REDUCE, 159);
   _actionMap[554][JOIN] = ActionEntry(REDUCE, 159);
   _actionMap[554][RETURNTOKEN] = ActionEntry(REDUCE, 159);
   _actionMap[554][ORDER] = ActionEntry(REDUCE, 159);
   _actionMap[554][GROUP] = ActionEntry(REDUCE, 159);
   _actionMap[554][WHERE] = ActionEntry(REDUCE, 159);
   _actionMap[554][AS] = ActionEntry(REDUCE, 159);
   _actionMap[554][FROM] = ActionEntry(REDUCE, 159);
   _actionMap[554][END_TOKEN] = ActionEntry(REDUCE, 159);
   _actionMap[554][BEGIN] = ActionEntry(REDUCE, 159);
   _actionMap[554][THEN] = ActionEntry(REDUCE, 159);
   _actionMap[554][OR] = ActionEntry(REDUCE, 159);
   _actionMap[554][AND] = ActionEntry(REDUCE, 159);
   _actionMap[554][LIKE] = ActionEntry(REDUCE, 159);
   _actionMap[554][IS] = ActionEntry(REDUCE, 159);
   _actionMap[554][BETWEEN] = ActionEntry(REDUCE, 159);
   _actionMap[554][NOT] = ActionEntry(REDUCE, 159);
   _actionMap[554][INTOK] = ActionEntry(REDUCE, 159);
   _actionMap[554][EQU] = ActionEntry(REDUCE, 159);
}
void Cego::loadParser96()
{
   _actionMap[554][NEGATION] = ActionEntry(REDUCE, 159);
   _actionMap[554][LT] = ActionEntry(REDUCE, 159);
   _actionMap[554][MT] = ActionEntry(REDUCE, 159);
   _actionMap[554][DESC] = ActionEntry(REDUCE, 159);
   _actionMap[554][ASC] = ActionEntry(REDUCE, 159);
   _actionMap[554][KSEP] = ActionEntry(REDUCE, 159);
   _actionMap[554][ROWLIMIT] = ActionEntry(REDUCE, 159);
   _actionMap[554][UNION] = ActionEntry(REDUCE, 159);
   _actionMap[554][ENDTOKEN] = ActionEntry(REDUCE, 159);
   _actionMap[554][RB] = ActionEntry(REDUCE, 159);
   _actionMap[554][SEMICOLON] = ActionEntry(REDUCE, 159);
   _actionMap[554][CONCAT] = ActionEntry(REDUCE, 159);
   _actionMap[554][STAR] = ActionEntry(REDUCE, 159);
   _actionMap[554][DIVISION] = ActionEntry(REDUCE, 159);
   _actionMap[554][MINUS] = ActionEntry(REDUCE, 159);
   _actionMap[554][PLUS] = ActionEntry(REDUCE, 159);
   _actionMap[555][STRINGVAL] = ActionEntry(SHIFT, 702);
   _jumpMap[555][DateValue] = 701;
   _actionMap[556][WHEN] = ActionEntry(REDUCE, 285);
   _actionMap[556][ELSE] = ActionEntry(REDUCE, 285);
   _actionMap[556][LEFT] = ActionEntry(REDUCE, 285);
   _actionMap[556][RIGHT] = ActionEntry(REDUCE, 285);
   _actionMap[556][INNER] = ActionEntry(REDUCE, 285);
   _actionMap[556][JOIN] = ActionEntry(REDUCE, 285);
   _actionMap[556][RETURNTOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[556][ORDER] = ActionEntry(REDUCE, 285);
   _actionMap[556][GROUP] = ActionEntry(REDUCE, 285);
   _actionMap[556][WHERE] = ActionEntry(REDUCE, 285);
   _actionMap[556][FROM] = ActionEntry(REDUCE, 285);
   _actionMap[556][AS] = ActionEntry(REDUCE, 285);
   _actionMap[556][END_TOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[556][BEGIN] = ActionEntry(REDUCE, 285);
   _actionMap[556][THEN] = ActionEntry(REDUCE, 285);
   _actionMap[556][OR] = ActionEntry(REDUCE, 285);
   _actionMap[556][AND] = ActionEntry(REDUCE, 285);
   _actionMap[556][INTOK] = ActionEntry(REDUCE, 285);
   _actionMap[556][NOT] = ActionEntry(REDUCE, 285);
   _actionMap[556][BETWEEN] = ActionEntry(REDUCE, 285);
   _actionMap[556][IS] = ActionEntry(REDUCE, 285);
   _actionMap[556][LIKE] = ActionEntry(REDUCE, 285);
   _actionMap[556][MT] = ActionEntry(REDUCE, 285);
   _actionMap[556][LT] = ActionEntry(REDUCE, 285);
   _actionMap[556][NEGATION] = ActionEntry(REDUCE, 285);
   _actionMap[556][EQU] = ActionEntry(REDUCE, 285);
   _actionMap[556][RB] = ActionEntry(REDUCE, 285);
   _actionMap[556][ENDTOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[556][UNION] = ActionEntry(REDUCE, 285);
   _actionMap[556][ROWLIMIT] = ActionEntry(REDUCE, 285);
   _actionMap[556][KSEP] = ActionEntry(REDUCE, 285);
   _actionMap[556][ASC] = ActionEntry(REDUCE, 285);
}
void Cego::loadParser97()
{
   _actionMap[556][DESC] = ActionEntry(REDUCE, 285);
   _actionMap[556][SEMICOLON] = ActionEntry(REDUCE, 285);
   _actionMap[556][PLUS] = ActionEntry(REDUCE, 285);
   _actionMap[556][MINUS] = ActionEntry(REDUCE, 285);
   _actionMap[556][DIVISION] = ActionEntry(REDUCE, 285);
   _actionMap[556][STAR] = ActionEntry(REDUCE, 285);
   _actionMap[556][CONCAT] = ActionEntry(REDUCE, 285);
   _actionMap[557][WHEN] = ActionEntry(REDUCE, 286);
   _actionMap[557][ELSE] = ActionEntry(REDUCE, 286);
   _actionMap[557][LEFT] = ActionEntry(REDUCE, 286);
   _actionMap[557][RIGHT] = ActionEntry(REDUCE, 286);
   _actionMap[557][INNER] = ActionEntry(REDUCE, 286);
   _actionMap[557][JOIN] = ActionEntry(REDUCE, 286);
   _actionMap[557][RETURNTOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[557][ORDER] = ActionEntry(REDUCE, 286);
   _actionMap[557][GROUP] = ActionEntry(REDUCE, 286);
   _actionMap[557][WHERE] = ActionEntry(REDUCE, 286);
   _actionMap[557][FROM] = ActionEntry(REDUCE, 286);
   _actionMap[557][AS] = ActionEntry(REDUCE, 286);
   _actionMap[557][END_TOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[557][BEGIN] = ActionEntry(REDUCE, 286);
   _actionMap[557][THEN] = ActionEntry(REDUCE, 286);
   _actionMap[557][OR] = ActionEntry(REDUCE, 286);
   _actionMap[557][AND] = ActionEntry(REDUCE, 286);
   _actionMap[557][INTOK] = ActionEntry(REDUCE, 286);
   _actionMap[557][NOT] = ActionEntry(REDUCE, 286);
   _actionMap[557][BETWEEN] = ActionEntry(REDUCE, 286);
   _actionMap[557][IS] = ActionEntry(REDUCE, 286);
   _actionMap[557][LIKE] = ActionEntry(REDUCE, 286);
   _actionMap[557][MT] = ActionEntry(REDUCE, 286);
   _actionMap[557][LT] = ActionEntry(REDUCE, 286);
   _actionMap[557][NEGATION] = ActionEntry(REDUCE, 286);
   _actionMap[557][EQU] = ActionEntry(REDUCE, 286);
   _actionMap[557][RB] = ActionEntry(REDUCE, 286);
   _actionMap[557][ENDTOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[557][UNION] = ActionEntry(REDUCE, 286);
   _actionMap[557][ROWLIMIT] = ActionEntry(REDUCE, 286);
   _actionMap[557][KSEP] = ActionEntry(REDUCE, 286);
   _actionMap[557][ASC] = ActionEntry(REDUCE, 286);
   _actionMap[557][DESC] = ActionEntry(REDUCE, 286);
   _actionMap[557][SEMICOLON] = ActionEntry(REDUCE, 286);
   _actionMap[557][PLUS] = ActionEntry(REDUCE, 286);
   _actionMap[557][MINUS] = ActionEntry(REDUCE, 286);
   _actionMap[557][DIVISION] = ActionEntry(REDUCE, 286);
   _actionMap[557][STAR] = ActionEntry(REDUCE, 286);
   _actionMap[557][CONCAT] = ActionEntry(REDUCE, 286);
   _actionMap[558][WHEN] = ActionEntry(REDUCE, 304);
   _actionMap[558][ELSE] = ActionEntry(REDUCE, 304);
   _actionMap[558][LEFT] = ActionEntry(REDUCE, 304);
   _actionMap[558][RIGHT] = ActionEntry(REDUCE, 304);
}
void Cego::loadParser98()
{
   _actionMap[558][INNER] = ActionEntry(REDUCE, 304);
   _actionMap[558][JOIN] = ActionEntry(REDUCE, 304);
   _actionMap[558][RETURNTOKEN] = ActionEntry(REDUCE, 304);
   _actionMap[558][ORDER] = ActionEntry(REDUCE, 304);
   _actionMap[558][GROUP] = ActionEntry(REDUCE, 304);
   _actionMap[558][WHERE] = ActionEntry(REDUCE, 304);
   _actionMap[558][FROM] = ActionEntry(REDUCE, 304);
   _actionMap[558][AS] = ActionEntry(REDUCE, 304);
   _actionMap[558][END_TOKEN] = ActionEntry(REDUCE, 304);
   _actionMap[558][BEGIN] = ActionEntry(REDUCE, 304);
   _actionMap[558][THEN] = ActionEntry(REDUCE, 304);
   _actionMap[558][OR] = ActionEntry(REDUCE, 304);
   _actionMap[558][AND] = ActionEntry(REDUCE, 304);
   _actionMap[558][INTOK] = ActionEntry(REDUCE, 304);
   _actionMap[558][NOT] = ActionEntry(REDUCE, 304);
   _actionMap[558][BETWEEN] = ActionEntry(REDUCE, 304);
   _actionMap[558][IS] = ActionEntry(REDUCE, 304);
   _actionMap[558][LIKE] = ActionEntry(REDUCE, 304);
   _actionMap[558][MT] = ActionEntry(REDUCE, 304);
   _actionMap[558][LT] = ActionEntry(REDUCE, 304);
   _actionMap[558][NEGATION] = ActionEntry(REDUCE, 304);
   _actionMap[558][EQU] = ActionEntry(REDUCE, 304);
   _actionMap[558][RB] = ActionEntry(REDUCE, 304);
   _actionMap[558][ENDTOKEN] = ActionEntry(REDUCE, 304);
   _actionMap[558][UNION] = ActionEntry(REDUCE, 304);
   _actionMap[558][ROWLIMIT] = ActionEntry(REDUCE, 304);
   _actionMap[558][KSEP] = ActionEntry(REDUCE, 304);
   _actionMap[558][ASC] = ActionEntry(REDUCE, 304);
   _actionMap[558][DESC] = ActionEntry(REDUCE, 304);
   _actionMap[558][SEMICOLON] = ActionEntry(REDUCE, 304);
   _actionMap[558][PLUS] = ActionEntry(REDUCE, 304);
   _actionMap[558][MINUS] = ActionEntry(REDUCE, 304);
   _actionMap[558][DIVISION] = ActionEntry(REDUCE, 304);
   _actionMap[558][STAR] = ActionEntry(REDUCE, 304);
   _actionMap[558][CONCAT] = ActionEntry(REDUCE, 304);
   _actionMap[559][VARREF] = ActionEntry(SHIFT, 704);
   _jumpMap[559][FetchArgList] = 703;
   _actionMap[560][WHEN] = ActionEntry(REDUCE, 293);
   _actionMap[560][ELSE] = ActionEntry(REDUCE, 293);
   _actionMap[560][LEFT] = ActionEntry(REDUCE, 293);
   _actionMap[560][RIGHT] = ActionEntry(REDUCE, 293);
   _actionMap[560][INNER] = ActionEntry(REDUCE, 293);
   _actionMap[560][JOIN] = ActionEntry(REDUCE, 293);
   _actionMap[560][RETURNTOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[560][ORDER] = ActionEntry(REDUCE, 293);
   _actionMap[560][GROUP] = ActionEntry(REDUCE, 293);
   _actionMap[560][WHERE] = ActionEntry(REDUCE, 293);
   _actionMap[560][FROM] = ActionEntry(REDUCE, 293);
   _actionMap[560][AS] = ActionEntry(REDUCE, 293);
   _actionMap[560][END_TOKEN] = ActionEntry(REDUCE, 293);
}
void Cego::loadParser99()
{
   _actionMap[560][BEGIN] = ActionEntry(REDUCE, 293);
   _actionMap[560][THEN] = ActionEntry(REDUCE, 293);
   _actionMap[560][OR] = ActionEntry(REDUCE, 293);
   _actionMap[560][AND] = ActionEntry(REDUCE, 293);
   _actionMap[560][INTOK] = ActionEntry(REDUCE, 293);
   _actionMap[560][NOT] = ActionEntry(REDUCE, 293);
   _actionMap[560][BETWEEN] = ActionEntry(REDUCE, 293);
   _actionMap[560][IS] = ActionEntry(REDUCE, 293);
   _actionMap[560][LIKE] = ActionEntry(REDUCE, 293);
   _actionMap[560][MT] = ActionEntry(REDUCE, 293);
   _actionMap[560][LT] = ActionEntry(REDUCE, 293);
   _actionMap[560][NEGATION] = ActionEntry(REDUCE, 293);
   _actionMap[560][EQU] = ActionEntry(REDUCE, 293);
   _actionMap[560][RB] = ActionEntry(REDUCE, 293);
   _actionMap[560][ENDTOKEN] = ActionEntry(REDUCE, 293);
   _actionMap[560][UNION] = ActionEntry(REDUCE, 293);
   _actionMap[560][ROWLIMIT] = ActionEntry(REDUCE, 293);
   _actionMap[560][KSEP] = ActionEntry(REDUCE, 293);
   _actionMap[560][ASC] = ActionEntry(REDUCE, 293);
   _actionMap[560][DESC] = ActionEntry(REDUCE, 293);
   _actionMap[560][SEMICOLON] = ActionEntry(REDUCE, 293);
   _actionMap[560][PLUS] = ActionEntry(REDUCE, 293);
   _actionMap[560][MINUS] = ActionEntry(REDUCE, 293);
   _actionMap[560][DIVISION] = ActionEntry(REDUCE, 293);
   _actionMap[560][STAR] = ActionEntry(REDUCE, 293);
   _actionMap[560][CONCAT] = ActionEntry(REDUCE, 293);
   _actionMap[561][WHEN] = ActionEntry(REDUCE, 287);
   _actionMap[561][ELSE] = ActionEntry(REDUCE, 287);
   _actionMap[561][LEFT] = ActionEntry(REDUCE, 287);
   _actionMap[561][RIGHT] = ActionEntry(REDUCE, 287);
   _actionMap[561][INNER] = ActionEntry(REDUCE, 287);
   _actionMap[561][JOIN] = ActionEntry(REDUCE, 287);
   _actionMap[561][RETURNTOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[561][ORDER] = ActionEntry(REDUCE, 287);
   _actionMap[561][GROUP] = ActionEntry(REDUCE, 287);
   _actionMap[561][WHERE] = ActionEntry(REDUCE, 287);
   _actionMap[561][FROM] = ActionEntry(REDUCE, 287);
   _actionMap[561][AS] = ActionEntry(REDUCE, 287);
   _actionMap[561][END_TOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[561][BEGIN] = ActionEntry(REDUCE, 287);
   _actionMap[561][THEN] = ActionEntry(REDUCE, 287);
   _actionMap[561][OR] = ActionEntry(REDUCE, 287);
   _actionMap[561][AND] = ActionEntry(REDUCE, 287);
   _actionMap[561][INTOK] = ActionEntry(REDUCE, 287);
   _actionMap[561][NOT] = ActionEntry(REDUCE, 287);
   _actionMap[561][BETWEEN] = ActionEntry(REDUCE, 287);
   _actionMap[561][IS] = ActionEntry(REDUCE, 287);
   _actionMap[561][LIKE] = ActionEntry(REDUCE, 287);
   _actionMap[561][MT] = ActionEntry(REDUCE, 287);
   _actionMap[561][LT] = ActionEntry(REDUCE, 287);
}
void Cego::loadParser100()
{
   _actionMap[561][NEGATION] = ActionEntry(REDUCE, 287);
   _actionMap[561][EQU] = ActionEntry(REDUCE, 287);
   _actionMap[561][RB] = ActionEntry(REDUCE, 287);
   _actionMap[561][ENDTOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[561][UNION] = ActionEntry(REDUCE, 287);
   _actionMap[561][ROWLIMIT] = ActionEntry(REDUCE, 287);
   _actionMap[561][KSEP] = ActionEntry(REDUCE, 287);
   _actionMap[561][ASC] = ActionEntry(REDUCE, 287);
   _actionMap[561][DESC] = ActionEntry(REDUCE, 287);
   _actionMap[561][SEMICOLON] = ActionEntry(REDUCE, 287);
   _actionMap[561][PLUS] = ActionEntry(REDUCE, 287);
   _actionMap[561][MINUS] = ActionEntry(REDUCE, 287);
   _actionMap[561][DIVISION] = ActionEntry(REDUCE, 287);
   _actionMap[561][STAR] = ActionEntry(REDUCE, 287);
   _actionMap[561][CONCAT] = ActionEntry(REDUCE, 287);
   _actionMap[562][WHEN] = ActionEntry(REDUCE, 288);
   _actionMap[562][ELSE] = ActionEntry(REDUCE, 288);
   _actionMap[562][LEFT] = ActionEntry(REDUCE, 288);
   _actionMap[562][RIGHT] = ActionEntry(REDUCE, 288);
   _actionMap[562][INNER] = ActionEntry(REDUCE, 288);
   _actionMap[562][JOIN] = ActionEntry(REDUCE, 288);
   _actionMap[562][RETURNTOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[562][ORDER] = ActionEntry(REDUCE, 288);
   _actionMap[562][GROUP] = ActionEntry(REDUCE, 288);
   _actionMap[562][WHERE] = ActionEntry(REDUCE, 288);
   _actionMap[562][FROM] = ActionEntry(REDUCE, 288);
   _actionMap[562][AS] = ActionEntry(REDUCE, 288);
   _actionMap[562][END_TOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[562][BEGIN] = ActionEntry(REDUCE, 288);
   _actionMap[562][THEN] = ActionEntry(REDUCE, 288);
   _actionMap[562][OR] = ActionEntry(REDUCE, 288);
   _actionMap[562][AND] = ActionEntry(REDUCE, 288);
   _actionMap[562][INTOK] = ActionEntry(REDUCE, 288);
   _actionMap[562][NOT] = ActionEntry(REDUCE, 288);
   _actionMap[562][BETWEEN] = ActionEntry(REDUCE, 288);
   _actionMap[562][IS] = ActionEntry(REDUCE, 288);
   _actionMap[562][LIKE] = ActionEntry(REDUCE, 288);
   _actionMap[562][MT] = ActionEntry(REDUCE, 288);
   _actionMap[562][LT] = ActionEntry(REDUCE, 288);
   _actionMap[562][NEGATION] = ActionEntry(REDUCE, 288);
   _actionMap[562][EQU] = ActionEntry(REDUCE, 288);
   _actionMap[562][RB] = ActionEntry(REDUCE, 288);
   _actionMap[562][ENDTOKEN] = ActionEntry(REDUCE, 288);
   _actionMap[562][UNION] = ActionEntry(REDUCE, 288);
   _actionMap[562][ROWLIMIT] = ActionEntry(REDUCE, 288);
   _actionMap[562][KSEP] = ActionEntry(REDUCE, 288);
   _actionMap[562][ASC] = ActionEntry(REDUCE, 288);
   _actionMap[562][DESC] = ActionEntry(REDUCE, 288);
   _actionMap[562][SEMICOLON] = ActionEntry(REDUCE, 288);
   _actionMap[562][PLUS] = ActionEntry(REDUCE, 288);
}
void Cego::loadParser101()
{
   _actionMap[562][MINUS] = ActionEntry(REDUCE, 288);
   _actionMap[562][DIVISION] = ActionEntry(REDUCE, 288);
   _actionMap[562][STAR] = ActionEntry(REDUCE, 288);
   _actionMap[562][CONCAT] = ActionEntry(REDUCE, 288);
   _actionMap[563][WHEN] = ActionEntry(REDUCE, 291);
   _actionMap[563][ELSE] = ActionEntry(REDUCE, 291);
   _actionMap[563][LEFT] = ActionEntry(REDUCE, 291);
   _actionMap[563][RIGHT] = ActionEntry(REDUCE, 291);
   _actionMap[563][INNER] = ActionEntry(REDUCE, 291);
   _actionMap[563][JOIN] = ActionEntry(REDUCE, 291);
   _actionMap[563][RETURNTOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[563][ORDER] = ActionEntry(REDUCE, 291);
   _actionMap[563][GROUP] = ActionEntry(REDUCE, 291);
   _actionMap[563][WHERE] = ActionEntry(REDUCE, 291);
   _actionMap[563][FROM] = ActionEntry(REDUCE, 291);
   _actionMap[563][AS] = ActionEntry(REDUCE, 291);
   _actionMap[563][END_TOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[563][BEGIN] = ActionEntry(REDUCE, 291);
   _actionMap[563][THEN] = ActionEntry(REDUCE, 291);
   _actionMap[563][OR] = ActionEntry(REDUCE, 291);
   _actionMap[563][AND] = ActionEntry(REDUCE, 291);
   _actionMap[563][INTOK] = ActionEntry(REDUCE, 291);
   _actionMap[563][NOT] = ActionEntry(REDUCE, 291);
   _actionMap[563][BETWEEN] = ActionEntry(REDUCE, 291);
   _actionMap[563][IS] = ActionEntry(REDUCE, 291);
   _actionMap[563][LIKE] = ActionEntry(REDUCE, 291);
   _actionMap[563][MT] = ActionEntry(REDUCE, 291);
   _actionMap[563][LT] = ActionEntry(REDUCE, 291);
   _actionMap[563][NEGATION] = ActionEntry(REDUCE, 291);
   _actionMap[563][EQU] = ActionEntry(REDUCE, 291);
   _actionMap[563][RB] = ActionEntry(REDUCE, 291);
   _actionMap[563][ENDTOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[563][UNION] = ActionEntry(REDUCE, 291);
   _actionMap[563][ROWLIMIT] = ActionEntry(REDUCE, 291);
   _actionMap[563][KSEP] = ActionEntry(REDUCE, 291);
   _actionMap[563][ASC] = ActionEntry(REDUCE, 291);
   _actionMap[563][DESC] = ActionEntry(REDUCE, 291);
   _actionMap[563][SEMICOLON] = ActionEntry(REDUCE, 291);
   _actionMap[563][PLUS] = ActionEntry(REDUCE, 291);
   _actionMap[563][MINUS] = ActionEntry(REDUCE, 291);
   _actionMap[563][DIVISION] = ActionEntry(REDUCE, 291);
   _actionMap[563][STAR] = ActionEntry(REDUCE, 291);
   _actionMap[563][CONCAT] = ActionEntry(REDUCE, 291);
   _actionMap[564][WHEN] = ActionEntry(REDUCE, 296);
   _actionMap[564][ELSE] = ActionEntry(REDUCE, 296);
   _actionMap[564][LEFT] = ActionEntry(REDUCE, 296);
   _actionMap[564][RIGHT] = ActionEntry(REDUCE, 296);
   _actionMap[564][INNER] = ActionEntry(REDUCE, 296);
   _actionMap[564][JOIN] = ActionEntry(REDUCE, 296);
   _actionMap[564][RETURNTOKEN] = ActionEntry(REDUCE, 296);
}
void Cego::loadParser102()
{
   _actionMap[564][ORDER] = ActionEntry(REDUCE, 296);
   _actionMap[564][GROUP] = ActionEntry(REDUCE, 296);
   _actionMap[564][WHERE] = ActionEntry(REDUCE, 296);
   _actionMap[564][FROM] = ActionEntry(REDUCE, 296);
   _actionMap[564][AS] = ActionEntry(REDUCE, 296);
   _actionMap[564][END_TOKEN] = ActionEntry(REDUCE, 296);
   _actionMap[564][BEGIN] = ActionEntry(REDUCE, 296);
   _actionMap[564][THEN] = ActionEntry(REDUCE, 296);
   _actionMap[564][OR] = ActionEntry(REDUCE, 296);
   _actionMap[564][AND] = ActionEntry(REDUCE, 296);
   _actionMap[564][INTOK] = ActionEntry(REDUCE, 296);
   _actionMap[564][NOT] = ActionEntry(REDUCE, 296);
   _actionMap[564][BETWEEN] = ActionEntry(REDUCE, 296);
   _actionMap[564][IS] = ActionEntry(REDUCE, 296);
   _actionMap[564][LIKE] = ActionEntry(REDUCE, 296);
   _actionMap[564][MT] = ActionEntry(REDUCE, 296);
   _actionMap[564][LT] = ActionEntry(REDUCE, 296);
   _actionMap[564][NEGATION] = ActionEntry(REDUCE, 296);
   _actionMap[564][EQU] = ActionEntry(REDUCE, 296);
   _actionMap[564][RB] = ActionEntry(REDUCE, 296);
   _actionMap[564][ENDTOKEN] = ActionEntry(REDUCE, 296);
   _actionMap[564][UNION] = ActionEntry(REDUCE, 296);
   _actionMap[564][ROWLIMIT] = ActionEntry(REDUCE, 296);
   _actionMap[564][KSEP] = ActionEntry(REDUCE, 296);
   _actionMap[564][ASC] = ActionEntry(REDUCE, 296);
   _actionMap[564][DESC] = ActionEntry(REDUCE, 296);
   _actionMap[564][SEMICOLON] = ActionEntry(REDUCE, 296);
   _actionMap[564][PLUS] = ActionEntry(REDUCE, 296);
   _actionMap[564][MINUS] = ActionEntry(REDUCE, 296);
   _actionMap[564][DIVISION] = ActionEntry(REDUCE, 296);
   _actionMap[564][STAR] = ActionEntry(REDUCE, 296);
   _actionMap[564][CONCAT] = ActionEntry(REDUCE, 296);
   _actionMap[565][WHEN] = ActionEntry(REDUCE, 289);
   _actionMap[565][ELSE] = ActionEntry(REDUCE, 289);
   _actionMap[565][LEFT] = ActionEntry(REDUCE, 289);
   _actionMap[565][RIGHT] = ActionEntry(REDUCE, 289);
   _actionMap[565][INNER] = ActionEntry(REDUCE, 289);
   _actionMap[565][JOIN] = ActionEntry(REDUCE, 289);
   _actionMap[565][RETURNTOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[565][ORDER] = ActionEntry(REDUCE, 289);
   _actionMap[565][GROUP] = ActionEntry(REDUCE, 289);
   _actionMap[565][WHERE] = ActionEntry(REDUCE, 289);
   _actionMap[565][FROM] = ActionEntry(REDUCE, 289);
   _actionMap[565][AS] = ActionEntry(REDUCE, 289);
   _actionMap[565][END_TOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[565][BEGIN] = ActionEntry(REDUCE, 289);
   _actionMap[565][THEN] = ActionEntry(REDUCE, 289);
   _actionMap[565][OR] = ActionEntry(REDUCE, 289);
   _actionMap[565][AND] = ActionEntry(REDUCE, 289);
   _actionMap[565][INTOK] = ActionEntry(REDUCE, 289);
}
void Cego::loadParser103()
{
   _actionMap[565][NOT] = ActionEntry(REDUCE, 289);
   _actionMap[565][BETWEEN] = ActionEntry(REDUCE, 289);
   _actionMap[565][IS] = ActionEntry(REDUCE, 289);
   _actionMap[565][LIKE] = ActionEntry(REDUCE, 289);
   _actionMap[565][MT] = ActionEntry(REDUCE, 289);
   _actionMap[565][LT] = ActionEntry(REDUCE, 289);
   _actionMap[565][NEGATION] = ActionEntry(REDUCE, 289);
   _actionMap[565][EQU] = ActionEntry(REDUCE, 289);
   _actionMap[565][RB] = ActionEntry(REDUCE, 289);
   _actionMap[565][ENDTOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[565][UNION] = ActionEntry(REDUCE, 289);
   _actionMap[565][ROWLIMIT] = ActionEntry(REDUCE, 289);
   _actionMap[565][KSEP] = ActionEntry(REDUCE, 289);
   _actionMap[565][ASC] = ActionEntry(REDUCE, 289);
   _actionMap[565][DESC] = ActionEntry(REDUCE, 289);
   _actionMap[565][SEMICOLON] = ActionEntry(REDUCE, 289);
   _actionMap[565][PLUS] = ActionEntry(REDUCE, 289);
   _actionMap[565][MINUS] = ActionEntry(REDUCE, 289);
   _actionMap[565][DIVISION] = ActionEntry(REDUCE, 289);
   _actionMap[565][STAR] = ActionEntry(REDUCE, 289);
   _actionMap[565][CONCAT] = ActionEntry(REDUCE, 289);
   _actionMap[566][WHEN] = ActionEntry(REDUCE, 283);
   _actionMap[566][ELSE] = ActionEntry(REDUCE, 283);
   _actionMap[566][LEFT] = ActionEntry(REDUCE, 283);
   _actionMap[566][RIGHT] = ActionEntry(REDUCE, 283);
   _actionMap[566][INNER] = ActionEntry(REDUCE, 283);
   _actionMap[566][JOIN] = ActionEntry(REDUCE, 283);
   _actionMap[566][RETURNTOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[566][ORDER] = ActionEntry(REDUCE, 283);
   _actionMap[566][GROUP] = ActionEntry(REDUCE, 283);
   _actionMap[566][WHERE] = ActionEntry(REDUCE, 283);
   _actionMap[566][FROM] = ActionEntry(REDUCE, 283);
   _actionMap[566][AS] = ActionEntry(REDUCE, 283);
   _actionMap[566][END_TOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[566][BEGIN] = ActionEntry(REDUCE, 283);
   _actionMap[566][THEN] = ActionEntry(REDUCE, 283);
   _actionMap[566][OR] = ActionEntry(REDUCE, 283);
   _actionMap[566][AND] = ActionEntry(REDUCE, 283);
   _actionMap[566][INTOK] = ActionEntry(REDUCE, 283);
   _actionMap[566][NOT] = ActionEntry(REDUCE, 283);
   _actionMap[566][BETWEEN] = ActionEntry(REDUCE, 283);
   _actionMap[566][IS] = ActionEntry(REDUCE, 283);
   _actionMap[566][LIKE] = ActionEntry(REDUCE, 283);
   _actionMap[566][MT] = ActionEntry(REDUCE, 283);
   _actionMap[566][LT] = ActionEntry(REDUCE, 283);
   _actionMap[566][NEGATION] = ActionEntry(REDUCE, 283);
   _actionMap[566][EQU] = ActionEntry(REDUCE, 283);
   _actionMap[566][RB] = ActionEntry(REDUCE, 283);
   _actionMap[566][ENDTOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[566][UNION] = ActionEntry(REDUCE, 283);
}
void Cego::loadParser104()
{
   _actionMap[566][ROWLIMIT] = ActionEntry(REDUCE, 283);
   _actionMap[566][KSEP] = ActionEntry(REDUCE, 283);
   _actionMap[566][ASC] = ActionEntry(REDUCE, 283);
   _actionMap[566][DESC] = ActionEntry(REDUCE, 283);
   _actionMap[566][SEMICOLON] = ActionEntry(REDUCE, 283);
   _actionMap[566][PLUS] = ActionEntry(REDUCE, 283);
   _actionMap[566][MINUS] = ActionEntry(REDUCE, 283);
   _actionMap[566][DIVISION] = ActionEntry(REDUCE, 283);
   _actionMap[566][STAR] = ActionEntry(REDUCE, 283);
   _actionMap[566][CONCAT] = ActionEntry(REDUCE, 283);
   _actionMap[567][WHEN] = ActionEntry(REDUCE, 163);
   _actionMap[567][ELSE] = ActionEntry(REDUCE, 163);
   _actionMap[567][LEFT] = ActionEntry(REDUCE, 163);
   _actionMap[567][RIGHT] = ActionEntry(REDUCE, 163);
   _actionMap[567][INNER] = ActionEntry(REDUCE, 163);
   _actionMap[567][JOIN] = ActionEntry(REDUCE, 163);
   _actionMap[567][RETURNTOKEN] = ActionEntry(REDUCE, 163);
   _actionMap[567][ORDER] = ActionEntry(REDUCE, 163);
   _actionMap[567][GROUP] = ActionEntry(REDUCE, 163);
   _actionMap[567][WHERE] = ActionEntry(REDUCE, 163);
   _actionMap[567][AS] = ActionEntry(REDUCE, 163);
   _actionMap[567][FROM] = ActionEntry(REDUCE, 163);
   _actionMap[567][END_TOKEN] = ActionEntry(REDUCE, 163);
   _actionMap[567][BEGIN] = ActionEntry(REDUCE, 163);
   _actionMap[567][THEN] = ActionEntry(REDUCE, 163);
   _actionMap[567][OR] = ActionEntry(REDUCE, 163);
   _actionMap[567][AND] = ActionEntry(REDUCE, 163);
   _actionMap[567][LIKE] = ActionEntry(REDUCE, 163);
   _actionMap[567][IS] = ActionEntry(REDUCE, 163);
   _actionMap[567][BETWEEN] = ActionEntry(REDUCE, 163);
   _actionMap[567][NOT] = ActionEntry(REDUCE, 163);
   _actionMap[567][INTOK] = ActionEntry(REDUCE, 163);
   _actionMap[567][EQU] = ActionEntry(REDUCE, 163);
   _actionMap[567][NEGATION] = ActionEntry(REDUCE, 163);
   _actionMap[567][LT] = ActionEntry(REDUCE, 163);
   _actionMap[567][MT] = ActionEntry(REDUCE, 163);
   _actionMap[567][DESC] = ActionEntry(REDUCE, 163);
   _actionMap[567][ASC] = ActionEntry(REDUCE, 163);
   _actionMap[567][KSEP] = ActionEntry(REDUCE, 163);
   _actionMap[567][ROWLIMIT] = ActionEntry(REDUCE, 163);
   _actionMap[567][UNION] = ActionEntry(REDUCE, 163);
   _actionMap[567][ENDTOKEN] = ActionEntry(REDUCE, 163);
   _actionMap[567][RB] = ActionEntry(REDUCE, 163);
   _actionMap[567][SEMICOLON] = ActionEntry(REDUCE, 163);
   _actionMap[567][CONCAT] = ActionEntry(REDUCE, 163);
   _actionMap[567][STAR] = ActionEntry(REDUCE, 163);
   _actionMap[567][DIVISION] = ActionEntry(REDUCE, 163);
   _actionMap[567][MINUS] = ActionEntry(REDUCE, 163);
   _actionMap[567][PLUS] = ActionEntry(REDUCE, 163);
   _actionMap[568][WHEN] = ActionEntry(REDUCE, 164);
}
void Cego::loadParser105()
{
   _actionMap[568][ELSE] = ActionEntry(REDUCE, 164);
   _actionMap[568][LEFT] = ActionEntry(REDUCE, 164);
   _actionMap[568][RIGHT] = ActionEntry(REDUCE, 164);
   _actionMap[568][INNER] = ActionEntry(REDUCE, 164);
   _actionMap[568][JOIN] = ActionEntry(REDUCE, 164);
   _actionMap[568][RETURNTOKEN] = ActionEntry(REDUCE, 164);
   _actionMap[568][ORDER] = ActionEntry(REDUCE, 164);
   _actionMap[568][GROUP] = ActionEntry(REDUCE, 164);
   _actionMap[568][WHERE] = ActionEntry(REDUCE, 164);
   _actionMap[568][AS] = ActionEntry(REDUCE, 164);
   _actionMap[568][FROM] = ActionEntry(REDUCE, 164);
   _actionMap[568][END_TOKEN] = ActionEntry(REDUCE, 164);
   _actionMap[568][BEGIN] = ActionEntry(REDUCE, 164);
   _actionMap[568][THEN] = ActionEntry(REDUCE, 164);
   _actionMap[568][OR] = ActionEntry(REDUCE, 164);
   _actionMap[568][AND] = ActionEntry(REDUCE, 164);
   _actionMap[568][LIKE] = ActionEntry(REDUCE, 164);
   _actionMap[568][IS] = ActionEntry(REDUCE, 164);
   _actionMap[568][BETWEEN] = ActionEntry(REDUCE, 164);
   _actionMap[568][NOT] = ActionEntry(REDUCE, 164);
   _actionMap[568][INTOK] = ActionEntry(REDUCE, 164);
   _actionMap[568][EQU] = ActionEntry(REDUCE, 164);
   _actionMap[568][NEGATION] = ActionEntry(REDUCE, 164);
   _actionMap[568][LT] = ActionEntry(REDUCE, 164);
   _actionMap[568][MT] = ActionEntry(REDUCE, 164);
   _actionMap[568][DESC] = ActionEntry(REDUCE, 164);
   _actionMap[568][ASC] = ActionEntry(REDUCE, 164);
   _actionMap[568][KSEP] = ActionEntry(REDUCE, 164);
   _actionMap[568][ROWLIMIT] = ActionEntry(REDUCE, 164);
   _actionMap[568][UNION] = ActionEntry(REDUCE, 164);
   _actionMap[568][ENDTOKEN] = ActionEntry(REDUCE, 164);
   _actionMap[568][RB] = ActionEntry(REDUCE, 164);
   _actionMap[568][SEMICOLON] = ActionEntry(REDUCE, 164);
   _actionMap[568][CONCAT] = ActionEntry(REDUCE, 164);
   _actionMap[568][STAR] = ActionEntry(REDUCE, 164);
   _actionMap[568][DIVISION] = ActionEntry(REDUCE, 164);
   _actionMap[568][MINUS] = ActionEntry(REDUCE, 164);
   _actionMap[568][PLUS] = ActionEntry(REDUCE, 164);
   _actionMap[569][WHEN] = ActionEntry(REDUCE, 303);
   _actionMap[569][ELSE] = ActionEntry(REDUCE, 303);
   _actionMap[569][LEFT] = ActionEntry(REDUCE, 303);
   _actionMap[569][RIGHT] = ActionEntry(REDUCE, 303);
   _actionMap[569][INNER] = ActionEntry(REDUCE, 303);
   _actionMap[569][JOIN] = ActionEntry(REDUCE, 303);
   _actionMap[569][RETURNTOKEN] = ActionEntry(REDUCE, 303);
   _actionMap[569][ORDER] = ActionEntry(REDUCE, 303);
   _actionMap[569][GROUP] = ActionEntry(REDUCE, 303);
   _actionMap[569][WHERE] = ActionEntry(REDUCE, 303);
   _actionMap[569][FROM] = ActionEntry(REDUCE, 303);
   _actionMap[569][AS] = ActionEntry(REDUCE, 303);
}
void Cego::loadParser106()
{
   _actionMap[569][END_TOKEN] = ActionEntry(REDUCE, 303);
   _actionMap[569][BEGIN] = ActionEntry(REDUCE, 303);
   _actionMap[569][THEN] = ActionEntry(REDUCE, 303);
   _actionMap[569][OR] = ActionEntry(REDUCE, 303);
   _actionMap[569][AND] = ActionEntry(REDUCE, 303);
   _actionMap[569][INTOK] = ActionEntry(REDUCE, 303);
   _actionMap[569][NOT] = ActionEntry(REDUCE, 303);
   _actionMap[569][BETWEEN] = ActionEntry(REDUCE, 303);
   _actionMap[569][IS] = ActionEntry(REDUCE, 303);
   _actionMap[569][LIKE] = ActionEntry(REDUCE, 303);
   _actionMap[569][MT] = ActionEntry(REDUCE, 303);
   _actionMap[569][LT] = ActionEntry(REDUCE, 303);
   _actionMap[569][NEGATION] = ActionEntry(REDUCE, 303);
   _actionMap[569][EQU] = ActionEntry(REDUCE, 303);
   _actionMap[569][RB] = ActionEntry(REDUCE, 303);
   _actionMap[569][ENDTOKEN] = ActionEntry(REDUCE, 303);
   _actionMap[569][UNION] = ActionEntry(REDUCE, 303);
   _actionMap[569][ROWLIMIT] = ActionEntry(REDUCE, 303);
   _actionMap[569][KSEP] = ActionEntry(REDUCE, 303);
   _actionMap[569][ASC] = ActionEntry(REDUCE, 303);
   _actionMap[569][DESC] = ActionEntry(REDUCE, 303);
   _actionMap[569][SEMICOLON] = ActionEntry(REDUCE, 303);
   _actionMap[569][PLUS] = ActionEntry(REDUCE, 303);
   _actionMap[569][MINUS] = ActionEntry(REDUCE, 303);
   _actionMap[569][DIVISION] = ActionEntry(REDUCE, 303);
   _actionMap[569][STAR] = ActionEntry(REDUCE, 303);
   _actionMap[569][CONCAT] = ActionEntry(REDUCE, 303);
   _actionMap[570][WHEN] = ActionEntry(REDUCE, 312);
   _actionMap[570][ELSE] = ActionEntry(REDUCE, 312);
   _actionMap[570][LEFT] = ActionEntry(REDUCE, 312);
   _actionMap[570][RIGHT] = ActionEntry(REDUCE, 312);
   _actionMap[570][INNER] = ActionEntry(REDUCE, 312);
   _actionMap[570][JOIN] = ActionEntry(REDUCE, 312);
   _actionMap[570][RETURNTOKEN] = ActionEntry(REDUCE, 312);
   _actionMap[570][ORDER] = ActionEntry(REDUCE, 312);
   _actionMap[570][GROUP] = ActionEntry(REDUCE, 312);
   _actionMap[570][WHERE] = ActionEntry(REDUCE, 312);
   _actionMap[570][FROM] = ActionEntry(REDUCE, 312);
   _actionMap[570][AS] = ActionEntry(REDUCE, 312);
   _actionMap[570][END_TOKEN] = ActionEntry(REDUCE, 312);
   _actionMap[570][BEGIN] = ActionEntry(REDUCE, 312);
   _actionMap[570][THEN] = ActionEntry(REDUCE, 312);
   _actionMap[570][OR] = ActionEntry(REDUCE, 312);
   _actionMap[570][AND] = ActionEntry(REDUCE, 312);
   _actionMap[570][INTOK] = ActionEntry(REDUCE, 312);
   _actionMap[570][NOT] = ActionEntry(REDUCE, 312);
   _actionMap[570][BETWEEN] = ActionEntry(REDUCE, 312);
   _actionMap[570][IS] = ActionEntry(REDUCE, 312);
   _actionMap[570][LIKE] = ActionEntry(REDUCE, 312);
   _actionMap[570][MT] = ActionEntry(REDUCE, 312);
}
void Cego::loadParser107()
{
   _actionMap[570][LT] = ActionEntry(REDUCE, 312);
   _actionMap[570][NEGATION] = ActionEntry(REDUCE, 312);
   _actionMap[570][EQU] = ActionEntry(REDUCE, 312);
   _actionMap[570][RB] = ActionEntry(REDUCE, 312);
   _actionMap[570][ENDTOKEN] = ActionEntry(REDUCE, 312);
   _actionMap[570][UNION] = ActionEntry(REDUCE, 312);
   _actionMap[570][ROWLIMIT] = ActionEntry(REDUCE, 312);
   _actionMap[570][KSEP] = ActionEntry(REDUCE, 312);
   _actionMap[570][ASC] = ActionEntry(REDUCE, 312);
   _actionMap[570][DESC] = ActionEntry(REDUCE, 312);
   _actionMap[570][SEMICOLON] = ActionEntry(REDUCE, 312);
   _actionMap[570][PLUS] = ActionEntry(REDUCE, 312);
   _actionMap[570][MINUS] = ActionEntry(REDUCE, 312);
   _actionMap[570][DIVISION] = ActionEntry(REDUCE, 312);
   _actionMap[570][STAR] = ActionEntry(REDUCE, 312);
   _actionMap[570][CONCAT] = ActionEntry(REDUCE, 312);
   _actionMap[571][WHEN] = ActionEntry(REDUCE, 305);
   _actionMap[571][ELSE] = ActionEntry(REDUCE, 305);
   _actionMap[571][LEFT] = ActionEntry(REDUCE, 305);
   _actionMap[571][RIGHT] = ActionEntry(REDUCE, 305);
   _actionMap[571][INNER] = ActionEntry(REDUCE, 305);
   _actionMap[571][JOIN] = ActionEntry(REDUCE, 305);
   _actionMap[571][RETURNTOKEN] = ActionEntry(REDUCE, 305);
   _actionMap[571][ORDER] = ActionEntry(REDUCE, 305);
   _actionMap[571][GROUP] = ActionEntry(REDUCE, 305);
   _actionMap[571][WHERE] = ActionEntry(REDUCE, 305);
   _actionMap[571][FROM] = ActionEntry(REDUCE, 305);
   _actionMap[571][AS] = ActionEntry(REDUCE, 305);
   _actionMap[571][END_TOKEN] = ActionEntry(REDUCE, 305);
   _actionMap[571][BEGIN] = ActionEntry(REDUCE, 305);
   _actionMap[571][THEN] = ActionEntry(REDUCE, 305);
   _actionMap[571][OR] = ActionEntry(REDUCE, 305);
   _actionMap[571][AND] = ActionEntry(REDUCE, 305);
   _actionMap[571][INTOK] = ActionEntry(REDUCE, 305);
   _actionMap[571][NOT] = ActionEntry(REDUCE, 305);
   _actionMap[571][BETWEEN] = ActionEntry(REDUCE, 305);
   _actionMap[571][IS] = ActionEntry(REDUCE, 305);
   _actionMap[571][LIKE] = ActionEntry(REDUCE, 305);
   _actionMap[571][MT] = ActionEntry(REDUCE, 305);
   _actionMap[571][LT] = ActionEntry(REDUCE, 305);
   _actionMap[571][NEGATION] = ActionEntry(REDUCE, 305);
   _actionMap[571][EQU] = ActionEntry(REDUCE, 305);
   _actionMap[571][RB] = ActionEntry(REDUCE, 305);
   _actionMap[571][ENDTOKEN] = ActionEntry(REDUCE, 305);
   _actionMap[571][UNION] = ActionEntry(REDUCE, 305);
   _actionMap[571][ROWLIMIT] = ActionEntry(REDUCE, 305);
   _actionMap[571][KSEP] = ActionEntry(REDUCE, 305);
   _actionMap[571][ASC] = ActionEntry(REDUCE, 305);
   _actionMap[571][DESC] = ActionEntry(REDUCE, 305);
   _actionMap[571][SEMICOLON] = ActionEntry(REDUCE, 305);
}
void Cego::loadParser108()
{
   _actionMap[571][PLUS] = ActionEntry(REDUCE, 305);
   _actionMap[571][MINUS] = ActionEntry(REDUCE, 305);
   _actionMap[571][DIVISION] = ActionEntry(REDUCE, 305);
   _actionMap[571][STAR] = ActionEntry(REDUCE, 305);
   _actionMap[571][CONCAT] = ActionEntry(REDUCE, 305);
   _actionMap[572][WHEN] = ActionEntry(REDUCE, 301);
   _actionMap[572][ELSE] = ActionEntry(REDUCE, 301);
   _actionMap[572][LEFT] = ActionEntry(REDUCE, 301);
   _actionMap[572][RIGHT] = ActionEntry(REDUCE, 301);
   _actionMap[572][INNER] = ActionEntry(REDUCE, 301);
   _actionMap[572][JOIN] = ActionEntry(REDUCE, 301);
   _actionMap[572][RETURNTOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[572][ORDER] = ActionEntry(REDUCE, 301);
   _actionMap[572][GROUP] = ActionEntry(REDUCE, 301);
   _actionMap[572][WHERE] = ActionEntry(REDUCE, 301);
   _actionMap[572][FROM] = ActionEntry(REDUCE, 301);
   _actionMap[572][AS] = ActionEntry(REDUCE, 301);
   _actionMap[572][END_TOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[572][BEGIN] = ActionEntry(REDUCE, 301);
   _actionMap[572][THEN] = ActionEntry(REDUCE, 301);
   _actionMap[572][OR] = ActionEntry(REDUCE, 301);
   _actionMap[572][AND] = ActionEntry(REDUCE, 301);
   _actionMap[572][INTOK] = ActionEntry(REDUCE, 301);
   _actionMap[572][NOT] = ActionEntry(REDUCE, 301);
   _actionMap[572][BETWEEN] = ActionEntry(REDUCE, 301);
   _actionMap[572][IS] = ActionEntry(REDUCE, 301);
   _actionMap[572][LIKE] = ActionEntry(REDUCE, 301);
   _actionMap[572][MT] = ActionEntry(REDUCE, 301);
   _actionMap[572][LT] = ActionEntry(REDUCE, 301);
   _actionMap[572][NEGATION] = ActionEntry(REDUCE, 301);
   _actionMap[572][EQU] = ActionEntry(REDUCE, 301);
   _actionMap[572][RB] = ActionEntry(REDUCE, 301);
   _actionMap[572][ENDTOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[572][UNION] = ActionEntry(REDUCE, 301);
   _actionMap[572][ROWLIMIT] = ActionEntry(REDUCE, 301);
   _actionMap[572][KSEP] = ActionEntry(REDUCE, 301);
   _actionMap[572][ASC] = ActionEntry(REDUCE, 301);
   _actionMap[572][DESC] = ActionEntry(REDUCE, 301);
   _actionMap[572][SEMICOLON] = ActionEntry(REDUCE, 301);
   _actionMap[572][PLUS] = ActionEntry(REDUCE, 301);
   _actionMap[572][MINUS] = ActionEntry(REDUCE, 301);
   _actionMap[572][DIVISION] = ActionEntry(REDUCE, 301);
   _actionMap[572][STAR] = ActionEntry(REDUCE, 301);
   _actionMap[572][CONCAT] = ActionEntry(REDUCE, 301);
   _actionMap[573][WHEN] = ActionEntry(REDUCE, 302);
   _actionMap[573][ELSE] = ActionEntry(REDUCE, 302);
   _actionMap[573][LEFT] = ActionEntry(REDUCE, 302);
   _actionMap[573][RIGHT] = ActionEntry(REDUCE, 302);
   _actionMap[573][INNER] = ActionEntry(REDUCE, 302);
   _actionMap[573][JOIN] = ActionEntry(REDUCE, 302);
}
void Cego::loadParser109()
{
   _actionMap[573][RETURNTOKEN] = ActionEntry(REDUCE, 302);
   _actionMap[573][ORDER] = ActionEntry(REDUCE, 302);
   _actionMap[573][GROUP] = ActionEntry(REDUCE, 302);
   _actionMap[573][WHERE] = ActionEntry(REDUCE, 302);
   _actionMap[573][FROM] = ActionEntry(REDUCE, 302);
   _actionMap[573][AS] = ActionEntry(REDUCE, 302);
   _actionMap[573][END_TOKEN] = ActionEntry(REDUCE, 302);
   _actionMap[573][BEGIN] = ActionEntry(REDUCE, 302);
   _actionMap[573][THEN] = ActionEntry(REDUCE, 302);
   _actionMap[573][OR] = ActionEntry(REDUCE, 302);
   _actionMap[573][AND] = ActionEntry(REDUCE, 302);
   _actionMap[573][INTOK] = ActionEntry(REDUCE, 302);
   _actionMap[573][NOT] = ActionEntry(REDUCE, 302);
   _actionMap[573][BETWEEN] = ActionEntry(REDUCE, 302);
   _actionMap[573][IS] = ActionEntry(REDUCE, 302);
   _actionMap[573][LIKE] = ActionEntry(REDUCE, 302);
   _actionMap[573][MT] = ActionEntry(REDUCE, 302);
   _actionMap[573][LT] = ActionEntry(REDUCE, 302);
   _actionMap[573][NEGATION] = ActionEntry(REDUCE, 302);
   _actionMap[573][EQU] = ActionEntry(REDUCE, 302);
   _actionMap[573][RB] = ActionEntry(REDUCE, 302);
   _actionMap[573][ENDTOKEN] = ActionEntry(REDUCE, 302);
   _actionMap[573][UNION] = ActionEntry(REDUCE, 302);
   _actionMap[573][ROWLIMIT] = ActionEntry(REDUCE, 302);
   _actionMap[573][KSEP] = ActionEntry(REDUCE, 302);
   _actionMap[573][ASC] = ActionEntry(REDUCE, 302);
   _actionMap[573][DESC] = ActionEntry(REDUCE, 302);
   _actionMap[573][SEMICOLON] = ActionEntry(REDUCE, 302);
   _actionMap[573][PLUS] = ActionEntry(REDUCE, 302);
   _actionMap[573][MINUS] = ActionEntry(REDUCE, 302);
   _actionMap[573][DIVISION] = ActionEntry(REDUCE, 302);
   _actionMap[573][STAR] = ActionEntry(REDUCE, 302);
   _actionMap[573][CONCAT] = ActionEntry(REDUCE, 302);
   _actionMap[574][WHEN] = ActionEntry(REDUCE, 295);
   _actionMap[574][ELSE] = ActionEntry(REDUCE, 295);
   _actionMap[574][LEFT] = ActionEntry(REDUCE, 295);
   _actionMap[574][RIGHT] = ActionEntry(REDUCE, 295);
   _actionMap[574][INNER] = ActionEntry(REDUCE, 295);
   _actionMap[574][JOIN] = ActionEntry(REDUCE, 295);
   _actionMap[574][RETURNTOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[574][ORDER] = ActionEntry(REDUCE, 295);
   _actionMap[574][GROUP] = ActionEntry(REDUCE, 295);
   _actionMap[574][WHERE] = ActionEntry(REDUCE, 295);
   _actionMap[574][FROM] = ActionEntry(REDUCE, 295);
   _actionMap[574][AS] = ActionEntry(REDUCE, 295);
   _actionMap[574][END_TOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[574][BEGIN] = ActionEntry(REDUCE, 295);
   _actionMap[574][THEN] = ActionEntry(REDUCE, 295);
   _actionMap[574][OR] = ActionEntry(REDUCE, 295);
   _actionMap[574][AND] = ActionEntry(REDUCE, 295);
}
void Cego::loadParser110()
{
   _actionMap[574][INTOK] = ActionEntry(REDUCE, 295);
   _actionMap[574][NOT] = ActionEntry(REDUCE, 295);
   _actionMap[574][BETWEEN] = ActionEntry(REDUCE, 295);
   _actionMap[574][IS] = ActionEntry(REDUCE, 295);
   _actionMap[574][LIKE] = ActionEntry(REDUCE, 295);
   _actionMap[574][MT] = ActionEntry(REDUCE, 295);
   _actionMap[574][LT] = ActionEntry(REDUCE, 295);
   _actionMap[574][NEGATION] = ActionEntry(REDUCE, 295);
   _actionMap[574][EQU] = ActionEntry(REDUCE, 295);
   _actionMap[574][RB] = ActionEntry(REDUCE, 295);
   _actionMap[574][ENDTOKEN] = ActionEntry(REDUCE, 295);
   _actionMap[574][UNION] = ActionEntry(REDUCE, 295);
   _actionMap[574][ROWLIMIT] = ActionEntry(REDUCE, 295);
   _actionMap[574][KSEP] = ActionEntry(REDUCE, 295);
   _actionMap[574][ASC] = ActionEntry(REDUCE, 295);
   _actionMap[574][DESC] = ActionEntry(REDUCE, 295);
   _actionMap[574][SEMICOLON] = ActionEntry(REDUCE, 295);
   _actionMap[574][PLUS] = ActionEntry(REDUCE, 295);
   _actionMap[574][MINUS] = ActionEntry(REDUCE, 295);
   _actionMap[574][DIVISION] = ActionEntry(REDUCE, 295);
   _actionMap[574][STAR] = ActionEntry(REDUCE, 295);
   _actionMap[574][CONCAT] = ActionEntry(REDUCE, 295);
   _actionMap[575][WHEN] = ActionEntry(REDUCE, 292);
   _actionMap[575][ELSE] = ActionEntry(REDUCE, 292);
   _actionMap[575][LEFT] = ActionEntry(REDUCE, 292);
   _actionMap[575][RIGHT] = ActionEntry(REDUCE, 292);
   _actionMap[575][INNER] = ActionEntry(REDUCE, 292);
   _actionMap[575][JOIN] = ActionEntry(REDUCE, 292);
   _actionMap[575][RETURNTOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[575][ORDER] = ActionEntry(REDUCE, 292);
   _actionMap[575][GROUP] = ActionEntry(REDUCE, 292);
   _actionMap[575][WHERE] = ActionEntry(REDUCE, 292);
   _actionMap[575][FROM] = ActionEntry(REDUCE, 292);
   _actionMap[575][AS] = ActionEntry(REDUCE, 292);
   _actionMap[575][END_TOKEN] = ActionEntry(REDUCE, 292);
   _actionMap[575][BEGIN] = ActionEntry(REDUCE, 292);
   _actionMap[575][THEN] = ActionEntry(REDUCE, 292);
   _actionMap[575][OR] = ActionEntry(REDUCE, 292);
   _actionMap[575][AND] = ActionEntry(REDUCE, 292);
   _actionMap[575][INTOK] = ActionEntry(REDUCE, 292);
   _actionMap[575][NOT] = ActionEntry(REDUCE, 292);
   _actionMap[575][BETWEEN] = ActionEntry(REDUCE, 292);
   _actionMap[575][IS] = ActionEntry(REDUCE, 292);
   _actionMap[575][LIKE] = ActionEntry(REDUCE, 292);
   _actionMap[575][MT] = ActionEntry(REDUCE, 292);
   _actionMap[575][LT] = ActionEntry(REDUCE, 292);
   _actionMap[575][NEGATION] = ActionEntry(REDUCE, 292);
   _actionMap[575][EQU] = ActionEntry(REDUCE, 292);
   _actionMap[575][RB] = ActionEntry(REDUCE, 292);
   _actionMap[575][ENDTOKEN] = ActionEntry(REDUCE, 292);
}
void Cego::loadParser111()
{
   _actionMap[575][UNION] = ActionEntry(REDUCE, 292);
   _actionMap[575][ROWLIMIT] = ActionEntry(REDUCE, 292);
   _actionMap[575][KSEP] = ActionEntry(REDUCE, 292);
   _actionMap[575][ASC] = ActionEntry(REDUCE, 292);
   _actionMap[575][DESC] = ActionEntry(REDUCE, 292);
   _actionMap[575][SEMICOLON] = ActionEntry(REDUCE, 292);
   _actionMap[575][PLUS] = ActionEntry(REDUCE, 292);
   _actionMap[575][MINUS] = ActionEntry(REDUCE, 292);
   _actionMap[575][DIVISION] = ActionEntry(REDUCE, 292);
   _actionMap[575][STAR] = ActionEntry(REDUCE, 292);
   _actionMap[575][CONCAT] = ActionEntry(REDUCE, 292);
   _actionMap[576][WHEN] = ActionEntry(REDUCE, 284);
   _actionMap[576][ELSE] = ActionEntry(REDUCE, 284);
   _actionMap[576][LEFT] = ActionEntry(REDUCE, 284);
   _actionMap[576][RIGHT] = ActionEntry(REDUCE, 284);
   _actionMap[576][INNER] = ActionEntry(REDUCE, 284);
   _actionMap[576][JOIN] = ActionEntry(REDUCE, 284);
   _actionMap[576][RETURNTOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[576][ORDER] = ActionEntry(REDUCE, 284);
   _actionMap[576][GROUP] = ActionEntry(REDUCE, 284);
   _actionMap[576][WHERE] = ActionEntry(REDUCE, 284);
   _actionMap[576][FROM] = ActionEntry(REDUCE, 284);
   _actionMap[576][AS] = ActionEntry(REDUCE, 284);
   _actionMap[576][END_TOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[576][BEGIN] = ActionEntry(REDUCE, 284);
   _actionMap[576][THEN] = ActionEntry(REDUCE, 284);
   _actionMap[576][OR] = ActionEntry(REDUCE, 284);
   _actionMap[576][AND] = ActionEntry(REDUCE, 284);
   _actionMap[576][INTOK] = ActionEntry(REDUCE, 284);
   _actionMap[576][NOT] = ActionEntry(REDUCE, 284);
   _actionMap[576][BETWEEN] = ActionEntry(REDUCE, 284);
   _actionMap[576][IS] = ActionEntry(REDUCE, 284);
   _actionMap[576][LIKE] = ActionEntry(REDUCE, 284);
   _actionMap[576][MT] = ActionEntry(REDUCE, 284);
   _actionMap[576][LT] = ActionEntry(REDUCE, 284);
   _actionMap[576][NEGATION] = ActionEntry(REDUCE, 284);
   _actionMap[576][EQU] = ActionEntry(REDUCE, 284);
   _actionMap[576][RB] = ActionEntry(REDUCE, 284);
   _actionMap[576][ENDTOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[576][UNION] = ActionEntry(REDUCE, 284);
   _actionMap[576][ROWLIMIT] = ActionEntry(REDUCE, 284);
   _actionMap[576][KSEP] = ActionEntry(REDUCE, 284);
   _actionMap[576][ASC] = ActionEntry(REDUCE, 284);
   _actionMap[576][DESC] = ActionEntry(REDUCE, 284);
   _actionMap[576][SEMICOLON] = ActionEntry(REDUCE, 284);
   _actionMap[576][PLUS] = ActionEntry(REDUCE, 284);
   _actionMap[576][MINUS] = ActionEntry(REDUCE, 284);
   _actionMap[576][DIVISION] = ActionEntry(REDUCE, 284);
   _actionMap[576][STAR] = ActionEntry(REDUCE, 284);
   _actionMap[576][CONCAT] = ActionEntry(REDUCE, 284);
}
void Cego::loadParser112()
{
   _actionMap[577][WHEN] = ActionEntry(REDUCE, 282);
   _actionMap[577][ELSE] = ActionEntry(REDUCE, 282);
   _actionMap[577][LEFT] = ActionEntry(REDUCE, 282);
   _actionMap[577][RIGHT] = ActionEntry(REDUCE, 282);
   _actionMap[577][INNER] = ActionEntry(REDUCE, 282);
   _actionMap[577][JOIN] = ActionEntry(REDUCE, 282);
   _actionMap[577][RETURNTOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[577][ORDER] = ActionEntry(REDUCE, 282);
   _actionMap[577][GROUP] = ActionEntry(REDUCE, 282);
   _actionMap[577][WHERE] = ActionEntry(REDUCE, 282);
   _actionMap[577][FROM] = ActionEntry(REDUCE, 282);
   _actionMap[577][AS] = ActionEntry(REDUCE, 282);
   _actionMap[577][END_TOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[577][BEGIN] = ActionEntry(REDUCE, 282);
   _actionMap[577][THEN] = ActionEntry(REDUCE, 282);
   _actionMap[577][OR] = ActionEntry(REDUCE, 282);
   _actionMap[577][AND] = ActionEntry(REDUCE, 282);
   _actionMap[577][INTOK] = ActionEntry(REDUCE, 282);
   _actionMap[577][NOT] = ActionEntry(REDUCE, 282);
   _actionMap[577][BETWEEN] = ActionEntry(REDUCE, 282);
   _actionMap[577][IS] = ActionEntry(REDUCE, 282);
   _actionMap[577][LIKE] = ActionEntry(REDUCE, 282);
   _actionMap[577][MT] = ActionEntry(REDUCE, 282);
   _actionMap[577][LT] = ActionEntry(REDUCE, 282);
   _actionMap[577][NEGATION] = ActionEntry(REDUCE, 282);
   _actionMap[577][EQU] = ActionEntry(REDUCE, 282);
   _actionMap[577][RB] = ActionEntry(REDUCE, 282);
   _actionMap[577][ENDTOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[577][UNION] = ActionEntry(REDUCE, 282);
   _actionMap[577][ROWLIMIT] = ActionEntry(REDUCE, 282);
   _actionMap[577][KSEP] = ActionEntry(REDUCE, 282);
   _actionMap[577][ASC] = ActionEntry(REDUCE, 282);
   _actionMap[577][DESC] = ActionEntry(REDUCE, 282);
   _actionMap[577][SEMICOLON] = ActionEntry(REDUCE, 282);
   _actionMap[577][PLUS] = ActionEntry(REDUCE, 282);
   _actionMap[577][MINUS] = ActionEntry(REDUCE, 282);
   _actionMap[577][DIVISION] = ActionEntry(REDUCE, 282);
   _actionMap[577][STAR] = ActionEntry(REDUCE, 282);
   _actionMap[577][CONCAT] = ActionEntry(REDUCE, 282);
   _actionMap[578][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[578][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[578][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[578][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[578][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[578][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[578][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[578][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[578][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[578][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[578][NEWDATE] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser113()
{
   _actionMap[578][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[578][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[578][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[578][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[578][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[578][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[578][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[578][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[578][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[578][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[578][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[578][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[578][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[578][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[578][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[578][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[578][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[578][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[578][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[578][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[578][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[578][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[578][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[578][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[578][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[578][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[578][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[578][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[578][LB] = ActionEntry(SHIFT, 151);
   _actionMap[578][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[578][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[578][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[578][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[578][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[578][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[578][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[578][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[578][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[578][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[578][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[578][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[578][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[578][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[578][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[578][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[578][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[578][ObjSpec] = 102;
   _jumpMap[578][Constant] = 101;
   _jumpMap[578][SignedFloat] = 100;
   _jumpMap[578][SignedInt] = 99;
}
void Cego::loadParser114()
{
   _jumpMap[578][Attribute] = 98;
   _jumpMap[578][Function] = 97;
   _jumpMap[578][CasePrepare] = 96;
   _jumpMap[578][CaseClause] = 95;
   _jumpMap[578][Factor] = 94;
   _jumpMap[578][Term] = 93;
   _jumpMap[578][Expr] = 705;
   _actionMap[579][WHEN] = ActionEntry(REDUCE, 294);
   _actionMap[579][ELSE] = ActionEntry(REDUCE, 294);
   _actionMap[579][LEFT] = ActionEntry(REDUCE, 294);
   _actionMap[579][RIGHT] = ActionEntry(REDUCE, 294);
   _actionMap[579][INNER] = ActionEntry(REDUCE, 294);
   _actionMap[579][JOIN] = ActionEntry(REDUCE, 294);
   _actionMap[579][RETURNTOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[579][ORDER] = ActionEntry(REDUCE, 294);
   _actionMap[579][GROUP] = ActionEntry(REDUCE, 294);
   _actionMap[579][WHERE] = ActionEntry(REDUCE, 294);
   _actionMap[579][FROM] = ActionEntry(REDUCE, 294);
   _actionMap[579][AS] = ActionEntry(REDUCE, 294);
   _actionMap[579][END_TOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[579][BEGIN] = ActionEntry(REDUCE, 294);
   _actionMap[579][THEN] = ActionEntry(REDUCE, 294);
   _actionMap[579][OR] = ActionEntry(REDUCE, 294);
   _actionMap[579][AND] = ActionEntry(REDUCE, 294);
   _actionMap[579][INTOK] = ActionEntry(REDUCE, 294);
   _actionMap[579][NOT] = ActionEntry(REDUCE, 294);
   _actionMap[579][BETWEEN] = ActionEntry(REDUCE, 294);
   _actionMap[579][IS] = ActionEntry(REDUCE, 294);
   _actionMap[579][LIKE] = ActionEntry(REDUCE, 294);
   _actionMap[579][MT] = ActionEntry(REDUCE, 294);
   _actionMap[579][LT] = ActionEntry(REDUCE, 294);
   _actionMap[579][NEGATION] = ActionEntry(REDUCE, 294);
   _actionMap[579][EQU] = ActionEntry(REDUCE, 294);
   _actionMap[579][RB] = ActionEntry(REDUCE, 294);
   _actionMap[579][ENDTOKEN] = ActionEntry(REDUCE, 294);
   _actionMap[579][UNION] = ActionEntry(REDUCE, 294);
   _actionMap[579][ROWLIMIT] = ActionEntry(REDUCE, 294);
   _actionMap[579][KSEP] = ActionEntry(REDUCE, 294);
   _actionMap[579][ASC] = ActionEntry(REDUCE, 294);
   _actionMap[579][DESC] = ActionEntry(REDUCE, 294);
   _actionMap[579][SEMICOLON] = ActionEntry(REDUCE, 294);
   _actionMap[579][PLUS] = ActionEntry(REDUCE, 294);
   _actionMap[579][MINUS] = ActionEntry(REDUCE, 294);
   _actionMap[579][DIVISION] = ActionEntry(REDUCE, 294);
   _actionMap[579][STAR] = ActionEntry(REDUCE, 294);
   _actionMap[579][CONCAT] = ActionEntry(REDUCE, 294);
   _actionMap[580][WHEN] = ActionEntry(REDUCE, 160);
   _actionMap[580][ELSE] = ActionEntry(REDUCE, 160);
   _actionMap[580][LEFT] = ActionEntry(REDUCE, 160);
   _actionMap[580][RIGHT] = ActionEntry(REDUCE, 160);
}
void Cego::loadParser115()
{
   _actionMap[580][INNER] = ActionEntry(REDUCE, 160);
   _actionMap[580][JOIN] = ActionEntry(REDUCE, 160);
   _actionMap[580][RETURNTOKEN] = ActionEntry(REDUCE, 160);
   _actionMap[580][ORDER] = ActionEntry(REDUCE, 160);
   _actionMap[580][GROUP] = ActionEntry(REDUCE, 160);
   _actionMap[580][WHERE] = ActionEntry(REDUCE, 160);
   _actionMap[580][AS] = ActionEntry(REDUCE, 160);
   _actionMap[580][FROM] = ActionEntry(REDUCE, 160);
   _actionMap[580][END_TOKEN] = ActionEntry(REDUCE, 160);
   _actionMap[580][BEGIN] = ActionEntry(REDUCE, 160);
   _actionMap[580][THEN] = ActionEntry(REDUCE, 160);
   _actionMap[580][OR] = ActionEntry(REDUCE, 160);
   _actionMap[580][AND] = ActionEntry(REDUCE, 160);
   _actionMap[580][LIKE] = ActionEntry(REDUCE, 160);
   _actionMap[580][IS] = ActionEntry(REDUCE, 160);
   _actionMap[580][BETWEEN] = ActionEntry(REDUCE, 160);
   _actionMap[580][NOT] = ActionEntry(REDUCE, 160);
   _actionMap[580][INTOK] = ActionEntry(REDUCE, 160);
   _actionMap[580][EQU] = ActionEntry(REDUCE, 160);
   _actionMap[580][NEGATION] = ActionEntry(REDUCE, 160);
   _actionMap[580][LT] = ActionEntry(REDUCE, 160);
   _actionMap[580][MT] = ActionEntry(REDUCE, 160);
   _actionMap[580][DESC] = ActionEntry(REDUCE, 160);
   _actionMap[580][ASC] = ActionEntry(REDUCE, 160);
   _actionMap[580][KSEP] = ActionEntry(REDUCE, 160);
   _actionMap[580][ROWLIMIT] = ActionEntry(REDUCE, 160);
   _actionMap[580][UNION] = ActionEntry(REDUCE, 160);
   _actionMap[580][ENDTOKEN] = ActionEntry(REDUCE, 160);
   _actionMap[580][RB] = ActionEntry(REDUCE, 160);
   _actionMap[580][SEMICOLON] = ActionEntry(REDUCE, 160);
   _actionMap[580][CONCAT] = ActionEntry(REDUCE, 160);
   _actionMap[580][STAR] = ActionEntry(REDUCE, 160);
   _actionMap[580][DIVISION] = ActionEntry(REDUCE, 160);
   _actionMap[580][MINUS] = ActionEntry(REDUCE, 160);
   _actionMap[580][PLUS] = ActionEntry(REDUCE, 160);
   _actionMap[581][WHEN] = ActionEntry(REDUCE, 298);
   _actionMap[581][ELSE] = ActionEntry(REDUCE, 298);
   _actionMap[581][LEFT] = ActionEntry(REDUCE, 298);
   _actionMap[581][RIGHT] = ActionEntry(REDUCE, 298);
   _actionMap[581][INNER] = ActionEntry(REDUCE, 298);
   _actionMap[581][JOIN] = ActionEntry(REDUCE, 298);
   _actionMap[581][RETURNTOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[581][ORDER] = ActionEntry(REDUCE, 298);
   _actionMap[581][GROUP] = ActionEntry(REDUCE, 298);
   _actionMap[581][WHERE] = ActionEntry(REDUCE, 298);
   _actionMap[581][FROM] = ActionEntry(REDUCE, 298);
   _actionMap[581][AS] = ActionEntry(REDUCE, 298);
   _actionMap[581][END_TOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[581][BEGIN] = ActionEntry(REDUCE, 298);
   _actionMap[581][THEN] = ActionEntry(REDUCE, 298);
}
void Cego::loadParser116()
{
   _actionMap[581][OR] = ActionEntry(REDUCE, 298);
   _actionMap[581][AND] = ActionEntry(REDUCE, 298);
   _actionMap[581][INTOK] = ActionEntry(REDUCE, 298);
   _actionMap[581][NOT] = ActionEntry(REDUCE, 298);
   _actionMap[581][BETWEEN] = ActionEntry(REDUCE, 298);
   _actionMap[581][IS] = ActionEntry(REDUCE, 298);
   _actionMap[581][LIKE] = ActionEntry(REDUCE, 298);
   _actionMap[581][MT] = ActionEntry(REDUCE, 298);
   _actionMap[581][LT] = ActionEntry(REDUCE, 298);
   _actionMap[581][NEGATION] = ActionEntry(REDUCE, 298);
   _actionMap[581][EQU] = ActionEntry(REDUCE, 298);
   _actionMap[581][RB] = ActionEntry(REDUCE, 298);
   _actionMap[581][ENDTOKEN] = ActionEntry(REDUCE, 298);
   _actionMap[581][UNION] = ActionEntry(REDUCE, 298);
   _actionMap[581][ROWLIMIT] = ActionEntry(REDUCE, 298);
   _actionMap[581][KSEP] = ActionEntry(REDUCE, 298);
   _actionMap[581][ASC] = ActionEntry(REDUCE, 298);
   _actionMap[581][DESC] = ActionEntry(REDUCE, 298);
   _actionMap[581][SEMICOLON] = ActionEntry(REDUCE, 298);
   _actionMap[581][PLUS] = ActionEntry(REDUCE, 298);
   _actionMap[581][MINUS] = ActionEntry(REDUCE, 298);
   _actionMap[581][DIVISION] = ActionEntry(REDUCE, 298);
   _actionMap[581][STAR] = ActionEntry(REDUCE, 298);
   _actionMap[581][CONCAT] = ActionEntry(REDUCE, 298);
   _actionMap[582][WHEN] = ActionEntry(REDUCE, 299);
   _actionMap[582][ELSE] = ActionEntry(REDUCE, 299);
   _actionMap[582][LEFT] = ActionEntry(REDUCE, 299);
   _actionMap[582][RIGHT] = ActionEntry(REDUCE, 299);
   _actionMap[582][INNER] = ActionEntry(REDUCE, 299);
   _actionMap[582][JOIN] = ActionEntry(REDUCE, 299);
   _actionMap[582][RETURNTOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[582][ORDER] = ActionEntry(REDUCE, 299);
   _actionMap[582][GROUP] = ActionEntry(REDUCE, 299);
   _actionMap[582][WHERE] = ActionEntry(REDUCE, 299);
   _actionMap[582][FROM] = ActionEntry(REDUCE, 299);
   _actionMap[582][AS] = ActionEntry(REDUCE, 299);
   _actionMap[582][END_TOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[582][BEGIN] = ActionEntry(REDUCE, 299);
   _actionMap[582][THEN] = ActionEntry(REDUCE, 299);
   _actionMap[582][OR] = ActionEntry(REDUCE, 299);
   _actionMap[582][AND] = ActionEntry(REDUCE, 299);
   _actionMap[582][INTOK] = ActionEntry(REDUCE, 299);
   _actionMap[582][NOT] = ActionEntry(REDUCE, 299);
   _actionMap[582][BETWEEN] = ActionEntry(REDUCE, 299);
   _actionMap[582][IS] = ActionEntry(REDUCE, 299);
   _actionMap[582][LIKE] = ActionEntry(REDUCE, 299);
   _actionMap[582][MT] = ActionEntry(REDUCE, 299);
   _actionMap[582][LT] = ActionEntry(REDUCE, 299);
   _actionMap[582][NEGATION] = ActionEntry(REDUCE, 299);
   _actionMap[582][EQU] = ActionEntry(REDUCE, 299);
}
void Cego::loadParser117()
{
   _actionMap[582][RB] = ActionEntry(REDUCE, 299);
   _actionMap[582][ENDTOKEN] = ActionEntry(REDUCE, 299);
   _actionMap[582][UNION] = ActionEntry(REDUCE, 299);
   _actionMap[582][ROWLIMIT] = ActionEntry(REDUCE, 299);
   _actionMap[582][KSEP] = ActionEntry(REDUCE, 299);
   _actionMap[582][ASC] = ActionEntry(REDUCE, 299);
   _actionMap[582][DESC] = ActionEntry(REDUCE, 299);
   _actionMap[582][SEMICOLON] = ActionEntry(REDUCE, 299);
   _actionMap[582][PLUS] = ActionEntry(REDUCE, 299);
   _actionMap[582][MINUS] = ActionEntry(REDUCE, 299);
   _actionMap[582][DIVISION] = ActionEntry(REDUCE, 299);
   _actionMap[582][STAR] = ActionEntry(REDUCE, 299);
   _actionMap[582][CONCAT] = ActionEntry(REDUCE, 299);
   _actionMap[583][WHEN] = ActionEntry(REDUCE, 300);
   _actionMap[583][ELSE] = ActionEntry(REDUCE, 300);
   _actionMap[583][LEFT] = ActionEntry(REDUCE, 300);
   _actionMap[583][RIGHT] = ActionEntry(REDUCE, 300);
   _actionMap[583][INNER] = ActionEntry(REDUCE, 300);
   _actionMap[583][JOIN] = ActionEntry(REDUCE, 300);
   _actionMap[583][RETURNTOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[583][ORDER] = ActionEntry(REDUCE, 300);
   _actionMap[583][GROUP] = ActionEntry(REDUCE, 300);
   _actionMap[583][WHERE] = ActionEntry(REDUCE, 300);
   _actionMap[583][FROM] = ActionEntry(REDUCE, 300);
   _actionMap[583][AS] = ActionEntry(REDUCE, 300);
   _actionMap[583][END_TOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[583][BEGIN] = ActionEntry(REDUCE, 300);
   _actionMap[583][THEN] = ActionEntry(REDUCE, 300);
   _actionMap[583][OR] = ActionEntry(REDUCE, 300);
   _actionMap[583][AND] = ActionEntry(REDUCE, 300);
   _actionMap[583][INTOK] = ActionEntry(REDUCE, 300);
   _actionMap[583][NOT] = ActionEntry(REDUCE, 300);
   _actionMap[583][BETWEEN] = ActionEntry(REDUCE, 300);
   _actionMap[583][IS] = ActionEntry(REDUCE, 300);
   _actionMap[583][LIKE] = ActionEntry(REDUCE, 300);
   _actionMap[583][MT] = ActionEntry(REDUCE, 300);
   _actionMap[583][LT] = ActionEntry(REDUCE, 300);
   _actionMap[583][NEGATION] = ActionEntry(REDUCE, 300);
   _actionMap[583][EQU] = ActionEntry(REDUCE, 300);
   _actionMap[583][RB] = ActionEntry(REDUCE, 300);
   _actionMap[583][ENDTOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[583][UNION] = ActionEntry(REDUCE, 300);
   _actionMap[583][ROWLIMIT] = ActionEntry(REDUCE, 300);
   _actionMap[583][KSEP] = ActionEntry(REDUCE, 300);
   _actionMap[583][ASC] = ActionEntry(REDUCE, 300);
   _actionMap[583][DESC] = ActionEntry(REDUCE, 300);
   _actionMap[583][SEMICOLON] = ActionEntry(REDUCE, 300);
   _actionMap[583][PLUS] = ActionEntry(REDUCE, 300);
   _actionMap[583][MINUS] = ActionEntry(REDUCE, 300);
   _actionMap[583][DIVISION] = ActionEntry(REDUCE, 300);
}
void Cego::loadParser118()
{
   _actionMap[583][STAR] = ActionEntry(REDUCE, 300);
   _actionMap[583][CONCAT] = ActionEntry(REDUCE, 300);
   _actionMap[584][WHEN] = ActionEntry(REDUCE, 281);
   _actionMap[584][ELSE] = ActionEntry(REDUCE, 281);
   _actionMap[584][LEFT] = ActionEntry(REDUCE, 281);
   _actionMap[584][RIGHT] = ActionEntry(REDUCE, 281);
   _actionMap[584][INNER] = ActionEntry(REDUCE, 281);
   _actionMap[584][JOIN] = ActionEntry(REDUCE, 281);
   _actionMap[584][RETURNTOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[584][ORDER] = ActionEntry(REDUCE, 281);
   _actionMap[584][GROUP] = ActionEntry(REDUCE, 281);
   _actionMap[584][WHERE] = ActionEntry(REDUCE, 281);
   _actionMap[584][FROM] = ActionEntry(REDUCE, 281);
   _actionMap[584][AS] = ActionEntry(REDUCE, 281);
   _actionMap[584][END_TOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[584][BEGIN] = ActionEntry(REDUCE, 281);
   _actionMap[584][THEN] = ActionEntry(REDUCE, 281);
   _actionMap[584][OR] = ActionEntry(REDUCE, 281);
   _actionMap[584][AND] = ActionEntry(REDUCE, 281);
   _actionMap[584][INTOK] = ActionEntry(REDUCE, 281);
   _actionMap[584][NOT] = ActionEntry(REDUCE, 281);
   _actionMap[584][BETWEEN] = ActionEntry(REDUCE, 281);
   _actionMap[584][IS] = ActionEntry(REDUCE, 281);
   _actionMap[584][LIKE] = ActionEntry(REDUCE, 281);
   _actionMap[584][MT] = ActionEntry(REDUCE, 281);
   _actionMap[584][LT] = ActionEntry(REDUCE, 281);
   _actionMap[584][NEGATION] = ActionEntry(REDUCE, 281);
   _actionMap[584][EQU] = ActionEntry(REDUCE, 281);
   _actionMap[584][RB] = ActionEntry(REDUCE, 281);
   _actionMap[584][ENDTOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[584][UNION] = ActionEntry(REDUCE, 281);
   _actionMap[584][ROWLIMIT] = ActionEntry(REDUCE, 281);
   _actionMap[584][KSEP] = ActionEntry(REDUCE, 281);
   _actionMap[584][ASC] = ActionEntry(REDUCE, 281);
   _actionMap[584][DESC] = ActionEntry(REDUCE, 281);
   _actionMap[584][SEMICOLON] = ActionEntry(REDUCE, 281);
   _actionMap[584][PLUS] = ActionEntry(REDUCE, 281);
   _actionMap[584][MINUS] = ActionEntry(REDUCE, 281);
   _actionMap[584][DIVISION] = ActionEntry(REDUCE, 281);
   _actionMap[584][STAR] = ActionEntry(REDUCE, 281);
   _actionMap[584][CONCAT] = ActionEntry(REDUCE, 281);
   _actionMap[585][WHEN] = ActionEntry(REDUCE, 297);
   _actionMap[585][ELSE] = ActionEntry(REDUCE, 297);
   _actionMap[585][LEFT] = ActionEntry(REDUCE, 297);
   _actionMap[585][RIGHT] = ActionEntry(REDUCE, 297);
   _actionMap[585][INNER] = ActionEntry(REDUCE, 297);
   _actionMap[585][JOIN] = ActionEntry(REDUCE, 297);
   _actionMap[585][RETURNTOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[585][ORDER] = ActionEntry(REDUCE, 297);
   _actionMap[585][GROUP] = ActionEntry(REDUCE, 297);
}
void Cego::loadParser119()
{
   _actionMap[585][WHERE] = ActionEntry(REDUCE, 297);
   _actionMap[585][FROM] = ActionEntry(REDUCE, 297);
   _actionMap[585][AS] = ActionEntry(REDUCE, 297);
   _actionMap[585][END_TOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[585][BEGIN] = ActionEntry(REDUCE, 297);
   _actionMap[585][THEN] = ActionEntry(REDUCE, 297);
   _actionMap[585][OR] = ActionEntry(REDUCE, 297);
   _actionMap[585][AND] = ActionEntry(REDUCE, 297);
   _actionMap[585][INTOK] = ActionEntry(REDUCE, 297);
   _actionMap[585][NOT] = ActionEntry(REDUCE, 297);
   _actionMap[585][BETWEEN] = ActionEntry(REDUCE, 297);
   _actionMap[585][IS] = ActionEntry(REDUCE, 297);
   _actionMap[585][LIKE] = ActionEntry(REDUCE, 297);
   _actionMap[585][MT] = ActionEntry(REDUCE, 297);
   _actionMap[585][LT] = ActionEntry(REDUCE, 297);
   _actionMap[585][NEGATION] = ActionEntry(REDUCE, 297);
   _actionMap[585][EQU] = ActionEntry(REDUCE, 297);
   _actionMap[585][RB] = ActionEntry(REDUCE, 297);
   _actionMap[585][ENDTOKEN] = ActionEntry(REDUCE, 297);
   _actionMap[585][UNION] = ActionEntry(REDUCE, 297);
   _actionMap[585][ROWLIMIT] = ActionEntry(REDUCE, 297);
   _actionMap[585][KSEP] = ActionEntry(REDUCE, 297);
   _actionMap[585][ASC] = ActionEntry(REDUCE, 297);
   _actionMap[585][DESC] = ActionEntry(REDUCE, 297);
   _actionMap[585][SEMICOLON] = ActionEntry(REDUCE, 297);
   _actionMap[585][PLUS] = ActionEntry(REDUCE, 297);
   _actionMap[585][MINUS] = ActionEntry(REDUCE, 297);
   _actionMap[585][DIVISION] = ActionEntry(REDUCE, 297);
   _actionMap[585][STAR] = ActionEntry(REDUCE, 297);
   _actionMap[585][CONCAT] = ActionEntry(REDUCE, 297);
   _actionMap[586][WHEN] = ActionEntry(REDUCE, 290);
   _actionMap[586][ELSE] = ActionEntry(REDUCE, 290);
   _actionMap[586][LEFT] = ActionEntry(REDUCE, 290);
   _actionMap[586][RIGHT] = ActionEntry(REDUCE, 290);
   _actionMap[586][INNER] = ActionEntry(REDUCE, 290);
   _actionMap[586][JOIN] = ActionEntry(REDUCE, 290);
   _actionMap[586][RETURNTOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[586][ORDER] = ActionEntry(REDUCE, 290);
   _actionMap[586][GROUP] = ActionEntry(REDUCE, 290);
   _actionMap[586][WHERE] = ActionEntry(REDUCE, 290);
   _actionMap[586][FROM] = ActionEntry(REDUCE, 290);
   _actionMap[586][AS] = ActionEntry(REDUCE, 290);
   _actionMap[586][END_TOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[586][BEGIN] = ActionEntry(REDUCE, 290);
   _actionMap[586][THEN] = ActionEntry(REDUCE, 290);
   _actionMap[586][OR] = ActionEntry(REDUCE, 290);
   _actionMap[586][AND] = ActionEntry(REDUCE, 290);
   _actionMap[586][INTOK] = ActionEntry(REDUCE, 290);
   _actionMap[586][NOT] = ActionEntry(REDUCE, 290);
   _actionMap[586][BETWEEN] = ActionEntry(REDUCE, 290);
}
void Cego::loadParser120()
{
   _actionMap[586][IS] = ActionEntry(REDUCE, 290);
   _actionMap[586][LIKE] = ActionEntry(REDUCE, 290);
   _actionMap[586][MT] = ActionEntry(REDUCE, 290);
   _actionMap[586][LT] = ActionEntry(REDUCE, 290);
   _actionMap[586][NEGATION] = ActionEntry(REDUCE, 290);
   _actionMap[586][EQU] = ActionEntry(REDUCE, 290);
   _actionMap[586][RB] = ActionEntry(REDUCE, 290);
   _actionMap[586][ENDTOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[586][UNION] = ActionEntry(REDUCE, 290);
   _actionMap[586][ROWLIMIT] = ActionEntry(REDUCE, 290);
   _actionMap[586][KSEP] = ActionEntry(REDUCE, 290);
   _actionMap[586][ASC] = ActionEntry(REDUCE, 290);
   _actionMap[586][DESC] = ActionEntry(REDUCE, 290);
   _actionMap[586][SEMICOLON] = ActionEntry(REDUCE, 290);
   _actionMap[586][PLUS] = ActionEntry(REDUCE, 290);
   _actionMap[586][MINUS] = ActionEntry(REDUCE, 290);
   _actionMap[586][DIVISION] = ActionEntry(REDUCE, 290);
   _actionMap[586][STAR] = ActionEntry(REDUCE, 290);
   _actionMap[586][CONCAT] = ActionEntry(REDUCE, 290);
   _actionMap[587][WHEN] = ActionEntry(REDUCE, 364);
   _actionMap[587][ELSE] = ActionEntry(REDUCE, 364);
   _actionMap[587][LEFT] = ActionEntry(REDUCE, 364);
   _actionMap[587][RIGHT] = ActionEntry(REDUCE, 364);
   _actionMap[587][INNER] = ActionEntry(REDUCE, 364);
   _actionMap[587][JOIN] = ActionEntry(REDUCE, 364);
   _actionMap[587][RETURNTOKEN] = ActionEntry(REDUCE, 364);
   _actionMap[587][ORDER] = ActionEntry(REDUCE, 364);
   _actionMap[587][GROUP] = ActionEntry(REDUCE, 364);
   _actionMap[587][WHERE] = ActionEntry(REDUCE, 364);
   _actionMap[587][FROM] = ActionEntry(REDUCE, 364);
   _actionMap[587][AS] = ActionEntry(REDUCE, 364);
   _actionMap[587][END_TOKEN] = ActionEntry(REDUCE, 364);
   _actionMap[587][BEGIN] = ActionEntry(REDUCE, 364);
   _actionMap[587][THEN] = ActionEntry(REDUCE, 364);
   _actionMap[587][OR] = ActionEntry(REDUCE, 364);
   _actionMap[587][AND] = ActionEntry(REDUCE, 364);
   _actionMap[587][ENDTOKEN] = ActionEntry(REDUCE, 364);
   _actionMap[587][UNION] = ActionEntry(REDUCE, 364);
   _actionMap[587][ROWLIMIT] = ActionEntry(REDUCE, 364);
   _actionMap[587][ASC] = ActionEntry(REDUCE, 364);
   _actionMap[587][DESC] = ActionEntry(REDUCE, 364);
   _actionMap[587][INTOK] = ActionEntry(REDUCE, 364);
   _actionMap[587][BETWEEN] = ActionEntry(REDUCE, 364);
   _actionMap[587][LIKE] = ActionEntry(REDUCE, 364);
   _actionMap[587][PLUS] = ActionEntry(REDUCE, 364);
   _actionMap[587][MINUS] = ActionEntry(REDUCE, 364);
   _actionMap[587][CONCAT] = ActionEntry(REDUCE, 364);
   _actionMap[587][DIVISION] = ActionEntry(REDUCE, 364);
   _actionMap[587][STAR] = ActionEntry(REDUCE, 364);
   _actionMap[587][MT] = ActionEntry(REDUCE, 364);
}
void Cego::loadParser121()
{
   _actionMap[587][LT] = ActionEntry(REDUCE, 364);
   _actionMap[587][NEGATION] = ActionEntry(REDUCE, 364);
   _actionMap[587][EQU] = ActionEntry(REDUCE, 364);
   _actionMap[587][IS] = ActionEntry(REDUCE, 364);
   _actionMap[587][NULLTOKEN] = ActionEntry(REDUCE, 364);
   _actionMap[587][NOT] = ActionEntry(REDUCE, 364);
   _actionMap[587][KSEP] = ActionEntry(REDUCE, 364);
   _actionMap[587][SEMICOLON] = ActionEntry(REDUCE, 364);
   _actionMap[587][RB] = ActionEntry(REDUCE, 364);
   _actionMap[588][INTVAL] = ActionEntry(SHIFT, 295);
   _actionMap[589][WHEN] = ActionEntry(REDUCE, 370);
   _actionMap[589][ELSE] = ActionEntry(REDUCE, 370);
   _actionMap[589][LEFT] = ActionEntry(REDUCE, 370);
   _actionMap[589][RIGHT] = ActionEntry(REDUCE, 370);
   _actionMap[589][INNER] = ActionEntry(REDUCE, 370);
   _actionMap[589][JOIN] = ActionEntry(REDUCE, 370);
   _actionMap[589][RETURNTOKEN] = ActionEntry(REDUCE, 370);
   _actionMap[589][ORDER] = ActionEntry(REDUCE, 370);
   _actionMap[589][GROUP] = ActionEntry(REDUCE, 370);
   _actionMap[589][WHERE] = ActionEntry(REDUCE, 370);
   _actionMap[589][FROM] = ActionEntry(REDUCE, 370);
   _actionMap[589][AS] = ActionEntry(REDUCE, 370);
   _actionMap[589][END_TOKEN] = ActionEntry(REDUCE, 370);
   _actionMap[589][BEGIN] = ActionEntry(REDUCE, 370);
   _actionMap[589][THEN] = ActionEntry(REDUCE, 370);
   _actionMap[589][OR] = ActionEntry(REDUCE, 370);
   _actionMap[589][AND] = ActionEntry(REDUCE, 370);
   _actionMap[589][ENDTOKEN] = ActionEntry(REDUCE, 370);
   _actionMap[589][UNION] = ActionEntry(REDUCE, 370);
   _actionMap[589][ROWLIMIT] = ActionEntry(REDUCE, 370);
   _actionMap[589][ASC] = ActionEntry(REDUCE, 370);
   _actionMap[589][DESC] = ActionEntry(REDUCE, 370);
   _actionMap[589][INTOK] = ActionEntry(REDUCE, 370);
   _actionMap[589][BETWEEN] = ActionEntry(REDUCE, 370);
   _actionMap[589][LIKE] = ActionEntry(REDUCE, 370);
   _actionMap[589][PLUS] = ActionEntry(REDUCE, 370);
   _actionMap[589][MINUS] = ActionEntry(REDUCE, 370);
   _actionMap[589][CONCAT] = ActionEntry(REDUCE, 370);
   _actionMap[589][DIVISION] = ActionEntry(REDUCE, 370);
   _actionMap[589][STAR] = ActionEntry(REDUCE, 370);
   _actionMap[589][MT] = ActionEntry(REDUCE, 370);
   _actionMap[589][LT] = ActionEntry(REDUCE, 370);
   _actionMap[589][NEGATION] = ActionEntry(REDUCE, 370);
   _actionMap[589][EQU] = ActionEntry(REDUCE, 370);
   _actionMap[589][IS] = ActionEntry(REDUCE, 370);
   _actionMap[589][NULLTOKEN] = ActionEntry(REDUCE, 370);
   _actionMap[589][NOT] = ActionEntry(REDUCE, 370);
   _actionMap[589][KSEP] = ActionEntry(REDUCE, 370);
   _actionMap[589][SEMICOLON] = ActionEntry(REDUCE, 370);
   _actionMap[589][RB] = ActionEntry(REDUCE, 370);
}
void Cego::loadParser122()
{
   _actionMap[590][FLOATVAL] = ActionEntry(SHIFT, 296);
   _actionMap[591][WHEN] = ActionEntry(REDUCE, 369);
   _actionMap[591][ELSE] = ActionEntry(REDUCE, 369);
   _actionMap[591][LEFT] = ActionEntry(REDUCE, 369);
   _actionMap[591][RIGHT] = ActionEntry(REDUCE, 369);
   _actionMap[591][INNER] = ActionEntry(REDUCE, 369);
   _actionMap[591][JOIN] = ActionEntry(REDUCE, 369);
   _actionMap[591][RETURNTOKEN] = ActionEntry(REDUCE, 369);
   _actionMap[591][ORDER] = ActionEntry(REDUCE, 369);
   _actionMap[591][GROUP] = ActionEntry(REDUCE, 369);
   _actionMap[591][WHERE] = ActionEntry(REDUCE, 369);
   _actionMap[591][FROM] = ActionEntry(REDUCE, 369);
   _actionMap[591][AS] = ActionEntry(REDUCE, 369);
   _actionMap[591][END_TOKEN] = ActionEntry(REDUCE, 369);
   _actionMap[591][BEGIN] = ActionEntry(REDUCE, 369);
   _actionMap[591][THEN] = ActionEntry(REDUCE, 369);
   _actionMap[591][OR] = ActionEntry(REDUCE, 369);
   _actionMap[591][AND] = ActionEntry(REDUCE, 369);
   _actionMap[591][ENDTOKEN] = ActionEntry(REDUCE, 369);
   _actionMap[591][UNION] = ActionEntry(REDUCE, 369);
   _actionMap[591][ROWLIMIT] = ActionEntry(REDUCE, 369);
   _actionMap[591][ASC] = ActionEntry(REDUCE, 369);
   _actionMap[591][DESC] = ActionEntry(REDUCE, 369);
   _actionMap[591][INTOK] = ActionEntry(REDUCE, 369);
   _actionMap[591][BETWEEN] = ActionEntry(REDUCE, 369);
   _actionMap[591][LIKE] = ActionEntry(REDUCE, 369);
   _actionMap[591][PLUS] = ActionEntry(REDUCE, 369);
   _actionMap[591][MINUS] = ActionEntry(REDUCE, 369);
   _actionMap[591][CONCAT] = ActionEntry(REDUCE, 369);
   _actionMap[591][DIVISION] = ActionEntry(REDUCE, 369);
   _actionMap[591][STAR] = ActionEntry(REDUCE, 369);
   _actionMap[591][MT] = ActionEntry(REDUCE, 369);
   _actionMap[591][LT] = ActionEntry(REDUCE, 369);
   _actionMap[591][NEGATION] = ActionEntry(REDUCE, 369);
   _actionMap[591][EQU] = ActionEntry(REDUCE, 369);
   _actionMap[591][IS] = ActionEntry(REDUCE, 369);
   _actionMap[591][NULLTOKEN] = ActionEntry(REDUCE, 369);
   _actionMap[591][NOT] = ActionEntry(REDUCE, 369);
   _actionMap[591][KSEP] = ActionEntry(REDUCE, 369);
   _actionMap[591][SEMICOLON] = ActionEntry(REDUCE, 369);
   _actionMap[591][RB] = ActionEntry(REDUCE, 369);
   _actionMap[592][WHEN] = ActionEntry(REDUCE, 371);
   _actionMap[592][ELSE] = ActionEntry(REDUCE, 371);
   _actionMap[592][LEFT] = ActionEntry(REDUCE, 371);
   _actionMap[592][RIGHT] = ActionEntry(REDUCE, 371);
   _actionMap[592][INNER] = ActionEntry(REDUCE, 371);
   _actionMap[592][JOIN] = ActionEntry(REDUCE, 371);
   _actionMap[592][RETURNTOKEN] = ActionEntry(REDUCE, 371);
   _actionMap[592][ORDER] = ActionEntry(REDUCE, 371);
   _actionMap[592][GROUP] = ActionEntry(REDUCE, 371);
}
void Cego::loadParser123()
{
   _actionMap[592][WHERE] = ActionEntry(REDUCE, 371);
   _actionMap[592][FROM] = ActionEntry(REDUCE, 371);
   _actionMap[592][AS] = ActionEntry(REDUCE, 371);
   _actionMap[592][END_TOKEN] = ActionEntry(REDUCE, 371);
   _actionMap[592][BEGIN] = ActionEntry(REDUCE, 371);
   _actionMap[592][THEN] = ActionEntry(REDUCE, 371);
   _actionMap[592][OR] = ActionEntry(REDUCE, 371);
   _actionMap[592][AND] = ActionEntry(REDUCE, 371);
   _actionMap[592][ENDTOKEN] = ActionEntry(REDUCE, 371);
   _actionMap[592][UNION] = ActionEntry(REDUCE, 371);
   _actionMap[592][ROWLIMIT] = ActionEntry(REDUCE, 371);
   _actionMap[592][ASC] = ActionEntry(REDUCE, 371);
   _actionMap[592][DESC] = ActionEntry(REDUCE, 371);
   _actionMap[592][INTOK] = ActionEntry(REDUCE, 371);
   _actionMap[592][BETWEEN] = ActionEntry(REDUCE, 371);
   _actionMap[592][LIKE] = ActionEntry(REDUCE, 371);
   _actionMap[592][PLUS] = ActionEntry(REDUCE, 371);
   _actionMap[592][MINUS] = ActionEntry(REDUCE, 371);
   _actionMap[592][CONCAT] = ActionEntry(REDUCE, 371);
   _actionMap[592][DIVISION] = ActionEntry(REDUCE, 371);
   _actionMap[592][STAR] = ActionEntry(REDUCE, 371);
   _actionMap[592][MT] = ActionEntry(REDUCE, 371);
   _actionMap[592][LT] = ActionEntry(REDUCE, 371);
   _actionMap[592][NEGATION] = ActionEntry(REDUCE, 371);
   _actionMap[592][EQU] = ActionEntry(REDUCE, 371);
   _actionMap[592][IS] = ActionEntry(REDUCE, 371);
   _actionMap[592][NULLTOKEN] = ActionEntry(REDUCE, 371);
   _actionMap[592][NOT] = ActionEntry(REDUCE, 371);
   _actionMap[592][KSEP] = ActionEntry(REDUCE, 371);
   _actionMap[592][SEMICOLON] = ActionEntry(REDUCE, 371);
   _actionMap[592][RB] = ActionEntry(REDUCE, 371);
   _actionMap[593][WHEN] = ActionEntry(REDUCE, 363);
   _actionMap[593][ELSE] = ActionEntry(REDUCE, 363);
   _actionMap[593][LEFT] = ActionEntry(REDUCE, 363);
   _actionMap[593][RIGHT] = ActionEntry(REDUCE, 363);
   _actionMap[593][INNER] = ActionEntry(REDUCE, 363);
   _actionMap[593][JOIN] = ActionEntry(REDUCE, 363);
   _actionMap[593][RETURNTOKEN] = ActionEntry(REDUCE, 363);
   _actionMap[593][ORDER] = ActionEntry(REDUCE, 363);
   _actionMap[593][GROUP] = ActionEntry(REDUCE, 363);
   _actionMap[593][WHERE] = ActionEntry(REDUCE, 363);
   _actionMap[593][FROM] = ActionEntry(REDUCE, 363);
   _actionMap[593][AS] = ActionEntry(REDUCE, 363);
   _actionMap[593][END_TOKEN] = ActionEntry(REDUCE, 363);
   _actionMap[593][BEGIN] = ActionEntry(REDUCE, 363);
   _actionMap[593][THEN] = ActionEntry(REDUCE, 363);
   _actionMap[593][OR] = ActionEntry(REDUCE, 363);
   _actionMap[593][AND] = ActionEntry(REDUCE, 363);
   _actionMap[593][ENDTOKEN] = ActionEntry(REDUCE, 363);
   _actionMap[593][UNION] = ActionEntry(REDUCE, 363);
}
void Cego::loadParser124()
{
   _actionMap[593][ROWLIMIT] = ActionEntry(REDUCE, 363);
   _actionMap[593][ASC] = ActionEntry(REDUCE, 363);
   _actionMap[593][DESC] = ActionEntry(REDUCE, 363);
   _actionMap[593][INTOK] = ActionEntry(REDUCE, 363);
   _actionMap[593][BETWEEN] = ActionEntry(REDUCE, 363);
   _actionMap[593][LIKE] = ActionEntry(REDUCE, 363);
   _actionMap[593][PLUS] = ActionEntry(REDUCE, 363);
   _actionMap[593][MINUS] = ActionEntry(REDUCE, 363);
   _actionMap[593][CONCAT] = ActionEntry(REDUCE, 363);
   _actionMap[593][DIVISION] = ActionEntry(REDUCE, 363);
   _actionMap[593][STAR] = ActionEntry(REDUCE, 363);
   _actionMap[593][MT] = ActionEntry(REDUCE, 363);
   _actionMap[593][LT] = ActionEntry(REDUCE, 363);
   _actionMap[593][NEGATION] = ActionEntry(REDUCE, 363);
   _actionMap[593][EQU] = ActionEntry(REDUCE, 363);
   _actionMap[593][IS] = ActionEntry(REDUCE, 363);
   _actionMap[593][NULLTOKEN] = ActionEntry(REDUCE, 363);
   _actionMap[593][NOT] = ActionEntry(REDUCE, 363);
   _actionMap[593][KSEP] = ActionEntry(REDUCE, 363);
   _actionMap[593][SEMICOLON] = ActionEntry(REDUCE, 363);
   _actionMap[593][RB] = ActionEntry(REDUCE, 363);
   _actionMap[594][WHEN] = ActionEntry(REDUCE, 365);
   _actionMap[594][ELSE] = ActionEntry(REDUCE, 365);
   _actionMap[594][LEFT] = ActionEntry(REDUCE, 365);
   _actionMap[594][RIGHT] = ActionEntry(REDUCE, 365);
   _actionMap[594][INNER] = ActionEntry(REDUCE, 365);
   _actionMap[594][JOIN] = ActionEntry(REDUCE, 365);
   _actionMap[594][RETURNTOKEN] = ActionEntry(REDUCE, 365);
   _actionMap[594][ORDER] = ActionEntry(REDUCE, 365);
   _actionMap[594][GROUP] = ActionEntry(REDUCE, 365);
   _actionMap[594][WHERE] = ActionEntry(REDUCE, 365);
   _actionMap[594][FROM] = ActionEntry(REDUCE, 365);
   _actionMap[594][AS] = ActionEntry(REDUCE, 365);
   _actionMap[594][END_TOKEN] = ActionEntry(REDUCE, 365);
   _actionMap[594][BEGIN] = ActionEntry(REDUCE, 365);
   _actionMap[594][THEN] = ActionEntry(REDUCE, 365);
   _actionMap[594][OR] = ActionEntry(REDUCE, 365);
   _actionMap[594][AND] = ActionEntry(REDUCE, 365);
   _actionMap[594][ENDTOKEN] = ActionEntry(REDUCE, 365);
   _actionMap[594][UNION] = ActionEntry(REDUCE, 365);
   _actionMap[594][ROWLIMIT] = ActionEntry(REDUCE, 365);
   _actionMap[594][ASC] = ActionEntry(REDUCE, 365);
   _actionMap[594][DESC] = ActionEntry(REDUCE, 365);
   _actionMap[594][INTOK] = ActionEntry(REDUCE, 365);
   _actionMap[594][BETWEEN] = ActionEntry(REDUCE, 365);
   _actionMap[594][LIKE] = ActionEntry(REDUCE, 365);
   _actionMap[594][PLUS] = ActionEntry(REDUCE, 365);
   _actionMap[594][MINUS] = ActionEntry(REDUCE, 365);
   _actionMap[594][CONCAT] = ActionEntry(REDUCE, 365);
   _actionMap[594][DIVISION] = ActionEntry(REDUCE, 365);
}
void Cego::loadParser125()
{
   _actionMap[594][STAR] = ActionEntry(REDUCE, 365);
   _actionMap[594][MT] = ActionEntry(REDUCE, 365);
   _actionMap[594][LT] = ActionEntry(REDUCE, 365);
   _actionMap[594][NEGATION] = ActionEntry(REDUCE, 365);
   _actionMap[594][EQU] = ActionEntry(REDUCE, 365);
   _actionMap[594][IS] = ActionEntry(REDUCE, 365);
   _actionMap[594][NULLTOKEN] = ActionEntry(REDUCE, 365);
   _actionMap[594][NOT] = ActionEntry(REDUCE, 365);
   _actionMap[594][KSEP] = ActionEntry(REDUCE, 365);
   _actionMap[594][SEMICOLON] = ActionEntry(REDUCE, 365);
   _actionMap[594][RB] = ActionEntry(REDUCE, 365);
   _actionMap[595][WHEN] = ActionEntry(REDUCE, 366);
   _actionMap[595][ELSE] = ActionEntry(REDUCE, 366);
   _actionMap[595][LEFT] = ActionEntry(REDUCE, 366);
   _actionMap[595][RIGHT] = ActionEntry(REDUCE, 366);
   _actionMap[595][INNER] = ActionEntry(REDUCE, 366);
   _actionMap[595][JOIN] = ActionEntry(REDUCE, 366);
   _actionMap[595][RETURNTOKEN] = ActionEntry(REDUCE, 366);
   _actionMap[595][ORDER] = ActionEntry(REDUCE, 366);
   _actionMap[595][GROUP] = ActionEntry(REDUCE, 366);
   _actionMap[595][WHERE] = ActionEntry(REDUCE, 366);
   _actionMap[595][FROM] = ActionEntry(REDUCE, 366);
   _actionMap[595][AS] = ActionEntry(REDUCE, 366);
   _actionMap[595][END_TOKEN] = ActionEntry(REDUCE, 366);
   _actionMap[595][BEGIN] = ActionEntry(REDUCE, 366);
   _actionMap[595][THEN] = ActionEntry(REDUCE, 366);
   _actionMap[595][OR] = ActionEntry(REDUCE, 366);
   _actionMap[595][AND] = ActionEntry(REDUCE, 366);
   _actionMap[595][ENDTOKEN] = ActionEntry(REDUCE, 366);
   _actionMap[595][UNION] = ActionEntry(REDUCE, 366);
   _actionMap[595][ROWLIMIT] = ActionEntry(REDUCE, 366);
   _actionMap[595][ASC] = ActionEntry(REDUCE, 366);
   _actionMap[595][DESC] = ActionEntry(REDUCE, 366);
   _actionMap[595][INTOK] = ActionEntry(REDUCE, 366);
   _actionMap[595][BETWEEN] = ActionEntry(REDUCE, 366);
   _actionMap[595][LIKE] = ActionEntry(REDUCE, 366);
   _actionMap[595][PLUS] = ActionEntry(REDUCE, 366);
   _actionMap[595][MINUS] = ActionEntry(REDUCE, 366);
   _actionMap[595][CONCAT] = ActionEntry(REDUCE, 366);
   _actionMap[595][DIVISION] = ActionEntry(REDUCE, 366);
   _actionMap[595][STAR] = ActionEntry(REDUCE, 366);
   _actionMap[595][MT] = ActionEntry(REDUCE, 366);
   _actionMap[595][LT] = ActionEntry(REDUCE, 366);
   _actionMap[595][NEGATION] = ActionEntry(REDUCE, 366);
   _actionMap[595][EQU] = ActionEntry(REDUCE, 366);
   _actionMap[595][IS] = ActionEntry(REDUCE, 366);
   _actionMap[595][NULLTOKEN] = ActionEntry(REDUCE, 366);
   _actionMap[595][NOT] = ActionEntry(REDUCE, 366);
   _actionMap[595][KSEP] = ActionEntry(REDUCE, 366);
   _actionMap[595][SEMICOLON] = ActionEntry(REDUCE, 366);
}
void Cego::loadParser126()
{
   _actionMap[595][RB] = ActionEntry(REDUCE, 366);
   _actionMap[596][SEMICOLON] = ActionEntry(REDUCE, 276);
   _actionMap[597][SEMICOLON] = ActionEntry(REDUCE, 275);
   _actionMap[598][SEMICOLON] = ActionEntry(REDUCE, 280);
   _actionMap[599][SEMICOLON] = ActionEntry(REDUCE, 277);
   _actionMap[600][SEMICOLON] = ActionEntry(REDUCE, 278);
   _actionMap[601][SEMICOLON] = ActionEntry(REDUCE, 274);
   _actionMap[602][SEMICOLON] = ActionEntry(REDUCE, 279);
   _actionMap[603][SEMICOLON] = ActionEntry(REDUCE, 233);
   _actionMap[603][RB] = ActionEntry(REDUCE, 233);
   _actionMap[603][ENDTOKEN] = ActionEntry(REDUCE, 233);
   _actionMap[603][UNION] = ActionEntry(REDUCE, 233);
   _actionMap[603][ROWLIMIT] = ActionEntry(REDUCE, 233);
   _actionMap[603][ORDER] = ActionEntry(REDUCE, 233);
   _actionMap[603][GROUP] = ActionEntry(SHIFT, 708);
   _jumpMap[603][NoGroup] = 707;
   _jumpMap[603][GroupClause] = 706;
   _actionMap[604][LEFT] = ActionEntry(REDUCE, 216);
   _actionMap[604][RIGHT] = ActionEntry(REDUCE, 216);
   _actionMap[604][INNER] = ActionEntry(REDUCE, 216);
   _actionMap[604][JOIN] = ActionEntry(REDUCE, 216);
   _actionMap[604][RETURNTOKEN] = ActionEntry(REDUCE, 216);
   _actionMap[604][SEMICOLON] = ActionEntry(REDUCE, 216);
   _actionMap[604][RB] = ActionEntry(REDUCE, 216);
   _actionMap[604][ENDTOKEN] = ActionEntry(REDUCE, 216);
   _actionMap[604][UNION] = ActionEntry(REDUCE, 216);
   _actionMap[604][ROWLIMIT] = ActionEntry(REDUCE, 216);
   _actionMap[604][ORDER] = ActionEntry(REDUCE, 216);
   _actionMap[604][GROUP] = ActionEntry(REDUCE, 216);
   _actionMap[604][WHERE] = ActionEntry(REDUCE, 216);
   _actionMap[605][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[605][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[605][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[605][ObjSpec] = 459;
   _jumpMap[605][Table] = 709;
   _actionMap[606][JOIN] = ActionEntry(SHIFT, 710);
   _actionMap[607][IDENTIFIER] = ActionEntry(REDUCE, 222);
   _actionMap[607][QUALIFIEDOBJ] = ActionEntry(REDUCE, 222);
   _actionMap[607][QUALIFIEDTS] = ActionEntry(REDUCE, 222);
   _actionMap[608][OUTER] = ActionEntry(SHIFT, 711);
   _actionMap[609][OUTER] = ActionEntry(SHIFT, 712);
   _actionMap[610][LEFT] = ActionEntry(REDUCE, 217);
   _actionMap[610][RIGHT] = ActionEntry(REDUCE, 217);
   _actionMap[610][INNER] = ActionEntry(REDUCE, 217);
   _actionMap[610][JOIN] = ActionEntry(REDUCE, 217);
   _actionMap[610][RETURNTOKEN] = ActionEntry(REDUCE, 217);
   _actionMap[610][SEMICOLON] = ActionEntry(REDUCE, 217);
   _actionMap[610][RB] = ActionEntry(REDUCE, 217);
   _actionMap[610][ENDTOKEN] = ActionEntry(REDUCE, 217);
   _actionMap[610][UNION] = ActionEntry(REDUCE, 217);
}
void Cego::loadParser127()
{
   _actionMap[610][ROWLIMIT] = ActionEntry(REDUCE, 217);
   _actionMap[610][ORDER] = ActionEntry(REDUCE, 217);
   _actionMap[610][GROUP] = ActionEntry(REDUCE, 217);
   _actionMap[610][WHERE] = ActionEntry(REDUCE, 217);
   _actionMap[611][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[611][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[611][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[611][ObjSpec] = 459;
   _jumpMap[611][Table] = 714;
   _jumpMap[611][TableList] = 713;
   _actionMap[612][WHERE] = ActionEntry(REDUCE, 226);
   _actionMap[612][GROUP] = ActionEntry(REDUCE, 226);
   _actionMap[612][ORDER] = ActionEntry(REDUCE, 226);
   _actionMap[612][ROWLIMIT] = ActionEntry(REDUCE, 226);
   _actionMap[612][UNION] = ActionEntry(REDUCE, 226);
   _actionMap[612][ENDTOKEN] = ActionEntry(REDUCE, 226);
   _actionMap[612][RB] = ActionEntry(REDUCE, 226);
   _actionMap[612][SEMICOLON] = ActionEntry(REDUCE, 226);
   _actionMap[612][RETURNTOKEN] = ActionEntry(REDUCE, 226);
   _actionMap[612][LEFT] = ActionEntry(REDUCE, 226);
   _actionMap[612][RIGHT] = ActionEntry(REDUCE, 226);
   _actionMap[612][INNER] = ActionEntry(REDUCE, 226);
   _actionMap[612][JOIN] = ActionEntry(REDUCE, 226);
   _actionMap[612][KSEP] = ActionEntry(REDUCE, 226);
   _actionMap[612][ON] = ActionEntry(REDUCE, 226);
   _actionMap[613][FROM] = ActionEntry(REDUCE, 228);
   _actionMap[613][KSEP] = ActionEntry(REDUCE, 228);
   _actionMap[614][FROM] = ActionEntry(REDUCE, 211);
   _actionMap[614][KSEP] = ActionEntry(REDUCE, 211);
   _actionMap[615][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[615][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[615][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[615][SEMICOLON] = ActionEntry(REDUCE, 77);
   _actionMap[616][RETURNTOKEN] = ActionEntry(SHIFT, 716);
   _actionMap[616][SEMICOLON] = ActionEntry(REDUCE, 259);
   _jumpMap[616][UpdReturnOpt] = 715;
   _actionMap[617][IDENTIFIER] = ActionEntry(SHIFT, 472);
   _jumpMap[617][Assignment] = 717;
   _actionMap[618][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[618][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[618][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[618][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[618][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[618][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[618][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[618][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[618][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[618][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[618][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[618][LOWER] = ActionEntry(SHIFT, 126);
}
void Cego::loadParser128()
{
   _actionMap[618][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[618][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[618][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[618][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[618][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[618][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[618][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[618][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[618][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[618][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[618][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[618][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[618][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[618][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[618][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[618][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[618][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[618][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[618][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[618][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[618][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[618][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[618][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[618][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[618][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[618][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[618][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[618][LB] = ActionEntry(SHIFT, 151);
   _actionMap[618][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[618][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[618][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[618][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[618][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[618][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[618][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[618][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[618][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[618][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[618][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[618][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[618][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[618][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[618][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[618][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[618][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[618][ObjSpec] = 102;
   _jumpMap[618][Constant] = 101;
   _jumpMap[618][SignedFloat] = 100;
   _jumpMap[618][SignedInt] = 99;
   _jumpMap[618][Attribute] = 98;
}
void Cego::loadParser129()
{
   _jumpMap[618][Function] = 97;
   _jumpMap[618][CasePrepare] = 96;
   _jumpMap[618][CaseClause] = 95;
   _jumpMap[618][Factor] = 94;
   _jumpMap[618][Term] = 93;
   _jumpMap[618][Expr] = 718;
   _actionMap[619][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[619][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[619][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[619][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[619][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[619][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[619][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[619][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[619][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[619][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[619][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[619][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[619][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[619][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[619][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[619][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[619][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[619][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[619][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[619][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[619][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[619][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[619][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[619][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[619][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[619][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[619][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[619][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[619][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[619][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[619][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[619][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[619][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[619][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[619][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[619][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[619][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[619][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[619][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[619][LB] = ActionEntry(SHIFT, 151);
   _actionMap[619][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[619][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[619][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[619][NULLTOKEN] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser130()
{
   _actionMap[619][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[619][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[619][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[619][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[619][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[619][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[619][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[619][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[619][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[619][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[619][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[619][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[619][MAX] = ActionEntry(SHIFT, 129);
   _actionMap[619][RB] = ActionEntry(REDUCE, 121);
   _jumpMap[619][ObjSpec] = 102;
   _jumpMap[619][Constant] = 101;
   _jumpMap[619][SignedFloat] = 100;
   _jumpMap[619][SignedInt] = 99;
   _jumpMap[619][Attribute] = 98;
   _jumpMap[619][Function] = 97;
   _jumpMap[619][CasePrepare] = 96;
   _jumpMap[619][CaseClause] = 95;
   _jumpMap[619][Factor] = 94;
   _jumpMap[619][Term] = 93;
   _jumpMap[619][Expr] = 338;
   _jumpMap[619][ProcValueList] = 337;
   _jumpMap[619][ProcValueListOpt] = 719;
   _actionMap[328][SEMICOLON] = ActionEntry(REDUCE, 65);
   _actionMap[329][SEMICOLON] = ActionEntry(REDUCE, 266);
   _actionMap[330][KSEP] = ActionEntry(SHIFT, 474);
   _actionMap[330][SEMICOLON] = ActionEntry(REDUCE, 268);
   _actionMap[331][CHECK] = ActionEntry(SHIFT, 475);
   _actionMap[331][FOREIGN] = ActionEntry(SHIFT, 477);
   _actionMap[331][COLUMN] = ActionEntry(SHIFT, 476);
   _actionMap[332][COLUMN] = ActionEntry(SHIFT, 478);
   _actionMap[333][COLUMN] = ActionEntry(SHIFT, 479);
   _actionMap[334][COLUMN] = ActionEntry(SHIFT, 480);
   _actionMap[335][STRINGVAL] = ActionEntry(SHIFT, 481);
   _actionMap[336][RB] = ActionEntry(SHIFT, 339);
   _actionMap[337][KSEP] = ActionEntry(SHIFT, 482);
   _actionMap[337][RB] = ActionEntry(REDUCE, 120);
   _actionMap[338][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[338][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[338][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[338][KSEP] = ActionEntry(REDUCE, 123);
   _actionMap[338][RB] = ActionEntry(REDUCE, 123);
   _actionMap[339][SEMICOLON] = ActionEntry(REDUCE, 56);
   _actionMap[340][END_TOKEN] = ActionEntry(SHIFT, 483);
   _actionMap[341][EXCEPTION] = ActionEntry(REDUCE, 118);
   _actionMap[341][ELSE] = ActionEntry(REDUCE, 118);
}
void Cego::loadParser131()
{
   _actionMap[341][ELSIF] = ActionEntry(REDUCE, 118);
   _actionMap[341][END_TOKEN] = ActionEntry(REDUCE, 118);
   _actionMap[341][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[341][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[341][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[341][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[341][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[341][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[341][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[341][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[341][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[341][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[341][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[341][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[341][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[341][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[341][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[341][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[341][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[341][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[341][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[341][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[341][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[341][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[341][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[341][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[341][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[341][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[341][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[341][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[341][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[341][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[341][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[341][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[341][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[341][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[341][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[341][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[341][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[341][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[341][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[341][LB] = ActionEntry(SHIFT, 151);
   _actionMap[341][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[341][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[341][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[341][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[341][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[341][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[341][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[341][CLOB] = ActionEntry(SHIFT, 111);
}
void Cego::loadParser132()
{
   _actionMap[341][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[341][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[341][VARREF] = ActionEntry(SHIFT, 361);
   _actionMap[341][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[341][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[341][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[341][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[341][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[341][MAX] = ActionEntry(SHIFT, 129);
   _actionMap[341][IF] = ActionEntry(SHIFT, 355);
   _actionMap[341][BEGIN] = ActionEntry(SHIFT, 352);
   _actionMap[341][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[341][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[341][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[341][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[341][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[341][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[341][VAR] = ActionEntry(SHIFT, 359);
   _actionMap[341][CURSOR] = ActionEntry(SHIFT, 354);
   _actionMap[341][CLOSE] = ActionEntry(SHIFT, 353);
   _actionMap[341][NOOP] = ActionEntry(SHIFT, 356);
   _actionMap[341][THROW] = ActionEntry(SHIFT, 358);
   _actionMap[341][RETURNTOKEN] = ActionEntry(SHIFT, 357);
   _actionMap[341][WHILE] = ActionEntry(SHIFT, 360);
   _jumpMap[341][ObjSpec] = 102;
   _jumpMap[341][Constant] = 101;
   _jumpMap[341][SignedFloat] = 100;
   _jumpMap[341][SignedInt] = 99;
   _jumpMap[341][Attribute] = 98;
   _jumpMap[341][Function] = 97;
   _jumpMap[341][DeleteStatement] = 351;
   _jumpMap[341][UpdateStatement] = 350;
   _jumpMap[341][InsertStatement] = 349;
   _jumpMap[341][RollbackStatement] = 348;
   _jumpMap[341][CommitStatement] = 347;
   _jumpMap[341][StartStatement] = 346;
   _jumpMap[341][CasePrepare] = 96;
   _jumpMap[341][CaseClause] = 95;
   _jumpMap[341][Factor] = 94;
   _jumpMap[341][Term] = 93;
   _jumpMap[341][Expr] = 345;
   _jumpMap[341][ProcStatement] = 485;
   _jumpMap[341][ProcIfPart] = 343;
   _jumpMap[341][ProcExceptionList] = 484;
   _jumpMap[341][ProcBlockStart] = 342;
   _actionMap[342][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[342][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[342][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[342][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[342][RTRIM] = ActionEntry(SHIFT, 139);
}
void Cego::loadParser133()
{
   _actionMap[342][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[342][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[342][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[342][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[342][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[342][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[342][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[342][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[342][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[342][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[342][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[342][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[342][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[342][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[342][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[342][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[342][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[342][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[342][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[342][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[342][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[342][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[342][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[342][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[342][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[342][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[342][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[342][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[342][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[342][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[342][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[342][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[342][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[342][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[342][LB] = ActionEntry(SHIFT, 151);
   _actionMap[342][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[342][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[342][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[342][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[342][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[342][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[342][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[342][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[342][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[342][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[342][VARREF] = ActionEntry(SHIFT, 361);
   _actionMap[342][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[342][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[342][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[342][AVG] = ActionEntry(SHIFT, 104);
}
void Cego::loadParser134()
{
   _actionMap[342][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[342][MAX] = ActionEntry(SHIFT, 129);
   _actionMap[342][IF] = ActionEntry(SHIFT, 355);
   _actionMap[342][BEGIN] = ActionEntry(SHIFT, 352);
   _actionMap[342][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[342][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[342][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[342][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[342][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[342][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[342][VAR] = ActionEntry(SHIFT, 359);
   _actionMap[342][CURSOR] = ActionEntry(SHIFT, 354);
   _actionMap[342][CLOSE] = ActionEntry(SHIFT, 353);
   _actionMap[342][NOOP] = ActionEntry(SHIFT, 356);
   _actionMap[342][THROW] = ActionEntry(SHIFT, 358);
   _actionMap[342][RETURNTOKEN] = ActionEntry(SHIFT, 357);
   _actionMap[342][WHILE] = ActionEntry(SHIFT, 360);
   _jumpMap[342][ObjSpec] = 102;
   _jumpMap[342][Constant] = 101;
   _jumpMap[342][SignedFloat] = 100;
   _jumpMap[342][SignedInt] = 99;
   _jumpMap[342][Attribute] = 98;
   _jumpMap[342][Function] = 97;
   _jumpMap[342][DeleteStatement] = 351;
   _jumpMap[342][UpdateStatement] = 350;
   _jumpMap[342][InsertStatement] = 349;
   _jumpMap[342][RollbackStatement] = 348;
   _jumpMap[342][CommitStatement] = 347;
   _jumpMap[342][StartStatement] = 346;
   _jumpMap[342][CasePrepare] = 96;
   _jumpMap[342][CaseClause] = 95;
   _jumpMap[342][Factor] = 94;
   _jumpMap[342][Term] = 93;
   _jumpMap[342][Expr] = 345;
   _jumpMap[342][ProcStatement] = 344;
   _jumpMap[342][ProcIfPart] = 343;
   _jumpMap[342][ProcBlockStart] = 342;
   _jumpMap[342][ProcStatementList] = 341;
   _jumpMap[342][ProcStmtBlock] = 486;
   _actionMap[343][ELSIF] = ActionEntry(SHIFT, 489);
   _actionMap[343][END_TOKEN] = ActionEntry(REDUCE, 128);
   _actionMap[343][ELSE] = ActionEntry(REDUCE, 128);
   _jumpMap[343][ProcElsIfOpt] = 488;
   _jumpMap[343][ProcElsIfList] = 487;
   _actionMap[344][SEMICOLON] = ActionEntry(SHIFT, 490);
   _actionMap[345][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[345][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[345][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[345][SEMICOLON] = ActionEntry(REDUCE, 101);
   _actionMap[346][SEMICOLON] = ActionEntry(REDUCE, 110);
}
void Cego::loadParser135()
{
   _actionMap[347][SEMICOLON] = ActionEntry(REDUCE, 111);
   _actionMap[348][SEMICOLON] = ActionEntry(REDUCE, 112);
   _actionMap[349][SEMICOLON] = ActionEntry(REDUCE, 107);
   _actionMap[350][SEMICOLON] = ActionEntry(REDUCE, 109);
   _actionMap[351][SEMICOLON] = ActionEntry(REDUCE, 108);
   _actionMap[352][VAR] = ActionEntry(REDUCE, 116);
   _actionMap[352][CURSOR] = ActionEntry(REDUCE, 116);
   _actionMap[352][CLOSE] = ActionEntry(REDUCE, 116);
   _actionMap[352][VARREF] = ActionEntry(REDUCE, 116);
   _actionMap[352][NOOP] = ActionEntry(REDUCE, 116);
   _actionMap[352][THROW] = ActionEntry(REDUCE, 116);
   _actionMap[352][RETURNTOKEN] = ActionEntry(REDUCE, 116);
   _actionMap[352][WHILE] = ActionEntry(REDUCE, 116);
   _actionMap[352][IF] = ActionEntry(REDUCE, 116);
   _actionMap[352][BEGIN] = ActionEntry(REDUCE, 116);
   _actionMap[352][ROLLBACK] = ActionEntry(REDUCE, 116);
   _actionMap[352][COMMIT] = ActionEntry(REDUCE, 116);
   _actionMap[352][START_TOKEN] = ActionEntry(REDUCE, 116);
   _actionMap[352][UPDATE] = ActionEntry(REDUCE, 116);
   _actionMap[352][DELETETOK] = ActionEntry(REDUCE, 116);
   _actionMap[352][INSERT] = ActionEntry(REDUCE, 116);
   _actionMap[352][FETCH] = ActionEntry(REDUCE, 116);
   _actionMap[352][LB] = ActionEntry(REDUCE, 116);
   _actionMap[352][COUNT] = ActionEntry(REDUCE, 116);
   _actionMap[352][SUM] = ActionEntry(REDUCE, 116);
   _actionMap[352][AVG] = ActionEntry(REDUCE, 116);
   _actionMap[352][MIN] = ActionEntry(REDUCE, 116);
   _actionMap[352][MAX] = ActionEntry(REDUCE, 116);
   _actionMap[352][CASE] = ActionEntry(REDUCE, 116);
   _actionMap[352][TRIM] = ActionEntry(REDUCE, 116);
   _actionMap[352][RTRIM] = ActionEntry(REDUCE, 116);
   _actionMap[352][LTRIM] = ActionEntry(REDUCE, 116);
   _actionMap[352][ROUND] = ActionEntry(REDUCE, 116);
   _actionMap[352][DATE2STR] = ActionEntry(REDUCE, 116);
   _actionMap[352][DATE2INT] = ActionEntry(REDUCE, 116);
   _actionMap[352][INT2DATE] = ActionEntry(REDUCE, 116);
   _actionMap[352][NEWDATE] = ActionEntry(REDUCE, 116);
   _actionMap[352][LOWER] = ActionEntry(REDUCE, 116);
   _actionMap[352][UPPER] = ActionEntry(REDUCE, 116);
   _actionMap[352][LEFT] = ActionEntry(REDUCE, 116);
   _actionMap[352][RIGHT] = ActionEntry(REDUCE, 116);
   _actionMap[352][GETPOS] = ActionEntry(REDUCE, 116);
   _actionMap[352][SUBSTR] = ActionEntry(REDUCE, 116);
   _actionMap[352][REPLACE] = ActionEntry(REDUCE, 116);
   _actionMap[352][LENGTH] = ActionEntry(REDUCE, 116);
   _actionMap[352][TRUNC] = ActionEntry(REDUCE, 116);
   _actionMap[352][STR2INT] = ActionEntry(REDUCE, 116);
   _actionMap[352][STR2LONG] = ActionEntry(REDUCE, 116);
   _actionMap[352][STR2DATE] = ActionEntry(REDUCE, 116);
   _actionMap[352][RANDSTR] = ActionEntry(REDUCE, 116);
}
void Cego::loadParser136()
{
   _actionMap[352][RANDINT] = ActionEntry(REDUCE, 116);
   _actionMap[352][MOD] = ActionEntry(REDUCE, 116);
   _actionMap[352][DIV] = ActionEntry(REDUCE, 116);
   _actionMap[352][POWER] = ActionEntry(REDUCE, 116);
   _actionMap[352][BITAND] = ActionEntry(REDUCE, 116);
   _actionMap[352][BITOR] = ActionEntry(REDUCE, 116);
   _actionMap[352][BITXOR] = ActionEntry(REDUCE, 116);
   _actionMap[352][BLOBSIZE] = ActionEntry(REDUCE, 116);
   _actionMap[352][CLOBSIZE] = ActionEntry(REDUCE, 116);
   _actionMap[352][CLOB2STR] = ActionEntry(REDUCE, 116);
   _actionMap[352][NEXTCOUNT] = ActionEntry(REDUCE, 116);
   _actionMap[352][SETCOUNT] = ActionEntry(REDUCE, 116);
   _actionMap[352][IDENTIFIER] = ActionEntry(REDUCE, 116);
   _actionMap[352][QUALIFIEDOBJ] = ActionEntry(REDUCE, 116);
   _actionMap[352][QUALIFIEDTS] = ActionEntry(REDUCE, 116);
   _actionMap[352][QUALIFIEDPRE] = ActionEntry(REDUCE, 116);
   _actionMap[352][STRINGVAL] = ActionEntry(REDUCE, 116);
   _actionMap[352][DATE] = ActionEntry(REDUCE, 116);
   _actionMap[352][SYSDATE] = ActionEntry(REDUCE, 116);
   _actionMap[352][NULLTOKEN] = ActionEntry(REDUCE, 116);
   _actionMap[352][TRUEVAL] = ActionEntry(REDUCE, 116);
   _actionMap[352][FALSEVAL] = ActionEntry(REDUCE, 116);
   _actionMap[352][BLOB] = ActionEntry(REDUCE, 116);
   _actionMap[352][CLOB] = ActionEntry(REDUCE, 116);
   _actionMap[352][FLOATVAL] = ActionEntry(REDUCE, 116);
   _actionMap[352][MINUS] = ActionEntry(REDUCE, 116);
   _actionMap[352][INTVAL] = ActionEntry(REDUCE, 116);
   _actionMap[353][IDENTIFIER] = ActionEntry(SHIFT, 491);
   _actionMap[354][IDENTIFIER] = ActionEntry(SHIFT, 492);
   _actionMap[355][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[355][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[355][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[355][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[355][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[355][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[355][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[355][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[355][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[355][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[355][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[355][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[355][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[355][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[355][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[355][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[355][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[355][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[355][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[355][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[355][STR2INT] = ActionEntry(SHIFT, 144);
}
void Cego::loadParser137()
{
   _actionMap[355][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[355][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[355][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[355][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[355][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[355][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[355][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[355][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[355][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[355][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[355][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[355][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[355][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[355][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[355][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[355][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[355][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[355][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[355][LB] = ActionEntry(SHIFT, 497);
   _actionMap[355][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[355][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[355][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[355][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[355][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[355][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[355][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[355][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[355][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[355][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[355][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[355][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[355][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[355][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[355][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[355][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[355][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[355][ObjSpec] = 102;
   _jumpMap[355][Constant] = 101;
   _jumpMap[355][SignedFloat] = 100;
   _jumpMap[355][SignedInt] = 99;
   _jumpMap[355][Attribute] = 98;
   _jumpMap[355][Function] = 97;
   _jumpMap[355][CasePrepare] = 96;
   _jumpMap[355][CaseClause] = 95;
   _jumpMap[355][Factor] = 94;
   _jumpMap[355][Term] = 93;
   _jumpMap[355][Expr] = 496;
   _jumpMap[355][ProcPredicate] = 495;
   _jumpMap[355][ProcCondition] = 494;
   _jumpMap[355][ProcIfCondition] = 493;
}
void Cego::loadParser138()
{
   _actionMap[356][SEMICOLON] = ActionEntry(REDUCE, 102);
   _actionMap[357][SEMICOLON] = ActionEntry(REDUCE, 113);
   _actionMap[357][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[357][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[357][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[357][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[357][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[357][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[357][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[357][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[357][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[357][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[357][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[357][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[357][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[357][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[357][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[357][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[357][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[357][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[357][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[357][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[357][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[357][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[357][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[357][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[357][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[357][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[357][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[357][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[357][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[357][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[357][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[357][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[357][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[357][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[357][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[357][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[357][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[357][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[357][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[357][LB] = ActionEntry(SHIFT, 151);
   _actionMap[357][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[357][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[357][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[357][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[357][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[357][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[357][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[357][CLOB] = ActionEntry(SHIFT, 111);
}
void Cego::loadParser139()
{
   _actionMap[357][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[357][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[357][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[357][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[357][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[357][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[357][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[357][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[357][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[357][ObjSpec] = 102;
   _jumpMap[357][Constant] = 101;
   _jumpMap[357][SignedFloat] = 100;
   _jumpMap[357][SignedInt] = 99;
   _jumpMap[357][Attribute] = 98;
   _jumpMap[357][Function] = 97;
   _jumpMap[357][CasePrepare] = 96;
   _jumpMap[357][CaseClause] = 95;
   _jumpMap[357][Factor] = 94;
   _jumpMap[357][Term] = 93;
   _jumpMap[357][Expr] = 498;
   _actionMap[358][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[358][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[358][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[358][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[358][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[358][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[358][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[358][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[358][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[358][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[358][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[358][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[358][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[358][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[358][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[358][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[358][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[358][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[358][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[358][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[358][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[358][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[358][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[358][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[358][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[358][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[358][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[358][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[358][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[358][BITOR] = ActionEntry(SHIFT, 106);
}
void Cego::loadParser140()
{
   _actionMap[358][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[358][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[358][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[358][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[358][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[358][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[358][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[358][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[358][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[358][LB] = ActionEntry(SHIFT, 151);
   _actionMap[358][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[358][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[358][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[358][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[358][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[358][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[358][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[358][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[358][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[358][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[358][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[358][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[358][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[358][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[358][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[358][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[358][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[358][ObjSpec] = 102;
   _jumpMap[358][Constant] = 101;
   _jumpMap[358][SignedFloat] = 100;
   _jumpMap[358][SignedInt] = 99;
   _jumpMap[358][Attribute] = 98;
   _jumpMap[358][Function] = 97;
   _jumpMap[358][CasePrepare] = 96;
   _jumpMap[358][CaseClause] = 95;
   _jumpMap[358][Factor] = 94;
   _jumpMap[358][Term] = 93;
   _jumpMap[358][Expr] = 499;
   _actionMap[359][IDENTIFIER] = ActionEntry(SHIFT, 500);
   _actionMap[360][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[360][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[360][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[360][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[360][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[360][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[360][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[360][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[360][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[360][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[360][NEWDATE] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser141()
{
   _actionMap[360][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[360][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[360][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[360][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[360][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[360][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[360][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[360][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[360][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[360][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[360][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[360][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[360][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[360][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[360][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[360][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[360][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[360][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[360][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[360][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[360][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[360][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[360][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[360][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[360][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[360][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[360][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[360][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[360][LB] = ActionEntry(SHIFT, 497);
   _actionMap[360][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[360][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[360][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[360][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[360][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[360][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[360][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[360][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[360][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[360][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[360][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[360][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[360][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[360][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[360][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[360][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[360][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[360][ObjSpec] = 102;
   _jumpMap[360][Constant] = 101;
   _jumpMap[360][SignedFloat] = 100;
   _jumpMap[360][SignedInt] = 99;
}
void Cego::loadParser142()
{
   _jumpMap[360][Attribute] = 98;
   _jumpMap[360][Function] = 97;
   _jumpMap[360][CasePrepare] = 96;
   _jumpMap[360][CaseClause] = 95;
   _jumpMap[360][Factor] = 94;
   _jumpMap[360][Term] = 93;
   _jumpMap[360][Expr] = 496;
   _jumpMap[360][ProcPredicate] = 495;
   _jumpMap[360][ProcCondition] = 502;
   _jumpMap[360][ProcWhileCondition] = 501;
   _actionMap[361][CONCAT] = ActionEntry(REDUCE, 151);
   _actionMap[361][STAR] = ActionEntry(REDUCE, 151);
   _actionMap[361][DIVISION] = ActionEntry(REDUCE, 151);
   _actionMap[361][MINUS] = ActionEntry(REDUCE, 151);
   _actionMap[361][PLUS] = ActionEntry(REDUCE, 151);
   _actionMap[361][SEMICOLON] = ActionEntry(REDUCE, 151);
   _actionMap[361][EQU] = ActionEntry(SHIFT, 503);
   _actionMap[362][ON] = ActionEntry(SHIFT, 504);
   _actionMap[363][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[363][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[363][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[363][ObjSpec] = 505;
   _actionMap[364][IDENTIFIER] = ActionEntry(SHIFT, 510);
   _actionMap[364][RB] = ActionEntry(REDUCE, 89);
   _jumpMap[364][ProcArg] = 508;
   _jumpMap[364][ProcArgList] = 507;
   _jumpMap[364][ProcArgOpt] = 506;
   _actionMap[365][IDENTIFIER] = ActionEntry(SHIFT, 515);
   _actionMap[365][PRIMARY] = ActionEntry(SHIFT, 514);
   _jumpMap[365][ColumnDesc] = 513;
   _jumpMap[365][KeyColumn] = 512;
   _jumpMap[365][ColumnList] = 511;
   _actionMap[366][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[366][SelectStatement] = 516;
   _actionMap[367][SEMICOLON] = ActionEntry(REDUCE, 320);
   _actionMap[367][WHERE] = ActionEntry(SHIFT, 370);
   _jumpMap[367][NoWhere] = 369;
   _jumpMap[367][WhereClause] = 368;
   _actionMap[368][SEMICOLON] = ActionEntry(REDUCE, 263);
   _actionMap[369][RETURNTOKEN] = ActionEntry(REDUCE, 319);
   _actionMap[369][GROUP] = ActionEntry(REDUCE, 319);
   _actionMap[369][ORDER] = ActionEntry(REDUCE, 319);
   _actionMap[369][ROWLIMIT] = ActionEntry(REDUCE, 319);
   _actionMap[369][UNION] = ActionEntry(REDUCE, 319);
   _actionMap[369][ENDTOKEN] = ActionEntry(REDUCE, 319);
   _actionMap[369][RB] = ActionEntry(REDUCE, 319);
   _actionMap[369][SEMICOLON] = ActionEntry(REDUCE, 319);
   _actionMap[370][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[370][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[370][INTVAL] = ActionEntry(SHIFT, 153);
}
void Cego::loadParser143()
{
   _actionMap[370][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[370][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[370][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[370][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[370][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[370][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[370][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[370][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[370][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[370][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[370][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[370][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[370][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[370][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[370][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[370][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[370][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[370][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[370][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[370][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[370][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[370][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[370][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[370][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[370][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[370][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[370][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[370][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[370][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[370][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[370][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[370][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[370][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[370][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[370][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[370][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[370][LB] = ActionEntry(SHIFT, 391);
   _actionMap[370][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[370][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[370][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[370][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[370][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[370][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[370][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[370][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[370][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[370][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[370][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[370][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[370][COUNT] = ActionEntry(SHIFT, 114);
}
void Cego::loadParser144()
{
   _actionMap[370][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[370][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[370][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[370][MAX] = ActionEntry(SHIFT, 129);
   _actionMap[370][EXISTS] = ActionEntry(SHIFT, 389);
   _actionMap[370][NOT] = ActionEntry(SHIFT, 390);
   _jumpMap[370][ObjSpec] = 102;
   _jumpMap[370][Constant] = 101;
   _jumpMap[370][SignedFloat] = 100;
   _jumpMap[370][SignedInt] = 99;
   _jumpMap[370][Attribute] = 98;
   _jumpMap[370][QueryPredicate] = 388;
   _jumpMap[370][QueryCondition] = 517;
   _jumpMap[370][Function] = 97;
   _jumpMap[370][CasePrepare] = 96;
   _jumpMap[370][CaseClause] = 95;
   _jumpMap[370][Factor] = 94;
   _jumpMap[370][Term] = 93;
   _jumpMap[370][Expr] = 386;
   _actionMap[371][SEMICOLON] = ActionEntry(REDUCE, 23);
   _actionMap[372][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[372][VALUES] = ActionEntry(SHIFT, 375);
   _jumpMap[372][SelectStatement] = 374;
   _jumpMap[372][InsertPrepare] = 373;
   _actionMap[373][LB] = ActionEntry(SHIFT, 520);
   _jumpMap[373][InsertValueSpec] = 519;
   _jumpMap[373][InsertValueSpecList] = 518;
   _actionMap[374][SEMICOLON] = ActionEntry(REDUCE, 197);
   _actionMap[375][LB] = ActionEntry(REDUCE, 200);
   _actionMap[376][IDENTIFIER] = ActionEntry(SHIFT, 522);
   _jumpMap[376][InsertArgList] = 521;
   _actionMap[377][SEMICOLON] = ActionEntry(REDUCE, 13);
   _actionMap[378][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[378][SelectStatement] = 523;
   _actionMap[379][STAR] = ActionEntry(SHIFT, 238);
   _actionMap[379][DIVISION] = ActionEntry(SHIFT, 239);
   _actionMap[379][WHEN] = ActionEntry(REDUCE, 147);
   _actionMap[379][ELSE] = ActionEntry(REDUCE, 147);
   _actionMap[379][LEFT] = ActionEntry(REDUCE, 147);
   _actionMap[379][RIGHT] = ActionEntry(REDUCE, 147);
   _actionMap[379][INNER] = ActionEntry(REDUCE, 147);
   _actionMap[379][JOIN] = ActionEntry(REDUCE, 147);
   _actionMap[379][RETURNTOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[379][ORDER] = ActionEntry(REDUCE, 147);
   _actionMap[379][GROUP] = ActionEntry(REDUCE, 147);
   _actionMap[379][WHERE] = ActionEntry(REDUCE, 147);
   _actionMap[379][BEGIN] = ActionEntry(REDUCE, 147);
   _actionMap[379][THEN] = ActionEntry(REDUCE, 147);
   _actionMap[379][OR] = ActionEntry(REDUCE, 147);
   _actionMap[379][AS] = ActionEntry(REDUCE, 147);
}
void Cego::loadParser145()
{
   _actionMap[379][FROM] = ActionEntry(REDUCE, 147);
   _actionMap[379][LIKE] = ActionEntry(REDUCE, 147);
   _actionMap[379][BETWEEN] = ActionEntry(REDUCE, 147);
   _actionMap[379][NOT] = ActionEntry(REDUCE, 147);
   _actionMap[379][INTOK] = ActionEntry(REDUCE, 147);
   _actionMap[379][END_TOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[379][AND] = ActionEntry(REDUCE, 147);
   _actionMap[379][IS] = ActionEntry(REDUCE, 147);
   _actionMap[379][EQU] = ActionEntry(REDUCE, 147);
   _actionMap[379][NEGATION] = ActionEntry(REDUCE, 147);
   _actionMap[379][LT] = ActionEntry(REDUCE, 147);
   _actionMap[379][MT] = ActionEntry(REDUCE, 147);
   _actionMap[379][DESC] = ActionEntry(REDUCE, 147);
   _actionMap[379][ASC] = ActionEntry(REDUCE, 147);
   _actionMap[379][KSEP] = ActionEntry(REDUCE, 147);
   _actionMap[379][ROWLIMIT] = ActionEntry(REDUCE, 147);
   _actionMap[379][UNION] = ActionEntry(REDUCE, 147);
   _actionMap[379][ENDTOKEN] = ActionEntry(REDUCE, 147);
   _actionMap[379][RB] = ActionEntry(REDUCE, 147);
   _actionMap[379][SEMICOLON] = ActionEntry(REDUCE, 147);
   _actionMap[379][CONCAT] = ActionEntry(REDUCE, 147);
   _actionMap[379][MINUS] = ActionEntry(REDUCE, 147);
   _actionMap[379][PLUS] = ActionEntry(REDUCE, 147);
   _actionMap[380][STAR] = ActionEntry(SHIFT, 238);
   _actionMap[380][DIVISION] = ActionEntry(SHIFT, 239);
   _actionMap[380][WHEN] = ActionEntry(REDUCE, 145);
   _actionMap[380][ELSE] = ActionEntry(REDUCE, 145);
   _actionMap[380][LEFT] = ActionEntry(REDUCE, 145);
   _actionMap[380][RIGHT] = ActionEntry(REDUCE, 145);
   _actionMap[380][INNER] = ActionEntry(REDUCE, 145);
   _actionMap[380][JOIN] = ActionEntry(REDUCE, 145);
   _actionMap[380][RETURNTOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[380][ORDER] = ActionEntry(REDUCE, 145);
   _actionMap[380][GROUP] = ActionEntry(REDUCE, 145);
   _actionMap[380][WHERE] = ActionEntry(REDUCE, 145);
   _actionMap[380][BEGIN] = ActionEntry(REDUCE, 145);
   _actionMap[380][THEN] = ActionEntry(REDUCE, 145);
   _actionMap[380][OR] = ActionEntry(REDUCE, 145);
   _actionMap[380][AS] = ActionEntry(REDUCE, 145);
   _actionMap[380][FROM] = ActionEntry(REDUCE, 145);
   _actionMap[380][LIKE] = ActionEntry(REDUCE, 145);
   _actionMap[380][BETWEEN] = ActionEntry(REDUCE, 145);
   _actionMap[380][NOT] = ActionEntry(REDUCE, 145);
   _actionMap[380][INTOK] = ActionEntry(REDUCE, 145);
   _actionMap[380][END_TOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[380][AND] = ActionEntry(REDUCE, 145);
   _actionMap[380][IS] = ActionEntry(REDUCE, 145);
   _actionMap[380][EQU] = ActionEntry(REDUCE, 145);
   _actionMap[380][NEGATION] = ActionEntry(REDUCE, 145);
   _actionMap[380][LT] = ActionEntry(REDUCE, 145);
}
void Cego::loadParser146()
{
   _actionMap[380][MT] = ActionEntry(REDUCE, 145);
   _actionMap[380][DESC] = ActionEntry(REDUCE, 145);
   _actionMap[380][ASC] = ActionEntry(REDUCE, 145);
   _actionMap[380][KSEP] = ActionEntry(REDUCE, 145);
   _actionMap[380][ROWLIMIT] = ActionEntry(REDUCE, 145);
   _actionMap[380][UNION] = ActionEntry(REDUCE, 145);
   _actionMap[380][ENDTOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[380][RB] = ActionEntry(REDUCE, 145);
   _actionMap[380][SEMICOLON] = ActionEntry(REDUCE, 145);
   _actionMap[380][CONCAT] = ActionEntry(REDUCE, 145);
   _actionMap[380][MINUS] = ActionEntry(REDUCE, 145);
   _actionMap[380][PLUS] = ActionEntry(REDUCE, 145);
   _actionMap[381][STAR] = ActionEntry(SHIFT, 238);
   _actionMap[381][DIVISION] = ActionEntry(SHIFT, 239);
   _actionMap[381][WHEN] = ActionEntry(REDUCE, 144);
   _actionMap[381][ELSE] = ActionEntry(REDUCE, 144);
   _actionMap[381][LEFT] = ActionEntry(REDUCE, 144);
   _actionMap[381][RIGHT] = ActionEntry(REDUCE, 144);
   _actionMap[381][INNER] = ActionEntry(REDUCE, 144);
   _actionMap[381][JOIN] = ActionEntry(REDUCE, 144);
   _actionMap[381][RETURNTOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[381][ORDER] = ActionEntry(REDUCE, 144);
   _actionMap[381][GROUP] = ActionEntry(REDUCE, 144);
   _actionMap[381][WHERE] = ActionEntry(REDUCE, 144);
   _actionMap[381][BEGIN] = ActionEntry(REDUCE, 144);
   _actionMap[381][THEN] = ActionEntry(REDUCE, 144);
   _actionMap[381][OR] = ActionEntry(REDUCE, 144);
   _actionMap[381][AS] = ActionEntry(REDUCE, 144);
   _actionMap[381][FROM] = ActionEntry(REDUCE, 144);
   _actionMap[381][LIKE] = ActionEntry(REDUCE, 144);
   _actionMap[381][BETWEEN] = ActionEntry(REDUCE, 144);
   _actionMap[381][NOT] = ActionEntry(REDUCE, 144);
   _actionMap[381][INTOK] = ActionEntry(REDUCE, 144);
   _actionMap[381][END_TOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[381][AND] = ActionEntry(REDUCE, 144);
   _actionMap[381][IS] = ActionEntry(REDUCE, 144);
   _actionMap[381][EQU] = ActionEntry(REDUCE, 144);
   _actionMap[381][NEGATION] = ActionEntry(REDUCE, 144);
   _actionMap[381][LT] = ActionEntry(REDUCE, 144);
   _actionMap[381][MT] = ActionEntry(REDUCE, 144);
   _actionMap[381][DESC] = ActionEntry(REDUCE, 144);
   _actionMap[381][ASC] = ActionEntry(REDUCE, 144);
   _actionMap[381][KSEP] = ActionEntry(REDUCE, 144);
   _actionMap[381][ROWLIMIT] = ActionEntry(REDUCE, 144);
   _actionMap[381][UNION] = ActionEntry(REDUCE, 144);
   _actionMap[381][ENDTOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[381][RB] = ActionEntry(REDUCE, 144);
   _actionMap[381][SEMICOLON] = ActionEntry(REDUCE, 144);
   _actionMap[381][CONCAT] = ActionEntry(REDUCE, 144);
   _actionMap[381][MINUS] = ActionEntry(REDUCE, 144);
}
void Cego::loadParser147()
{
   _actionMap[381][PLUS] = ActionEntry(REDUCE, 144);
   _actionMap[382][WHEN] = ActionEntry(REDUCE, 148);
   _actionMap[382][ELSE] = ActionEntry(REDUCE, 148);
   _actionMap[382][LEFT] = ActionEntry(REDUCE, 148);
   _actionMap[382][RIGHT] = ActionEntry(REDUCE, 148);
   _actionMap[382][INNER] = ActionEntry(REDUCE, 148);
   _actionMap[382][JOIN] = ActionEntry(REDUCE, 148);
   _actionMap[382][RETURNTOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[382][ORDER] = ActionEntry(REDUCE, 148);
   _actionMap[382][GROUP] = ActionEntry(REDUCE, 148);
   _actionMap[382][WHERE] = ActionEntry(REDUCE, 148);
   _actionMap[382][BEGIN] = ActionEntry(REDUCE, 148);
   _actionMap[382][THEN] = ActionEntry(REDUCE, 148);
   _actionMap[382][OR] = ActionEntry(REDUCE, 148);
   _actionMap[382][FROM] = ActionEntry(REDUCE, 148);
   _actionMap[382][AS] = ActionEntry(REDUCE, 148);
   _actionMap[382][END_TOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[382][AND] = ActionEntry(REDUCE, 148);
   _actionMap[382][INTOK] = ActionEntry(REDUCE, 148);
   _actionMap[382][NOT] = ActionEntry(REDUCE, 148);
   _actionMap[382][BETWEEN] = ActionEntry(REDUCE, 148);
   _actionMap[382][IS] = ActionEntry(REDUCE, 148);
   _actionMap[382][LIKE] = ActionEntry(REDUCE, 148);
   _actionMap[382][MT] = ActionEntry(REDUCE, 148);
   _actionMap[382][LT] = ActionEntry(REDUCE, 148);
   _actionMap[382][NEGATION] = ActionEntry(REDUCE, 148);
   _actionMap[382][EQU] = ActionEntry(REDUCE, 148);
   _actionMap[382][RB] = ActionEntry(REDUCE, 148);
   _actionMap[382][ENDTOKEN] = ActionEntry(REDUCE, 148);
   _actionMap[382][UNION] = ActionEntry(REDUCE, 148);
   _actionMap[382][ROWLIMIT] = ActionEntry(REDUCE, 148);
   _actionMap[382][KSEP] = ActionEntry(REDUCE, 148);
   _actionMap[382][ASC] = ActionEntry(REDUCE, 148);
   _actionMap[382][DESC] = ActionEntry(REDUCE, 148);
   _actionMap[382][SEMICOLON] = ActionEntry(REDUCE, 148);
   _actionMap[382][PLUS] = ActionEntry(REDUCE, 148);
   _actionMap[382][MINUS] = ActionEntry(REDUCE, 148);
   _actionMap[382][CONCAT] = ActionEntry(REDUCE, 148);
   _actionMap[382][DIVISION] = ActionEntry(REDUCE, 148);
   _actionMap[382][STAR] = ActionEntry(REDUCE, 148);
   _actionMap[383][WHEN] = ActionEntry(REDUCE, 149);
   _actionMap[383][ELSE] = ActionEntry(REDUCE, 149);
   _actionMap[383][LEFT] = ActionEntry(REDUCE, 149);
   _actionMap[383][RIGHT] = ActionEntry(REDUCE, 149);
   _actionMap[383][INNER] = ActionEntry(REDUCE, 149);
   _actionMap[383][JOIN] = ActionEntry(REDUCE, 149);
   _actionMap[383][RETURNTOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[383][ORDER] = ActionEntry(REDUCE, 149);
   _actionMap[383][GROUP] = ActionEntry(REDUCE, 149);
   _actionMap[383][WHERE] = ActionEntry(REDUCE, 149);
}
void Cego::loadParser148()
{
   _actionMap[383][BEGIN] = ActionEntry(REDUCE, 149);
   _actionMap[383][THEN] = ActionEntry(REDUCE, 149);
   _actionMap[383][OR] = ActionEntry(REDUCE, 149);
   _actionMap[383][FROM] = ActionEntry(REDUCE, 149);
   _actionMap[383][AS] = ActionEntry(REDUCE, 149);
   _actionMap[383][END_TOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[383][AND] = ActionEntry(REDUCE, 149);
   _actionMap[383][INTOK] = ActionEntry(REDUCE, 149);
   _actionMap[383][NOT] = ActionEntry(REDUCE, 149);
   _actionMap[383][BETWEEN] = ActionEntry(REDUCE, 149);
   _actionMap[383][IS] = ActionEntry(REDUCE, 149);
   _actionMap[383][LIKE] = ActionEntry(REDUCE, 149);
   _actionMap[383][MT] = ActionEntry(REDUCE, 149);
   _actionMap[383][LT] = ActionEntry(REDUCE, 149);
   _actionMap[383][NEGATION] = ActionEntry(REDUCE, 149);
   _actionMap[383][EQU] = ActionEntry(REDUCE, 149);
   _actionMap[383][RB] = ActionEntry(REDUCE, 149);
   _actionMap[383][ENDTOKEN] = ActionEntry(REDUCE, 149);
   _actionMap[383][UNION] = ActionEntry(REDUCE, 149);
   _actionMap[383][ROWLIMIT] = ActionEntry(REDUCE, 149);
   _actionMap[383][KSEP] = ActionEntry(REDUCE, 149);
   _actionMap[383][ASC] = ActionEntry(REDUCE, 149);
   _actionMap[383][DESC] = ActionEntry(REDUCE, 149);
   _actionMap[383][SEMICOLON] = ActionEntry(REDUCE, 149);
   _actionMap[383][PLUS] = ActionEntry(REDUCE, 149);
   _actionMap[383][MINUS] = ActionEntry(REDUCE, 149);
   _actionMap[383][CONCAT] = ActionEntry(REDUCE, 149);
   _actionMap[383][DIVISION] = ActionEntry(REDUCE, 149);
   _actionMap[383][STAR] = ActionEntry(REDUCE, 149);
   _actionMap[384][WHEN] = ActionEntry(REDUCE, 166);
   _actionMap[384][ELSE] = ActionEntry(REDUCE, 166);
   _actionMap[385][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[385][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[385][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[385][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[385][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[385][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[385][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[385][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[385][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[385][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[385][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[385][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[385][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[385][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[385][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[385][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[385][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[385][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[385][LENGTH] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser149()
{
   _actionMap[385][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[385][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[385][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[385][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[385][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[385][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[385][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[385][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[385][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[385][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[385][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[385][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[385][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[385][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[385][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[385][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[385][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[385][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[385][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[385][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[385][LB] = ActionEntry(SHIFT, 151);
   _actionMap[385][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[385][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[385][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[385][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[385][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[385][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[385][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[385][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[385][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[385][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[385][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[385][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[385][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[385][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[385][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[385][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[385][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[385][ObjSpec] = 102;
   _jumpMap[385][Constant] = 101;
   _jumpMap[385][SignedFloat] = 100;
   _jumpMap[385][SignedInt] = 99;
   _jumpMap[385][Attribute] = 98;
   _jumpMap[385][Function] = 97;
   _jumpMap[385][CasePrepare] = 96;
   _jumpMap[385][CaseClause] = 95;
   _jumpMap[385][Factor] = 94;
   _jumpMap[385][Term] = 93;
   _jumpMap[385][Expr] = 524;
   _actionMap[386][INTOK] = ActionEntry(SHIFT, 527);
}
void Cego::loadParser150()
{
   _actionMap[386][NOT] = ActionEntry(SHIFT, 530);
   _actionMap[386][BETWEEN] = ActionEntry(SHIFT, 526);
   _actionMap[386][IS] = ActionEntry(SHIFT, 528);
   _actionMap[386][LIKE] = ActionEntry(SHIFT, 529);
   _actionMap[386][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[386][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[386][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[386][EQU] = ActionEntry(SHIFT, 531);
   _actionMap[386][NEGATION] = ActionEntry(SHIFT, 534);
   _actionMap[386][LT] = ActionEntry(SHIFT, 532);
   _actionMap[386][MT] = ActionEntry(SHIFT, 533);
   _jumpMap[386][Comparison] = 525;
   _actionMap[387][THEN] = ActionEntry(SHIFT, 537);
   _actionMap[387][AND] = ActionEntry(SHIFT, 535);
   _actionMap[387][OR] = ActionEntry(SHIFT, 536);
   _actionMap[388][THEN] = ActionEntry(REDUCE, 323);
   _actionMap[388][LEFT] = ActionEntry(REDUCE, 323);
   _actionMap[388][RIGHT] = ActionEntry(REDUCE, 323);
   _actionMap[388][INNER] = ActionEntry(REDUCE, 323);
   _actionMap[388][JOIN] = ActionEntry(REDUCE, 323);
   _actionMap[388][RETURNTOKEN] = ActionEntry(REDUCE, 323);
   _actionMap[388][SEMICOLON] = ActionEntry(REDUCE, 323);
   _actionMap[388][RB] = ActionEntry(REDUCE, 323);
   _actionMap[388][ENDTOKEN] = ActionEntry(REDUCE, 323);
   _actionMap[388][UNION] = ActionEntry(REDUCE, 323);
   _actionMap[388][ROWLIMIT] = ActionEntry(REDUCE, 323);
   _actionMap[388][ORDER] = ActionEntry(REDUCE, 323);
   _actionMap[388][GROUP] = ActionEntry(REDUCE, 323);
   _actionMap[388][WHERE] = ActionEntry(REDUCE, 323);
   _actionMap[388][OR] = ActionEntry(REDUCE, 323);
   _actionMap[388][AND] = ActionEntry(REDUCE, 323);
   _actionMap[389][LB] = ActionEntry(SHIFT, 538);
   _actionMap[390][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[390][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[390][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[390][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[390][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[390][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[390][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[390][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[390][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[390][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[390][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[390][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[390][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[390][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[390][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[390][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[390][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[390][REPLACE] = ActionEntry(SHIFT, 136);
}
void Cego::loadParser151()
{
   _actionMap[390][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[390][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[390][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[390][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[390][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[390][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[390][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[390][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[390][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[390][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[390][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[390][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[390][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[390][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[390][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[390][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[390][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[390][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[390][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[390][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[390][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[390][LB] = ActionEntry(SHIFT, 391);
   _actionMap[390][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[390][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[390][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[390][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[390][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[390][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[390][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[390][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[390][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[390][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[390][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[390][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[390][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[390][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[390][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[390][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[390][MAX] = ActionEntry(SHIFT, 129);
   _actionMap[390][EXISTS] = ActionEntry(SHIFT, 389);
   _actionMap[390][NOT] = ActionEntry(SHIFT, 390);
   _jumpMap[390][ObjSpec] = 102;
   _jumpMap[390][Constant] = 101;
   _jumpMap[390][SignedFloat] = 100;
   _jumpMap[390][SignedInt] = 99;
   _jumpMap[390][Attribute] = 98;
   _jumpMap[390][QueryPredicate] = 539;
   _jumpMap[390][Function] = 97;
   _jumpMap[390][CasePrepare] = 96;
   _jumpMap[390][CaseClause] = 95;
}
void Cego::loadParser152()
{
   _jumpMap[390][Factor] = 94;
   _jumpMap[390][Term] = 93;
   _jumpMap[390][Expr] = 386;
   _actionMap[391][LONG] = ActionEntry(SHIFT, 292);
   _actionMap[391][BIGINT] = ActionEntry(SHIFT, 288);
   _actionMap[391][SMALLINT] = ActionEntry(SHIFT, 293);
   _actionMap[391][TINYINT] = ActionEntry(SHIFT, 294);
   _actionMap[391][DOUBLE] = ActionEntry(SHIFT, 290);
   _actionMap[391][DECIMAL] = ActionEntry(SHIFT, 289);
   _actionMap[391][FIXED] = ActionEntry(SHIFT, 291);
   _actionMap[391][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[391][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[391][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[391][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[391][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[391][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[391][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[391][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[391][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[391][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[391][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[391][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[391][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[391][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[391][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[391][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[391][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[391][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[391][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[391][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[391][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[391][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[391][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[391][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[391][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[391][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[391][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[391][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[391][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[391][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[391][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[391][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[391][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[391][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[391][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[391][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[391][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[391][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[391][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[391][LB] = ActionEntry(SHIFT, 391);
}
void Cego::loadParser153()
{
   _actionMap[391][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[391][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[391][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[391][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[391][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[391][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[391][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[391][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[391][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[391][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[391][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[391][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[391][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[391][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[391][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[391][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[391][MAX] = ActionEntry(SHIFT, 129);
   _actionMap[391][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[391][EXISTS] = ActionEntry(SHIFT, 389);
   _actionMap[391][NOT] = ActionEntry(SHIFT, 390);
   _jumpMap[391][ObjSpec] = 102;
   _jumpMap[391][Constant] = 101;
   _jumpMap[391][SignedFloat] = 100;
   _jumpMap[391][SignedInt] = 99;
   _jumpMap[391][Attribute] = 98;
   _jumpMap[391][QueryPredicate] = 388;
   _jumpMap[391][QueryCondition] = 541;
   _jumpMap[391][Function] = 97;
   _jumpMap[391][SelectStatement] = 287;
   _jumpMap[391][CasePrepare] = 96;
   _jumpMap[391][CaseClause] = 95;
   _jumpMap[391][Factor] = 94;
   _jumpMap[391][Term] = 93;
   _jumpMap[391][Expr] = 540;
   _actionMap[392][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[392][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[392][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[392][KSEP] = ActionEntry(REDUCE, 317);
   _actionMap[392][RB] = ActionEntry(REDUCE, 317);
   _actionMap[393][RB] = ActionEntry(SHIFT, 543);
   _actionMap[393][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[394][WHEN] = ActionEntry(REDUCE, 315);
   _actionMap[394][ELSE] = ActionEntry(REDUCE, 315);
   _actionMap[394][LEFT] = ActionEntry(REDUCE, 315);
   _actionMap[394][RIGHT] = ActionEntry(REDUCE, 315);
   _actionMap[394][INNER] = ActionEntry(REDUCE, 315);
   _actionMap[394][JOIN] = ActionEntry(REDUCE, 315);
   _actionMap[394][RETURNTOKEN] = ActionEntry(REDUCE, 315);
   _actionMap[394][ORDER] = ActionEntry(REDUCE, 315);
   _actionMap[394][GROUP] = ActionEntry(REDUCE, 315);
}
void Cego::loadParser154()
{
   _actionMap[394][WHERE] = ActionEntry(REDUCE, 315);
   _actionMap[394][FROM] = ActionEntry(REDUCE, 315);
   _actionMap[394][AS] = ActionEntry(REDUCE, 315);
   _actionMap[394][END_TOKEN] = ActionEntry(REDUCE, 315);
   _actionMap[394][BEGIN] = ActionEntry(REDUCE, 315);
   _actionMap[394][THEN] = ActionEntry(REDUCE, 315);
   _actionMap[394][OR] = ActionEntry(REDUCE, 315);
   _actionMap[394][AND] = ActionEntry(REDUCE, 315);
   _actionMap[394][INTOK] = ActionEntry(REDUCE, 315);
   _actionMap[394][NOT] = ActionEntry(REDUCE, 315);
   _actionMap[394][BETWEEN] = ActionEntry(REDUCE, 315);
   _actionMap[394][IS] = ActionEntry(REDUCE, 315);
   _actionMap[394][LIKE] = ActionEntry(REDUCE, 315);
   _actionMap[394][MT] = ActionEntry(REDUCE, 315);
   _actionMap[394][LT] = ActionEntry(REDUCE, 315);
   _actionMap[394][NEGATION] = ActionEntry(REDUCE, 315);
   _actionMap[394][EQU] = ActionEntry(REDUCE, 315);
   _actionMap[394][RB] = ActionEntry(REDUCE, 315);
   _actionMap[394][ENDTOKEN] = ActionEntry(REDUCE, 315);
   _actionMap[394][UNION] = ActionEntry(REDUCE, 315);
   _actionMap[394][ROWLIMIT] = ActionEntry(REDUCE, 315);
   _actionMap[394][KSEP] = ActionEntry(REDUCE, 315);
   _actionMap[394][ASC] = ActionEntry(REDUCE, 315);
   _actionMap[394][DESC] = ActionEntry(REDUCE, 315);
   _actionMap[394][SEMICOLON] = ActionEntry(REDUCE, 315);
   _actionMap[394][PLUS] = ActionEntry(REDUCE, 315);
   _actionMap[394][MINUS] = ActionEntry(REDUCE, 315);
   _actionMap[394][DIVISION] = ActionEntry(REDUCE, 315);
   _actionMap[394][STAR] = ActionEntry(REDUCE, 315);
   _actionMap[394][CONCAT] = ActionEntry(REDUCE, 315);
   _actionMap[395][RB] = ActionEntry(SHIFT, 544);
   _actionMap[395][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[395][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[395][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[396][RB] = ActionEntry(SHIFT, 545);
   _actionMap[396][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[397][RB] = ActionEntry(SHIFT, 546);
   _actionMap[397][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[398][RB] = ActionEntry(SHIFT, 547);
   _actionMap[398][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[399][RAB] = ActionEntry(SHIFT, 548);
   _actionMap[400][RB] = ActionEntry(SHIFT, 549);
   _actionMap[400][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[401][RAB] = ActionEntry(SHIFT, 550);
   _actionMap[402][RB] = ActionEntry(SHIFT, 551);
   _actionMap[402][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[403][RB] = ActionEntry(SHIFT, 552);
   _actionMap[403][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[404][RB] = ActionEntry(SHIFT, 553);
   _actionMap[404][PLUS] = ActionEntry(SHIFT, 237);
}
void Cego::loadParser155()
{
   _actionMap[404][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[404][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[405][RB] = ActionEntry(SHIFT, 554);
   _actionMap[406][KSEP] = ActionEntry(SHIFT, 555);
   _actionMap[407][KSEP] = ActionEntry(REDUCE, 379);
   _actionMap[408][RB] = ActionEntry(SHIFT, 556);
   _actionMap[408][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[409][RB] = ActionEntry(SHIFT, 557);
   _actionMap[409][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[410][RB] = ActionEntry(SHIFT, 558);
   _actionMap[410][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[411][LB] = ActionEntry(SHIFT, 559);
   _actionMap[412][RB] = ActionEntry(SHIFT, 560);
   _actionMap[412][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[413][RB] = ActionEntry(SHIFT, 561);
   _actionMap[413][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[414][RB] = ActionEntry(SHIFT, 562);
   _actionMap[414][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[415][RB] = ActionEntry(SHIFT, 563);
   _actionMap[415][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[416][RB] = ActionEntry(SHIFT, 564);
   _actionMap[416][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[417][RB] = ActionEntry(SHIFT, 565);
   _actionMap[417][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[418][RB] = ActionEntry(SHIFT, 566);
   _actionMap[418][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[419][RB] = ActionEntry(SHIFT, 567);
   _actionMap[419][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[419][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[419][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[420][RB] = ActionEntry(SHIFT, 568);
   _actionMap[420][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[420][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[420][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[421][RB] = ActionEntry(SHIFT, 569);
   _actionMap[421][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[422][RB] = ActionEntry(SHIFT, 570);
   _actionMap[423][RB] = ActionEntry(SHIFT, 571);
   _actionMap[423][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[424][RB] = ActionEntry(SHIFT, 572);
   _actionMap[424][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[425][RB] = ActionEntry(SHIFT, 573);
   _actionMap[425][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[426][RB] = ActionEntry(SHIFT, 574);
   _actionMap[426][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[427][RB] = ActionEntry(SHIFT, 575);
   _actionMap[427][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[428][RB] = ActionEntry(SHIFT, 576);
   _actionMap[428][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[429][RB] = ActionEntry(SHIFT, 577);
}
void Cego::loadParser156()
{
   _actionMap[429][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[430][KSEP] = ActionEntry(SHIFT, 578);
   _actionMap[431][RB] = ActionEntry(SHIFT, 579);
   _actionMap[431][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[432][RB] = ActionEntry(SHIFT, 580);
   _actionMap[432][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[432][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[432][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[433][RB] = ActionEntry(SHIFT, 581);
   _actionMap[433][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[434][RB] = ActionEntry(SHIFT, 582);
   _actionMap[434][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[435][RB] = ActionEntry(SHIFT, 583);
   _actionMap[435][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[436][RB] = ActionEntry(SHIFT, 584);
   _actionMap[436][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[437][RB] = ActionEntry(SHIFT, 585);
   _actionMap[437][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[438][RB] = ActionEntry(SHIFT, 586);
   _actionMap[438][KSEP] = ActionEntry(SHIFT, 542);
   _actionMap[439][WHEN] = ActionEntry(REDUCE, 156);
   _actionMap[439][ELSE] = ActionEntry(REDUCE, 156);
   _actionMap[439][LEFT] = ActionEntry(REDUCE, 156);
   _actionMap[439][RIGHT] = ActionEntry(REDUCE, 156);
   _actionMap[439][INNER] = ActionEntry(REDUCE, 156);
   _actionMap[439][JOIN] = ActionEntry(REDUCE, 156);
   _actionMap[439][RETURNTOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[439][ORDER] = ActionEntry(REDUCE, 156);
   _actionMap[439][GROUP] = ActionEntry(REDUCE, 156);
   _actionMap[439][WHERE] = ActionEntry(REDUCE, 156);
   _actionMap[439][AS] = ActionEntry(REDUCE, 156);
   _actionMap[439][FROM] = ActionEntry(REDUCE, 156);
   _actionMap[439][END_TOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[439][BEGIN] = ActionEntry(REDUCE, 156);
   _actionMap[439][THEN] = ActionEntry(REDUCE, 156);
   _actionMap[439][OR] = ActionEntry(REDUCE, 156);
   _actionMap[439][AND] = ActionEntry(REDUCE, 156);
   _actionMap[439][DESC] = ActionEntry(REDUCE, 156);
   _actionMap[439][ASC] = ActionEntry(REDUCE, 156);
   _actionMap[439][KSEP] = ActionEntry(REDUCE, 156);
   _actionMap[439][ROWLIMIT] = ActionEntry(REDUCE, 156);
   _actionMap[439][UNION] = ActionEntry(REDUCE, 156);
   _actionMap[439][ENDTOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[439][SEMICOLON] = ActionEntry(REDUCE, 156);
   _actionMap[439][LIKE] = ActionEntry(REDUCE, 156);
   _actionMap[439][BETWEEN] = ActionEntry(REDUCE, 156);
   _actionMap[439][NOT] = ActionEntry(REDUCE, 156);
   _actionMap[439][INTOK] = ActionEntry(REDUCE, 156);
   _actionMap[439][RB] = ActionEntry(REDUCE, 156);
   _actionMap[439][STAR] = ActionEntry(REDUCE, 156);
}
void Cego::loadParser157()
{
   _actionMap[439][DIVISION] = ActionEntry(REDUCE, 156);
   _actionMap[439][CONCAT] = ActionEntry(REDUCE, 156);
   _actionMap[439][MINUS] = ActionEntry(REDUCE, 156);
   _actionMap[439][PLUS] = ActionEntry(REDUCE, 156);
   _actionMap[439][IS] = ActionEntry(REDUCE, 156);
   _actionMap[439][EQU] = ActionEntry(REDUCE, 156);
   _actionMap[439][NEGATION] = ActionEntry(REDUCE, 156);
   _actionMap[439][LT] = ActionEntry(REDUCE, 156);
   _actionMap[439][MT] = ActionEntry(REDUCE, 156);
   _actionMap[440][WHEN] = ActionEntry(REDUCE, 157);
   _actionMap[440][ELSE] = ActionEntry(REDUCE, 157);
   _actionMap[440][LEFT] = ActionEntry(REDUCE, 157);
   _actionMap[440][RIGHT] = ActionEntry(REDUCE, 157);
   _actionMap[440][INNER] = ActionEntry(REDUCE, 157);
   _actionMap[440][JOIN] = ActionEntry(REDUCE, 157);
   _actionMap[440][RETURNTOKEN] = ActionEntry(REDUCE, 157);
   _actionMap[440][ORDER] = ActionEntry(REDUCE, 157);
   _actionMap[440][GROUP] = ActionEntry(REDUCE, 157);
   _actionMap[440][WHERE] = ActionEntry(REDUCE, 157);
   _actionMap[440][AS] = ActionEntry(REDUCE, 157);
   _actionMap[440][FROM] = ActionEntry(REDUCE, 157);
   _actionMap[440][END_TOKEN] = ActionEntry(REDUCE, 157);
   _actionMap[440][BEGIN] = ActionEntry(REDUCE, 157);
   _actionMap[440][THEN] = ActionEntry(REDUCE, 157);
   _actionMap[440][OR] = ActionEntry(REDUCE, 157);
   _actionMap[440][AND] = ActionEntry(REDUCE, 157);
   _actionMap[440][DESC] = ActionEntry(REDUCE, 157);
   _actionMap[440][ASC] = ActionEntry(REDUCE, 157);
   _actionMap[440][KSEP] = ActionEntry(REDUCE, 157);
   _actionMap[440][ROWLIMIT] = ActionEntry(REDUCE, 157);
   _actionMap[440][UNION] = ActionEntry(REDUCE, 157);
   _actionMap[440][ENDTOKEN] = ActionEntry(REDUCE, 157);
   _actionMap[440][SEMICOLON] = ActionEntry(REDUCE, 157);
   _actionMap[440][LIKE] = ActionEntry(REDUCE, 157);
   _actionMap[440][BETWEEN] = ActionEntry(REDUCE, 157);
   _actionMap[440][NOT] = ActionEntry(REDUCE, 157);
   _actionMap[440][INTOK] = ActionEntry(REDUCE, 157);
   _actionMap[440][RB] = ActionEntry(REDUCE, 157);
   _actionMap[440][STAR] = ActionEntry(REDUCE, 157);
   _actionMap[440][DIVISION] = ActionEntry(REDUCE, 157);
   _actionMap[440][CONCAT] = ActionEntry(REDUCE, 157);
   _actionMap[440][MINUS] = ActionEntry(REDUCE, 157);
   _actionMap[440][PLUS] = ActionEntry(REDUCE, 157);
   _actionMap[440][IS] = ActionEntry(REDUCE, 157);
   _actionMap[440][EQU] = ActionEntry(REDUCE, 157);
   _actionMap[440][NEGATION] = ActionEntry(REDUCE, 157);
   _actionMap[440][LT] = ActionEntry(REDUCE, 157);
   _actionMap[440][MT] = ActionEntry(REDUCE, 157);
   _actionMap[441][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[441][MINUS] = ActionEntry(SHIFT, 588);
}
void Cego::loadParser158()
{
   _jumpMap[441][SignedInt] = 587;
   _actionMap[442][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[442][MINUS] = ActionEntry(SHIFT, 590);
   _jumpMap[442][SignedFloat] = 589;
   _actionMap[443][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[443][MINUS] = ActionEntry(SHIFT, 590);
   _jumpMap[443][SignedFloat] = 591;
   _actionMap[444][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[444][MINUS] = ActionEntry(SHIFT, 590);
   _jumpMap[444][SignedFloat] = 592;
   _actionMap[445][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[445][MINUS] = ActionEntry(SHIFT, 588);
   _jumpMap[445][SignedInt] = 593;
   _actionMap[446][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[446][MINUS] = ActionEntry(SHIFT, 588);
   _jumpMap[446][SignedInt] = 594;
   _actionMap[447][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[447][MINUS] = ActionEntry(SHIFT, 588);
   _jumpMap[447][SignedInt] = 595;
   _actionMap[448][IDENTIFIER] = ActionEntry(SHIFT, 596);
   _actionMap[449][IDENTIFIER] = ActionEntry(SHIFT, 597);
   _actionMap[450][IDENTIFIER] = ActionEntry(SHIFT, 598);
   _actionMap[451][IDENTIFIER] = ActionEntry(SHIFT, 599);
   _actionMap[452][IDENTIFIER] = ActionEntry(SHIFT, 600);
   _actionMap[453][IDENTIFIER] = ActionEntry(SHIFT, 601);
   _actionMap[454][IDENTIFIER] = ActionEntry(SHIFT, 602);
   _actionMap[455][SEMICOLON] = ActionEntry(REDUCE, 320);
   _actionMap[455][RB] = ActionEntry(REDUCE, 320);
   _actionMap[455][ENDTOKEN] = ActionEntry(REDUCE, 320);
   _actionMap[455][UNION] = ActionEntry(REDUCE, 320);
   _actionMap[455][ROWLIMIT] = ActionEntry(REDUCE, 320);
   _actionMap[455][ORDER] = ActionEntry(REDUCE, 320);
   _actionMap[455][GROUP] = ActionEntry(REDUCE, 320);
   _actionMap[455][WHERE] = ActionEntry(SHIFT, 370);
   _jumpMap[455][NoWhere] = 369;
   _jumpMap[455][WhereClause] = 603;
   _actionMap[456][WHERE] = ActionEntry(REDUCE, 215);
   _actionMap[456][GROUP] = ActionEntry(REDUCE, 215);
   _actionMap[456][ORDER] = ActionEntry(REDUCE, 215);
   _actionMap[456][ROWLIMIT] = ActionEntry(REDUCE, 215);
   _actionMap[456][UNION] = ActionEntry(REDUCE, 215);
   _actionMap[456][ENDTOKEN] = ActionEntry(REDUCE, 215);
   _actionMap[456][RB] = ActionEntry(REDUCE, 215);
   _actionMap[456][SEMICOLON] = ActionEntry(REDUCE, 215);
   _actionMap[456][RETURNTOKEN] = ActionEntry(REDUCE, 215);
   _actionMap[456][INNER] = ActionEntry(SHIFT, 606);
   _actionMap[456][JOIN] = ActionEntry(SHIFT, 607);
   _actionMap[456][LEFT] = ActionEntry(SHIFT, 608);
   _actionMap[456][RIGHT] = ActionEntry(SHIFT, 609);
   _jumpMap[456][InnerJoin] = 605;
}
void Cego::loadParser159()
{
   _jumpMap[456][JoinSpec] = 604;
   _actionMap[457][WHERE] = ActionEntry(REDUCE, 214);
   _actionMap[457][GROUP] = ActionEntry(REDUCE, 214);
   _actionMap[457][ORDER] = ActionEntry(REDUCE, 214);
   _actionMap[457][ROWLIMIT] = ActionEntry(REDUCE, 214);
   _actionMap[457][UNION] = ActionEntry(REDUCE, 214);
   _actionMap[457][ENDTOKEN] = ActionEntry(REDUCE, 214);
   _actionMap[457][RB] = ActionEntry(REDUCE, 214);
   _actionMap[457][SEMICOLON] = ActionEntry(REDUCE, 214);
   _actionMap[457][RETURNTOKEN] = ActionEntry(REDUCE, 214);
   _actionMap[458][KSEP] = ActionEntry(SHIFT, 611);
   _actionMap[458][RETURNTOKEN] = ActionEntry(REDUCE, 224);
   _actionMap[458][SEMICOLON] = ActionEntry(REDUCE, 224);
   _actionMap[458][RB] = ActionEntry(REDUCE, 224);
   _actionMap[458][ENDTOKEN] = ActionEntry(REDUCE, 224);
   _actionMap[458][UNION] = ActionEntry(REDUCE, 224);
   _actionMap[458][ROWLIMIT] = ActionEntry(REDUCE, 224);
   _actionMap[458][ORDER] = ActionEntry(REDUCE, 224);
   _actionMap[458][GROUP] = ActionEntry(REDUCE, 224);
   _actionMap[458][WHERE] = ActionEntry(REDUCE, 224);
   _actionMap[458][INNER] = ActionEntry(SHIFT, 606);
   _actionMap[458][JOIN] = ActionEntry(SHIFT, 607);
   _actionMap[458][LEFT] = ActionEntry(SHIFT, 608);
   _actionMap[458][RIGHT] = ActionEntry(SHIFT, 609);
   _jumpMap[458][InnerJoin] = 605;
   _jumpMap[458][JoinSpec] = 610;
   _actionMap[459][WHERE] = ActionEntry(REDUCE, 225);
   _actionMap[459][IDENTIFIER] = ActionEntry(SHIFT, 612);
   _actionMap[459][GROUP] = ActionEntry(REDUCE, 225);
   _actionMap[459][ORDER] = ActionEntry(REDUCE, 225);
   _actionMap[459][ROWLIMIT] = ActionEntry(REDUCE, 225);
   _actionMap[459][UNION] = ActionEntry(REDUCE, 225);
   _actionMap[459][ENDTOKEN] = ActionEntry(REDUCE, 225);
   _actionMap[459][RB] = ActionEntry(REDUCE, 225);
   _actionMap[459][SEMICOLON] = ActionEntry(REDUCE, 225);
   _actionMap[459][RETURNTOKEN] = ActionEntry(REDUCE, 225);
   _actionMap[459][LEFT] = ActionEntry(REDUCE, 225);
   _actionMap[459][RIGHT] = ActionEntry(REDUCE, 225);
   _actionMap[459][INNER] = ActionEntry(REDUCE, 225);
   _actionMap[459][JOIN] = ActionEntry(REDUCE, 225);
   _actionMap[459][KSEP] = ActionEntry(REDUCE, 225);
   _actionMap[459][ON] = ActionEntry(REDUCE, 225);
   _actionMap[460][FROM] = ActionEntry(REDUCE, 213);
   _actionMap[460][KSEP] = ActionEntry(REDUCE, 213);
   _actionMap[461][FROM] = ActionEntry(REDUCE, 229);
   _actionMap[461][KSEP] = ActionEntry(REDUCE, 229);
   _actionMap[462][IDENTIFIER] = ActionEntry(SHIFT, 613);
   _actionMap[463][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[463][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[463][INTVAL] = ActionEntry(SHIFT, 153);
}
void Cego::loadParser160()
{
   _actionMap[463][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[463][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[463][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[463][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[463][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[463][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[463][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[463][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[463][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[463][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[463][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[463][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[463][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[463][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[463][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[463][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[463][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[463][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[463][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[463][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[463][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[463][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[463][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[463][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[463][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[463][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[463][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[463][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[463][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[463][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[463][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[463][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[463][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[463][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[463][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[463][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[463][LB] = ActionEntry(SHIFT, 151);
   _actionMap[463][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[463][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[463][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[463][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[463][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[463][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[463][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[463][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[463][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[463][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[463][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[463][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[463][COUNT] = ActionEntry(SHIFT, 114);
}
void Cego::loadParser161()
{
   _actionMap[463][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[463][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[463][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[463][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[463][ObjSpec] = 102;
   _jumpMap[463][Constant] = 101;
   _jumpMap[463][SignedFloat] = 100;
   _jumpMap[463][SignedInt] = 99;
   _jumpMap[463][Attribute] = 98;
   _jumpMap[463][Function] = 97;
   _jumpMap[463][SelectItem] = 614;
   _jumpMap[463][CasePrepare] = 96;
   _jumpMap[463][CaseClause] = 95;
   _jumpMap[463][Factor] = 94;
   _jumpMap[463][Term] = 93;
   _jumpMap[463][Expr] = 308;
   _actionMap[464][SEMICOLON] = ActionEntry(REDUCE, 42);
   _actionMap[465][SEMICOLON] = ActionEntry(REDUCE, 41);
   _actionMap[466][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[466][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[466][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[466][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[466][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[466][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[466][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[466][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[466][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[466][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[466][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[466][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[466][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[466][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[466][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[466][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[466][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[466][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[466][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[466][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[466][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[466][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[466][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[466][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[466][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[466][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[466][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[466][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[466][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[466][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[466][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[466][BLOBSIZE] = ActionEntry(SHIFT, 109);
}
void Cego::loadParser162()
{
   _actionMap[466][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[466][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[466][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[466][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[466][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[466][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[466][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[466][LB] = ActionEntry(SHIFT, 151);
   _actionMap[466][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[466][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[466][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[466][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[466][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[466][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[466][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[466][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[466][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[466][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[466][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[466][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[466][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[466][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[466][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[466][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[466][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[466][ObjSpec] = 102;
   _jumpMap[466][Constant] = 101;
   _jumpMap[466][SignedFloat] = 100;
   _jumpMap[466][SignedInt] = 99;
   _jumpMap[466][Attribute] = 98;
   _jumpMap[466][Function] = 97;
   _jumpMap[466][CasePrepare] = 96;
   _jumpMap[466][CaseClause] = 95;
   _jumpMap[466][Factor] = 94;
   _jumpMap[466][Term] = 93;
   _jumpMap[466][Expr] = 615;
   _actionMap[467][SEMICOLON] = ActionEntry(REDUCE, 40);
   _actionMap[468][SEMICOLON] = ActionEntry(REDUCE, 39);
   _actionMap[469][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[469][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[469][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[469][SEMICOLON] = ActionEntry(REDUCE, 72);
   _actionMap[470][KSEP] = ActionEntry(SHIFT, 617);
   _actionMap[470][SEMICOLON] = ActionEntry(REDUCE, 320);
   _actionMap[470][RETURNTOKEN] = ActionEntry(REDUCE, 320);
   _actionMap[470][WHERE] = ActionEntry(SHIFT, 370);
   _jumpMap[470][NoWhere] = 369;
   _jumpMap[470][WhereClause] = 616;
   _actionMap[471][KSEP] = ActionEntry(REDUCE, 256);
   _actionMap[471][WHERE] = ActionEntry(REDUCE, 256);
}
void Cego::loadParser163()
{
   _actionMap[471][GROUP] = ActionEntry(REDUCE, 256);
   _actionMap[471][ORDER] = ActionEntry(REDUCE, 256);
   _actionMap[471][ROWLIMIT] = ActionEntry(REDUCE, 256);
   _actionMap[471][UNION] = ActionEntry(REDUCE, 256);
   _actionMap[471][ENDTOKEN] = ActionEntry(REDUCE, 256);
   _actionMap[471][RB] = ActionEntry(REDUCE, 256);
   _actionMap[471][SEMICOLON] = ActionEntry(REDUCE, 256);
   _actionMap[471][RETURNTOKEN] = ActionEntry(REDUCE, 256);
   _actionMap[472][EQU] = ActionEntry(SHIFT, 618);
   _actionMap[473][LB] = ActionEntry(SHIFT, 619);
   _actionMap[190][SEMICOLON] = ActionEntry(REDUCE, 67);
   _actionMap[191][SEMICOLON] = ActionEntry(REDUCE, 62);
   _actionMap[192][SEMICOLON] = ActionEntry(REDUCE, 66);
   _actionMap[193][SEMICOLON] = ActionEntry(REDUCE, 76);
   _actionMap[194][TO] = ActionEntry(REDUCE, 78);
   _actionMap[194][SEMICOLON] = ActionEntry(REDUCE, 78);
   _actionMap[195][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[195][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[195][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[195][ObjSpec] = 328;
   _actionMap[196][SEMICOLON] = ActionEntry(REDUCE, 64);
   _actionMap[197][SEMICOLON] = ActionEntry(REDUCE, 61);
   _actionMap[198][SEMICOLON] = ActionEntry(REDUCE, 63);
   _actionMap[199][ADD] = ActionEntry(SHIFT, 331);
   _actionMap[199][DROP] = ActionEntry(SHIFT, 332);
   _actionMap[199][MODIFY] = ActionEntry(SHIFT, 333);
   _actionMap[199][RENAME] = ActionEntry(SHIFT, 334);
   _jumpMap[199][AlterOption] = 330;
   _jumpMap[199][AlterList] = 329;
   _actionMap[200][BY] = ActionEntry(SHIFT, 335);
   _actionMap[201][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[201][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[201][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[201][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[201][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[201][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[201][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[201][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[201][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[201][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[201][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[201][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[201][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[201][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[201][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[201][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[201][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[201][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[201][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[201][TRUNC] = ActionEntry(SHIFT, 149);
}
void Cego::loadParser164()
{
   _actionMap[201][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[201][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[201][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[201][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[201][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[201][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[201][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[201][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[201][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[201][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[201][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[201][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[201][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[201][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[201][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[201][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[201][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[201][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[201][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[201][LB] = ActionEntry(SHIFT, 151);
   _actionMap[201][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[201][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[201][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[201][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[201][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[201][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[201][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[201][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[201][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[201][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[201][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[201][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[201][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[201][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[201][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[201][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[201][MAX] = ActionEntry(SHIFT, 129);
   _actionMap[201][RB] = ActionEntry(REDUCE, 121);
   _jumpMap[201][ObjSpec] = 102;
   _jumpMap[201][Constant] = 101;
   _jumpMap[201][SignedFloat] = 100;
   _jumpMap[201][SignedInt] = 99;
   _jumpMap[201][Attribute] = 98;
   _jumpMap[201][Function] = 97;
   _jumpMap[201][CasePrepare] = 96;
   _jumpMap[201][CaseClause] = 95;
   _jumpMap[201][Factor] = 94;
   _jumpMap[201][Term] = 93;
   _jumpMap[201][Expr] = 338;
   _jumpMap[201][ProcValueList] = 337;
}
void Cego::loadParser165()
{
   _jumpMap[201][ProcValueListOpt] = 336;
   _actionMap[202][SEMICOLON] = ActionEntry(REDUCE, 74);
   _actionMap[203][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[203][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[203][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[203][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[203][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[203][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[203][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[203][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[203][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[203][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[203][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[203][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[203][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[203][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[203][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[203][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[203][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[203][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[203][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[203][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[203][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[203][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[203][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[203][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[203][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[203][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[203][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[203][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[203][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[203][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[203][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[203][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[203][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[203][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[203][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[203][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[203][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[203][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[203][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[203][LB] = ActionEntry(SHIFT, 151);
   _actionMap[203][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[203][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[203][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[203][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[203][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[203][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[203][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[203][CLOB] = ActionEntry(SHIFT, 111);
}
void Cego::loadParser166()
{
   _actionMap[203][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[203][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[203][VARREF] = ActionEntry(SHIFT, 361);
   _actionMap[203][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[203][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[203][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[203][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[203][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[203][MAX] = ActionEntry(SHIFT, 129);
   _actionMap[203][IF] = ActionEntry(SHIFT, 355);
   _actionMap[203][BEGIN] = ActionEntry(SHIFT, 352);
   _actionMap[203][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[203][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[203][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[203][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[203][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[203][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[203][VAR] = ActionEntry(SHIFT, 359);
   _actionMap[203][CURSOR] = ActionEntry(SHIFT, 354);
   _actionMap[203][CLOSE] = ActionEntry(SHIFT, 353);
   _actionMap[203][NOOP] = ActionEntry(SHIFT, 356);
   _actionMap[203][THROW] = ActionEntry(SHIFT, 358);
   _actionMap[203][RETURNTOKEN] = ActionEntry(SHIFT, 357);
   _actionMap[203][WHILE] = ActionEntry(SHIFT, 360);
   _jumpMap[203][ObjSpec] = 102;
   _jumpMap[203][Constant] = 101;
   _jumpMap[203][SignedFloat] = 100;
   _jumpMap[203][SignedInt] = 99;
   _jumpMap[203][Attribute] = 98;
   _jumpMap[203][Function] = 97;
   _jumpMap[203][DeleteStatement] = 351;
   _jumpMap[203][UpdateStatement] = 350;
   _jumpMap[203][InsertStatement] = 349;
   _jumpMap[203][RollbackStatement] = 348;
   _jumpMap[203][CommitStatement] = 347;
   _jumpMap[203][StartStatement] = 346;
   _jumpMap[203][CasePrepare] = 96;
   _jumpMap[203][CaseClause] = 95;
   _jumpMap[203][Factor] = 94;
   _jumpMap[203][Term] = 93;
   _jumpMap[203][Expr] = 345;
   _jumpMap[203][ProcStatement] = 344;
   _jumpMap[203][ProcIfPart] = 343;
   _jumpMap[203][ProcBlockStart] = 342;
   _jumpMap[203][ProcStatementList] = 341;
   _jumpMap[203][ProcStmtBlock] = 340;
   _actionMap[204][IDENTIFIER] = ActionEntry(SHIFT, 362);
   _actionMap[205][ON] = ActionEntry(REDUCE, 190);
   _actionMap[205][IDENTIFIER] = ActionEntry(REDUCE, 190);
   _actionMap[206][ON] = ActionEntry(REDUCE, 189);
}
void Cego::loadParser167()
{
   _actionMap[206][IDENTIFIER] = ActionEntry(REDUCE, 189);
   _actionMap[207][SEMICOLON] = ActionEntry(REDUCE, 75);
   _actionMap[208][ON] = ActionEntry(SHIFT, 363);
   _actionMap[209][LB] = ActionEntry(SHIFT, 364);
   _actionMap[210][LB] = ActionEntry(SHIFT, 365);
   _actionMap[211][AS] = ActionEntry(SHIFT, 366);
   _actionMap[212][IDENTIFIER] = ActionEntry(SHIFT, 326);
   _actionMap[212][WHERE] = ActionEntry(REDUCE, 265);
   _actionMap[212][GROUP] = ActionEntry(REDUCE, 265);
   _actionMap[212][ORDER] = ActionEntry(REDUCE, 265);
   _actionMap[212][ROWLIMIT] = ActionEntry(REDUCE, 265);
   _actionMap[212][UNION] = ActionEntry(REDUCE, 265);
   _actionMap[212][ENDTOKEN] = ActionEntry(REDUCE, 265);
   _actionMap[212][RB] = ActionEntry(REDUCE, 265);
   _actionMap[212][SEMICOLON] = ActionEntry(REDUCE, 265);
   _actionMap[212][RETURNTOKEN] = ActionEntry(REDUCE, 265);
   _jumpMap[212][NoWhere] = 369;
   _jumpMap[212][WhereClause] = 368;
   _jumpMap[212][UpdDelAlias] = 367;
   _actionMap[213][SEMICOLON] = ActionEntry(REDUCE, 21);
   _actionMap[214][SEMICOLON] = ActionEntry(REDUCE, 20);
   _actionMap[215][SEMICOLON] = ActionEntry(REDUCE, 24);
   _actionMap[216][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[216][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[216][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[216][ObjSpec] = 371;
   _actionMap[217][SEMICOLON] = ActionEntry(REDUCE, 25);
   _actionMap[218][SEMICOLON] = ActionEntry(REDUCE, 19);
   _actionMap[219][SEMICOLON] = ActionEntry(REDUCE, 22);
   _actionMap[220][COUNTER] = ActionEntry(REDUCE, 69);
   _actionMap[220][BTREE] = ActionEntry(REDUCE, 69);
   _actionMap[220][INDEX] = ActionEntry(REDUCE, 69);
   _actionMap[220][CHECK] = ActionEntry(REDUCE, 69);
   _actionMap[220][FOREIGN] = ActionEntry(REDUCE, 69);
   _actionMap[220][PROCEDURE] = ActionEntry(REDUCE, 69);
   _actionMap[220][VIEW] = ActionEntry(REDUCE, 69);
   _actionMap[220][AVLTREE] = ActionEntry(REDUCE, 69);
   _actionMap[220][TABLE] = ActionEntry(REDUCE, 69);
   _actionMap[221][LB] = ActionEntry(SHIFT, 376);
   _actionMap[221][VALUES] = ActionEntry(REDUCE, 199);
   _actionMap[221][SELECT] = ActionEntry(REDUCE, 199);
   _jumpMap[221][SelectStatement] = 374;
   _jumpMap[221][InsertPrepare] = 373;
   _jumpMap[221][InsertArgSpec] = 372;
   _actionMap[222][SEMICOLON] = ActionEntry(REDUCE, 80);
   _actionMap[222][IDENTIFIER] = ActionEntry(REDUCE, 80);
   _actionMap[223][SEMICOLON] = ActionEntry(REDUCE, 7);
   _actionMap[224][IDENTIFIER] = ActionEntry(SHIFT, 377);
   _actionMap[225][SEMICOLON] = ActionEntry(REDUCE, 6);
   _actionMap[226][SEMICOLON] = ActionEntry(REDUCE, 12);
}
void Cego::loadParser168()
{
   _actionMap[227][SEMICOLON] = ActionEntry(REDUCE, 9);
   _actionMap[228][SEMICOLON] = ActionEntry(REDUCE, 8);
   _actionMap[229][SEMICOLON] = ActionEntry(REDUCE, 4);
   _actionMap[230][SEMICOLON] = ActionEntry(REDUCE, 10);
   _actionMap[231][SEMICOLON] = ActionEntry(REDUCE, 3);
   _actionMap[232][SEMICOLON] = ActionEntry(REDUCE, 11);
   _actionMap[233][SEMICOLON] = ActionEntry(REDUCE, 5);
   _actionMap[234][AS] = ActionEntry(SHIFT, 378);
   _actionMap[235][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[235][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[235][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[235][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[235][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[235][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[235][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[235][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[235][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[235][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[235][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[235][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[235][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[235][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[235][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[235][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[235][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[235][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[235][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[235][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[235][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[235][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[235][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[235][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[235][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[235][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[235][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[235][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[235][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[235][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[235][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[235][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[235][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[235][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[235][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[235][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[235][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[235][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[235][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[235][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[235][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[235][LB] = ActionEntry(SHIFT, 151);
}
void Cego::loadParser169()
{
   _actionMap[235][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[235][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[235][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[235][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[235][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[235][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[235][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[235][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[235][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[235][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[235][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[235][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[235][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[235][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[235][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[235][ObjSpec] = 102;
   _jumpMap[235][Constant] = 101;
   _jumpMap[235][SignedFloat] = 100;
   _jumpMap[235][SignedInt] = 99;
   _jumpMap[235][Attribute] = 98;
   _jumpMap[235][Function] = 97;
   _jumpMap[235][CasePrepare] = 96;
   _jumpMap[235][CaseClause] = 95;
   _jumpMap[235][Factor] = 94;
   _jumpMap[235][Term] = 379;
   _actionMap[236][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[236][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[236][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[236][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[236][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[236][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[236][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[236][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[236][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[236][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[236][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[236][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[236][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[236][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[236][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[236][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[236][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[236][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[236][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[236][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[236][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[236][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[236][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[236][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[236][STR2INT] = ActionEntry(SHIFT, 144);
}
void Cego::loadParser170()
{
   _actionMap[236][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[236][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[236][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[236][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[236][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[236][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[236][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[236][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[236][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[236][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[236][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[236][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[236][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[236][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[236][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[236][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[236][LB] = ActionEntry(SHIFT, 151);
   _actionMap[236][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[236][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[236][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[236][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[236][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[236][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[236][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[236][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[236][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[236][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[236][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[236][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[236][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[236][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[236][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[236][ObjSpec] = 102;
   _jumpMap[236][Constant] = 101;
   _jumpMap[236][SignedFloat] = 100;
   _jumpMap[236][SignedInt] = 99;
   _jumpMap[236][Attribute] = 98;
   _jumpMap[236][Function] = 97;
   _jumpMap[236][CasePrepare] = 96;
   _jumpMap[236][CaseClause] = 95;
   _jumpMap[236][Factor] = 94;
   _jumpMap[236][Term] = 380;
   _actionMap[237][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[237][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[237][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[237][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[237][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[237][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[237][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[237][TRIM] = ActionEntry(SHIFT, 147);
}
void Cego::loadParser171()
{
   _actionMap[237][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[237][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[237][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[237][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[237][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[237][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[237][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[237][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[237][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[237][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[237][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[237][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[237][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[237][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[237][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[237][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[237][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[237][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[237][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[237][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[237][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[237][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[237][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[237][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[237][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[237][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[237][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[237][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[237][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[237][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[237][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[237][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[237][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[237][LB] = ActionEntry(SHIFT, 151);
   _actionMap[237][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[237][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[237][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[237][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[237][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[237][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[237][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[237][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[237][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[237][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[237][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[237][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[237][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[237][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[237][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[237][ObjSpec] = 102;
}
void Cego::loadParser172()
{
   _jumpMap[237][Constant] = 101;
   _jumpMap[237][SignedFloat] = 100;
   _jumpMap[237][SignedInt] = 99;
   _jumpMap[237][Attribute] = 98;
   _jumpMap[237][Function] = 97;
   _jumpMap[237][CasePrepare] = 96;
   _jumpMap[237][CaseClause] = 95;
   _jumpMap[237][Factor] = 94;
   _jumpMap[237][Term] = 381;
   _actionMap[238][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[238][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[238][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[238][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[238][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[238][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[238][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[238][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[238][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[238][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[238][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[238][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[238][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[238][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[238][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[238][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[238][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[238][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[238][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[238][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[238][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[238][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[238][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[238][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[238][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[238][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[238][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[238][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[238][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[238][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[238][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[238][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[238][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[238][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[238][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[238][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[238][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[238][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[238][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[238][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[238][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
}
void Cego::loadParser173()
{
   _actionMap[238][LB] = ActionEntry(SHIFT, 151);
   _actionMap[238][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[238][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[238][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[238][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[238][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[238][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[238][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[238][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[238][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[238][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[238][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[238][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[238][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[238][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[238][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[238][ObjSpec] = 102;
   _jumpMap[238][Constant] = 101;
   _jumpMap[238][SignedFloat] = 100;
   _jumpMap[238][SignedInt] = 99;
   _jumpMap[238][Attribute] = 98;
   _jumpMap[238][Function] = 97;
   _jumpMap[238][CasePrepare] = 96;
   _jumpMap[238][CaseClause] = 95;
   _jumpMap[238][Factor] = 382;
   _actionMap[239][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[239][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[239][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[239][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[239][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[239][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[239][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[239][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[239][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[239][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[239][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[239][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[239][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[239][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[239][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[239][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[239][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[239][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[239][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[239][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[239][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[239][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[239][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[239][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[239][STR2INT] = ActionEntry(SHIFT, 144);
}
void Cego::loadParser174()
{
   _actionMap[239][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[239][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[239][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[239][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[239][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[239][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[239][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[239][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[239][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[239][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[239][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[239][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[239][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[239][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[239][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[239][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[239][LB] = ActionEntry(SHIFT, 151);
   _actionMap[239][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[239][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[239][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[239][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[239][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[239][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[239][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[239][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[239][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[239][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[239][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[239][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[239][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[239][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[239][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[239][ObjSpec] = 102;
   _jumpMap[239][Constant] = 101;
   _jumpMap[239][SignedFloat] = 100;
   _jumpMap[239][SignedInt] = 99;
   _jumpMap[239][Attribute] = 98;
   _jumpMap[239][Function] = 97;
   _jumpMap[239][CasePrepare] = 96;
   _jumpMap[239][CaseClause] = 95;
   _jumpMap[239][Factor] = 383;
   _actionMap[240][ELSE] = ActionEntry(SHIFT, 385);
   _actionMap[240][WHEN] = ActionEntry(SHIFT, 242);
   _jumpMap[240][CaseCondition] = 384;
   _actionMap[241][WHEN] = ActionEntry(REDUCE, 167);
   _actionMap[241][ELSE] = ActionEntry(REDUCE, 167);
   _actionMap[242][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[242][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[242][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[242][TRIM] = ActionEntry(SHIFT, 147);
}
void Cego::loadParser175()
{
   _actionMap[242][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[242][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[242][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[242][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[242][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[242][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[242][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[242][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[242][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[242][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[242][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[242][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[242][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[242][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[242][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[242][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[242][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[242][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[242][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[242][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[242][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[242][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[242][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[242][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[242][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[242][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[242][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[242][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[242][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[242][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[242][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[242][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[242][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[242][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[242][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[242][LB] = ActionEntry(SHIFT, 391);
   _actionMap[242][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[242][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[242][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[242][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[242][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[242][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[242][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[242][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[242][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[242][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[242][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[242][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[242][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[242][SUM] = ActionEntry(SHIFT, 142);
}
void Cego::loadParser176()
{
   _actionMap[242][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[242][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[242][MAX] = ActionEntry(SHIFT, 129);
   _actionMap[242][EXISTS] = ActionEntry(SHIFT, 389);
   _actionMap[242][NOT] = ActionEntry(SHIFT, 390);
   _jumpMap[242][ObjSpec] = 102;
   _jumpMap[242][Constant] = 101;
   _jumpMap[242][SignedFloat] = 100;
   _jumpMap[242][SignedInt] = 99;
   _jumpMap[242][Attribute] = 98;
   _jumpMap[242][QueryPredicate] = 388;
   _jumpMap[242][QueryCondition] = 387;
   _jumpMap[242][Function] = 97;
   _jumpMap[242][CasePrepare] = 96;
   _jumpMap[242][CaseClause] = 95;
   _jumpMap[242][Factor] = 94;
   _jumpMap[242][Term] = 93;
   _jumpMap[242][Expr] = 386;
   _actionMap[243][RB] = ActionEntry(SHIFT, 394);
   _actionMap[243][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[243][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[243][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[243][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[243][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[243][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[243][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[243][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[243][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[243][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[243][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[243][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[243][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[243][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[243][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[243][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[243][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[243][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[243][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[243][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[243][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[243][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[243][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[243][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[243][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[243][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[243][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[243][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[243][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[243][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[243][BITXOR] = ActionEntry(SHIFT, 107);
}
void Cego::loadParser177()
{
   _actionMap[243][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[243][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[243][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[243][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[243][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[243][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[243][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[243][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[243][LB] = ActionEntry(SHIFT, 151);
   _actionMap[243][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[243][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[243][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[243][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[243][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[243][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[243][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[243][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[243][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[243][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[243][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[243][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[243][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[243][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[243][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[243][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[243][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[243][ObjSpec] = 102;
   _jumpMap[243][Constant] = 101;
   _jumpMap[243][SignedFloat] = 100;
   _jumpMap[243][SignedInt] = 99;
   _jumpMap[243][Attribute] = 98;
   _jumpMap[243][ExpressionList] = 393;
   _jumpMap[243][Function] = 97;
   _jumpMap[243][CasePrepare] = 96;
   _jumpMap[243][CaseClause] = 95;
   _jumpMap[243][Factor] = 94;
   _jumpMap[243][Term] = 93;
   _jumpMap[243][Expr] = 392;
   _actionMap[244][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[244][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[244][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[244][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[244][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[244][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[244][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[244][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[244][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[244][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[244][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[244][LOWER] = ActionEntry(SHIFT, 126);
}
void Cego::loadParser178()
{
   _actionMap[244][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[244][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[244][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[244][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[244][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[244][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[244][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[244][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[244][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[244][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[244][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[244][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[244][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[244][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[244][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[244][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[244][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[244][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[244][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[244][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[244][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[244][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[244][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[244][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[244][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[244][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[244][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[244][LB] = ActionEntry(SHIFT, 151);
   _actionMap[244][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[244][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[244][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[244][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[244][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[244][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[244][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[244][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[244][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[244][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[244][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[244][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[244][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[244][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[244][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[244][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[244][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[244][ObjSpec] = 102;
   _jumpMap[244][Constant] = 101;
   _jumpMap[244][SignedFloat] = 100;
   _jumpMap[244][SignedInt] = 99;
   _jumpMap[244][Attribute] = 98;
}
void Cego::loadParser179()
{
   _jumpMap[244][Function] = 97;
   _jumpMap[244][CasePrepare] = 96;
   _jumpMap[244][CaseClause] = 95;
   _jumpMap[244][Factor] = 94;
   _jumpMap[244][Term] = 93;
   _jumpMap[244][Expr] = 395;
   _actionMap[245][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[245][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[245][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[245][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[245][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[245][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[245][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[245][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[245][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[245][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[245][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[245][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[245][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[245][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[245][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[245][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[245][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[245][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[245][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[245][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[245][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[245][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[245][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[245][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[245][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[245][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[245][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[245][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[245][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[245][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[245][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[245][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[245][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[245][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[245][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[245][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[245][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[245][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[245][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[245][LB] = ActionEntry(SHIFT, 151);
   _actionMap[245][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[245][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[245][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[245][NULLTOKEN] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser180()
{
   _actionMap[245][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[245][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[245][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[245][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[245][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[245][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[245][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[245][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[245][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[245][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[245][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[245][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[245][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[245][ObjSpec] = 102;
   _jumpMap[245][Constant] = 101;
   _jumpMap[245][SignedFloat] = 100;
   _jumpMap[245][SignedInt] = 99;
   _jumpMap[245][Attribute] = 98;
   _jumpMap[245][ExpressionList] = 396;
   _jumpMap[245][Function] = 97;
   _jumpMap[245][CasePrepare] = 96;
   _jumpMap[245][CaseClause] = 95;
   _jumpMap[245][Factor] = 94;
   _jumpMap[245][Term] = 93;
   _jumpMap[245][Expr] = 392;
   _actionMap[246][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[246][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[246][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[246][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[246][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[246][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[246][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[246][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[246][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[246][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[246][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[246][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[246][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[246][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[246][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[246][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[246][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[246][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[246][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[246][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[246][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[246][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[246][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[246][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[246][RANDINT] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser181()
{
   _actionMap[246][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[246][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[246][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[246][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[246][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[246][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[246][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[246][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[246][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[246][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[246][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[246][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[246][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[246][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[246][LB] = ActionEntry(SHIFT, 151);
   _actionMap[246][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[246][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[246][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[246][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[246][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[246][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[246][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[246][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[246][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[246][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[246][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[246][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[246][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[246][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[246][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[246][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[246][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[246][ObjSpec] = 102;
   _jumpMap[246][Constant] = 101;
   _jumpMap[246][SignedFloat] = 100;
   _jumpMap[246][SignedInt] = 99;
   _jumpMap[246][Attribute] = 98;
   _jumpMap[246][ExpressionList] = 397;
   _jumpMap[246][Function] = 97;
   _jumpMap[246][CasePrepare] = 96;
   _jumpMap[246][CaseClause] = 95;
   _jumpMap[246][Factor] = 94;
   _jumpMap[246][Term] = 93;
   _jumpMap[246][Expr] = 392;
   _actionMap[247][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[247][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[247][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[247][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[247][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[247][LTRIM] = ActionEntry(SHIFT, 127);
}
void Cego::loadParser182()
{
   _actionMap[247][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[247][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[247][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[247][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[247][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[247][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[247][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[247][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[247][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[247][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[247][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[247][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[247][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[247][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[247][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[247][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[247][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[247][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[247][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[247][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[247][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[247][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[247][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[247][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[247][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[247][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[247][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[247][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[247][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[247][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[247][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[247][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[247][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[247][LB] = ActionEntry(SHIFT, 151);
   _actionMap[247][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[247][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[247][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[247][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[247][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[247][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[247][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[247][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[247][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[247][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[247][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[247][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[247][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[247][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[247][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[247][MIN] = ActionEntry(SHIFT, 128);
}
void Cego::loadParser183()
{
   _actionMap[247][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[247][ObjSpec] = 102;
   _jumpMap[247][Constant] = 101;
   _jumpMap[247][SignedFloat] = 100;
   _jumpMap[247][SignedInt] = 99;
   _jumpMap[247][Attribute] = 98;
   _jumpMap[247][ExpressionList] = 398;
   _jumpMap[247][Function] = 97;
   _jumpMap[247][CasePrepare] = 96;
   _jumpMap[247][CaseClause] = 95;
   _jumpMap[247][Factor] = 94;
   _jumpMap[247][Term] = 93;
   _jumpMap[247][Expr] = 392;
   _actionMap[248][INTVAL] = ActionEntry(SHIFT, 399);
   _actionMap[249][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[249][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[249][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[249][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[249][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[249][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[249][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[249][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[249][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[249][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[249][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[249][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[249][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[249][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[249][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[249][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[249][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[249][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[249][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[249][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[249][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[249][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[249][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[249][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[249][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[249][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[249][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[249][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[249][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[249][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[249][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[249][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[249][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[249][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[249][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[249][SETCOUNT] = ActionEntry(SHIFT, 140);
}
void Cego::loadParser184()
{
   _actionMap[249][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[249][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[249][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[249][LB] = ActionEntry(SHIFT, 151);
   _actionMap[249][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[249][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[249][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[249][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[249][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[249][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[249][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[249][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[249][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[249][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[249][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[249][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[249][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[249][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[249][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[249][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[249][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[249][ObjSpec] = 102;
   _jumpMap[249][Constant] = 101;
   _jumpMap[249][SignedFloat] = 100;
   _jumpMap[249][SignedInt] = 99;
   _jumpMap[249][Attribute] = 98;
   _jumpMap[249][ExpressionList] = 400;
   _jumpMap[249][Function] = 97;
   _jumpMap[249][CasePrepare] = 96;
   _jumpMap[249][CaseClause] = 95;
   _jumpMap[249][Factor] = 94;
   _jumpMap[249][Term] = 93;
   _jumpMap[249][Expr] = 392;
   _actionMap[250][INTVAL] = ActionEntry(SHIFT, 401);
   _actionMap[251][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[251][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[251][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[251][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[251][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[251][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[251][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[251][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[251][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[251][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[251][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[251][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[251][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[251][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[251][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[251][GETPOS] = ActionEntry(SHIFT, 121);
}
void Cego::loadParser185()
{
   _actionMap[251][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[251][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[251][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[251][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[251][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[251][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[251][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[251][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[251][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[251][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[251][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[251][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[251][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[251][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[251][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[251][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[251][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[251][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[251][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[251][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[251][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[251][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[251][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[251][LB] = ActionEntry(SHIFT, 151);
   _actionMap[251][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[251][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[251][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[251][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[251][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[251][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[251][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[251][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[251][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[251][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[251][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[251][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[251][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[251][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[251][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[251][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[251][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[251][ObjSpec] = 102;
   _jumpMap[251][Constant] = 101;
   _jumpMap[251][SignedFloat] = 100;
   _jumpMap[251][SignedInt] = 99;
   _jumpMap[251][Attribute] = 98;
   _jumpMap[251][ExpressionList] = 402;
   _jumpMap[251][Function] = 97;
   _jumpMap[251][CasePrepare] = 96;
   _jumpMap[251][CaseClause] = 95;
}
void Cego::loadParser186()
{
   _jumpMap[251][Factor] = 94;
   _jumpMap[251][Term] = 93;
   _jumpMap[251][Expr] = 392;
   _actionMap[252][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[252][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[252][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[252][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[252][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[252][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[252][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[252][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[252][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[252][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[252][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[252][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[252][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[252][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[252][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[252][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[252][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[252][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[252][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[252][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[252][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[252][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[252][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[252][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[252][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[252][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[252][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[252][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[252][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[252][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[252][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[252][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[252][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[252][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[252][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[252][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[252][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[252][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[252][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[252][LB] = ActionEntry(SHIFT, 151);
   _actionMap[252][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[252][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[252][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[252][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[252][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[252][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[252][BLOB] = ActionEntry(SHIFT, 108);
}
void Cego::loadParser187()
{
   _actionMap[252][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[252][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[252][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[252][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[252][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[252][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[252][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[252][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[252][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[252][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[252][ObjSpec] = 102;
   _jumpMap[252][Constant] = 101;
   _jumpMap[252][SignedFloat] = 100;
   _jumpMap[252][SignedInt] = 99;
   _jumpMap[252][Attribute] = 98;
   _jumpMap[252][ExpressionList] = 403;
   _jumpMap[252][Function] = 97;
   _jumpMap[252][CasePrepare] = 96;
   _jumpMap[252][CaseClause] = 95;
   _jumpMap[252][Factor] = 94;
   _jumpMap[252][Term] = 93;
   _jumpMap[252][Expr] = 392;
   _actionMap[253][STAR] = ActionEntry(SHIFT, 405);
   _actionMap[253][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[253][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[253][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[253][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[253][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[253][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[253][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[253][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[253][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[253][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[253][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[253][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[253][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[253][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[253][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[253][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[253][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[253][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[253][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[253][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[253][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[253][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[253][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[253][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[253][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[253][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[253][DIV] = ActionEntry(SHIFT, 118);
}
void Cego::loadParser188()
{
   _actionMap[253][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[253][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[253][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[253][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[253][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[253][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[253][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[253][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[253][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[253][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[253][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[253][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[253][LB] = ActionEntry(SHIFT, 151);
   _actionMap[253][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[253][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[253][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[253][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[253][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[253][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[253][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[253][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[253][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[253][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[253][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[253][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[253][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[253][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[253][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[253][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[253][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[253][ObjSpec] = 102;
   _jumpMap[253][Constant] = 101;
   _jumpMap[253][SignedFloat] = 100;
   _jumpMap[253][SignedInt] = 99;
   _jumpMap[253][Attribute] = 98;
   _jumpMap[253][Function] = 97;
   _jumpMap[253][CasePrepare] = 96;
   _jumpMap[253][CaseClause] = 95;
   _jumpMap[253][Factor] = 94;
   _jumpMap[253][Term] = 93;
   _jumpMap[253][Expr] = 404;
   _actionMap[254][STRINGVAL] = ActionEntry(SHIFT, 407);
   _jumpMap[254][DateFormat] = 406;
   _actionMap[255][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[255][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[255][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[255][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[255][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[255][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[255][ROUND] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser189()
{
   _actionMap[255][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[255][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[255][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[255][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[255][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[255][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[255][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[255][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[255][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[255][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[255][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[255][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[255][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[255][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[255][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[255][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[255][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[255][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[255][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[255][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[255][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[255][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[255][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[255][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[255][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[255][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[255][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[255][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[255][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[255][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[255][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[255][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[255][LB] = ActionEntry(SHIFT, 151);
   _actionMap[255][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[255][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[255][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[255][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[255][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[255][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[255][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[255][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[255][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[255][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[255][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[255][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[255][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[255][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[255][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[255][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[255][MAX] = ActionEntry(SHIFT, 129);
}
void Cego::loadParser190()
{
   _jumpMap[255][ObjSpec] = 102;
   _jumpMap[255][Constant] = 101;
   _jumpMap[255][SignedFloat] = 100;
   _jumpMap[255][SignedInt] = 99;
   _jumpMap[255][Attribute] = 98;
   _jumpMap[255][ExpressionList] = 408;
   _jumpMap[255][Function] = 97;
   _jumpMap[255][CasePrepare] = 96;
   _jumpMap[255][CaseClause] = 95;
   _jumpMap[255][Factor] = 94;
   _jumpMap[255][Term] = 93;
   _jumpMap[255][Expr] = 392;
   _actionMap[256][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[256][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[256][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[256][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[256][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[256][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[256][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[256][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[256][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[256][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[256][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[256][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[256][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[256][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[256][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[256][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[256][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[256][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[256][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[256][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[256][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[256][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[256][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[256][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[256][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[256][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[256][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[256][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[256][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[256][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[256][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[256][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[256][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[256][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[256][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[256][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[256][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[256][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
}
void Cego::loadParser191()
{
   _actionMap[256][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[256][LB] = ActionEntry(SHIFT, 151);
   _actionMap[256][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[256][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[256][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[256][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[256][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[256][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[256][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[256][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[256][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[256][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[256][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[256][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[256][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[256][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[256][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[256][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[256][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[256][ObjSpec] = 102;
   _jumpMap[256][Constant] = 101;
   _jumpMap[256][SignedFloat] = 100;
   _jumpMap[256][SignedInt] = 99;
   _jumpMap[256][Attribute] = 98;
   _jumpMap[256][ExpressionList] = 409;
   _jumpMap[256][Function] = 97;
   _jumpMap[256][CasePrepare] = 96;
   _jumpMap[256][CaseClause] = 95;
   _jumpMap[256][Factor] = 94;
   _jumpMap[256][Term] = 93;
   _jumpMap[256][Expr] = 392;
   _actionMap[257][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[257][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[257][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[257][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[257][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[257][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[257][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[257][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[257][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[257][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[257][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[257][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[257][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[257][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[257][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[257][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[257][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[257][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[257][LENGTH] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser192()
{
   _actionMap[257][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[257][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[257][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[257][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[257][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[257][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[257][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[257][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[257][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[257][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[257][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[257][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[257][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[257][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[257][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[257][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[257][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[257][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[257][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[257][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[257][LB] = ActionEntry(SHIFT, 151);
   _actionMap[257][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[257][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[257][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[257][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[257][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[257][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[257][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[257][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[257][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[257][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[257][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[257][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[257][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[257][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[257][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[257][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[257][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[257][ObjSpec] = 102;
   _jumpMap[257][Constant] = 101;
   _jumpMap[257][SignedFloat] = 100;
   _jumpMap[257][SignedInt] = 99;
   _jumpMap[257][Attribute] = 98;
   _jumpMap[257][ExpressionList] = 410;
   _jumpMap[257][Function] = 97;
   _jumpMap[257][CasePrepare] = 96;
   _jumpMap[257][CaseClause] = 95;
   _jumpMap[257][Factor] = 94;
   _jumpMap[257][Term] = 93;
   _jumpMap[257][Expr] = 392;
}
void Cego::loadParser193()
{
   _actionMap[258][INTO] = ActionEntry(SHIFT, 411);
   _actionMap[259][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[259][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[259][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[259][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[259][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[259][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[259][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[259][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[259][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[259][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[259][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[259][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[259][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[259][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[259][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[259][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[259][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[259][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[259][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[259][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[259][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[259][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[259][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[259][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[259][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[259][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[259][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[259][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[259][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[259][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[259][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[259][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[259][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[259][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[259][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[259][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[259][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[259][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[259][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[259][LB] = ActionEntry(SHIFT, 151);
   _actionMap[259][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[259][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[259][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[259][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[259][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[259][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[259][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[259][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[259][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
}
void Cego::loadParser194()
{
   _actionMap[259][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[259][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[259][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[259][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[259][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[259][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[259][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[259][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[259][ObjSpec] = 102;
   _jumpMap[259][Constant] = 101;
   _jumpMap[259][SignedFloat] = 100;
   _jumpMap[259][SignedInt] = 99;
   _jumpMap[259][Attribute] = 98;
   _jumpMap[259][ExpressionList] = 412;
   _jumpMap[259][Function] = 97;
   _jumpMap[259][CasePrepare] = 96;
   _jumpMap[259][CaseClause] = 95;
   _jumpMap[259][Factor] = 94;
   _jumpMap[259][Term] = 93;
   _jumpMap[259][Expr] = 392;
   _actionMap[260][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[260][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[260][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[260][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[260][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[260][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[260][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[260][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[260][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[260][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[260][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[260][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[260][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[260][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[260][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[260][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[260][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[260][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[260][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[260][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[260][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[260][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[260][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[260][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[260][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[260][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[260][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[260][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[260][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[260][BITOR] = ActionEntry(SHIFT, 106);
}
void Cego::loadParser195()
{
   _actionMap[260][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[260][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[260][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[260][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[260][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[260][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[260][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[260][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[260][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[260][LB] = ActionEntry(SHIFT, 151);
   _actionMap[260][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[260][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[260][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[260][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[260][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[260][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[260][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[260][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[260][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[260][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[260][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[260][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[260][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[260][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[260][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[260][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[260][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[260][ObjSpec] = 102;
   _jumpMap[260][Constant] = 101;
   _jumpMap[260][SignedFloat] = 100;
   _jumpMap[260][SignedInt] = 99;
   _jumpMap[260][Attribute] = 98;
   _jumpMap[260][ExpressionList] = 413;
   _jumpMap[260][Function] = 97;
   _jumpMap[260][CasePrepare] = 96;
   _jumpMap[260][CaseClause] = 95;
   _jumpMap[260][Factor] = 94;
   _jumpMap[260][Term] = 93;
   _jumpMap[260][Expr] = 392;
   _actionMap[261][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[261][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[261][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[261][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[261][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[261][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[261][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[261][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[261][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[261][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[261][NEWDATE] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser196()
{
   _actionMap[261][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[261][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[261][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[261][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[261][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[261][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[261][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[261][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[261][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[261][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[261][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[261][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[261][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[261][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[261][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[261][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[261][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[261][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[261][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[261][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[261][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[261][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[261][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[261][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[261][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[261][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[261][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[261][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[261][LB] = ActionEntry(SHIFT, 151);
   _actionMap[261][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[261][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[261][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[261][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[261][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[261][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[261][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[261][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[261][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[261][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[261][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[261][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[261][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[261][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[261][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[261][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[261][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[261][ObjSpec] = 102;
   _jumpMap[261][Constant] = 101;
   _jumpMap[261][SignedFloat] = 100;
   _jumpMap[261][SignedInt] = 99;
}
void Cego::loadParser197()
{
   _jumpMap[261][Attribute] = 98;
   _jumpMap[261][ExpressionList] = 414;
   _jumpMap[261][Function] = 97;
   _jumpMap[261][CasePrepare] = 96;
   _jumpMap[261][CaseClause] = 95;
   _jumpMap[261][Factor] = 94;
   _jumpMap[261][Term] = 93;
   _jumpMap[261][Expr] = 392;
   _actionMap[262][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[262][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[262][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[262][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[262][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[262][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[262][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[262][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[262][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[262][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[262][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[262][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[262][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[262][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[262][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[262][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[262][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[262][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[262][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[262][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[262][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[262][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[262][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[262][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[262][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[262][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[262][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[262][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[262][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[262][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[262][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[262][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[262][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[262][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[262][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[262][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[262][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[262][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[262][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[262][LB] = ActionEntry(SHIFT, 151);
   _actionMap[262][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[262][DATE] = ActionEntry(SHIFT, 115);
}
void Cego::loadParser198()
{
   _actionMap[262][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[262][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[262][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[262][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[262][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[262][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[262][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[262][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[262][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[262][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[262][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[262][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[262][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[262][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[262][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[262][ObjSpec] = 102;
   _jumpMap[262][Constant] = 101;
   _jumpMap[262][SignedFloat] = 100;
   _jumpMap[262][SignedInt] = 99;
   _jumpMap[262][Attribute] = 98;
   _jumpMap[262][ExpressionList] = 415;
   _jumpMap[262][Function] = 97;
   _jumpMap[262][CasePrepare] = 96;
   _jumpMap[262][CaseClause] = 95;
   _jumpMap[262][Factor] = 94;
   _jumpMap[262][Term] = 93;
   _jumpMap[262][Expr] = 392;
   _actionMap[263][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[263][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[263][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[263][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[263][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[263][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[263][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[263][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[263][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[263][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[263][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[263][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[263][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[263][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[263][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[263][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[263][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[263][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[263][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[263][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[263][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[263][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[263][STR2DATE] = ActionEntry(SHIFT, 146);
}
void Cego::loadParser199()
{
   _actionMap[263][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[263][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[263][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[263][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[263][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[263][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[263][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[263][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[263][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[263][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[263][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[263][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[263][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[263][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[263][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[263][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[263][LB] = ActionEntry(SHIFT, 151);
   _actionMap[263][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[263][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[263][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[263][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[263][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[263][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[263][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[263][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[263][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[263][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[263][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[263][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[263][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[263][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[263][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[263][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[263][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[263][ObjSpec] = 102;
   _jumpMap[263][Constant] = 101;
   _jumpMap[263][SignedFloat] = 100;
   _jumpMap[263][SignedInt] = 99;
   _jumpMap[263][Attribute] = 98;
   _jumpMap[263][ExpressionList] = 416;
   _jumpMap[263][Function] = 97;
   _jumpMap[263][CasePrepare] = 96;
   _jumpMap[263][CaseClause] = 95;
   _jumpMap[263][Factor] = 94;
   _jumpMap[263][Term] = 93;
   _jumpMap[263][Expr] = 392;
   _actionMap[264][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[264][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[264][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[264][TRIM] = ActionEntry(SHIFT, 147);
}
void Cego::loadParser200()
{
   _actionMap[264][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[264][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[264][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[264][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[264][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[264][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[264][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[264][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[264][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[264][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[264][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[264][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[264][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[264][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[264][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[264][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[264][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[264][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[264][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[264][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[264][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[264][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[264][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[264][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[264][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[264][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[264][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[264][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[264][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[264][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[264][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[264][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[264][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[264][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[264][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[264][LB] = ActionEntry(SHIFT, 151);
   _actionMap[264][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[264][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[264][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[264][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[264][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[264][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[264][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[264][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[264][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[264][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[264][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[264][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[264][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[264][SUM] = ActionEntry(SHIFT, 142);
}
void Cego::loadParser201()
{
   _actionMap[264][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[264][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[264][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[264][ObjSpec] = 102;
   _jumpMap[264][Constant] = 101;
   _jumpMap[264][SignedFloat] = 100;
   _jumpMap[264][SignedInt] = 99;
   _jumpMap[264][Attribute] = 98;
   _jumpMap[264][ExpressionList] = 417;
   _jumpMap[264][Function] = 97;
   _jumpMap[264][CasePrepare] = 96;
   _jumpMap[264][CaseClause] = 95;
   _jumpMap[264][Factor] = 94;
   _jumpMap[264][Term] = 93;
   _jumpMap[264][Expr] = 392;
   _actionMap[265][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[265][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[265][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[265][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[265][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[265][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[265][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[265][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[265][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[265][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[265][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[265][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[265][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[265][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[265][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[265][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[265][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[265][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[265][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[265][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[265][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[265][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[265][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[265][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[265][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[265][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[265][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[265][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[265][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[265][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[265][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[265][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[265][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[265][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[265][NEXTCOUNT] = ActionEntry(SHIFT, 131);
}
void Cego::loadParser202()
{
   _actionMap[265][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[265][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[265][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[265][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[265][LB] = ActionEntry(SHIFT, 151);
   _actionMap[265][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[265][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[265][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[265][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[265][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[265][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[265][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[265][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[265][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[265][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[265][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[265][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[265][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[265][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[265][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[265][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[265][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[265][ObjSpec] = 102;
   _jumpMap[265][Constant] = 101;
   _jumpMap[265][SignedFloat] = 100;
   _jumpMap[265][SignedInt] = 99;
   _jumpMap[265][Attribute] = 98;
   _jumpMap[265][ExpressionList] = 418;
   _jumpMap[265][Function] = 97;
   _jumpMap[265][CasePrepare] = 96;
   _jumpMap[265][CaseClause] = 95;
   _jumpMap[265][Factor] = 94;
   _jumpMap[265][Term] = 93;
   _jumpMap[265][Expr] = 392;
   _actionMap[266][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[266][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[266][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[266][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[266][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[266][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[266][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[266][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[266][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[266][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[266][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[266][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[266][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[266][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[266][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[266][GETPOS] = ActionEntry(SHIFT, 121);
}
void Cego::loadParser203()
{
   _actionMap[266][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[266][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[266][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[266][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[266][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[266][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[266][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[266][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[266][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[266][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[266][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[266][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[266][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[266][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[266][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[266][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[266][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[266][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[266][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[266][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[266][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[266][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[266][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[266][LB] = ActionEntry(SHIFT, 151);
   _actionMap[266][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[266][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[266][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[266][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[266][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[266][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[266][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[266][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[266][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[266][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[266][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[266][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[266][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[266][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[266][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[266][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[266][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[266][ObjSpec] = 102;
   _jumpMap[266][Constant] = 101;
   _jumpMap[266][SignedFloat] = 100;
   _jumpMap[266][SignedInt] = 99;
   _jumpMap[266][Attribute] = 98;
   _jumpMap[266][Function] = 97;
   _jumpMap[266][CasePrepare] = 96;
   _jumpMap[266][CaseClause] = 95;
   _jumpMap[266][Factor] = 94;
}
void Cego::loadParser204()
{
   _jumpMap[266][Term] = 93;
   _jumpMap[266][Expr] = 419;
   _actionMap[267][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[267][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[267][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[267][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[267][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[267][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[267][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[267][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[267][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[267][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[267][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[267][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[267][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[267][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[267][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[267][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[267][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[267][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[267][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[267][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[267][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[267][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[267][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[267][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[267][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[267][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[267][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[267][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[267][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[267][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[267][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[267][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[267][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[267][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[267][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[267][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[267][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[267][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[267][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[267][LB] = ActionEntry(SHIFT, 151);
   _actionMap[267][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[267][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[267][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[267][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[267][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[267][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[267][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[267][CLOB] = ActionEntry(SHIFT, 111);
}
void Cego::loadParser205()
{
   _actionMap[267][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[267][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[267][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[267][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[267][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[267][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[267][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[267][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[267][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[267][ObjSpec] = 102;
   _jumpMap[267][Constant] = 101;
   _jumpMap[267][SignedFloat] = 100;
   _jumpMap[267][SignedInt] = 99;
   _jumpMap[267][Attribute] = 98;
   _jumpMap[267][Function] = 97;
   _jumpMap[267][CasePrepare] = 96;
   _jumpMap[267][CaseClause] = 95;
   _jumpMap[267][Factor] = 94;
   _jumpMap[267][Term] = 93;
   _jumpMap[267][Expr] = 420;
   _actionMap[268][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[268][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[268][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[268][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[268][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[268][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[268][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[268][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[268][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[268][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[268][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[268][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[268][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[268][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[268][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[268][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[268][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[268][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[268][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[268][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[268][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[268][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[268][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[268][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[268][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[268][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[268][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[268][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[268][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[268][BITOR] = ActionEntry(SHIFT, 106);
}
void Cego::loadParser206()
{
   _actionMap[268][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[268][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[268][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[268][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[268][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[268][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[268][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[268][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[268][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[268][LB] = ActionEntry(SHIFT, 151);
   _actionMap[268][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[268][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[268][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[268][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[268][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[268][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[268][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[268][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[268][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[268][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[268][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[268][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[268][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[268][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[268][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[268][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[268][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[268][ObjSpec] = 102;
   _jumpMap[268][Constant] = 101;
   _jumpMap[268][SignedFloat] = 100;
   _jumpMap[268][SignedInt] = 99;
   _jumpMap[268][Attribute] = 98;
   _jumpMap[268][ExpressionList] = 421;
   _jumpMap[268][Function] = 97;
   _jumpMap[268][CasePrepare] = 96;
   _jumpMap[268][CaseClause] = 95;
   _jumpMap[268][Factor] = 94;
   _jumpMap[268][Term] = 93;
   _jumpMap[268][Expr] = 392;
   _actionMap[269][IDENTIFIER] = ActionEntry(SHIFT, 422);
   _actionMap[270][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[270][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[270][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[270][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[270][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[270][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[270][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[270][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[270][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[270][INT2DATE] = ActionEntry(SHIFT, 122);
}
void Cego::loadParser207()
{
   _actionMap[270][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[270][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[270][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[270][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[270][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[270][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[270][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[270][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[270][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[270][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[270][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[270][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[270][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[270][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[270][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[270][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[270][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[270][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[270][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[270][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[270][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[270][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[270][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[270][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[270][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[270][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[270][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[270][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[270][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[270][LB] = ActionEntry(SHIFT, 151);
   _actionMap[270][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[270][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[270][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[270][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[270][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[270][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[270][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[270][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[270][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[270][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[270][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[270][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[270][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[270][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[270][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[270][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[270][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[270][ObjSpec] = 102;
   _jumpMap[270][Constant] = 101;
   _jumpMap[270][SignedFloat] = 100;
}
void Cego::loadParser208()
{
   _jumpMap[270][SignedInt] = 99;
   _jumpMap[270][Attribute] = 98;
   _jumpMap[270][ExpressionList] = 423;
   _jumpMap[270][Function] = 97;
   _jumpMap[270][CasePrepare] = 96;
   _jumpMap[270][CaseClause] = 95;
   _jumpMap[270][Factor] = 94;
   _jumpMap[270][Term] = 93;
   _jumpMap[270][Expr] = 392;
   _actionMap[271][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[271][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[271][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[271][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[271][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[271][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[271][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[271][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[271][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[271][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[271][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[271][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[271][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[271][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[271][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[271][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[271][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[271][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[271][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[271][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[271][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[271][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[271][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[271][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[271][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[271][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[271][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[271][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[271][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[271][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[271][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[271][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[271][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[271][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[271][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[271][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[271][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[271][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[271][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[271][LB] = ActionEntry(SHIFT, 151);
   _actionMap[271][STRINGVAL] = ActionEntry(SHIFT, 103);
}
void Cego::loadParser209()
{
   _actionMap[271][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[271][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[271][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[271][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[271][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[271][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[271][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[271][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[271][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[271][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[271][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[271][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[271][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[271][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[271][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[271][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[271][ObjSpec] = 102;
   _jumpMap[271][Constant] = 101;
   _jumpMap[271][SignedFloat] = 100;
   _jumpMap[271][SignedInt] = 99;
   _jumpMap[271][Attribute] = 98;
   _jumpMap[271][ExpressionList] = 424;
   _jumpMap[271][Function] = 97;
   _jumpMap[271][CasePrepare] = 96;
   _jumpMap[271][CaseClause] = 95;
   _jumpMap[271][Factor] = 94;
   _jumpMap[271][Term] = 93;
   _jumpMap[271][Expr] = 392;
   _actionMap[272][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[272][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[272][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[272][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[272][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[272][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[272][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[272][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[272][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[272][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[272][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[272][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[272][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[272][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[272][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[272][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[272][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[272][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[272][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[272][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[272][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[272][STR2LONG] = ActionEntry(SHIFT, 145);
}
void Cego::loadParser210()
{
   _actionMap[272][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[272][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[272][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[272][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[272][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[272][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[272][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[272][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[272][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[272][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[272][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[272][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[272][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[272][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[272][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[272][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[272][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[272][LB] = ActionEntry(SHIFT, 151);
   _actionMap[272][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[272][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[272][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[272][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[272][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[272][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[272][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[272][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[272][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[272][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[272][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[272][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[272][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[272][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[272][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[272][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[272][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[272][ObjSpec] = 102;
   _jumpMap[272][Constant] = 101;
   _jumpMap[272][SignedFloat] = 100;
   _jumpMap[272][SignedInt] = 99;
   _jumpMap[272][Attribute] = 98;
   _jumpMap[272][ExpressionList] = 425;
   _jumpMap[272][Function] = 97;
   _jumpMap[272][CasePrepare] = 96;
   _jumpMap[272][CaseClause] = 95;
   _jumpMap[272][Factor] = 94;
   _jumpMap[272][Term] = 93;
   _jumpMap[272][Expr] = 392;
   _actionMap[273][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[273][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[273][INTVAL] = ActionEntry(SHIFT, 153);
}
void Cego::loadParser211()
{
   _actionMap[273][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[273][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[273][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[273][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[273][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[273][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[273][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[273][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[273][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[273][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[273][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[273][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[273][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[273][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[273][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[273][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[273][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[273][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[273][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[273][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[273][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[273][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[273][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[273][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[273][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[273][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[273][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[273][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[273][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[273][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[273][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[273][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[273][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[273][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[273][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[273][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[273][LB] = ActionEntry(SHIFT, 151);
   _actionMap[273][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[273][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[273][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[273][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[273][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[273][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[273][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[273][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[273][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[273][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[273][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[273][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[273][COUNT] = ActionEntry(SHIFT, 114);
}
void Cego::loadParser212()
{
   _actionMap[273][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[273][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[273][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[273][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[273][ObjSpec] = 102;
   _jumpMap[273][Constant] = 101;
   _jumpMap[273][SignedFloat] = 100;
   _jumpMap[273][SignedInt] = 99;
   _jumpMap[273][Attribute] = 98;
   _jumpMap[273][ExpressionList] = 426;
   _jumpMap[273][Function] = 97;
   _jumpMap[273][CasePrepare] = 96;
   _jumpMap[273][CaseClause] = 95;
   _jumpMap[273][Factor] = 94;
   _jumpMap[273][Term] = 93;
   _jumpMap[273][Expr] = 392;
   _actionMap[274][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[274][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[274][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[274][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[274][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[274][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[274][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[274][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[274][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[274][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[274][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[274][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[274][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[274][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[274][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[274][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[274][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[274][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[274][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[274][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[274][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[274][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[274][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[274][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[274][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[274][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[274][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[274][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[274][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[274][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[274][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[274][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[274][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[274][CLOB2STR] = ActionEntry(SHIFT, 113);
}
void Cego::loadParser213()
{
   _actionMap[274][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[274][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[274][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[274][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[274][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[274][LB] = ActionEntry(SHIFT, 151);
   _actionMap[274][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[274][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[274][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[274][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[274][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[274][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[274][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[274][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[274][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[274][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[274][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[274][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[274][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[274][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[274][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[274][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[274][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[274][ObjSpec] = 102;
   _jumpMap[274][Constant] = 101;
   _jumpMap[274][SignedFloat] = 100;
   _jumpMap[274][SignedInt] = 99;
   _jumpMap[274][Attribute] = 98;
   _jumpMap[274][ExpressionList] = 427;
   _jumpMap[274][Function] = 97;
   _jumpMap[274][CasePrepare] = 96;
   _jumpMap[274][CaseClause] = 95;
   _jumpMap[274][Factor] = 94;
   _jumpMap[274][Term] = 93;
   _jumpMap[274][Expr] = 392;
   _actionMap[275][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[275][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[275][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[275][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[275][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[275][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[275][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[275][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[275][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[275][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[275][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[275][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[275][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[275][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[275][RIGHT] = ActionEntry(SHIFT, 137);
}
void Cego::loadParser214()
{
   _actionMap[275][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[275][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[275][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[275][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[275][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[275][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[275][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[275][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[275][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[275][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[275][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[275][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[275][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[275][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[275][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[275][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[275][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[275][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[275][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[275][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[275][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[275][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[275][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[275][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[275][LB] = ActionEntry(SHIFT, 151);
   _actionMap[275][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[275][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[275][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[275][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[275][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[275][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[275][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[275][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[275][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[275][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[275][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[275][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[275][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[275][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[275][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[275][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[275][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[275][ObjSpec] = 102;
   _jumpMap[275][Constant] = 101;
   _jumpMap[275][SignedFloat] = 100;
   _jumpMap[275][SignedInt] = 99;
   _jumpMap[275][Attribute] = 98;
   _jumpMap[275][ExpressionList] = 428;
   _jumpMap[275][Function] = 97;
   _jumpMap[275][CasePrepare] = 96;
}
void Cego::loadParser215()
{
   _jumpMap[275][CaseClause] = 95;
   _jumpMap[275][Factor] = 94;
   _jumpMap[275][Term] = 93;
   _jumpMap[275][Expr] = 392;
   _actionMap[276][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[276][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[276][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[276][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[276][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[276][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[276][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[276][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[276][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[276][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[276][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[276][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[276][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[276][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[276][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[276][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[276][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[276][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[276][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[276][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[276][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[276][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[276][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[276][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[276][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[276][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[276][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[276][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[276][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[276][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[276][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[276][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[276][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[276][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[276][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[276][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[276][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[276][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[276][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[276][LB] = ActionEntry(SHIFT, 151);
   _actionMap[276][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[276][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[276][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[276][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[276][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[276][FALSEVAL] = ActionEntry(SHIFT, 119);
}
void Cego::loadParser216()
{
   _actionMap[276][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[276][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[276][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[276][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[276][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[276][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[276][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[276][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[276][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[276][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[276][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[276][ObjSpec] = 102;
   _jumpMap[276][Constant] = 101;
   _jumpMap[276][SignedFloat] = 100;
   _jumpMap[276][SignedInt] = 99;
   _jumpMap[276][Attribute] = 98;
   _jumpMap[276][ExpressionList] = 429;
   _jumpMap[276][Function] = 97;
   _jumpMap[276][CasePrepare] = 96;
   _jumpMap[276][CaseClause] = 95;
   _jumpMap[276][Factor] = 94;
   _jumpMap[276][Term] = 93;
   _jumpMap[276][Expr] = 392;
   _actionMap[277][IDENTIFIER] = ActionEntry(SHIFT, 430);
   _actionMap[278][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[278][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[278][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[278][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[278][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[278][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[278][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[278][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[278][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[278][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[278][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[278][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[278][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[278][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[278][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[278][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[278][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[278][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[278][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[278][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[278][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[278][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[278][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[278][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[278][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[278][MOD] = ActionEntry(SHIFT, 130);
}
void Cego::loadParser217()
{
   _actionMap[278][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[278][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[278][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[278][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[278][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[278][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[278][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[278][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[278][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[278][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[278][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[278][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[278][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[278][LB] = ActionEntry(SHIFT, 151);
   _actionMap[278][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[278][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[278][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[278][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[278][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[278][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[278][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[278][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[278][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[278][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[278][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[278][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[278][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[278][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[278][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[278][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[278][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[278][ObjSpec] = 102;
   _jumpMap[278][Constant] = 101;
   _jumpMap[278][SignedFloat] = 100;
   _jumpMap[278][SignedInt] = 99;
   _jumpMap[278][Attribute] = 98;
   _jumpMap[278][ExpressionList] = 431;
   _jumpMap[278][Function] = 97;
   _jumpMap[278][CasePrepare] = 96;
   _jumpMap[278][CaseClause] = 95;
   _jumpMap[278][Factor] = 94;
   _jumpMap[278][Term] = 93;
   _jumpMap[278][Expr] = 392;
   _actionMap[279][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[279][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[279][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[279][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[279][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[279][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[279][ROUND] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser218()
{
   _actionMap[279][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[279][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[279][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[279][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[279][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[279][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[279][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[279][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[279][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[279][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[279][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[279][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[279][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[279][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[279][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[279][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[279][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[279][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[279][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[279][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[279][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[279][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[279][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[279][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[279][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[279][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[279][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[279][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[279][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[279][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[279][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[279][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[279][LB] = ActionEntry(SHIFT, 151);
   _actionMap[279][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[279][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[279][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[279][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[279][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[279][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[279][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[279][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[279][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[279][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[279][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[279][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[279][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[279][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[279][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[279][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[279][MAX] = ActionEntry(SHIFT, 129);
}
void Cego::loadParser219()
{
   _jumpMap[279][ObjSpec] = 102;
   _jumpMap[279][Constant] = 101;
   _jumpMap[279][SignedFloat] = 100;
   _jumpMap[279][SignedInt] = 99;
   _jumpMap[279][Attribute] = 98;
   _jumpMap[279][Function] = 97;
   _jumpMap[279][CasePrepare] = 96;
   _jumpMap[279][CaseClause] = 95;
   _jumpMap[279][Factor] = 94;
   _jumpMap[279][Term] = 93;
   _jumpMap[279][Expr] = 432;
   _actionMap[280][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[280][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[280][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[280][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[280][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[280][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[280][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[280][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[280][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[280][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[280][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[280][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[280][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[280][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[280][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[280][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[280][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[280][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[280][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[280][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[280][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[280][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[280][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[280][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[280][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[280][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[280][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[280][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[280][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[280][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[280][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[280][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[280][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[280][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[280][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[280][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[280][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[280][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[280][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
}
void Cego::loadParser220()
{
   _actionMap[280][LB] = ActionEntry(SHIFT, 151);
   _actionMap[280][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[280][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[280][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[280][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[280][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[280][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[280][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[280][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[280][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[280][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[280][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[280][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[280][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[280][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[280][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[280][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[280][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[280][ObjSpec] = 102;
   _jumpMap[280][Constant] = 101;
   _jumpMap[280][SignedFloat] = 100;
   _jumpMap[280][SignedInt] = 99;
   _jumpMap[280][Attribute] = 98;
   _jumpMap[280][ExpressionList] = 433;
   _jumpMap[280][Function] = 97;
   _jumpMap[280][CasePrepare] = 96;
   _jumpMap[280][CaseClause] = 95;
   _jumpMap[280][Factor] = 94;
   _jumpMap[280][Term] = 93;
   _jumpMap[280][Expr] = 392;
   _actionMap[281][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[281][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[281][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[281][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[281][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[281][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[281][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[281][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[281][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[281][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[281][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[281][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[281][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[281][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[281][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[281][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[281][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[281][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[281][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[281][TRUNC] = ActionEntry(SHIFT, 149);
}
void Cego::loadParser221()
{
   _actionMap[281][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[281][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[281][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[281][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[281][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[281][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[281][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[281][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[281][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[281][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[281][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[281][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[281][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[281][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[281][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[281][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[281][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[281][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[281][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[281][LB] = ActionEntry(SHIFT, 151);
   _actionMap[281][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[281][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[281][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[281][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[281][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[281][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[281][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[281][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[281][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[281][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[281][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[281][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[281][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[281][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[281][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[281][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[281][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[281][ObjSpec] = 102;
   _jumpMap[281][Constant] = 101;
   _jumpMap[281][SignedFloat] = 100;
   _jumpMap[281][SignedInt] = 99;
   _jumpMap[281][Attribute] = 98;
   _jumpMap[281][ExpressionList] = 434;
   _jumpMap[281][Function] = 97;
   _jumpMap[281][CasePrepare] = 96;
   _jumpMap[281][CaseClause] = 95;
   _jumpMap[281][Factor] = 94;
   _jumpMap[281][Term] = 93;
   _jumpMap[281][Expr] = 392;
   _actionMap[282][FLOATVAL] = ActionEntry(SHIFT, 154);
}
void Cego::loadParser222()
{
   _actionMap[282][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[282][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[282][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[282][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[282][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[282][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[282][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[282][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[282][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[282][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[282][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[282][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[282][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[282][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[282][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[282][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[282][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[282][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[282][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[282][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[282][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[282][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[282][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[282][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[282][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[282][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[282][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[282][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[282][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[282][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[282][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[282][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[282][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[282][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[282][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[282][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[282][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[282][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[282][LB] = ActionEntry(SHIFT, 151);
   _actionMap[282][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[282][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[282][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[282][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[282][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[282][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[282][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[282][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[282][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[282][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[282][VARREF] = ActionEntry(SHIFT, 156);
}
void Cego::loadParser223()
{
   _actionMap[282][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[282][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[282][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[282][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[282][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[282][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[282][ObjSpec] = 102;
   _jumpMap[282][Constant] = 101;
   _jumpMap[282][SignedFloat] = 100;
   _jumpMap[282][SignedInt] = 99;
   _jumpMap[282][Attribute] = 98;
   _jumpMap[282][ExpressionList] = 435;
   _jumpMap[282][Function] = 97;
   _jumpMap[282][CasePrepare] = 96;
   _jumpMap[282][CaseClause] = 95;
   _jumpMap[282][Factor] = 94;
   _jumpMap[282][Term] = 93;
   _jumpMap[282][Expr] = 392;
   _actionMap[283][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[283][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[283][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[283][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[283][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[283][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[283][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[283][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[283][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[283][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[283][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[283][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[283][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[283][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[283][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[283][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[283][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[283][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[283][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[283][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[283][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[283][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[283][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[283][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[283][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[283][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[283][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[283][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[283][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[283][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[283][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[283][BLOBSIZE] = ActionEntry(SHIFT, 109);
}
void Cego::loadParser224()
{
   _actionMap[283][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[283][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[283][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[283][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[283][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[283][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[283][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[283][LB] = ActionEntry(SHIFT, 151);
   _actionMap[283][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[283][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[283][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[283][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[283][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[283][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[283][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[283][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[283][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[283][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[283][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[283][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[283][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[283][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[283][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[283][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[283][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[283][ObjSpec] = 102;
   _jumpMap[283][Constant] = 101;
   _jumpMap[283][SignedFloat] = 100;
   _jumpMap[283][SignedInt] = 99;
   _jumpMap[283][Attribute] = 98;
   _jumpMap[283][ExpressionList] = 436;
   _jumpMap[283][Function] = 97;
   _jumpMap[283][CasePrepare] = 96;
   _jumpMap[283][CaseClause] = 95;
   _jumpMap[283][Factor] = 94;
   _jumpMap[283][Term] = 93;
   _jumpMap[283][Expr] = 392;
   _actionMap[284][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[284][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[284][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[284][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[284][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[284][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[284][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[284][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[284][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[284][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[284][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[284][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[284][UPPER] = ActionEntry(SHIFT, 150);
}
void Cego::loadParser225()
{
   _actionMap[284][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[284][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[284][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[284][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[284][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[284][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[284][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[284][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[284][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[284][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[284][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[284][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[284][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[284][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[284][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[284][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[284][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[284][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[284][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[284][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[284][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[284][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[284][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[284][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[284][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[284][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[284][LB] = ActionEntry(SHIFT, 151);
   _actionMap[284][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[284][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[284][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[284][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[284][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[284][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[284][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[284][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[284][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[284][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[284][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[284][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[284][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[284][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[284][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[284][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[284][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[284][ObjSpec] = 102;
   _jumpMap[284][Constant] = 101;
   _jumpMap[284][SignedFloat] = 100;
   _jumpMap[284][SignedInt] = 99;
   _jumpMap[284][Attribute] = 98;
   _jumpMap[284][ExpressionList] = 437;
}
void Cego::loadParser226()
{
   _jumpMap[284][Function] = 97;
   _jumpMap[284][CasePrepare] = 96;
   _jumpMap[284][CaseClause] = 95;
   _jumpMap[284][Factor] = 94;
   _jumpMap[284][Term] = 93;
   _jumpMap[284][Expr] = 392;
   _actionMap[285][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[285][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[285][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[285][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[285][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[285][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[285][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[285][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[285][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[285][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[285][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[285][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[285][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[285][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[285][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[285][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[285][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[285][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[285][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[285][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[285][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[285][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[285][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[285][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[285][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[285][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[285][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[285][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[285][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[285][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[285][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[285][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[285][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[285][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[285][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[285][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[285][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[285][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[285][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[285][LB] = ActionEntry(SHIFT, 151);
   _actionMap[285][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[285][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[285][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[285][NULLTOKEN] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser227()
{
   _actionMap[285][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[285][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[285][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[285][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[285][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[285][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[285][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[285][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[285][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[285][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[285][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[285][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[285][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[285][ObjSpec] = 102;
   _jumpMap[285][Constant] = 101;
   _jumpMap[285][SignedFloat] = 100;
   _jumpMap[285][SignedInt] = 99;
   _jumpMap[285][Attribute] = 98;
   _jumpMap[285][ExpressionList] = 438;
   _jumpMap[285][Function] = 97;
   _jumpMap[285][CasePrepare] = 96;
   _jumpMap[285][CaseClause] = 95;
   _jumpMap[285][Factor] = 94;
   _jumpMap[285][Term] = 93;
   _jumpMap[285][Expr] = 392;
   _actionMap[286][RB] = ActionEntry(SHIFT, 439);
   _actionMap[286][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[286][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[286][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[287][RB] = ActionEntry(SHIFT, 440);
   _actionMap[288][RB] = ActionEntry(SHIFT, 441);
   _actionMap[289][RB] = ActionEntry(SHIFT, 442);
   _actionMap[290][RB] = ActionEntry(SHIFT, 443);
   _actionMap[291][RB] = ActionEntry(SHIFT, 444);
   _actionMap[292][RB] = ActionEntry(SHIFT, 445);
   _actionMap[293][RB] = ActionEntry(SHIFT, 446);
   _actionMap[294][RB] = ActionEntry(SHIFT, 447);
   _actionMap[295][WHEN] = ActionEntry(REDUCE, 359);
   _actionMap[295][ELSE] = ActionEntry(REDUCE, 359);
   _actionMap[295][LEFT] = ActionEntry(REDUCE, 359);
   _actionMap[295][RIGHT] = ActionEntry(REDUCE, 359);
   _actionMap[295][INNER] = ActionEntry(REDUCE, 359);
   _actionMap[295][JOIN] = ActionEntry(REDUCE, 359);
   _actionMap[295][RETURNTOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[295][ORDER] = ActionEntry(REDUCE, 359);
   _actionMap[295][GROUP] = ActionEntry(REDUCE, 359);
   _actionMap[295][WHERE] = ActionEntry(REDUCE, 359);
   _actionMap[295][AS] = ActionEntry(REDUCE, 359);
   _actionMap[295][FROM] = ActionEntry(REDUCE, 359);
   _actionMap[295][END_TOKEN] = ActionEntry(REDUCE, 359);
}
void Cego::loadParser228()
{
   _actionMap[295][BEGIN] = ActionEntry(REDUCE, 359);
   _actionMap[295][THEN] = ActionEntry(REDUCE, 359);
   _actionMap[295][OR] = ActionEntry(REDUCE, 359);
   _actionMap[295][AND] = ActionEntry(REDUCE, 359);
   _actionMap[295][NULLTOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[295][LIKE] = ActionEntry(REDUCE, 359);
   _actionMap[295][IS] = ActionEntry(REDUCE, 359);
   _actionMap[295][BETWEEN] = ActionEntry(REDUCE, 359);
   _actionMap[295][NOT] = ActionEntry(REDUCE, 359);
   _actionMap[295][INTOK] = ActionEntry(REDUCE, 359);
   _actionMap[295][EQU] = ActionEntry(REDUCE, 359);
   _actionMap[295][NEGATION] = ActionEntry(REDUCE, 359);
   _actionMap[295][LT] = ActionEntry(REDUCE, 359);
   _actionMap[295][MT] = ActionEntry(REDUCE, 359);
   _actionMap[295][DESC] = ActionEntry(REDUCE, 359);
   _actionMap[295][ASC] = ActionEntry(REDUCE, 359);
   _actionMap[295][KSEP] = ActionEntry(REDUCE, 359);
   _actionMap[295][ROWLIMIT] = ActionEntry(REDUCE, 359);
   _actionMap[295][UNION] = ActionEntry(REDUCE, 359);
   _actionMap[295][ENDTOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[295][RB] = ActionEntry(REDUCE, 359);
   _actionMap[295][SEMICOLON] = ActionEntry(REDUCE, 359);
   _actionMap[295][CONCAT] = ActionEntry(REDUCE, 359);
   _actionMap[295][STAR] = ActionEntry(REDUCE, 359);
   _actionMap[295][DIVISION] = ActionEntry(REDUCE, 359);
   _actionMap[295][MINUS] = ActionEntry(REDUCE, 359);
   _actionMap[295][PLUS] = ActionEntry(REDUCE, 359);
   _actionMap[296][WHEN] = ActionEntry(REDUCE, 361);
   _actionMap[296][ELSE] = ActionEntry(REDUCE, 361);
   _actionMap[296][LEFT] = ActionEntry(REDUCE, 361);
   _actionMap[296][RIGHT] = ActionEntry(REDUCE, 361);
   _actionMap[296][INNER] = ActionEntry(REDUCE, 361);
   _actionMap[296][JOIN] = ActionEntry(REDUCE, 361);
   _actionMap[296][RETURNTOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[296][ORDER] = ActionEntry(REDUCE, 361);
   _actionMap[296][GROUP] = ActionEntry(REDUCE, 361);
   _actionMap[296][WHERE] = ActionEntry(REDUCE, 361);
   _actionMap[296][AS] = ActionEntry(REDUCE, 361);
   _actionMap[296][FROM] = ActionEntry(REDUCE, 361);
   _actionMap[296][END_TOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[296][BEGIN] = ActionEntry(REDUCE, 361);
   _actionMap[296][THEN] = ActionEntry(REDUCE, 361);
   _actionMap[296][OR] = ActionEntry(REDUCE, 361);
   _actionMap[296][AND] = ActionEntry(REDUCE, 361);
   _actionMap[296][NULLTOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[296][LIKE] = ActionEntry(REDUCE, 361);
   _actionMap[296][IS] = ActionEntry(REDUCE, 361);
   _actionMap[296][BETWEEN] = ActionEntry(REDUCE, 361);
   _actionMap[296][NOT] = ActionEntry(REDUCE, 361);
   _actionMap[296][INTOK] = ActionEntry(REDUCE, 361);
}
void Cego::loadParser229()
{
   _actionMap[296][EQU] = ActionEntry(REDUCE, 361);
   _actionMap[296][NEGATION] = ActionEntry(REDUCE, 361);
   _actionMap[296][LT] = ActionEntry(REDUCE, 361);
   _actionMap[296][MT] = ActionEntry(REDUCE, 361);
   _actionMap[296][DESC] = ActionEntry(REDUCE, 361);
   _actionMap[296][ASC] = ActionEntry(REDUCE, 361);
   _actionMap[296][KSEP] = ActionEntry(REDUCE, 361);
   _actionMap[296][ROWLIMIT] = ActionEntry(REDUCE, 361);
   _actionMap[296][UNION] = ActionEntry(REDUCE, 361);
   _actionMap[296][ENDTOKEN] = ActionEntry(REDUCE, 361);
   _actionMap[296][RB] = ActionEntry(REDUCE, 361);
   _actionMap[296][SEMICOLON] = ActionEntry(REDUCE, 361);
   _actionMap[296][CONCAT] = ActionEntry(REDUCE, 361);
   _actionMap[296][STAR] = ActionEntry(REDUCE, 361);
   _actionMap[296][DIVISION] = ActionEntry(REDUCE, 361);
   _actionMap[296][MINUS] = ActionEntry(REDUCE, 361);
   _actionMap[296][PLUS] = ActionEntry(REDUCE, 361);
   _actionMap[297][WHEN] = ActionEntry(REDUCE, 357);
   _actionMap[297][ELSE] = ActionEntry(REDUCE, 357);
   _actionMap[297][LEFT] = ActionEntry(REDUCE, 357);
   _actionMap[297][RIGHT] = ActionEntry(REDUCE, 357);
   _actionMap[297][INNER] = ActionEntry(REDUCE, 357);
   _actionMap[297][JOIN] = ActionEntry(REDUCE, 357);
   _actionMap[297][RETURNTOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[297][GROUP] = ActionEntry(REDUCE, 357);
   _actionMap[297][WHERE] = ActionEntry(REDUCE, 357);
   _actionMap[297][FROM] = ActionEntry(REDUCE, 357);
   _actionMap[297][AS] = ActionEntry(REDUCE, 357);
   _actionMap[297][END_TOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[297][BEGIN] = ActionEntry(REDUCE, 357);
   _actionMap[297][THEN] = ActionEntry(REDUCE, 357);
   _actionMap[297][OR] = ActionEntry(REDUCE, 357);
   _actionMap[297][AND] = ActionEntry(REDUCE, 357);
   _actionMap[297][INTOK] = ActionEntry(REDUCE, 357);
   _actionMap[297][NOT] = ActionEntry(REDUCE, 357);
   _actionMap[297][BETWEEN] = ActionEntry(REDUCE, 357);
   _actionMap[297][IS] = ActionEntry(REDUCE, 357);
   _actionMap[297][LIKE] = ActionEntry(REDUCE, 357);
   _actionMap[297][HAVING] = ActionEntry(REDUCE, 357);
   _actionMap[297][ORDER] = ActionEntry(REDUCE, 357);
   _actionMap[297][MT] = ActionEntry(REDUCE, 357);
   _actionMap[297][LT] = ActionEntry(REDUCE, 357);
   _actionMap[297][NEGATION] = ActionEntry(REDUCE, 357);
   _actionMap[297][EQU] = ActionEntry(REDUCE, 357);
   _actionMap[297][RB] = ActionEntry(REDUCE, 357);
   _actionMap[297][ENDTOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[297][UNION] = ActionEntry(REDUCE, 357);
   _actionMap[297][ROWLIMIT] = ActionEntry(REDUCE, 357);
   _actionMap[297][KSEP] = ActionEntry(REDUCE, 357);
   _actionMap[297][ASC] = ActionEntry(REDUCE, 357);
}
void Cego::loadParser230()
{
   _actionMap[297][DESC] = ActionEntry(REDUCE, 357);
   _actionMap[297][SEMICOLON] = ActionEntry(REDUCE, 357);
   _actionMap[297][PLUS] = ActionEntry(REDUCE, 357);
   _actionMap[297][MINUS] = ActionEntry(REDUCE, 357);
   _actionMap[297][DIVISION] = ActionEntry(REDUCE, 357);
   _actionMap[297][STAR] = ActionEntry(REDUCE, 357);
   _actionMap[297][CONCAT] = ActionEntry(REDUCE, 357);
   _actionMap[298][TO] = ActionEntry(SHIFT, 448);
   _actionMap[299][TO] = ActionEntry(SHIFT, 449);
   _actionMap[300][TO] = ActionEntry(SHIFT, 450);
   _actionMap[301][TO] = ActionEntry(SHIFT, 451);
   _actionMap[302][TO] = ActionEntry(SHIFT, 452);
   _actionMap[303][TO] = ActionEntry(SHIFT, 453);
   _actionMap[304][TO] = ActionEntry(SHIFT, 454);
   _actionMap[305][SEMICOLON] = ActionEntry(REDUCE, 44);
   _actionMap[306][SEMICOLON] = ActionEntry(REDUCE, 43);
   _actionMap[307][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[307][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[307][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[307][ObjSpec] = 459;
   _jumpMap[307][Table] = 458;
   _jumpMap[307][TableList] = 457;
   _jumpMap[307][JoinSpecList] = 456;
   _jumpMap[307][TableSource] = 455;
   _actionMap[308][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[308][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[308][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[308][FROM] = ActionEntry(REDUCE, 230);
   _actionMap[308][AS] = ActionEntry(SHIFT, 462);
   _actionMap[308][KSEP] = ActionEntry(REDUCE, 230);
   _jumpMap[308][NoAliasOpt] = 461;
   _jumpMap[308][AliasOpt] = 460;
   _actionMap[309][KSEP] = ActionEntry(SHIFT, 463);
   _actionMap[309][FROM] = ActionEntry(REDUCE, 209);
   _actionMap[310][FROM] = ActionEntry(REDUCE, 212);
   _actionMap[310][KSEP] = ActionEntry(REDUCE, 212);
   _actionMap[311][ON] = ActionEntry(SHIFT, 465);
   _actionMap[311][OFF] = ActionEntry(SHIFT, 464);
   _actionMap[312][SEMICOLON] = ActionEntry(REDUCE, 35);
   _actionMap[313][SEMICOLON] = ActionEntry(REDUCE, 34);
   _actionMap[314][SEMICOLON] = ActionEntry(REDUCE, 37);
   _actionMap[315][SEMICOLON] = ActionEntry(REDUCE, 36);
   _actionMap[316][TO] = ActionEntry(SHIFT, 466);
   _actionMap[317][SEMICOLON] = ActionEntry(REDUCE, 38);
   _actionMap[318][SEMICOLON] = ActionEntry(REDUCE, 29);
   _actionMap[319][ON] = ActionEntry(SHIFT, 468);
   _actionMap[319][OFF] = ActionEntry(SHIFT, 467);
   _actionMap[320][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[320][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[320][INTVAL] = ActionEntry(SHIFT, 153);
}
void Cego::loadParser231()
{
   _actionMap[320][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[320][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[320][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[320][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[320][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[320][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[320][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[320][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[320][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[320][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[320][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[320][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[320][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[320][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[320][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[320][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[320][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[320][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[320][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[320][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[320][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[320][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[320][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[320][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[320][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[320][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[320][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[320][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[320][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[320][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[320][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[320][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[320][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[320][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[320][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[320][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[320][LB] = ActionEntry(SHIFT, 151);
   _actionMap[320][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[320][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[320][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[320][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[320][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[320][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[320][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[320][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[320][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[320][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[320][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[320][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[320][COUNT] = ActionEntry(SHIFT, 114);
}
void Cego::loadParser232()
{
   _actionMap[320][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[320][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[320][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[320][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[320][ObjSpec] = 102;
   _jumpMap[320][Constant] = 101;
   _jumpMap[320][SignedFloat] = 100;
   _jumpMap[320][SignedInt] = 99;
   _jumpMap[320][Attribute] = 98;
   _jumpMap[320][Function] = 97;
   _jumpMap[320][CasePrepare] = 96;
   _jumpMap[320][CaseClause] = 95;
   _jumpMap[320][Factor] = 94;
   _jumpMap[320][Term] = 93;
   _jumpMap[320][Expr] = 469;
   _actionMap[321][SEMICOLON] = ActionEntry(REDUCE, 28);
   _actionMap[322][SEMICOLON] = ActionEntry(REDUCE, 26);
   _actionMap[323][SEMICOLON] = ActionEntry(REDUCE, 27);
   _actionMap[324][SET] = ActionEntry(SHIFT, 325);
   _actionMap[325][IDENTIFIER] = ActionEntry(SHIFT, 472);
   _jumpMap[325][Assignment] = 471;
   _jumpMap[325][UpdateList] = 470;
   _actionMap[326][SET] = ActionEntry(REDUCE, 264);
   _actionMap[326][WHERE] = ActionEntry(REDUCE, 264);
   _actionMap[326][GROUP] = ActionEntry(REDUCE, 264);
   _actionMap[326][ORDER] = ActionEntry(REDUCE, 264);
   _actionMap[326][ROWLIMIT] = ActionEntry(REDUCE, 264);
   _actionMap[326][UNION] = ActionEntry(REDUCE, 264);
   _actionMap[326][ENDTOKEN] = ActionEntry(REDUCE, 264);
   _actionMap[326][RB] = ActionEntry(REDUCE, 264);
   _actionMap[326][SEMICOLON] = ActionEntry(REDUCE, 264);
   _actionMap[326][RETURNTOKEN] = ActionEntry(REDUCE, 264);
   _actionMap[327][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[327][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[327][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[327][ObjSpec] = 473;
   _actionMap[39][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[39][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[39][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[39][ObjSpec] = 190;
   _actionMap[40][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[40][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[40][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[40][ObjSpec] = 191;
   _actionMap[41][CACHE] = ActionEntry(REDUCE, 191);
   _actionMap[41][FOR] = ActionEntry(REDUCE, 191);
   _actionMap[41][SEMICOLON] = ActionEntry(REDUCE, 191);
   _actionMap[41][QUALIFIEDOBJ] = ActionEntry(REDUCE, 191);
   _actionMap[41][QUALIFIEDTS] = ActionEntry(REDUCE, 191);
   _actionMap[41][ON] = ActionEntry(REDUCE, 191);
}
void Cego::loadParser233()
{
   _actionMap[41][IDENTIFIER] = ActionEntry(REDUCE, 191);
   _actionMap[42][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[42][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[42][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[42][ObjSpec] = 192;
   _actionMap[43][IDENTIFIER] = ActionEntry(SHIFT, 194);
   _jumpMap[43][CounterId] = 193;
   _actionMap[44][KEY] = ActionEntry(SHIFT, 195);
   _actionMap[45][CACHE] = ActionEntry(REDUCE, 192);
   _actionMap[45][FOR] = ActionEntry(REDUCE, 192);
   _actionMap[45][SEMICOLON] = ActionEntry(REDUCE, 192);
   _actionMap[45][QUALIFIEDOBJ] = ActionEntry(REDUCE, 192);
   _actionMap[45][QUALIFIEDTS] = ActionEntry(REDUCE, 192);
   _actionMap[45][ON] = ActionEntry(REDUCE, 192);
   _actionMap[45][IDENTIFIER] = ActionEntry(REDUCE, 192);
   _actionMap[46][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[46][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[46][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[46][ObjSpec] = 196;
   _actionMap[47][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[47][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[47][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[47][ObjSpec] = 197;
   _actionMap[48][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[48][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[48][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[48][ObjSpec] = 198;
   _actionMap[49][ENDTOKEN] = ActionEntry(ACCEPT, 0);
   _actionMap[50][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[50][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[50][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[50][ObjSpec] = 199;
   _actionMap[51][IDENTIFIED] = ActionEntry(SHIFT, 200);
   _actionMap[52][LB] = ActionEntry(SHIFT, 201);
   _actionMap[53][TO] = ActionEntry(REDUCE, 381);
   _actionMap[53][VALUES] = ActionEntry(REDUCE, 381);
   _actionMap[53][SELECT] = ActionEntry(REDUCE, 381);
   _actionMap[53][SET] = ActionEntry(REDUCE, 381);
   _actionMap[53][AS] = ActionEntry(REDUCE, 381);
   _actionMap[53][DROP] = ActionEntry(REDUCE, 381);
   _actionMap[53][MODIFY] = ActionEntry(REDUCE, 381);
   _actionMap[53][RENAME] = ActionEntry(REDUCE, 381);
   _actionMap[53][ADD] = ActionEntry(REDUCE, 381);
   _actionMap[53][JOIN] = ActionEntry(REDUCE, 381);
   _actionMap[53][INNER] = ActionEntry(REDUCE, 381);
   _actionMap[53][RIGHT] = ActionEntry(REDUCE, 381);
   _actionMap[53][LEFT] = ActionEntry(REDUCE, 381);
   _actionMap[53][KSEP] = ActionEntry(REDUCE, 381);
   _actionMap[53][RETURNTOKEN] = ActionEntry(REDUCE, 381);
   _actionMap[53][SEMICOLON] = ActionEntry(REDUCE, 381);
}
void Cego::loadParser234()
{
   _actionMap[53][RB] = ActionEntry(REDUCE, 381);
   _actionMap[53][ENDTOKEN] = ActionEntry(REDUCE, 381);
   _actionMap[53][UNION] = ActionEntry(REDUCE, 381);
   _actionMap[53][ROWLIMIT] = ActionEntry(REDUCE, 381);
   _actionMap[53][ORDER] = ActionEntry(REDUCE, 381);
   _actionMap[53][GROUP] = ActionEntry(REDUCE, 381);
   _actionMap[53][WHERE] = ActionEntry(REDUCE, 381);
   _actionMap[53][LB] = ActionEntry(REDUCE, 381);
   _actionMap[53][IDENTIFIER] = ActionEntry(REDUCE, 381);
   _actionMap[53][ON] = ActionEntry(REDUCE, 381);
   _actionMap[54][TO] = ActionEntry(REDUCE, 382);
   _actionMap[54][VALUES] = ActionEntry(REDUCE, 382);
   _actionMap[54][SELECT] = ActionEntry(REDUCE, 382);
   _actionMap[54][SET] = ActionEntry(REDUCE, 382);
   _actionMap[54][AS] = ActionEntry(REDUCE, 382);
   _actionMap[54][DROP] = ActionEntry(REDUCE, 382);
   _actionMap[54][MODIFY] = ActionEntry(REDUCE, 382);
   _actionMap[54][RENAME] = ActionEntry(REDUCE, 382);
   _actionMap[54][ADD] = ActionEntry(REDUCE, 382);
   _actionMap[54][JOIN] = ActionEntry(REDUCE, 382);
   _actionMap[54][INNER] = ActionEntry(REDUCE, 382);
   _actionMap[54][RIGHT] = ActionEntry(REDUCE, 382);
   _actionMap[54][LEFT] = ActionEntry(REDUCE, 382);
   _actionMap[54][KSEP] = ActionEntry(REDUCE, 382);
   _actionMap[54][RETURNTOKEN] = ActionEntry(REDUCE, 382);
   _actionMap[54][SEMICOLON] = ActionEntry(REDUCE, 382);
   _actionMap[54][RB] = ActionEntry(REDUCE, 382);
   _actionMap[54][ENDTOKEN] = ActionEntry(REDUCE, 382);
   _actionMap[54][UNION] = ActionEntry(REDUCE, 382);
   _actionMap[54][ROWLIMIT] = ActionEntry(REDUCE, 382);
   _actionMap[54][ORDER] = ActionEntry(REDUCE, 382);
   _actionMap[54][GROUP] = ActionEntry(REDUCE, 382);
   _actionMap[54][WHERE] = ActionEntry(REDUCE, 382);
   _actionMap[54][LB] = ActionEntry(REDUCE, 382);
   _actionMap[54][IDENTIFIER] = ActionEntry(REDUCE, 382);
   _actionMap[54][ON] = ActionEntry(REDUCE, 382);
   _actionMap[55][TO] = ActionEntry(REDUCE, 383);
   _actionMap[55][VALUES] = ActionEntry(REDUCE, 383);
   _actionMap[55][SELECT] = ActionEntry(REDUCE, 383);
   _actionMap[55][SET] = ActionEntry(REDUCE, 383);
   _actionMap[55][AS] = ActionEntry(REDUCE, 383);
   _actionMap[55][DROP] = ActionEntry(REDUCE, 383);
   _actionMap[55][MODIFY] = ActionEntry(REDUCE, 383);
   _actionMap[55][RENAME] = ActionEntry(REDUCE, 383);
   _actionMap[55][ADD] = ActionEntry(REDUCE, 383);
   _actionMap[55][JOIN] = ActionEntry(REDUCE, 383);
   _actionMap[55][INNER] = ActionEntry(REDUCE, 383);
   _actionMap[55][RIGHT] = ActionEntry(REDUCE, 383);
   _actionMap[55][LEFT] = ActionEntry(REDUCE, 383);
   _actionMap[55][KSEP] = ActionEntry(REDUCE, 383);
}
void Cego::loadParser235()
{
   _actionMap[55][RETURNTOKEN] = ActionEntry(REDUCE, 383);
   _actionMap[55][SEMICOLON] = ActionEntry(REDUCE, 383);
   _actionMap[55][RB] = ActionEntry(REDUCE, 383);
   _actionMap[55][ENDTOKEN] = ActionEntry(REDUCE, 383);
   _actionMap[55][UNION] = ActionEntry(REDUCE, 383);
   _actionMap[55][ROWLIMIT] = ActionEntry(REDUCE, 383);
   _actionMap[55][ORDER] = ActionEntry(REDUCE, 383);
   _actionMap[55][GROUP] = ActionEntry(REDUCE, 383);
   _actionMap[55][WHERE] = ActionEntry(REDUCE, 383);
   _actionMap[55][IDENTIFIER] = ActionEntry(REDUCE, 383);
   _actionMap[55][ON] = ActionEntry(REDUCE, 383);
   _actionMap[55][LB] = ActionEntry(REDUCE, 383);
   _actionMap[56][IDENTIFIER] = ActionEntry(SHIFT, 202);
   _actionMap[57][BEGIN] = ActionEntry(SHIFT, 203);
   _actionMap[58][SEMICOLON] = ActionEntry(REDUCE, 54);
   _actionMap[59][BTREE] = ActionEntry(SHIFT, 41);
   _actionMap[59][INDEX] = ActionEntry(SHIFT, 45);
   _actionMap[59][AVLTREE] = ActionEntry(SHIFT, 206);
   _jumpMap[59][BtreeType] = 205;
   _jumpMap[59][IndexType] = 204;
   _actionMap[60][IDENTIFIER] = ActionEntry(SHIFT, 194);
   _jumpMap[60][CounterId] = 207;
   _actionMap[61][BTREE] = ActionEntry(SHIFT, 41);
   _actionMap[61][INDEX] = ActionEntry(SHIFT, 45);
   _actionMap[61][AVLTREE] = ActionEntry(SHIFT, 206);
   _jumpMap[61][BtreeType] = 205;
   _jumpMap[61][IndexType] = 208;
   _actionMap[62][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[62][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[62][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[62][ObjSpec] = 209;
   _actionMap[63][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[63][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[63][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[63][ObjSpec] = 210;
   _actionMap[64][AVLTREE] = ActionEntry(REDUCE, 187);
   _actionMap[64][BTREE] = ActionEntry(REDUCE, 187);
   _actionMap[64][INDEX] = ActionEntry(REDUCE, 187);
   _actionMap[65][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[65][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[65][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[65][ObjSpec] = 211;
   _actionMap[66][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[66][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[66][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[66][ObjSpec] = 212;
   _actionMap[67][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[67][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[67][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[67][ObjSpec] = 213;
}
void Cego::loadParser236()
{
   _actionMap[68][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[68][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[68][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[68][ObjSpec] = 214;
   _actionMap[69][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[69][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[69][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[69][ObjSpec] = 215;
   _actionMap[70][KEY] = ActionEntry(SHIFT, 216);
   _actionMap[71][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[71][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[71][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[71][ObjSpec] = 217;
   _actionMap[72][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[72][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[72][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[72][ObjSpec] = 218;
   _actionMap[73][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[73][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[73][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[73][ObjSpec] = 219;
   _actionMap[74][EXISTS] = ActionEntry(SHIFT, 220);
   _actionMap[75][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[75][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[75][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[75][ObjSpec] = 221;
   _actionMap[76][IDENTIFIER] = ActionEntry(SHIFT, 222);
   _actionMap[76][SEMICOLON] = ActionEntry(REDUCE, 79);
   _actionMap[77][IDENTIFIER] = ActionEntry(REDUCE, 81);
   _actionMap[77][SEMICOLON] = ActionEntry(REDUCE, 81);
   _actionMap[78][FOR] = ActionEntry(SHIFT, 224);
   _actionMap[78][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[78][TableSetOpt] = 223;
   _actionMap[79][FOR] = ActionEntry(SHIFT, 224);
   _actionMap[79][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[79][TableSetOpt] = 225;
   _actionMap[80][FOR] = ActionEntry(SHIFT, 224);
   _actionMap[80][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[80][TableSetOpt] = 226;
   _actionMap[81][FOR] = ActionEntry(SHIFT, 224);
   _actionMap[81][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[81][TableSetOpt] = 227;
   _actionMap[82][FOR] = ActionEntry(SHIFT, 224);
   _actionMap[82][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[82][TableSetOpt] = 228;
   _actionMap[83][FOR] = ActionEntry(SHIFT, 224);
   _actionMap[83][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[83][TableSetOpt] = 229;
   _actionMap[84][FOR] = ActionEntry(SHIFT, 224);
   _actionMap[84][SEMICOLON] = ActionEntry(REDUCE, 14);
}
void Cego::loadParser237()
{
   _jumpMap[84][TableSetOpt] = 230;
   _actionMap[85][FOR] = ActionEntry(SHIFT, 224);
   _actionMap[85][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[85][TableSetOpt] = 231;
   _actionMap[86][SEMICOLON] = ActionEntry(REDUCE, 2);
   _actionMap[87][FOR] = ActionEntry(SHIFT, 224);
   _actionMap[87][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[87][TableSetOpt] = 232;
   _actionMap[88][FOR] = ActionEntry(SHIFT, 224);
   _actionMap[88][SEMICOLON] = ActionEntry(REDUCE, 14);
   _jumpMap[88][TableSetOpt] = 233;
   _actionMap[89][SEMICOLON] = ActionEntry(REDUCE, 55);
   _actionMap[90][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[90][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[90][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[90][ObjSpec] = 234;
   _actionMap[91][SEMICOLON] = ActionEntry(REDUCE, 46);
   _actionMap[92][PLUS] = ActionEntry(SHIFT, 237);
   _actionMap[92][MINUS] = ActionEntry(SHIFT, 236);
   _actionMap[92][CONCAT] = ActionEntry(SHIFT, 235);
   _actionMap[92][SEMICOLON] = ActionEntry(REDUCE, 73);
   _actionMap[93][STAR] = ActionEntry(SHIFT, 238);
   _actionMap[93][DIVISION] = ActionEntry(SHIFT, 239);
   _actionMap[93][WHEN] = ActionEntry(REDUCE, 146);
   _actionMap[93][ELSE] = ActionEntry(REDUCE, 146);
   _actionMap[93][LEFT] = ActionEntry(REDUCE, 146);
   _actionMap[93][RIGHT] = ActionEntry(REDUCE, 146);
   _actionMap[93][INNER] = ActionEntry(REDUCE, 146);
   _actionMap[93][JOIN] = ActionEntry(REDUCE, 146);
   _actionMap[93][RETURNTOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[93][ORDER] = ActionEntry(REDUCE, 146);
   _actionMap[93][GROUP] = ActionEntry(REDUCE, 146);
   _actionMap[93][WHERE] = ActionEntry(REDUCE, 146);
   _actionMap[93][BEGIN] = ActionEntry(REDUCE, 146);
   _actionMap[93][THEN] = ActionEntry(REDUCE, 146);
   _actionMap[93][OR] = ActionEntry(REDUCE, 146);
   _actionMap[93][AS] = ActionEntry(REDUCE, 146);
   _actionMap[93][FROM] = ActionEntry(REDUCE, 146);
   _actionMap[93][END_TOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[93][AND] = ActionEntry(REDUCE, 146);
   _actionMap[93][LIKE] = ActionEntry(REDUCE, 146);
   _actionMap[93][IS] = ActionEntry(REDUCE, 146);
   _actionMap[93][BETWEEN] = ActionEntry(REDUCE, 146);
   _actionMap[93][NOT] = ActionEntry(REDUCE, 146);
   _actionMap[93][INTOK] = ActionEntry(REDUCE, 146);
   _actionMap[93][EQU] = ActionEntry(REDUCE, 146);
   _actionMap[93][NEGATION] = ActionEntry(REDUCE, 146);
   _actionMap[93][LT] = ActionEntry(REDUCE, 146);
   _actionMap[93][MT] = ActionEntry(REDUCE, 146);
   _actionMap[93][DESC] = ActionEntry(REDUCE, 146);
}
void Cego::loadParser238()
{
   _actionMap[93][ASC] = ActionEntry(REDUCE, 146);
   _actionMap[93][KSEP] = ActionEntry(REDUCE, 146);
   _actionMap[93][ROWLIMIT] = ActionEntry(REDUCE, 146);
   _actionMap[93][UNION] = ActionEntry(REDUCE, 146);
   _actionMap[93][ENDTOKEN] = ActionEntry(REDUCE, 146);
   _actionMap[93][RB] = ActionEntry(REDUCE, 146);
   _actionMap[93][SEMICOLON] = ActionEntry(REDUCE, 146);
   _actionMap[93][CONCAT] = ActionEntry(REDUCE, 146);
   _actionMap[93][MINUS] = ActionEntry(REDUCE, 146);
   _actionMap[93][PLUS] = ActionEntry(REDUCE, 146);
   _actionMap[94][WHEN] = ActionEntry(REDUCE, 150);
   _actionMap[94][ELSE] = ActionEntry(REDUCE, 150);
   _actionMap[94][LEFT] = ActionEntry(REDUCE, 150);
   _actionMap[94][RIGHT] = ActionEntry(REDUCE, 150);
   _actionMap[94][INNER] = ActionEntry(REDUCE, 150);
   _actionMap[94][JOIN] = ActionEntry(REDUCE, 150);
   _actionMap[94][RETURNTOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[94][ORDER] = ActionEntry(REDUCE, 150);
   _actionMap[94][GROUP] = ActionEntry(REDUCE, 150);
   _actionMap[94][WHERE] = ActionEntry(REDUCE, 150);
   _actionMap[94][BEGIN] = ActionEntry(REDUCE, 150);
   _actionMap[94][THEN] = ActionEntry(REDUCE, 150);
   _actionMap[94][OR] = ActionEntry(REDUCE, 150);
   _actionMap[94][FROM] = ActionEntry(REDUCE, 150);
   _actionMap[94][AS] = ActionEntry(REDUCE, 150);
   _actionMap[94][END_TOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[94][AND] = ActionEntry(REDUCE, 150);
   _actionMap[94][INTOK] = ActionEntry(REDUCE, 150);
   _actionMap[94][NOT] = ActionEntry(REDUCE, 150);
   _actionMap[94][BETWEEN] = ActionEntry(REDUCE, 150);
   _actionMap[94][IS] = ActionEntry(REDUCE, 150);
   _actionMap[94][LIKE] = ActionEntry(REDUCE, 150);
   _actionMap[94][MT] = ActionEntry(REDUCE, 150);
   _actionMap[94][LT] = ActionEntry(REDUCE, 150);
   _actionMap[94][NEGATION] = ActionEntry(REDUCE, 150);
   _actionMap[94][EQU] = ActionEntry(REDUCE, 150);
   _actionMap[94][RB] = ActionEntry(REDUCE, 150);
   _actionMap[94][ENDTOKEN] = ActionEntry(REDUCE, 150);
   _actionMap[94][UNION] = ActionEntry(REDUCE, 150);
   _actionMap[94][ROWLIMIT] = ActionEntry(REDUCE, 150);
   _actionMap[94][KSEP] = ActionEntry(REDUCE, 150);
   _actionMap[94][ASC] = ActionEntry(REDUCE, 150);
   _actionMap[94][DESC] = ActionEntry(REDUCE, 150);
   _actionMap[94][SEMICOLON] = ActionEntry(REDUCE, 150);
   _actionMap[94][PLUS] = ActionEntry(REDUCE, 150);
   _actionMap[94][MINUS] = ActionEntry(REDUCE, 150);
   _actionMap[94][DIVISION] = ActionEntry(REDUCE, 150);
   _actionMap[94][STAR] = ActionEntry(REDUCE, 150);
   _actionMap[94][CONCAT] = ActionEntry(REDUCE, 150);
   _actionMap[95][WHEN] = ActionEntry(REDUCE, 158);
}
void Cego::loadParser239()
{
   _actionMap[95][ELSE] = ActionEntry(REDUCE, 158);
   _actionMap[95][LEFT] = ActionEntry(REDUCE, 158);
   _actionMap[95][RIGHT] = ActionEntry(REDUCE, 158);
   _actionMap[95][INNER] = ActionEntry(REDUCE, 158);
   _actionMap[95][JOIN] = ActionEntry(REDUCE, 158);
   _actionMap[95][RETURNTOKEN] = ActionEntry(REDUCE, 158);
   _actionMap[95][ORDER] = ActionEntry(REDUCE, 158);
   _actionMap[95][GROUP] = ActionEntry(REDUCE, 158);
   _actionMap[95][WHERE] = ActionEntry(REDUCE, 158);
   _actionMap[95][BEGIN] = ActionEntry(REDUCE, 158);
   _actionMap[95][THEN] = ActionEntry(REDUCE, 158);
   _actionMap[95][OR] = ActionEntry(REDUCE, 158);
   _actionMap[95][AS] = ActionEntry(REDUCE, 158);
   _actionMap[95][FROM] = ActionEntry(REDUCE, 158);
   _actionMap[95][END_TOKEN] = ActionEntry(REDUCE, 158);
   _actionMap[95][AND] = ActionEntry(REDUCE, 158);
   _actionMap[95][LIKE] = ActionEntry(REDUCE, 158);
   _actionMap[95][IS] = ActionEntry(REDUCE, 158);
   _actionMap[95][BETWEEN] = ActionEntry(REDUCE, 158);
   _actionMap[95][NOT] = ActionEntry(REDUCE, 158);
   _actionMap[95][INTOK] = ActionEntry(REDUCE, 158);
   _actionMap[95][EQU] = ActionEntry(REDUCE, 158);
   _actionMap[95][NEGATION] = ActionEntry(REDUCE, 158);
   _actionMap[95][LT] = ActionEntry(REDUCE, 158);
   _actionMap[95][MT] = ActionEntry(REDUCE, 158);
   _actionMap[95][DESC] = ActionEntry(REDUCE, 158);
   _actionMap[95][ASC] = ActionEntry(REDUCE, 158);
   _actionMap[95][KSEP] = ActionEntry(REDUCE, 158);
   _actionMap[95][ROWLIMIT] = ActionEntry(REDUCE, 158);
   _actionMap[95][UNION] = ActionEntry(REDUCE, 158);
   _actionMap[95][ENDTOKEN] = ActionEntry(REDUCE, 158);
   _actionMap[95][RB] = ActionEntry(REDUCE, 158);
   _actionMap[95][SEMICOLON] = ActionEntry(REDUCE, 158);
   _actionMap[95][CONCAT] = ActionEntry(REDUCE, 158);
   _actionMap[95][STAR] = ActionEntry(REDUCE, 158);
   _actionMap[95][DIVISION] = ActionEntry(REDUCE, 158);
   _actionMap[95][MINUS] = ActionEntry(REDUCE, 158);
   _actionMap[95][PLUS] = ActionEntry(REDUCE, 158);
   _actionMap[96][WHEN] = ActionEntry(SHIFT, 242);
   _jumpMap[96][CaseCondition] = 241;
   _jumpMap[96][CaseConditionList] = 240;
   _actionMap[97][WHEN] = ActionEntry(REDUCE, 155);
   _actionMap[97][ELSE] = ActionEntry(REDUCE, 155);
   _actionMap[97][LEFT] = ActionEntry(REDUCE, 155);
   _actionMap[97][RIGHT] = ActionEntry(REDUCE, 155);
   _actionMap[97][INNER] = ActionEntry(REDUCE, 155);
   _actionMap[97][JOIN] = ActionEntry(REDUCE, 155);
   _actionMap[97][RETURNTOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[97][ORDER] = ActionEntry(REDUCE, 155);
   _actionMap[97][GROUP] = ActionEntry(REDUCE, 155);
}
void Cego::loadParser240()
{
   _actionMap[97][WHERE] = ActionEntry(REDUCE, 155);
   _actionMap[97][BEGIN] = ActionEntry(REDUCE, 155);
   _actionMap[97][THEN] = ActionEntry(REDUCE, 155);
   _actionMap[97][OR] = ActionEntry(REDUCE, 155);
   _actionMap[97][AS] = ActionEntry(REDUCE, 155);
   _actionMap[97][FROM] = ActionEntry(REDUCE, 155);
   _actionMap[97][END_TOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[97][AND] = ActionEntry(REDUCE, 155);
   _actionMap[97][LIKE] = ActionEntry(REDUCE, 155);
   _actionMap[97][IS] = ActionEntry(REDUCE, 155);
   _actionMap[97][BETWEEN] = ActionEntry(REDUCE, 155);
   _actionMap[97][NOT] = ActionEntry(REDUCE, 155);
   _actionMap[97][INTOK] = ActionEntry(REDUCE, 155);
   _actionMap[97][EQU] = ActionEntry(REDUCE, 155);
   _actionMap[97][NEGATION] = ActionEntry(REDUCE, 155);
   _actionMap[97][LT] = ActionEntry(REDUCE, 155);
   _actionMap[97][MT] = ActionEntry(REDUCE, 155);
   _actionMap[97][DESC] = ActionEntry(REDUCE, 155);
   _actionMap[97][ASC] = ActionEntry(REDUCE, 155);
   _actionMap[97][KSEP] = ActionEntry(REDUCE, 155);
   _actionMap[97][ROWLIMIT] = ActionEntry(REDUCE, 155);
   _actionMap[97][UNION] = ActionEntry(REDUCE, 155);
   _actionMap[97][ENDTOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[97][RB] = ActionEntry(REDUCE, 155);
   _actionMap[97][SEMICOLON] = ActionEntry(REDUCE, 155);
   _actionMap[97][CONCAT] = ActionEntry(REDUCE, 155);
   _actionMap[97][STAR] = ActionEntry(REDUCE, 155);
   _actionMap[97][DIVISION] = ActionEntry(REDUCE, 155);
   _actionMap[97][MINUS] = ActionEntry(REDUCE, 155);
   _actionMap[97][PLUS] = ActionEntry(REDUCE, 155);
   _actionMap[98][WHEN] = ActionEntry(REDUCE, 154);
   _actionMap[98][ELSE] = ActionEntry(REDUCE, 154);
   _actionMap[98][LEFT] = ActionEntry(REDUCE, 154);
   _actionMap[98][RIGHT] = ActionEntry(REDUCE, 154);
   _actionMap[98][INNER] = ActionEntry(REDUCE, 154);
   _actionMap[98][JOIN] = ActionEntry(REDUCE, 154);
   _actionMap[98][RETURNTOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[98][ORDER] = ActionEntry(REDUCE, 154);
   _actionMap[98][GROUP] = ActionEntry(REDUCE, 154);
   _actionMap[98][WHERE] = ActionEntry(REDUCE, 154);
   _actionMap[98][AS] = ActionEntry(REDUCE, 154);
   _actionMap[98][FROM] = ActionEntry(REDUCE, 154);
   _actionMap[98][END_TOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[98][BEGIN] = ActionEntry(REDUCE, 154);
   _actionMap[98][THEN] = ActionEntry(REDUCE, 154);
   _actionMap[98][OR] = ActionEntry(REDUCE, 154);
   _actionMap[98][AND] = ActionEntry(REDUCE, 154);
   _actionMap[98][LIKE] = ActionEntry(REDUCE, 154);
   _actionMap[98][IS] = ActionEntry(REDUCE, 154);
   _actionMap[98][BETWEEN] = ActionEntry(REDUCE, 154);
}
void Cego::loadParser241()
{
   _actionMap[98][NOT] = ActionEntry(REDUCE, 154);
   _actionMap[98][INTOK] = ActionEntry(REDUCE, 154);
   _actionMap[98][EQU] = ActionEntry(REDUCE, 154);
   _actionMap[98][NEGATION] = ActionEntry(REDUCE, 154);
   _actionMap[98][LT] = ActionEntry(REDUCE, 154);
   _actionMap[98][MT] = ActionEntry(REDUCE, 154);
   _actionMap[98][DESC] = ActionEntry(REDUCE, 154);
   _actionMap[98][ASC] = ActionEntry(REDUCE, 154);
   _actionMap[98][KSEP] = ActionEntry(REDUCE, 154);
   _actionMap[98][ROWLIMIT] = ActionEntry(REDUCE, 154);
   _actionMap[98][UNION] = ActionEntry(REDUCE, 154);
   _actionMap[98][ENDTOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[98][RB] = ActionEntry(REDUCE, 154);
   _actionMap[98][SEMICOLON] = ActionEntry(REDUCE, 154);
   _actionMap[98][CONCAT] = ActionEntry(REDUCE, 154);
   _actionMap[98][STAR] = ActionEntry(REDUCE, 154);
   _actionMap[98][DIVISION] = ActionEntry(REDUCE, 154);
   _actionMap[98][MINUS] = ActionEntry(REDUCE, 154);
   _actionMap[98][PLUS] = ActionEntry(REDUCE, 154);
   _actionMap[99][WHEN] = ActionEntry(REDUCE, 362);
   _actionMap[99][ELSE] = ActionEntry(REDUCE, 362);
   _actionMap[99][LEFT] = ActionEntry(REDUCE, 362);
   _actionMap[99][RIGHT] = ActionEntry(REDUCE, 362);
   _actionMap[99][INNER] = ActionEntry(REDUCE, 362);
   _actionMap[99][JOIN] = ActionEntry(REDUCE, 362);
   _actionMap[99][RETURNTOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[99][ORDER] = ActionEntry(REDUCE, 362);
   _actionMap[99][GROUP] = ActionEntry(REDUCE, 362);
   _actionMap[99][WHERE] = ActionEntry(REDUCE, 362);
   _actionMap[99][NULLTOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[99][FROM] = ActionEntry(REDUCE, 362);
   _actionMap[99][AS] = ActionEntry(REDUCE, 362);
   _actionMap[99][END_TOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[99][BEGIN] = ActionEntry(REDUCE, 362);
   _actionMap[99][THEN] = ActionEntry(REDUCE, 362);
   _actionMap[99][OR] = ActionEntry(REDUCE, 362);
   _actionMap[99][AND] = ActionEntry(REDUCE, 362);
   _actionMap[99][INTOK] = ActionEntry(REDUCE, 362);
   _actionMap[99][NOT] = ActionEntry(REDUCE, 362);
   _actionMap[99][BETWEEN] = ActionEntry(REDUCE, 362);
   _actionMap[99][IS] = ActionEntry(REDUCE, 362);
   _actionMap[99][LIKE] = ActionEntry(REDUCE, 362);
   _actionMap[99][MT] = ActionEntry(REDUCE, 362);
   _actionMap[99][LT] = ActionEntry(REDUCE, 362);
   _actionMap[99][NEGATION] = ActionEntry(REDUCE, 362);
   _actionMap[99][EQU] = ActionEntry(REDUCE, 362);
   _actionMap[99][RB] = ActionEntry(REDUCE, 362);
   _actionMap[99][ENDTOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[99][UNION] = ActionEntry(REDUCE, 362);
   _actionMap[99][ROWLIMIT] = ActionEntry(REDUCE, 362);
}
void Cego::loadParser242()
{
   _actionMap[99][KSEP] = ActionEntry(REDUCE, 362);
   _actionMap[99][ASC] = ActionEntry(REDUCE, 362);
   _actionMap[99][DESC] = ActionEntry(REDUCE, 362);
   _actionMap[99][SEMICOLON] = ActionEntry(REDUCE, 362);
   _actionMap[99][PLUS] = ActionEntry(REDUCE, 362);
   _actionMap[99][MINUS] = ActionEntry(REDUCE, 362);
   _actionMap[99][DIVISION] = ActionEntry(REDUCE, 362);
   _actionMap[99][STAR] = ActionEntry(REDUCE, 362);
   _actionMap[99][CONCAT] = ActionEntry(REDUCE, 362);
   _actionMap[100][WHEN] = ActionEntry(REDUCE, 368);
   _actionMap[100][ELSE] = ActionEntry(REDUCE, 368);
   _actionMap[100][LEFT] = ActionEntry(REDUCE, 368);
   _actionMap[100][RIGHT] = ActionEntry(REDUCE, 368);
   _actionMap[100][INNER] = ActionEntry(REDUCE, 368);
   _actionMap[100][JOIN] = ActionEntry(REDUCE, 368);
   _actionMap[100][RETURNTOKEN] = ActionEntry(REDUCE, 368);
   _actionMap[100][ORDER] = ActionEntry(REDUCE, 368);
   _actionMap[100][GROUP] = ActionEntry(REDUCE, 368);
   _actionMap[100][WHERE] = ActionEntry(REDUCE, 368);
   _actionMap[100][NULLTOKEN] = ActionEntry(REDUCE, 368);
   _actionMap[100][FROM] = ActionEntry(REDUCE, 368);
   _actionMap[100][AS] = ActionEntry(REDUCE, 368);
   _actionMap[100][END_TOKEN] = ActionEntry(REDUCE, 368);
   _actionMap[100][BEGIN] = ActionEntry(REDUCE, 368);
   _actionMap[100][THEN] = ActionEntry(REDUCE, 368);
   _actionMap[100][OR] = ActionEntry(REDUCE, 368);
   _actionMap[100][AND] = ActionEntry(REDUCE, 368);
   _actionMap[100][INTOK] = ActionEntry(REDUCE, 368);
   _actionMap[100][NOT] = ActionEntry(REDUCE, 368);
   _actionMap[100][BETWEEN] = ActionEntry(REDUCE, 368);
   _actionMap[100][IS] = ActionEntry(REDUCE, 368);
   _actionMap[100][LIKE] = ActionEntry(REDUCE, 368);
   _actionMap[100][MT] = ActionEntry(REDUCE, 368);
   _actionMap[100][LT] = ActionEntry(REDUCE, 368);
   _actionMap[100][NEGATION] = ActionEntry(REDUCE, 368);
   _actionMap[100][EQU] = ActionEntry(REDUCE, 368);
   _actionMap[100][RB] = ActionEntry(REDUCE, 368);
   _actionMap[100][ENDTOKEN] = ActionEntry(REDUCE, 368);
   _actionMap[100][UNION] = ActionEntry(REDUCE, 368);
   _actionMap[100][ROWLIMIT] = ActionEntry(REDUCE, 368);
   _actionMap[100][KSEP] = ActionEntry(REDUCE, 368);
   _actionMap[100][ASC] = ActionEntry(REDUCE, 368);
   _actionMap[100][DESC] = ActionEntry(REDUCE, 368);
   _actionMap[100][SEMICOLON] = ActionEntry(REDUCE, 368);
   _actionMap[100][PLUS] = ActionEntry(REDUCE, 368);
   _actionMap[100][MINUS] = ActionEntry(REDUCE, 368);
   _actionMap[100][DIVISION] = ActionEntry(REDUCE, 368);
   _actionMap[100][STAR] = ActionEntry(REDUCE, 368);
   _actionMap[100][CONCAT] = ActionEntry(REDUCE, 368);
   _actionMap[101][WHEN] = ActionEntry(REDUCE, 152);
}
void Cego::loadParser243()
{
   _actionMap[101][ELSE] = ActionEntry(REDUCE, 152);
   _actionMap[101][LEFT] = ActionEntry(REDUCE, 152);
   _actionMap[101][RIGHT] = ActionEntry(REDUCE, 152);
   _actionMap[101][INNER] = ActionEntry(REDUCE, 152);
   _actionMap[101][JOIN] = ActionEntry(REDUCE, 152);
   _actionMap[101][RETURNTOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[101][ORDER] = ActionEntry(REDUCE, 152);
   _actionMap[101][GROUP] = ActionEntry(REDUCE, 152);
   _actionMap[101][WHERE] = ActionEntry(REDUCE, 152);
   _actionMap[101][AS] = ActionEntry(REDUCE, 152);
   _actionMap[101][FROM] = ActionEntry(REDUCE, 152);
   _actionMap[101][END_TOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[101][BEGIN] = ActionEntry(REDUCE, 152);
   _actionMap[101][THEN] = ActionEntry(REDUCE, 152);
   _actionMap[101][OR] = ActionEntry(REDUCE, 152);
   _actionMap[101][AND] = ActionEntry(REDUCE, 152);
   _actionMap[101][LIKE] = ActionEntry(REDUCE, 152);
   _actionMap[101][IS] = ActionEntry(REDUCE, 152);
   _actionMap[101][BETWEEN] = ActionEntry(REDUCE, 152);
   _actionMap[101][NOT] = ActionEntry(REDUCE, 152);
   _actionMap[101][INTOK] = ActionEntry(REDUCE, 152);
   _actionMap[101][EQU] = ActionEntry(REDUCE, 152);
   _actionMap[101][NEGATION] = ActionEntry(REDUCE, 152);
   _actionMap[101][LT] = ActionEntry(REDUCE, 152);
   _actionMap[101][MT] = ActionEntry(REDUCE, 152);
   _actionMap[101][DESC] = ActionEntry(REDUCE, 152);
   _actionMap[101][ASC] = ActionEntry(REDUCE, 152);
   _actionMap[101][KSEP] = ActionEntry(REDUCE, 152);
   _actionMap[101][ROWLIMIT] = ActionEntry(REDUCE, 152);
   _actionMap[101][UNION] = ActionEntry(REDUCE, 152);
   _actionMap[101][ENDTOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[101][RB] = ActionEntry(REDUCE, 152);
   _actionMap[101][SEMICOLON] = ActionEntry(REDUCE, 152);
   _actionMap[101][CONCAT] = ActionEntry(REDUCE, 152);
   _actionMap[101][STAR] = ActionEntry(REDUCE, 152);
   _actionMap[101][DIVISION] = ActionEntry(REDUCE, 152);
   _actionMap[101][MINUS] = ActionEntry(REDUCE, 152);
   _actionMap[101][PLUS] = ActionEntry(REDUCE, 152);
   _actionMap[102][LB] = ActionEntry(SHIFT, 243);
   _actionMap[103][WHEN] = ActionEntry(REDUCE, 367);
   _actionMap[103][ELSE] = ActionEntry(REDUCE, 367);
   _actionMap[103][LEFT] = ActionEntry(REDUCE, 367);
   _actionMap[103][RIGHT] = ActionEntry(REDUCE, 367);
   _actionMap[103][INNER] = ActionEntry(REDUCE, 367);
   _actionMap[103][JOIN] = ActionEntry(REDUCE, 367);
   _actionMap[103][RETURNTOKEN] = ActionEntry(REDUCE, 367);
   _actionMap[103][ORDER] = ActionEntry(REDUCE, 367);
   _actionMap[103][GROUP] = ActionEntry(REDUCE, 367);
   _actionMap[103][WHERE] = ActionEntry(REDUCE, 367);
   _actionMap[103][NULLTOKEN] = ActionEntry(REDUCE, 367);
}
void Cego::loadParser244()
{
   _actionMap[103][FROM] = ActionEntry(REDUCE, 367);
   _actionMap[103][AS] = ActionEntry(REDUCE, 367);
   _actionMap[103][END_TOKEN] = ActionEntry(REDUCE, 367);
   _actionMap[103][BEGIN] = ActionEntry(REDUCE, 367);
   _actionMap[103][THEN] = ActionEntry(REDUCE, 367);
   _actionMap[103][OR] = ActionEntry(REDUCE, 367);
   _actionMap[103][AND] = ActionEntry(REDUCE, 367);
   _actionMap[103][INTOK] = ActionEntry(REDUCE, 367);
   _actionMap[103][NOT] = ActionEntry(REDUCE, 367);
   _actionMap[103][BETWEEN] = ActionEntry(REDUCE, 367);
   _actionMap[103][IS] = ActionEntry(REDUCE, 367);
   _actionMap[103][LIKE] = ActionEntry(REDUCE, 367);
   _actionMap[103][MT] = ActionEntry(REDUCE, 367);
   _actionMap[103][LT] = ActionEntry(REDUCE, 367);
   _actionMap[103][NEGATION] = ActionEntry(REDUCE, 367);
   _actionMap[103][EQU] = ActionEntry(REDUCE, 367);
   _actionMap[103][RB] = ActionEntry(REDUCE, 367);
   _actionMap[103][ENDTOKEN] = ActionEntry(REDUCE, 367);
   _actionMap[103][UNION] = ActionEntry(REDUCE, 367);
   _actionMap[103][ROWLIMIT] = ActionEntry(REDUCE, 367);
   _actionMap[103][KSEP] = ActionEntry(REDUCE, 367);
   _actionMap[103][ASC] = ActionEntry(REDUCE, 367);
   _actionMap[103][DESC] = ActionEntry(REDUCE, 367);
   _actionMap[103][SEMICOLON] = ActionEntry(REDUCE, 367);
   _actionMap[103][PLUS] = ActionEntry(REDUCE, 367);
   _actionMap[103][MINUS] = ActionEntry(REDUCE, 367);
   _actionMap[103][DIVISION] = ActionEntry(REDUCE, 367);
   _actionMap[103][STAR] = ActionEntry(REDUCE, 367);
   _actionMap[103][CONCAT] = ActionEntry(REDUCE, 367);
   _actionMap[104][LB] = ActionEntry(SHIFT, 244);
   _actionMap[105][LB] = ActionEntry(SHIFT, 245);
   _actionMap[106][LB] = ActionEntry(SHIFT, 246);
   _actionMap[107][LB] = ActionEntry(SHIFT, 247);
   _actionMap[108][LAB] = ActionEntry(SHIFT, 248);
   _actionMap[109][LB] = ActionEntry(SHIFT, 249);
   _actionMap[110][WHEN] = ActionEntry(REDUCE, 169);
   _actionMap[111][LAB] = ActionEntry(SHIFT, 250);
   _actionMap[112][LB] = ActionEntry(SHIFT, 251);
   _actionMap[113][LB] = ActionEntry(SHIFT, 252);
   _actionMap[114][LB] = ActionEntry(SHIFT, 253);
   _actionMap[115][LB] = ActionEntry(SHIFT, 254);
   _actionMap[116][LB] = ActionEntry(SHIFT, 255);
   _actionMap[117][LB] = ActionEntry(SHIFT, 256);
   _actionMap[118][LB] = ActionEntry(SHIFT, 257);
   _actionMap[119][WHEN] = ActionEntry(REDUCE, 376);
   _actionMap[119][ELSE] = ActionEntry(REDUCE, 376);
   _actionMap[119][LEFT] = ActionEntry(REDUCE, 376);
   _actionMap[119][RIGHT] = ActionEntry(REDUCE, 376);
   _actionMap[119][INNER] = ActionEntry(REDUCE, 376);
   _actionMap[119][JOIN] = ActionEntry(REDUCE, 376);
}
void Cego::loadParser245()
{
   _actionMap[119][RETURNTOKEN] = ActionEntry(REDUCE, 376);
   _actionMap[119][ORDER] = ActionEntry(REDUCE, 376);
   _actionMap[119][GROUP] = ActionEntry(REDUCE, 376);
   _actionMap[119][WHERE] = ActionEntry(REDUCE, 376);
   _actionMap[119][FROM] = ActionEntry(REDUCE, 376);
   _actionMap[119][AS] = ActionEntry(REDUCE, 376);
   _actionMap[119][END_TOKEN] = ActionEntry(REDUCE, 376);
   _actionMap[119][BEGIN] = ActionEntry(REDUCE, 376);
   _actionMap[119][THEN] = ActionEntry(REDUCE, 376);
   _actionMap[119][OR] = ActionEntry(REDUCE, 376);
   _actionMap[119][AND] = ActionEntry(REDUCE, 376);
   _actionMap[119][NULLTOKEN] = ActionEntry(REDUCE, 376);
   _actionMap[119][INTOK] = ActionEntry(REDUCE, 376);
   _actionMap[119][NOT] = ActionEntry(REDUCE, 376);
   _actionMap[119][BETWEEN] = ActionEntry(REDUCE, 376);
   _actionMap[119][IS] = ActionEntry(REDUCE, 376);
   _actionMap[119][LIKE] = ActionEntry(REDUCE, 376);
   _actionMap[119][MT] = ActionEntry(REDUCE, 376);
   _actionMap[119][LT] = ActionEntry(REDUCE, 376);
   _actionMap[119][NEGATION] = ActionEntry(REDUCE, 376);
   _actionMap[119][EQU] = ActionEntry(REDUCE, 376);
   _actionMap[119][RB] = ActionEntry(REDUCE, 376);
   _actionMap[119][ENDTOKEN] = ActionEntry(REDUCE, 376);
   _actionMap[119][UNION] = ActionEntry(REDUCE, 376);
   _actionMap[119][ROWLIMIT] = ActionEntry(REDUCE, 376);
   _actionMap[119][KSEP] = ActionEntry(REDUCE, 376);
   _actionMap[119][ASC] = ActionEntry(REDUCE, 376);
   _actionMap[119][DESC] = ActionEntry(REDUCE, 376);
   _actionMap[119][SEMICOLON] = ActionEntry(REDUCE, 376);
   _actionMap[119][PLUS] = ActionEntry(REDUCE, 376);
   _actionMap[119][MINUS] = ActionEntry(REDUCE, 376);
   _actionMap[119][DIVISION] = ActionEntry(REDUCE, 376);
   _actionMap[119][STAR] = ActionEntry(REDUCE, 376);
   _actionMap[119][CONCAT] = ActionEntry(REDUCE, 376);
   _actionMap[120][IDENTIFIER] = ActionEntry(SHIFT, 258);
   _actionMap[121][LB] = ActionEntry(SHIFT, 259);
   _actionMap[122][LB] = ActionEntry(SHIFT, 260);
   _actionMap[123][LB] = ActionEntry(SHIFT, 261);
   _actionMap[124][LB] = ActionEntry(SHIFT, 262);
   _actionMap[125][LB] = ActionEntry(SHIFT, 263);
   _actionMap[126][LB] = ActionEntry(SHIFT, 264);
   _actionMap[127][LB] = ActionEntry(SHIFT, 265);
   _actionMap[128][LB] = ActionEntry(SHIFT, 266);
   _actionMap[129][LB] = ActionEntry(SHIFT, 267);
   _actionMap[130][LB] = ActionEntry(SHIFT, 268);
   _actionMap[131][LB] = ActionEntry(SHIFT, 269);
   _actionMap[132][WHEN] = ActionEntry(REDUCE, 374);
   _actionMap[132][ELSE] = ActionEntry(REDUCE, 374);
   _actionMap[132][LEFT] = ActionEntry(REDUCE, 374);
   _actionMap[132][RIGHT] = ActionEntry(REDUCE, 374);
}
void Cego::loadParser246()
{
   _actionMap[132][INNER] = ActionEntry(REDUCE, 374);
   _actionMap[132][JOIN] = ActionEntry(REDUCE, 374);
   _actionMap[132][RETURNTOKEN] = ActionEntry(REDUCE, 374);
   _actionMap[132][ORDER] = ActionEntry(REDUCE, 374);
   _actionMap[132][GROUP] = ActionEntry(REDUCE, 374);
   _actionMap[132][WHERE] = ActionEntry(REDUCE, 374);
   _actionMap[132][FROM] = ActionEntry(REDUCE, 374);
   _actionMap[132][AS] = ActionEntry(REDUCE, 374);
   _actionMap[132][END_TOKEN] = ActionEntry(REDUCE, 374);
   _actionMap[132][BEGIN] = ActionEntry(REDUCE, 374);
   _actionMap[132][THEN] = ActionEntry(REDUCE, 374);
   _actionMap[132][OR] = ActionEntry(REDUCE, 374);
   _actionMap[132][AND] = ActionEntry(REDUCE, 374);
   _actionMap[132][NULLTOKEN] = ActionEntry(REDUCE, 374);
   _actionMap[132][INTOK] = ActionEntry(REDUCE, 374);
   _actionMap[132][NOT] = ActionEntry(REDUCE, 374);
   _actionMap[132][BETWEEN] = ActionEntry(REDUCE, 374);
   _actionMap[132][IS] = ActionEntry(REDUCE, 374);
   _actionMap[132][LIKE] = ActionEntry(REDUCE, 374);
   _actionMap[132][MT] = ActionEntry(REDUCE, 374);
   _actionMap[132][LT] = ActionEntry(REDUCE, 374);
   _actionMap[132][NEGATION] = ActionEntry(REDUCE, 374);
   _actionMap[132][EQU] = ActionEntry(REDUCE, 374);
   _actionMap[132][RB] = ActionEntry(REDUCE, 374);
   _actionMap[132][ENDTOKEN] = ActionEntry(REDUCE, 374);
   _actionMap[132][UNION] = ActionEntry(REDUCE, 374);
   _actionMap[132][ROWLIMIT] = ActionEntry(REDUCE, 374);
   _actionMap[132][KSEP] = ActionEntry(REDUCE, 374);
   _actionMap[132][ASC] = ActionEntry(REDUCE, 374);
   _actionMap[132][DESC] = ActionEntry(REDUCE, 374);
   _actionMap[132][SEMICOLON] = ActionEntry(REDUCE, 374);
   _actionMap[132][PLUS] = ActionEntry(REDUCE, 374);
   _actionMap[132][MINUS] = ActionEntry(REDUCE, 374);
   _actionMap[132][DIVISION] = ActionEntry(REDUCE, 374);
   _actionMap[132][STAR] = ActionEntry(REDUCE, 374);
   _actionMap[132][CONCAT] = ActionEntry(REDUCE, 374);
   _actionMap[133][LB] = ActionEntry(SHIFT, 270);
   _actionMap[134][LB] = ActionEntry(SHIFT, 271);
   _actionMap[135][LB] = ActionEntry(SHIFT, 272);
   _actionMap[136][LB] = ActionEntry(SHIFT, 273);
   _actionMap[137][LB] = ActionEntry(SHIFT, 274);
   _actionMap[138][LB] = ActionEntry(SHIFT, 275);
   _actionMap[139][LB] = ActionEntry(SHIFT, 276);
   _actionMap[140][LB] = ActionEntry(SHIFT, 277);
   _actionMap[141][LB] = ActionEntry(SHIFT, 278);
   _actionMap[142][LB] = ActionEntry(SHIFT, 279);
   _actionMap[143][WHEN] = ActionEntry(REDUCE, 373);
   _actionMap[143][ELSE] = ActionEntry(REDUCE, 373);
   _actionMap[143][LEFT] = ActionEntry(REDUCE, 373);
   _actionMap[143][RIGHT] = ActionEntry(REDUCE, 373);
}
void Cego::loadParser247()
{
   _actionMap[143][INNER] = ActionEntry(REDUCE, 373);
   _actionMap[143][JOIN] = ActionEntry(REDUCE, 373);
   _actionMap[143][RETURNTOKEN] = ActionEntry(REDUCE, 373);
   _actionMap[143][ORDER] = ActionEntry(REDUCE, 373);
   _actionMap[143][GROUP] = ActionEntry(REDUCE, 373);
   _actionMap[143][WHERE] = ActionEntry(REDUCE, 373);
   _actionMap[143][FROM] = ActionEntry(REDUCE, 373);
   _actionMap[143][AS] = ActionEntry(REDUCE, 373);
   _actionMap[143][END_TOKEN] = ActionEntry(REDUCE, 373);
   _actionMap[143][BEGIN] = ActionEntry(REDUCE, 373);
   _actionMap[143][THEN] = ActionEntry(REDUCE, 373);
   _actionMap[143][OR] = ActionEntry(REDUCE, 373);
   _actionMap[143][AND] = ActionEntry(REDUCE, 373);
   _actionMap[143][NULLTOKEN] = ActionEntry(REDUCE, 373);
   _actionMap[143][INTOK] = ActionEntry(REDUCE, 373);
   _actionMap[143][NOT] = ActionEntry(REDUCE, 373);
   _actionMap[143][BETWEEN] = ActionEntry(REDUCE, 373);
   _actionMap[143][IS] = ActionEntry(REDUCE, 373);
   _actionMap[143][LIKE] = ActionEntry(REDUCE, 373);
   _actionMap[143][MT] = ActionEntry(REDUCE, 373);
   _actionMap[143][LT] = ActionEntry(REDUCE, 373);
   _actionMap[143][NEGATION] = ActionEntry(REDUCE, 373);
   _actionMap[143][EQU] = ActionEntry(REDUCE, 373);
   _actionMap[143][RB] = ActionEntry(REDUCE, 373);
   _actionMap[143][ENDTOKEN] = ActionEntry(REDUCE, 373);
   _actionMap[143][UNION] = ActionEntry(REDUCE, 373);
   _actionMap[143][ROWLIMIT] = ActionEntry(REDUCE, 373);
   _actionMap[143][KSEP] = ActionEntry(REDUCE, 373);
   _actionMap[143][ASC] = ActionEntry(REDUCE, 373);
   _actionMap[143][DESC] = ActionEntry(REDUCE, 373);
   _actionMap[143][SEMICOLON] = ActionEntry(REDUCE, 373);
   _actionMap[143][PLUS] = ActionEntry(REDUCE, 373);
   _actionMap[143][MINUS] = ActionEntry(REDUCE, 373);
   _actionMap[143][DIVISION] = ActionEntry(REDUCE, 373);
   _actionMap[143][STAR] = ActionEntry(REDUCE, 373);
   _actionMap[143][CONCAT] = ActionEntry(REDUCE, 373);
   _actionMap[144][LB] = ActionEntry(SHIFT, 280);
   _actionMap[145][LB] = ActionEntry(SHIFT, 281);
   _actionMap[146][LB] = ActionEntry(SHIFT, 282);
   _actionMap[147][LB] = ActionEntry(SHIFT, 283);
   _actionMap[148][WHEN] = ActionEntry(REDUCE, 375);
   _actionMap[148][ELSE] = ActionEntry(REDUCE, 375);
   _actionMap[148][LEFT] = ActionEntry(REDUCE, 375);
   _actionMap[148][RIGHT] = ActionEntry(REDUCE, 375);
   _actionMap[148][INNER] = ActionEntry(REDUCE, 375);
   _actionMap[148][JOIN] = ActionEntry(REDUCE, 375);
   _actionMap[148][RETURNTOKEN] = ActionEntry(REDUCE, 375);
   _actionMap[148][ORDER] = ActionEntry(REDUCE, 375);
   _actionMap[148][GROUP] = ActionEntry(REDUCE, 375);
   _actionMap[148][WHERE] = ActionEntry(REDUCE, 375);
}
void Cego::loadParser248()
{
   _actionMap[148][FROM] = ActionEntry(REDUCE, 375);
   _actionMap[148][AS] = ActionEntry(REDUCE, 375);
   _actionMap[148][END_TOKEN] = ActionEntry(REDUCE, 375);
   _actionMap[148][BEGIN] = ActionEntry(REDUCE, 375);
   _actionMap[148][THEN] = ActionEntry(REDUCE, 375);
   _actionMap[148][OR] = ActionEntry(REDUCE, 375);
   _actionMap[148][AND] = ActionEntry(REDUCE, 375);
   _actionMap[148][NULLTOKEN] = ActionEntry(REDUCE, 375);
   _actionMap[148][INTOK] = ActionEntry(REDUCE, 375);
   _actionMap[148][NOT] = ActionEntry(REDUCE, 375);
   _actionMap[148][BETWEEN] = ActionEntry(REDUCE, 375);
   _actionMap[148][IS] = ActionEntry(REDUCE, 375);
   _actionMap[148][LIKE] = ActionEntry(REDUCE, 375);
   _actionMap[148][MT] = ActionEntry(REDUCE, 375);
   _actionMap[148][LT] = ActionEntry(REDUCE, 375);
   _actionMap[148][NEGATION] = ActionEntry(REDUCE, 375);
   _actionMap[148][EQU] = ActionEntry(REDUCE, 375);
   _actionMap[148][RB] = ActionEntry(REDUCE, 375);
   _actionMap[148][ENDTOKEN] = ActionEntry(REDUCE, 375);
   _actionMap[148][UNION] = ActionEntry(REDUCE, 375);
   _actionMap[148][ROWLIMIT] = ActionEntry(REDUCE, 375);
   _actionMap[148][KSEP] = ActionEntry(REDUCE, 375);
   _actionMap[148][ASC] = ActionEntry(REDUCE, 375);
   _actionMap[148][DESC] = ActionEntry(REDUCE, 375);
   _actionMap[148][SEMICOLON] = ActionEntry(REDUCE, 375);
   _actionMap[148][PLUS] = ActionEntry(REDUCE, 375);
   _actionMap[148][MINUS] = ActionEntry(REDUCE, 375);
   _actionMap[148][DIVISION] = ActionEntry(REDUCE, 375);
   _actionMap[148][STAR] = ActionEntry(REDUCE, 375);
   _actionMap[148][CONCAT] = ActionEntry(REDUCE, 375);
   _actionMap[149][LB] = ActionEntry(SHIFT, 284);
   _actionMap[150][LB] = ActionEntry(SHIFT, 285);
   _actionMap[151][LONG] = ActionEntry(SHIFT, 292);
   _actionMap[151][BIGINT] = ActionEntry(SHIFT, 288);
   _actionMap[151][SMALLINT] = ActionEntry(SHIFT, 293);
   _actionMap[151][TINYINT] = ActionEntry(SHIFT, 294);
   _actionMap[151][DOUBLE] = ActionEntry(SHIFT, 290);
   _actionMap[151][DECIMAL] = ActionEntry(SHIFT, 289);
   _actionMap[151][FIXED] = ActionEntry(SHIFT, 291);
   _actionMap[151][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[151][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[151][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[151][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[151][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[151][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[151][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[151][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[151][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[151][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[151][NEWDATE] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser249()
{
   _actionMap[151][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[151][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[151][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[151][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[151][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[151][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[151][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[151][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[151][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[151][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[151][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[151][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[151][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[151][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[151][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[151][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[151][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[151][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[151][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[151][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[151][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[151][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[151][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[151][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[151][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[151][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[151][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[151][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[151][LB] = ActionEntry(SHIFT, 151);
   _actionMap[151][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[151][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[151][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[151][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[151][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[151][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[151][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[151][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[151][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[151][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[151][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[151][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[151][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[151][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[151][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[151][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[151][MAX] = ActionEntry(SHIFT, 129);
   _actionMap[151][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[151][ObjSpec] = 102;
   _jumpMap[151][Constant] = 101;
   _jumpMap[151][SignedFloat] = 100;
}
void Cego::loadParser250()
{
   _jumpMap[151][SignedInt] = 99;
   _jumpMap[151][Attribute] = 98;
   _jumpMap[151][Function] = 97;
   _jumpMap[151][SelectStatement] = 287;
   _jumpMap[151][CasePrepare] = 96;
   _jumpMap[151][CaseClause] = 95;
   _jumpMap[151][Factor] = 94;
   _jumpMap[151][Term] = 93;
   _jumpMap[151][Expr] = 286;
   _actionMap[152][FLOATVAL] = ActionEntry(SHIFT, 296);
   _actionMap[152][INTVAL] = ActionEntry(SHIFT, 295);
   _actionMap[153][WHEN] = ActionEntry(REDUCE, 358);
   _actionMap[153][ELSE] = ActionEntry(REDUCE, 358);
   _actionMap[153][LEFT] = ActionEntry(REDUCE, 358);
   _actionMap[153][RIGHT] = ActionEntry(REDUCE, 358);
   _actionMap[153][INNER] = ActionEntry(REDUCE, 358);
   _actionMap[153][JOIN] = ActionEntry(REDUCE, 358);
   _actionMap[153][RETURNTOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[153][ORDER] = ActionEntry(REDUCE, 358);
   _actionMap[153][GROUP] = ActionEntry(REDUCE, 358);
   _actionMap[153][WHERE] = ActionEntry(REDUCE, 358);
   _actionMap[153][AS] = ActionEntry(REDUCE, 358);
   _actionMap[153][FROM] = ActionEntry(REDUCE, 358);
   _actionMap[153][END_TOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[153][BEGIN] = ActionEntry(REDUCE, 358);
   _actionMap[153][THEN] = ActionEntry(REDUCE, 358);
   _actionMap[153][OR] = ActionEntry(REDUCE, 358);
   _actionMap[153][AND] = ActionEntry(REDUCE, 358);
   _actionMap[153][NULLTOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[153][LIKE] = ActionEntry(REDUCE, 358);
   _actionMap[153][IS] = ActionEntry(REDUCE, 358);
   _actionMap[153][BETWEEN] = ActionEntry(REDUCE, 358);
   _actionMap[153][NOT] = ActionEntry(REDUCE, 358);
   _actionMap[153][INTOK] = ActionEntry(REDUCE, 358);
   _actionMap[153][EQU] = ActionEntry(REDUCE, 358);
   _actionMap[153][NEGATION] = ActionEntry(REDUCE, 358);
   _actionMap[153][LT] = ActionEntry(REDUCE, 358);
   _actionMap[153][MT] = ActionEntry(REDUCE, 358);
   _actionMap[153][DESC] = ActionEntry(REDUCE, 358);
   _actionMap[153][ASC] = ActionEntry(REDUCE, 358);
   _actionMap[153][KSEP] = ActionEntry(REDUCE, 358);
   _actionMap[153][ROWLIMIT] = ActionEntry(REDUCE, 358);
   _actionMap[153][UNION] = ActionEntry(REDUCE, 358);
   _actionMap[153][ENDTOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[153][RB] = ActionEntry(REDUCE, 358);
   _actionMap[153][SEMICOLON] = ActionEntry(REDUCE, 358);
   _actionMap[153][CONCAT] = ActionEntry(REDUCE, 358);
   _actionMap[153][STAR] = ActionEntry(REDUCE, 358);
   _actionMap[153][DIVISION] = ActionEntry(REDUCE, 358);
   _actionMap[153][MINUS] = ActionEntry(REDUCE, 358);
}
void Cego::loadParser251()
{
   _actionMap[153][PLUS] = ActionEntry(REDUCE, 358);
   _actionMap[154][WHEN] = ActionEntry(REDUCE, 360);
   _actionMap[154][ELSE] = ActionEntry(REDUCE, 360);
   _actionMap[154][LEFT] = ActionEntry(REDUCE, 360);
   _actionMap[154][RIGHT] = ActionEntry(REDUCE, 360);
   _actionMap[154][INNER] = ActionEntry(REDUCE, 360);
   _actionMap[154][JOIN] = ActionEntry(REDUCE, 360);
   _actionMap[154][RETURNTOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[154][ORDER] = ActionEntry(REDUCE, 360);
   _actionMap[154][GROUP] = ActionEntry(REDUCE, 360);
   _actionMap[154][WHERE] = ActionEntry(REDUCE, 360);
   _actionMap[154][AS] = ActionEntry(REDUCE, 360);
   _actionMap[154][FROM] = ActionEntry(REDUCE, 360);
   _actionMap[154][END_TOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[154][BEGIN] = ActionEntry(REDUCE, 360);
   _actionMap[154][THEN] = ActionEntry(REDUCE, 360);
   _actionMap[154][OR] = ActionEntry(REDUCE, 360);
   _actionMap[154][AND] = ActionEntry(REDUCE, 360);
   _actionMap[154][NULLTOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[154][LIKE] = ActionEntry(REDUCE, 360);
   _actionMap[154][IS] = ActionEntry(REDUCE, 360);
   _actionMap[154][BETWEEN] = ActionEntry(REDUCE, 360);
   _actionMap[154][NOT] = ActionEntry(REDUCE, 360);
   _actionMap[154][INTOK] = ActionEntry(REDUCE, 360);
   _actionMap[154][EQU] = ActionEntry(REDUCE, 360);
   _actionMap[154][NEGATION] = ActionEntry(REDUCE, 360);
   _actionMap[154][LT] = ActionEntry(REDUCE, 360);
   _actionMap[154][MT] = ActionEntry(REDUCE, 360);
   _actionMap[154][DESC] = ActionEntry(REDUCE, 360);
   _actionMap[154][ASC] = ActionEntry(REDUCE, 360);
   _actionMap[154][KSEP] = ActionEntry(REDUCE, 360);
   _actionMap[154][ROWLIMIT] = ActionEntry(REDUCE, 360);
   _actionMap[154][UNION] = ActionEntry(REDUCE, 360);
   _actionMap[154][ENDTOKEN] = ActionEntry(REDUCE, 360);
   _actionMap[154][RB] = ActionEntry(REDUCE, 360);
   _actionMap[154][SEMICOLON] = ActionEntry(REDUCE, 360);
   _actionMap[154][CONCAT] = ActionEntry(REDUCE, 360);
   _actionMap[154][STAR] = ActionEntry(REDUCE, 360);
   _actionMap[154][DIVISION] = ActionEntry(REDUCE, 360);
   _actionMap[154][MINUS] = ActionEntry(REDUCE, 360);
   _actionMap[154][PLUS] = ActionEntry(REDUCE, 360);
   _actionMap[155][WHEN] = ActionEntry(REDUCE, 355);
   _actionMap[155][ELSE] = ActionEntry(REDUCE, 355);
   _actionMap[155][LEFT] = ActionEntry(REDUCE, 355);
   _actionMap[155][RIGHT] = ActionEntry(REDUCE, 355);
   _actionMap[155][INNER] = ActionEntry(REDUCE, 355);
   _actionMap[155][JOIN] = ActionEntry(REDUCE, 355);
   _actionMap[155][RETURNTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[155][ORDER] = ActionEntry(REDUCE, 355);
   _actionMap[155][GROUP] = ActionEntry(REDUCE, 355);
}
void Cego::loadParser252()
{
   _actionMap[155][WHERE] = ActionEntry(REDUCE, 355);
   _actionMap[155][FROM] = ActionEntry(REDUCE, 355);
   _actionMap[155][AS] = ActionEntry(REDUCE, 355);
   _actionMap[155][END_TOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[155][BEGIN] = ActionEntry(REDUCE, 355);
   _actionMap[155][THEN] = ActionEntry(REDUCE, 355);
   _actionMap[155][OR] = ActionEntry(REDUCE, 355);
   _actionMap[155][AND] = ActionEntry(REDUCE, 355);
   _actionMap[155][INTOK] = ActionEntry(REDUCE, 355);
   _actionMap[155][NOT] = ActionEntry(REDUCE, 355);
   _actionMap[155][BETWEEN] = ActionEntry(REDUCE, 355);
   _actionMap[155][IS] = ActionEntry(REDUCE, 355);
   _actionMap[155][LIKE] = ActionEntry(REDUCE, 355);
   _actionMap[155][MT] = ActionEntry(REDUCE, 355);
   _actionMap[155][LT] = ActionEntry(REDUCE, 355);
   _actionMap[155][NEGATION] = ActionEntry(REDUCE, 355);
   _actionMap[155][EQU] = ActionEntry(REDUCE, 355);
   _actionMap[155][RB] = ActionEntry(REDUCE, 355);
   _actionMap[155][ENDTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[155][UNION] = ActionEntry(REDUCE, 355);
   _actionMap[155][ROWLIMIT] = ActionEntry(REDUCE, 355);
   _actionMap[155][KSEP] = ActionEntry(REDUCE, 355);
   _actionMap[155][ASC] = ActionEntry(REDUCE, 355);
   _actionMap[155][DESC] = ActionEntry(REDUCE, 355);
   _actionMap[155][SEMICOLON] = ActionEntry(REDUCE, 355);
   _actionMap[155][PLUS] = ActionEntry(REDUCE, 355);
   _actionMap[155][MINUS] = ActionEntry(REDUCE, 355);
   _actionMap[155][LB] = ActionEntry(REDUCE, 381);
   _actionMap[155][DIVISION] = ActionEntry(REDUCE, 355);
   _actionMap[155][STAR] = ActionEntry(REDUCE, 355);
   _actionMap[155][CONCAT] = ActionEntry(REDUCE, 355);
   _actionMap[156][WHEN] = ActionEntry(REDUCE, 151);
   _actionMap[156][ELSE] = ActionEntry(REDUCE, 151);
   _actionMap[156][LEFT] = ActionEntry(REDUCE, 151);
   _actionMap[156][RIGHT] = ActionEntry(REDUCE, 151);
   _actionMap[156][INNER] = ActionEntry(REDUCE, 151);
   _actionMap[156][JOIN] = ActionEntry(REDUCE, 151);
   _actionMap[156][RETURNTOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[156][ORDER] = ActionEntry(REDUCE, 151);
   _actionMap[156][GROUP] = ActionEntry(REDUCE, 151);
   _actionMap[156][WHERE] = ActionEntry(REDUCE, 151);
   _actionMap[156][AS] = ActionEntry(REDUCE, 151);
   _actionMap[156][FROM] = ActionEntry(REDUCE, 151);
   _actionMap[156][END_TOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[156][BEGIN] = ActionEntry(REDUCE, 151);
   _actionMap[156][THEN] = ActionEntry(REDUCE, 151);
   _actionMap[156][OR] = ActionEntry(REDUCE, 151);
   _actionMap[156][AND] = ActionEntry(REDUCE, 151);
   _actionMap[156][LIKE] = ActionEntry(REDUCE, 151);
   _actionMap[156][IS] = ActionEntry(REDUCE, 151);
}
void Cego::loadParser253()
{
   _actionMap[156][BETWEEN] = ActionEntry(REDUCE, 151);
   _actionMap[156][NOT] = ActionEntry(REDUCE, 151);
   _actionMap[156][INTOK] = ActionEntry(REDUCE, 151);
   _actionMap[156][EQU] = ActionEntry(REDUCE, 151);
   _actionMap[156][NEGATION] = ActionEntry(REDUCE, 151);
   _actionMap[156][LT] = ActionEntry(REDUCE, 151);
   _actionMap[156][MT] = ActionEntry(REDUCE, 151);
   _actionMap[156][DESC] = ActionEntry(REDUCE, 151);
   _actionMap[156][ASC] = ActionEntry(REDUCE, 151);
   _actionMap[156][KSEP] = ActionEntry(REDUCE, 151);
   _actionMap[156][ROWLIMIT] = ActionEntry(REDUCE, 151);
   _actionMap[156][UNION] = ActionEntry(REDUCE, 151);
   _actionMap[156][ENDTOKEN] = ActionEntry(REDUCE, 151);
   _actionMap[156][RB] = ActionEntry(REDUCE, 151);
   _actionMap[156][SEMICOLON] = ActionEntry(REDUCE, 151);
   _actionMap[156][CONCAT] = ActionEntry(REDUCE, 151);
   _actionMap[156][STAR] = ActionEntry(REDUCE, 151);
   _actionMap[156][DIVISION] = ActionEntry(REDUCE, 151);
   _actionMap[156][MINUS] = ActionEntry(REDUCE, 151);
   _actionMap[156][PLUS] = ActionEntry(REDUCE, 151);
   _actionMap[157][WHEN] = ActionEntry(REDUCE, 356);
   _actionMap[157][ELSE] = ActionEntry(REDUCE, 356);
   _actionMap[157][LEFT] = ActionEntry(REDUCE, 356);
   _actionMap[157][RIGHT] = ActionEntry(REDUCE, 356);
   _actionMap[157][INNER] = ActionEntry(REDUCE, 356);
   _actionMap[157][JOIN] = ActionEntry(REDUCE, 356);
   _actionMap[157][RETURNTOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[157][ORDER] = ActionEntry(REDUCE, 356);
   _actionMap[157][GROUP] = ActionEntry(REDUCE, 356);
   _actionMap[157][WHERE] = ActionEntry(REDUCE, 356);
   _actionMap[157][FROM] = ActionEntry(REDUCE, 356);
   _actionMap[157][AS] = ActionEntry(REDUCE, 356);
   _actionMap[157][END_TOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[157][BEGIN] = ActionEntry(REDUCE, 356);
   _actionMap[157][THEN] = ActionEntry(REDUCE, 356);
   _actionMap[157][OR] = ActionEntry(REDUCE, 356);
   _actionMap[157][AND] = ActionEntry(REDUCE, 356);
   _actionMap[157][INTOK] = ActionEntry(REDUCE, 356);
   _actionMap[157][NOT] = ActionEntry(REDUCE, 356);
   _actionMap[157][BETWEEN] = ActionEntry(REDUCE, 356);
   _actionMap[157][IS] = ActionEntry(REDUCE, 356);
   _actionMap[157][LIKE] = ActionEntry(REDUCE, 356);
   _actionMap[157][MT] = ActionEntry(REDUCE, 356);
   _actionMap[157][LT] = ActionEntry(REDUCE, 356);
   _actionMap[157][NEGATION] = ActionEntry(REDUCE, 356);
   _actionMap[157][EQU] = ActionEntry(REDUCE, 356);
   _actionMap[157][RB] = ActionEntry(REDUCE, 356);
   _actionMap[157][ENDTOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[157][UNION] = ActionEntry(REDUCE, 356);
   _actionMap[157][ROWLIMIT] = ActionEntry(REDUCE, 356);
}
void Cego::loadParser254()
{
   _actionMap[157][KSEP] = ActionEntry(REDUCE, 356);
   _actionMap[157][ASC] = ActionEntry(REDUCE, 356);
   _actionMap[157][DESC] = ActionEntry(REDUCE, 356);
   _actionMap[157][SEMICOLON] = ActionEntry(REDUCE, 356);
   _actionMap[157][PLUS] = ActionEntry(REDUCE, 356);
   _actionMap[157][MINUS] = ActionEntry(REDUCE, 356);
   _actionMap[157][LB] = ActionEntry(REDUCE, 382);
   _actionMap[157][DIVISION] = ActionEntry(REDUCE, 356);
   _actionMap[157][STAR] = ActionEntry(REDUCE, 356);
   _actionMap[157][CONCAT] = ActionEntry(REDUCE, 356);
   _actionMap[158][STAR] = ActionEntry(SHIFT, 297);
   _actionMap[159][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[159][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[159][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[159][ObjSpec] = 298;
   _actionMap[160][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[160][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[160][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[160][ObjSpec] = 299;
   _actionMap[161][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[161][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[161][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[161][ObjSpec] = 300;
   _actionMap[162][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[162][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[162][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[162][ObjSpec] = 301;
   _actionMap[163][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[163][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[163][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[163][ObjSpec] = 302;
   _actionMap[164][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[164][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[164][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[164][ObjSpec] = 303;
   _actionMap[165][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[165][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[165][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[165][ObjSpec] = 304;
   _actionMap[166][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[166][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[166][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[166][ObjSpec] = 305;
   _actionMap[167][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[167][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[167][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[167][ObjSpec] = 306;
   _actionMap[168][FROM] = ActionEntry(SHIFT, 307);
   _actionMap[169][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[169][MINUS] = ActionEntry(SHIFT, 152);
}
void Cego::loadParser255()
{
   _actionMap[169][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[169][TRIM] = ActionEntry(SHIFT, 147);
   _actionMap[169][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[169][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[169][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[169][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[169][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[169][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[169][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[169][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[169][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[169][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[169][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[169][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[169][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[169][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[169][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[169][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[169][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[169][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[169][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[169][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[169][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[169][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[169][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[169][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[169][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[169][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[169][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[169][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[169][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[169][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[169][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[169][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[169][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[169][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[169][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[169][LB] = ActionEntry(SHIFT, 151);
   _actionMap[169][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[169][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[169][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[169][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[169][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[169][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[169][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[169][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[169][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[169][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[169][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[169][FETCH] = ActionEntry(SHIFT, 120);
}
void Cego::loadParser256()
{
   _actionMap[169][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[169][SUM] = ActionEntry(SHIFT, 142);
   _actionMap[169][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[169][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[169][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[169][ObjSpec] = 102;
   _jumpMap[169][Constant] = 101;
   _jumpMap[169][SignedFloat] = 100;
   _jumpMap[169][SignedInt] = 99;
   _jumpMap[169][Attribute] = 98;
   _jumpMap[169][Function] = 97;
   _jumpMap[169][SelectItem] = 310;
   _jumpMap[169][SelectionList] = 309;
   _jumpMap[169][CasePrepare] = 96;
   _jumpMap[169][CaseClause] = 95;
   _jumpMap[169][Factor] = 94;
   _jumpMap[169][Term] = 93;
   _jumpMap[169][Expr] = 308;
   _actionMap[170][VARREF] = ActionEntry(REDUCE, 249);
   _actionMap[170][FETCH] = ActionEntry(REDUCE, 249);
   _actionMap[170][LB] = ActionEntry(REDUCE, 249);
   _actionMap[170][COUNT] = ActionEntry(REDUCE, 249);
   _actionMap[170][SUM] = ActionEntry(REDUCE, 249);
   _actionMap[170][AVG] = ActionEntry(REDUCE, 249);
   _actionMap[170][MIN] = ActionEntry(REDUCE, 249);
   _actionMap[170][MAX] = ActionEntry(REDUCE, 249);
   _actionMap[170][CASE] = ActionEntry(REDUCE, 249);
   _actionMap[170][TRIM] = ActionEntry(REDUCE, 249);
   _actionMap[170][RTRIM] = ActionEntry(REDUCE, 249);
   _actionMap[170][LTRIM] = ActionEntry(REDUCE, 249);
   _actionMap[170][ROUND] = ActionEntry(REDUCE, 249);
   _actionMap[170][DATE2STR] = ActionEntry(REDUCE, 249);
   _actionMap[170][DATE2INT] = ActionEntry(REDUCE, 249);
   _actionMap[170][INT2DATE] = ActionEntry(REDUCE, 249);
   _actionMap[170][NEWDATE] = ActionEntry(REDUCE, 249);
   _actionMap[170][LOWER] = ActionEntry(REDUCE, 249);
   _actionMap[170][UPPER] = ActionEntry(REDUCE, 249);
   _actionMap[170][LEFT] = ActionEntry(REDUCE, 249);
   _actionMap[170][RIGHT] = ActionEntry(REDUCE, 249);
   _actionMap[170][GETPOS] = ActionEntry(REDUCE, 249);
   _actionMap[170][SUBSTR] = ActionEntry(REDUCE, 249);
   _actionMap[170][REPLACE] = ActionEntry(REDUCE, 249);
   _actionMap[170][LENGTH] = ActionEntry(REDUCE, 249);
   _actionMap[170][TRUNC] = ActionEntry(REDUCE, 249);
   _actionMap[170][STR2INT] = ActionEntry(REDUCE, 249);
   _actionMap[170][STR2LONG] = ActionEntry(REDUCE, 249);
   _actionMap[170][STR2DATE] = ActionEntry(REDUCE, 249);
   _actionMap[170][RANDSTR] = ActionEntry(REDUCE, 249);
   _actionMap[170][RANDINT] = ActionEntry(REDUCE, 249);
   _actionMap[170][MOD] = ActionEntry(REDUCE, 249);
}
void Cego::loadParser257()
{
   _actionMap[170][DIV] = ActionEntry(REDUCE, 249);
   _actionMap[170][POWER] = ActionEntry(REDUCE, 249);
   _actionMap[170][BITAND] = ActionEntry(REDUCE, 249);
   _actionMap[170][BITOR] = ActionEntry(REDUCE, 249);
   _actionMap[170][BITXOR] = ActionEntry(REDUCE, 249);
   _actionMap[170][BLOBSIZE] = ActionEntry(REDUCE, 249);
   _actionMap[170][CLOBSIZE] = ActionEntry(REDUCE, 249);
   _actionMap[170][CLOB2STR] = ActionEntry(REDUCE, 249);
   _actionMap[170][NEXTCOUNT] = ActionEntry(REDUCE, 249);
   _actionMap[170][SETCOUNT] = ActionEntry(REDUCE, 249);
   _actionMap[170][IDENTIFIER] = ActionEntry(REDUCE, 249);
   _actionMap[170][QUALIFIEDOBJ] = ActionEntry(REDUCE, 249);
   _actionMap[170][QUALIFIEDTS] = ActionEntry(REDUCE, 249);
   _actionMap[170][QUALIFIEDPRE] = ActionEntry(REDUCE, 249);
   _actionMap[170][STRINGVAL] = ActionEntry(REDUCE, 249);
   _actionMap[170][DATE] = ActionEntry(REDUCE, 249);
   _actionMap[170][SYSDATE] = ActionEntry(REDUCE, 249);
   _actionMap[170][NULLTOKEN] = ActionEntry(REDUCE, 249);
   _actionMap[170][TRUEVAL] = ActionEntry(REDUCE, 249);
   _actionMap[170][FALSEVAL] = ActionEntry(REDUCE, 249);
   _actionMap[170][BLOB] = ActionEntry(REDUCE, 249);
   _actionMap[170][CLOB] = ActionEntry(REDUCE, 249);
   _actionMap[170][FLOATVAL] = ActionEntry(REDUCE, 249);
   _actionMap[170][MINUS] = ActionEntry(REDUCE, 249);
   _actionMap[170][INTVAL] = ActionEntry(REDUCE, 249);
   _actionMap[171][VARREF] = ActionEntry(REDUCE, 248);
   _actionMap[171][FETCH] = ActionEntry(REDUCE, 248);
   _actionMap[171][LB] = ActionEntry(REDUCE, 248);
   _actionMap[171][COUNT] = ActionEntry(REDUCE, 248);
   _actionMap[171][SUM] = ActionEntry(REDUCE, 248);
   _actionMap[171][AVG] = ActionEntry(REDUCE, 248);
   _actionMap[171][MIN] = ActionEntry(REDUCE, 248);
   _actionMap[171][MAX] = ActionEntry(REDUCE, 248);
   _actionMap[171][CASE] = ActionEntry(REDUCE, 248);
   _actionMap[171][TRIM] = ActionEntry(REDUCE, 248);
   _actionMap[171][RTRIM] = ActionEntry(REDUCE, 248);
   _actionMap[171][LTRIM] = ActionEntry(REDUCE, 248);
   _actionMap[171][ROUND] = ActionEntry(REDUCE, 248);
   _actionMap[171][DATE2STR] = ActionEntry(REDUCE, 248);
   _actionMap[171][DATE2INT] = ActionEntry(REDUCE, 248);
   _actionMap[171][INT2DATE] = ActionEntry(REDUCE, 248);
   _actionMap[171][NEWDATE] = ActionEntry(REDUCE, 248);
   _actionMap[171][LOWER] = ActionEntry(REDUCE, 248);
   _actionMap[171][UPPER] = ActionEntry(REDUCE, 248);
   _actionMap[171][LEFT] = ActionEntry(REDUCE, 248);
   _actionMap[171][RIGHT] = ActionEntry(REDUCE, 248);
   _actionMap[171][GETPOS] = ActionEntry(REDUCE, 248);
   _actionMap[171][SUBSTR] = ActionEntry(REDUCE, 248);
   _actionMap[171][REPLACE] = ActionEntry(REDUCE, 248);
   _actionMap[171][LENGTH] = ActionEntry(REDUCE, 248);
}
void Cego::loadParser258()
{
   _actionMap[171][TRUNC] = ActionEntry(REDUCE, 248);
   _actionMap[171][STR2INT] = ActionEntry(REDUCE, 248);
   _actionMap[171][STR2LONG] = ActionEntry(REDUCE, 248);
   _actionMap[171][STR2DATE] = ActionEntry(REDUCE, 248);
   _actionMap[171][RANDSTR] = ActionEntry(REDUCE, 248);
   _actionMap[171][RANDINT] = ActionEntry(REDUCE, 248);
   _actionMap[171][MOD] = ActionEntry(REDUCE, 248);
   _actionMap[171][DIV] = ActionEntry(REDUCE, 248);
   _actionMap[171][POWER] = ActionEntry(REDUCE, 248);
   _actionMap[171][BITAND] = ActionEntry(REDUCE, 248);
   _actionMap[171][BITOR] = ActionEntry(REDUCE, 248);
   _actionMap[171][BITXOR] = ActionEntry(REDUCE, 248);
   _actionMap[171][BLOBSIZE] = ActionEntry(REDUCE, 248);
   _actionMap[171][CLOBSIZE] = ActionEntry(REDUCE, 248);
   _actionMap[171][CLOB2STR] = ActionEntry(REDUCE, 248);
   _actionMap[171][NEXTCOUNT] = ActionEntry(REDUCE, 248);
   _actionMap[171][SETCOUNT] = ActionEntry(REDUCE, 248);
   _actionMap[171][IDENTIFIER] = ActionEntry(REDUCE, 248);
   _actionMap[171][QUALIFIEDOBJ] = ActionEntry(REDUCE, 248);
   _actionMap[171][QUALIFIEDTS] = ActionEntry(REDUCE, 248);
   _actionMap[171][QUALIFIEDPRE] = ActionEntry(REDUCE, 248);
   _actionMap[171][STRINGVAL] = ActionEntry(REDUCE, 248);
   _actionMap[171][DATE] = ActionEntry(REDUCE, 248);
   _actionMap[171][SYSDATE] = ActionEntry(REDUCE, 248);
   _actionMap[171][NULLTOKEN] = ActionEntry(REDUCE, 248);
   _actionMap[171][TRUEVAL] = ActionEntry(REDUCE, 248);
   _actionMap[171][FALSEVAL] = ActionEntry(REDUCE, 248);
   _actionMap[171][BLOB] = ActionEntry(REDUCE, 248);
   _actionMap[171][CLOB] = ActionEntry(REDUCE, 248);
   _actionMap[171][FLOATVAL] = ActionEntry(REDUCE, 248);
   _actionMap[171][MINUS] = ActionEntry(REDUCE, 248);
   _actionMap[171][INTVAL] = ActionEntry(REDUCE, 248);
   _actionMap[172][FROM] = ActionEntry(REDUCE, 210);
   _actionMap[173][CACHE] = ActionEntry(SHIFT, 311);
   _actionMap[174][OFF] = ActionEntry(SHIFT, 312);
   _actionMap[174][ON] = ActionEntry(SHIFT, 313);
   _actionMap[175][OFF] = ActionEntry(SHIFT, 314);
   _actionMap[175][ON] = ActionEntry(SHIFT, 315);
   _actionMap[176][IDENTIFIER] = ActionEntry(SHIFT, 194);
   _jumpMap[176][CounterId] = 316;
   _actionMap[177][IDENTIFIER] = ActionEntry(SHIFT, 317);
   _actionMap[178][IDENTIFIER] = ActionEntry(SHIFT, 318);
   _actionMap[179][SYNC] = ActionEntry(SHIFT, 319);
   _actionMap[180][EQU] = ActionEntry(SHIFT, 320);
   _actionMap[181][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[181][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[181][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[181][ObjSpec] = 321;
   _actionMap[182][SEMICOLON] = ActionEntry(REDUCE, 17);
   _actionMap[183][IDENTIFIER] = ActionEntry(SHIFT, 53);
}
void Cego::loadParser259()
{
   _actionMap[183][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[183][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[183][ObjSpec] = 322;
   _actionMap[184][SEMICOLON] = ActionEntry(REDUCE, 18);
   _actionMap[185][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[185][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[185][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[185][ObjSpec] = 323;
   _actionMap[186][SEMICOLON] = ActionEntry(REDUCE, 193);
   _actionMap[187][SEMICOLON] = ActionEntry(REDUCE, 15);
   _actionMap[188][IDENTIFIER] = ActionEntry(SHIFT, 326);
   _actionMap[188][SET] = ActionEntry(REDUCE, 265);
   _jumpMap[188][UpdDelAlias] = 324;
   _actionMap[189][CALL] = ActionEntry(SHIFT, 327);
   _actionMap[1][TABLE] = ActionEntry(SHIFT, 47);
   _actionMap[1][AVLTREE] = ActionEntry(SHIFT, 40);
   _actionMap[1][VIEW] = ActionEntry(SHIFT, 48);
   _actionMap[1][PROCEDURE] = ActionEntry(SHIFT, 46);
   _actionMap[1][FOREIGN] = ActionEntry(SHIFT, 44);
   _actionMap[1][CHECK] = ActionEntry(SHIFT, 42);
   _actionMap[1][COUNTER] = ActionEntry(SHIFT, 43);
   _actionMap[1][BTREE] = ActionEntry(SHIFT, 41);
   _actionMap[1][INDEX] = ActionEntry(SHIFT, 45);
   _jumpMap[1][BtreeType] = 39;
   _actionMap[2][SEMICOLON] = ActionEntry(SHIFT, 49);
   _actionMap[3][SEMICOLON] = ActionEntry(REDUCE, 31);
   _actionMap[4][SEMICOLON] = ActionEntry(REDUCE, 32);
   _actionMap[5][SEMICOLON] = ActionEntry(REDUCE, 33);
   _actionMap[6][SEMICOLON] = ActionEntry(REDUCE, 47);
   _actionMap[7][SEMICOLON] = ActionEntry(REDUCE, 45);
   _actionMap[8][SEMICOLON] = ActionEntry(REDUCE, 49);
   _actionMap[9][SEMICOLON] = ActionEntry(REDUCE, 48);
   _actionMap[10][SEMICOLON] = ActionEntry(REDUCE, 50);
   _actionMap[11][SEMICOLON] = ActionEntry(REDUCE, 51);
   _actionMap[12][TABLE] = ActionEntry(SHIFT, 50);
   _actionMap[13][IDENTIFIER] = ActionEntry(SHIFT, 51);
   _actionMap[14][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[14][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[14][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[14][ObjSpec] = 52;
   _actionMap[15][AVLTREE] = ActionEntry(SHIFT, 56);
   _actionMap[16][SEMICOLON] = ActionEntry(REDUCE, 194);
   _actionMap[17][VIEW] = ActionEntry(SHIFT, 65);
   _actionMap[17][TABLE] = ActionEntry(SHIFT, 63);
   _actionMap[17][PRIMARY] = ActionEntry(SHIFT, 61);
   _actionMap[17][COUNTER] = ActionEntry(SHIFT, 60);
   _actionMap[17][PROCEDURE] = ActionEntry(SHIFT, 62);
   _actionMap[17][UNIQUE] = ActionEntry(SHIFT, 64);
   _actionMap[17][AVLTREE] = ActionEntry(REDUCE, 188);
   _actionMap[17][BTREE] = ActionEntry(REDUCE, 188);
}
void Cego::loadParser260()
{
   _actionMap[17][INDEX] = ActionEntry(REDUCE, 188);
   _jumpMap[17][IndexOption] = 59;
   _jumpMap[17][ProcDef] = 58;
   _jumpMap[17][ProcHead] = 57;
   _actionMap[18][FROM] = ActionEntry(SHIFT, 66);
   _actionMap[19][TABLE] = ActionEntry(SHIFT, 72);
   _actionMap[19][AVLTREE] = ActionEntry(SHIFT, 68);
   _actionMap[19][VIEW] = ActionEntry(SHIFT, 73);
   _actionMap[19][FOREIGN] = ActionEntry(SHIFT, 70);
   _actionMap[19][CHECK] = ActionEntry(SHIFT, 69);
   _actionMap[19][PROCEDURE] = ActionEntry(SHIFT, 71);
   _actionMap[19][BTREE] = ActionEntry(SHIFT, 41);
   _actionMap[19][INDEX] = ActionEntry(SHIFT, 45);
   _jumpMap[19][BtreeType] = 67;
   _actionMap[20][COUNTER] = ActionEntry(REDUCE, 68);
   _actionMap[20][IF] = ActionEntry(SHIFT, 74);
   _actionMap[20][BTREE] = ActionEntry(REDUCE, 68);
   _actionMap[20][INDEX] = ActionEntry(REDUCE, 68);
   _actionMap[20][CHECK] = ActionEntry(REDUCE, 68);
   _actionMap[20][FOREIGN] = ActionEntry(REDUCE, 68);
   _actionMap[20][PROCEDURE] = ActionEntry(REDUCE, 68);
   _actionMap[20][VIEW] = ActionEntry(REDUCE, 68);
   _actionMap[20][AVLTREE] = ActionEntry(REDUCE, 68);
   _actionMap[20][TABLE] = ActionEntry(REDUCE, 68);
   _actionMap[21][INTO] = ActionEntry(SHIFT, 75);
   _actionMap[22][IDENTIFIER] = ActionEntry(SHIFT, 77);
   _jumpMap[22][JdbcArgList] = 76;
   _actionMap[23][TABLESET] = ActionEntry(SHIFT, 86);
   _actionMap[23][TABLE] = ActionEntry(SHIFT, 85);
   _actionMap[23][PROCEDURE] = ActionEntry(SHIFT, 83);
   _actionMap[23][VIEW] = ActionEntry(SHIFT, 88);
   _actionMap[23][AVLTREE] = ActionEntry(SHIFT, 79);
   _actionMap[23][KEY] = ActionEntry(SHIFT, 82);
   _actionMap[23][COUNTER] = ActionEntry(SHIFT, 81);
   _actionMap[23][SYSOBJ] = ActionEntry(SHIFT, 84);
   _actionMap[23][TMPOBJ] = ActionEntry(SHIFT, 87);
   _actionMap[23][CHECK] = ActionEntry(SHIFT, 80);
   _actionMap[23][BTREE] = ActionEntry(SHIFT, 41);
   _actionMap[23][INDEX] = ActionEntry(SHIFT, 45);
   _jumpMap[23][BtreeType] = 78;
   _actionMap[24][VIEW] = ActionEntry(SHIFT, 90);
   _actionMap[24][PROCEDURE] = ActionEntry(SHIFT, 62);
   _jumpMap[24][ProcDef] = 89;
   _jumpMap[24][ProcHead] = 57;
   _actionMap[25][SELECT] = ActionEntry(SHIFT, 30);
   _jumpMap[25][SelectStatement] = 91;
   _actionMap[26][FLOATVAL] = ActionEntry(SHIFT, 154);
   _actionMap[26][MINUS] = ActionEntry(SHIFT, 152);
   _actionMap[26][INTVAL] = ActionEntry(SHIFT, 153);
   _actionMap[26][TRIM] = ActionEntry(SHIFT, 147);
}
void Cego::loadParser261()
{
   _actionMap[26][RTRIM] = ActionEntry(SHIFT, 139);
   _actionMap[26][LTRIM] = ActionEntry(SHIFT, 127);
   _actionMap[26][ROUND] = ActionEntry(SHIFT, 138);
   _actionMap[26][DATE2STR] = ActionEntry(SHIFT, 116);
   _actionMap[26][DATE2INT] = ActionEntry(SHIFT, 117);
   _actionMap[26][INT2DATE] = ActionEntry(SHIFT, 122);
   _actionMap[26][NEWDATE] = ActionEntry(SHIFT, 123);
   _actionMap[26][LOWER] = ActionEntry(SHIFT, 126);
   _actionMap[26][UPPER] = ActionEntry(SHIFT, 150);
   _actionMap[26][LEFT] = ActionEntry(SHIFT, 124);
   _actionMap[26][RIGHT] = ActionEntry(SHIFT, 137);
   _actionMap[26][GETPOS] = ActionEntry(SHIFT, 121);
   _actionMap[26][SUBSTR] = ActionEntry(SHIFT, 141);
   _actionMap[26][REPLACE] = ActionEntry(SHIFT, 136);
   _actionMap[26][LENGTH] = ActionEntry(SHIFT, 125);
   _actionMap[26][TRUNC] = ActionEntry(SHIFT, 149);
   _actionMap[26][STR2INT] = ActionEntry(SHIFT, 144);
   _actionMap[26][STR2LONG] = ActionEntry(SHIFT, 145);
   _actionMap[26][STR2DATE] = ActionEntry(SHIFT, 146);
   _actionMap[26][RANDSTR] = ActionEntry(SHIFT, 134);
   _actionMap[26][RANDINT] = ActionEntry(SHIFT, 135);
   _actionMap[26][MOD] = ActionEntry(SHIFT, 130);
   _actionMap[26][DIV] = ActionEntry(SHIFT, 118);
   _actionMap[26][POWER] = ActionEntry(SHIFT, 133);
   _actionMap[26][BITAND] = ActionEntry(SHIFT, 105);
   _actionMap[26][BITOR] = ActionEntry(SHIFT, 106);
   _actionMap[26][BITXOR] = ActionEntry(SHIFT, 107);
   _actionMap[26][BLOBSIZE] = ActionEntry(SHIFT, 109);
   _actionMap[26][CLOBSIZE] = ActionEntry(SHIFT, 112);
   _actionMap[26][CLOB2STR] = ActionEntry(SHIFT, 113);
   _actionMap[26][NEXTCOUNT] = ActionEntry(SHIFT, 131);
   _actionMap[26][SETCOUNT] = ActionEntry(SHIFT, 140);
   _actionMap[26][IDENTIFIER] = ActionEntry(SHIFT, 155);
   _actionMap[26][QUALIFIEDOBJ] = ActionEntry(SHIFT, 157);
   _actionMap[26][QUALIFIEDPRE] = ActionEntry(SHIFT, 158);
   _actionMap[26][LB] = ActionEntry(SHIFT, 151);
   _actionMap[26][STRINGVAL] = ActionEntry(SHIFT, 103);
   _actionMap[26][DATE] = ActionEntry(SHIFT, 115);
   _actionMap[26][SYSDATE] = ActionEntry(SHIFT, 143);
   _actionMap[26][NULLTOKEN] = ActionEntry(SHIFT, 132);
   _actionMap[26][TRUEVAL] = ActionEntry(SHIFT, 148);
   _actionMap[26][FALSEVAL] = ActionEntry(SHIFT, 119);
   _actionMap[26][BLOB] = ActionEntry(SHIFT, 108);
   _actionMap[26][CLOB] = ActionEntry(SHIFT, 111);
   _actionMap[26][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _actionMap[26][CASE] = ActionEntry(SHIFT, 110);
   _actionMap[26][VARREF] = ActionEntry(SHIFT, 156);
   _actionMap[26][FETCH] = ActionEntry(SHIFT, 120);
   _actionMap[26][COUNT] = ActionEntry(SHIFT, 114);
   _actionMap[26][SUM] = ActionEntry(SHIFT, 142);
}
void Cego::loadParser262()
{
   _actionMap[26][AVG] = ActionEntry(SHIFT, 104);
   _actionMap[26][MIN] = ActionEntry(SHIFT, 128);
   _actionMap[26][MAX] = ActionEntry(SHIFT, 129);
   _jumpMap[26][ObjSpec] = 102;
   _jumpMap[26][Constant] = 101;
   _jumpMap[26][SignedFloat] = 100;
   _jumpMap[26][SignedInt] = 99;
   _jumpMap[26][Attribute] = 98;
   _jumpMap[26][Function] = 97;
   _jumpMap[26][CasePrepare] = 96;
   _jumpMap[26][CaseClause] = 95;
   _jumpMap[26][Factor] = 94;
   _jumpMap[26][Term] = 93;
   _jumpMap[26][Expr] = 92;
   _actionMap[27][TABLE] = ActionEntry(SHIFT, 164);
   _actionMap[27][AVLTREE] = ActionEntry(SHIFT, 160);
   _actionMap[27][KEY] = ActionEntry(SHIFT, 162);
   _actionMap[27][PROCEDURE] = ActionEntry(SHIFT, 163);
   _actionMap[27][VIEW] = ActionEntry(SHIFT, 165);
   _actionMap[27][CHECK] = ActionEntry(SHIFT, 161);
   _actionMap[27][BTREE] = ActionEntry(SHIFT, 41);
   _actionMap[27][INDEX] = ActionEntry(SHIFT, 45);
   _jumpMap[27][BtreeType] = 159;
   _actionMap[28][TABLE] = ActionEntry(SHIFT, 167);
   _actionMap[28][AVLTREE] = ActionEntry(SHIFT, 166);
   _actionMap[29][SEMICOLON] = ActionEntry(REDUCE, 195);
   _actionMap[30][INTVAL] = ActionEntry(REDUCE, 250);
   _actionMap[30][MINUS] = ActionEntry(REDUCE, 250);
   _actionMap[30][FLOATVAL] = ActionEntry(REDUCE, 250);
   _actionMap[30][CLOB] = ActionEntry(REDUCE, 250);
   _actionMap[30][BLOB] = ActionEntry(REDUCE, 250);
   _actionMap[30][FALSEVAL] = ActionEntry(REDUCE, 250);
   _actionMap[30][TRUEVAL] = ActionEntry(REDUCE, 250);
   _actionMap[30][NULLTOKEN] = ActionEntry(REDUCE, 250);
   _actionMap[30][SYSDATE] = ActionEntry(REDUCE, 250);
   _actionMap[30][DATE] = ActionEntry(REDUCE, 250);
   _actionMap[30][STRINGVAL] = ActionEntry(REDUCE, 250);
   _actionMap[30][QUALIFIEDPRE] = ActionEntry(REDUCE, 250);
   _actionMap[30][QUALIFIEDTS] = ActionEntry(REDUCE, 250);
   _actionMap[30][QUALIFIEDOBJ] = ActionEntry(REDUCE, 250);
   _actionMap[30][IDENTIFIER] = ActionEntry(REDUCE, 250);
   _actionMap[30][SETCOUNT] = ActionEntry(REDUCE, 250);
   _actionMap[30][NEXTCOUNT] = ActionEntry(REDUCE, 250);
   _actionMap[30][CLOB2STR] = ActionEntry(REDUCE, 250);
   _actionMap[30][CLOBSIZE] = ActionEntry(REDUCE, 250);
   _actionMap[30][BLOBSIZE] = ActionEntry(REDUCE, 250);
   _actionMap[30][BITXOR] = ActionEntry(REDUCE, 250);
   _actionMap[30][BITOR] = ActionEntry(REDUCE, 250);
   _actionMap[30][BITAND] = ActionEntry(REDUCE, 250);
   _actionMap[30][POWER] = ActionEntry(REDUCE, 250);
}
void Cego::loadParser263()
{
   _actionMap[30][DIV] = ActionEntry(REDUCE, 250);
   _actionMap[30][MOD] = ActionEntry(REDUCE, 250);
   _actionMap[30][RANDINT] = ActionEntry(REDUCE, 250);
   _actionMap[30][RANDSTR] = ActionEntry(REDUCE, 250);
   _actionMap[30][STR2DATE] = ActionEntry(REDUCE, 250);
   _actionMap[30][STR2LONG] = ActionEntry(REDUCE, 250);
   _actionMap[30][STR2INT] = ActionEntry(REDUCE, 250);
   _actionMap[30][TRUNC] = ActionEntry(REDUCE, 250);
   _actionMap[30][LENGTH] = ActionEntry(REDUCE, 250);
   _actionMap[30][REPLACE] = ActionEntry(REDUCE, 250);
   _actionMap[30][SUBSTR] = ActionEntry(REDUCE, 250);
   _actionMap[30][GETPOS] = ActionEntry(REDUCE, 250);
   _actionMap[30][RIGHT] = ActionEntry(REDUCE, 250);
   _actionMap[30][LEFT] = ActionEntry(REDUCE, 250);
   _actionMap[30][UPPER] = ActionEntry(REDUCE, 250);
   _actionMap[30][LOWER] = ActionEntry(REDUCE, 250);
   _actionMap[30][NEWDATE] = ActionEntry(REDUCE, 250);
   _actionMap[30][INT2DATE] = ActionEntry(REDUCE, 250);
   _actionMap[30][DATE2INT] = ActionEntry(REDUCE, 250);
   _actionMap[30][DATE2STR] = ActionEntry(REDUCE, 250);
   _actionMap[30][ROUND] = ActionEntry(REDUCE, 250);
   _actionMap[30][LTRIM] = ActionEntry(REDUCE, 250);
   _actionMap[30][RTRIM] = ActionEntry(REDUCE, 250);
   _actionMap[30][TRIM] = ActionEntry(REDUCE, 250);
   _actionMap[30][CASE] = ActionEntry(REDUCE, 250);
   _actionMap[30][MAX] = ActionEntry(REDUCE, 250);
   _actionMap[30][MIN] = ActionEntry(REDUCE, 250);
   _actionMap[30][AVG] = ActionEntry(REDUCE, 250);
   _actionMap[30][SUM] = ActionEntry(REDUCE, 250);
   _actionMap[30][COUNT] = ActionEntry(REDUCE, 250);
   _actionMap[30][LB] = ActionEntry(REDUCE, 250);
   _actionMap[30][FETCH] = ActionEntry(REDUCE, 250);
   _actionMap[30][VARREF] = ActionEntry(REDUCE, 250);
   _actionMap[30][DISTINCT] = ActionEntry(SHIFT, 171);
   _actionMap[30][STAR] = ActionEntry(SHIFT, 172);
   _jumpMap[30][NoDistinctOpt] = 170;
   _jumpMap[30][DistinctOpt] = 169;
   _jumpMap[30][Selection] = 168;
   _actionMap[31][TABLESET] = ActionEntry(SHIFT, 178);
   _actionMap[31][APPEND] = ActionEntry(SHIFT, 174);
   _actionMap[31][AUTOCOMMIT] = ActionEntry(SHIFT, 175);
   _actionMap[31][ISOLATION] = ActionEntry(SHIFT, 177);
   _actionMap[31][UPDATE] = ActionEntry(SHIFT, 179);
   _actionMap[31][IDENTIFIER] = ActionEntry(SHIFT, 180);
   _actionMap[31][COUNTER] = ActionEntry(SHIFT, 176);
   _actionMap[31][BTREE] = ActionEntry(SHIFT, 41);
   _actionMap[31][INDEX] = ActionEntry(SHIFT, 45);
   _jumpMap[31][BtreeType] = 173;
   _actionMap[32][POOL] = ActionEntry(SHIFT, 182);
   _actionMap[32][SYSTEMSPACE] = ActionEntry(SHIFT, 184);
}
void Cego::loadParser264()
{
   _actionMap[32][PROCEDURE] = ActionEntry(SHIFT, 183);
   _actionMap[32][VIEW] = ActionEntry(SHIFT, 185);
   _actionMap[32][CHECK] = ActionEntry(SHIFT, 181);
   _actionMap[33][TRANSACTION] = ActionEntry(SHIFT, 186);
   _actionMap[34][SEMICOLON] = ActionEntry(REDUCE, 1);
   _actionMap[35][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[35][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[35][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[35][ObjSpec] = 187;
   _actionMap[36][IDENTIFIER] = ActionEntry(SHIFT, 53);
   _actionMap[36][QUALIFIEDOBJ] = ActionEntry(SHIFT, 54);
   _actionMap[36][QUALIFIEDTS] = ActionEntry(SHIFT, 55);
   _jumpMap[36][ObjSpec] = 188;
   _actionMap[37][SEMICOLON] = ActionEntry(REDUCE, 16);
   _actionMap[38][EQU] = ActionEntry(SHIFT, 189);
   _actionMap[0][DROP] = ActionEntry(SHIFT, 20);
   _actionMap[0][RENAME] = ActionEntry(SHIFT, 27);
   _actionMap[0][ALTER] = ActionEntry(SHIFT, 12);
   _actionMap[0][UPDATE] = ActionEntry(SHIFT, 36);
   _actionMap[0][DELETETOK] = ActionEntry(SHIFT, 18);
   _actionMap[0][INSERT] = ActionEntry(SHIFT, 21);
   _actionMap[0][SELECT] = ActionEntry(SHIFT, 30);
   _actionMap[0][ROLLBACK] = ActionEntry(SHIFT, 29);
   _actionMap[0][COMMIT] = ActionEntry(SHIFT, 16);
   _actionMap[0][START_TOKEN] = ActionEntry(SHIFT, 33);
   _actionMap[0][SYNC] = ActionEntry(SHIFT, 34);
   _actionMap[0][LIST] = ActionEntry(SHIFT, 23);
   _actionMap[0][TABLEINFO] = ActionEntry(SHIFT, 35);
   _actionMap[0][UPTIME] = ActionEntry(SHIFT, 37);
   _actionMap[0][SHOW] = ActionEntry(SHIFT, 32);
   _actionMap[0][DESC] = ActionEntry(SHIFT, 19);
   _actionMap[0][SET] = ActionEntry(SHIFT, 31);
   _actionMap[0][AUTHORIZE] = ActionEntry(SHIFT, 13);
   _actionMap[0][REORGANIZE] = ActionEntry(SHIFT, 28);
   _actionMap[0][PLAN] = ActionEntry(SHIFT, 25);
   _actionMap[0][CREATE] = ActionEntry(SHIFT, 17);
   _actionMap[0][LOAD] = ActionEntry(SHIFT, 24);
   _actionMap[0][CALL] = ActionEntry(SHIFT, 14);
   _actionMap[0][VARREF] = ActionEntry(SHIFT, 38);
   _actionMap[0][PRINT] = ActionEntry(SHIFT, 26);
   _actionMap[0][CHECK] = ActionEntry(SHIFT, 15);
   _actionMap[0][JDBC] = ActionEntry(SHIFT, 22);
   _jumpMap[0][RenameStatement] = 11;
   _jumpMap[0][AlterStatement] = 10;
   _jumpMap[0][DeleteStatement] = 9;
   _jumpMap[0][UpdateStatement] = 8;
   _jumpMap[0][SelectStatement] = 7;
   _jumpMap[0][InsertStatement] = 6;
   _jumpMap[0][RollbackStatement] = 5;
   _jumpMap[0][CommitStatement] = 4;
}
void Cego::loadParser265()
{
   _jumpMap[0][StartStatement] = 3;
   _jumpMap[0][Statement] = 2;
   _jumpMap[0][DropOpt] = 1;
}
void Cego::loadParser266()
{
   _prodInfo.Insert(ProdEntry(383, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(382, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(381, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(380, DateValue, 1));
   _prodInfo.Insert(ProdEntry(379, DateFormat, 1));
   _prodInfo.Insert(ProdEntry(378, Constant, 4));
   _prodInfo.Insert(ProdEntry(377, Constant, 4));
   _prodInfo.Insert(ProdEntry(376, Constant, 1));
   _prodInfo.Insert(ProdEntry(375, Constant, 1));
   _prodInfo.Insert(ProdEntry(374, Constant, 1));
   _prodInfo.Insert(ProdEntry(373, Constant, 1));
   _prodInfo.Insert(ProdEntry(372, Constant, 6));
   _prodInfo.Insert(ProdEntry(371, Constant, 4));
   _prodInfo.Insert(ProdEntry(370, Constant, 4));
   _prodInfo.Insert(ProdEntry(369, Constant, 4));
   _prodInfo.Insert(ProdEntry(368, Constant, 1));
   _prodInfo.Insert(ProdEntry(367, Constant, 1));
   _prodInfo.Insert(ProdEntry(366, Constant, 4));
   _prodInfo.Insert(ProdEntry(365, Constant, 4));
   _prodInfo.Insert(ProdEntry(364, Constant, 4));
   _prodInfo.Insert(ProdEntry(363, Constant, 4));
   _prodInfo.Insert(ProdEntry(362, Constant, 1));
   _prodInfo.Insert(ProdEntry(361, SignedFloat, 2));
   _prodInfo.Insert(ProdEntry(360, SignedFloat, 1));
   _prodInfo.Insert(ProdEntry(359, SignedInt, 2));
   _prodInfo.Insert(ProdEntry(358, SignedInt, 1));
   _prodInfo.Insert(ProdEntry(357, Attribute, 2));
   _prodInfo.Insert(ProdEntry(356, Attribute, 1));
   _prodInfo.Insert(ProdEntry(355, Attribute, 1));
   _prodInfo.Insert(ProdEntry(354, Comparison, 2));
   _prodInfo.Insert(ProdEntry(353, Comparison, 2));
   _prodInfo.Insert(ProdEntry(352, Comparison, 1));
   _prodInfo.Insert(ProdEntry(351, Comparison, 1));
   _prodInfo.Insert(ProdEntry(350, Comparison, 2));
   _prodInfo.Insert(ProdEntry(349, Comparison, 1));
   _prodInfo.Insert(ProdEntry(348, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(347, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(346, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(345, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(344, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(343, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(342, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(341, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(340, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(339, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(338, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(337, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(336, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(335, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(334, QueryPredicate, 2));
   _prodInfo.Insert(ProdEntry(333, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(332, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(331, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(330, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(329, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(328, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(327, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(326, QueryPredicate, 6));
   _prodInfo.Insert(ProdEntry(325, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(324, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(323, QueryCondition, 1));
   _prodInfo.Insert(ProdEntry(322, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(321, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(320, NoWhere, 0));
   _prodInfo.Insert(ProdEntry(319, WhereClause, 1));
   _prodInfo.Insert(ProdEntry(318, WhereClause, 2));
   _prodInfo.Insert(ProdEntry(317, ExpressionList, 1));
   _prodInfo.Insert(ProdEntry(316, ExpressionList, 3));
   _prodInfo.Insert(ProdEntry(315, Function, 3));
   _prodInfo.Insert(ProdEntry(314, Function, 4));
   _prodInfo.Insert(ProdEntry(313, Function, 6));
   _prodInfo.Insert(ProdEntry(312, Function, 4));
   _prodInfo.Insert(ProdEntry(311, Function, 4));
   _prodInfo.Insert(ProdEntry(310, Function, 4));
   _prodInfo.Insert(ProdEntry(309, Function, 4));
   _prodInfo.Insert(ProdEntry(308, Function, 4));
   _prodInfo.Insert(ProdEntry(307, Function, 4));
   _prodInfo.Insert(ProdEntry(306, Function, 4));
   _prodInfo.Insert(ProdEntry(305, Function, 4));
   _prodInfo.Insert(ProdEntry(304, Function, 4));
   _prodInfo.Insert(ProdEntry(303, Function, 4));
   _prodInfo.Insert(ProdEntry(302, Function, 4));
   _prodInfo.Insert(ProdEntry(301, Function, 4));
   _prodInfo.Insert(ProdEntry(300, Function, 4));
   _prodInfo.Insert(ProdEntry(299, Function, 4));
   _prodInfo.Insert(ProdEntry(298, Function, 4));
   _prodInfo.Insert(ProdEntry(297, Function, 4));
   _prodInfo.Insert(ProdEntry(296, Function, 4));
   _prodInfo.Insert(ProdEntry(295, Function, 4));
   _prodInfo.Insert(ProdEntry(294, Function, 4));
   _prodInfo.Insert(ProdEntry(293, Function, 4));
   _prodInfo.Insert(ProdEntry(292, Function, 4));
   _prodInfo.Insert(ProdEntry(291, Function, 4));
   _prodInfo.Insert(ProdEntry(290, Function, 4));
   _prodInfo.Insert(ProdEntry(289, Function, 4));
   _prodInfo.Insert(ProdEntry(288, Function, 4));
   _prodInfo.Insert(ProdEntry(287, Function, 4));
   _prodInfo.Insert(ProdEntry(286, Function, 4));
   _prodInfo.Insert(ProdEntry(285, Function, 4));
   _prodInfo.Insert(ProdEntry(284, Function, 4));
   _prodInfo.Insert(ProdEntry(283, Function, 4));
   _prodInfo.Insert(ProdEntry(282, Function, 4));
   _prodInfo.Insert(ProdEntry(281, Function, 4));
   _prodInfo.Insert(ProdEntry(280, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(279, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(278, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(277, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(276, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(275, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(274, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(273, AlterOption, 5));
   _prodInfo.Insert(ProdEntry(272, AlterOption, 5));
   _prodInfo.Insert(ProdEntry(271, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(270, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(269, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(268, AlterList, 1));
   _prodInfo.Insert(ProdEntry(267, AlterList, 3));
   _prodInfo.Insert(ProdEntry(266, AlterStatement, 4));
   _prodInfo.Insert(ProdEntry(265, UpdDelAlias, 0));
   _prodInfo.Insert(ProdEntry(264, UpdDelAlias, 1));
   _prodInfo.Insert(ProdEntry(263, DeleteStatement, 5));
   _prodInfo.Insert(ProdEntry(262, ReturnVar, 3));
   _prodInfo.Insert(ProdEntry(261, ReturnVarList, 1));
   _prodInfo.Insert(ProdEntry(260, ReturnVarList, 3));
   _prodInfo.Insert(ProdEntry(259, UpdReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(258, UpdReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(257, Assignment, 3));
   _prodInfo.Insert(ProdEntry(256, UpdateList, 1));
   _prodInfo.Insert(ProdEntry(255, UpdateList, 3));
   _prodInfo.Insert(ProdEntry(254, UpdateStatement, 7));
   _prodInfo.Insert(ProdEntry(253, NoLimit, 0));
   _prodInfo.Insert(ProdEntry(252, LimitOpt, 1));
   _prodInfo.Insert(ProdEntry(251, LimitOpt, 2));
   _prodInfo.Insert(ProdEntry(250, NoDistinctOpt, 0));
   _prodInfo.Insert(ProdEntry(249, DistinctOpt, 1));
   _prodInfo.Insert(ProdEntry(248, DistinctOpt, 1));
   _prodInfo.Insert(ProdEntry(247, DefaultOrderOpt, 0));
   _prodInfo.Insert(ProdEntry(246, DefaultOrderOpt, 1));
   _prodInfo.Insert(ProdEntry(245, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(244, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(243, OrderingList, 2));
   _prodInfo.Insert(ProdEntry(242, OrderingList, 4));
   _prodInfo.Insert(ProdEntry(241, NoOrdering, 0));
   _prodInfo.Insert(ProdEntry(240, OrderingClause, 1));
   _prodInfo.Insert(ProdEntry(239, OrderingClause, 3));
   _prodInfo.Insert(ProdEntry(238, NoHaving, 0));
   _prodInfo.Insert(ProdEntry(237, HavingClause, 1));
   _prodInfo.Insert(ProdEntry(236, HavingClause, 4));
   _prodInfo.Insert(ProdEntry(235, GroupList, 1));
   _prodInfo.Insert(ProdEntry(234, GroupList, 3));
   _prodInfo.Insert(ProdEntry(233, NoGroup, 0));
   _prodInfo.Insert(ProdEntry(232, GroupClause, 1));
   _prodInfo.Insert(ProdEntry(231, GroupClause, 4));
   _prodInfo.Insert(ProdEntry(230, NoAliasOpt, 0));
   _prodInfo.Insert(ProdEntry(229, AliasOpt, 1));
   _prodInfo.Insert(ProdEntry(228, AliasOpt, 2));
   _prodInfo.Insert(ProdEntry(227, JoinTableOn, 1));
   _prodInfo.Insert(ProdEntry(226, Table, 2));
   _prodInfo.Insert(ProdEntry(225, Table, 1));
   _prodInfo.Insert(ProdEntry(224, TableList, 1));
   _prodInfo.Insert(ProdEntry(223, TableList, 3));
   _prodInfo.Insert(ProdEntry(222, InnerJoin, 1));
   _prodInfo.Insert(ProdEntry(221, InnerJoin, 2));
   _prodInfo.Insert(ProdEntry(220, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(219, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(218, JoinSpec, 4));
   _prodInfo.Insert(ProdEntry(217, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(216, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(215, TableSource, 1));
   _prodInfo.Insert(ProdEntry(214, TableSource, 1));
   _prodInfo.Insert(ProdEntry(213, SelectItem, 2));
   _prodInfo.Insert(ProdEntry(212, SelectionList, 1));
   _prodInfo.Insert(ProdEntry(211, SelectionList, 3));
   _prodInfo.Insert(ProdEntry(210, Selection, 1));
   _prodInfo.Insert(ProdEntry(209, Selection, 2));
   _prodInfo.Insert(ProdEntry(208, SelectStatement, 9));
   _prodInfo.Insert(ProdEntry(207, InsertValueList, 1));
   _prodInfo.Insert(ProdEntry(206, InsertValueList, 3));
   _prodInfo.Insert(ProdEntry(205, InsertArgList, 1));
   _prodInfo.Insert(ProdEntry(204, InsertArgList, 3));
   _prodInfo.Insert(ProdEntry(203, InsertValueSpec, 3));
   _prodInfo.Insert(ProdEntry(202, InsertValueSpecList, 1));
   _prodInfo.Insert(ProdEntry(201, InsertValueSpecList, 3));
   _prodInfo.Insert(ProdEntry(200, InsertPrepare, 1));
   _prodInfo.Insert(ProdEntry(199, InsertArgSpec, 0));
   _prodInfo.Insert(ProdEntry(198, InsertArgSpec, 3));
   _prodInfo.Insert(ProdEntry(197, InsertStatement, 5));
   _prodInfo.Insert(ProdEntry(196, InsertStatement, 6));
   _prodInfo.Insert(ProdEntry(195, RollbackStatement, 1));
   _prodInfo.Insert(ProdEntry(194, CommitStatement, 1));
   _prodInfo.Insert(ProdEntry(193, StartStatement, 2));
   _prodInfo.Insert(ProdEntry(192, BtreeType, 1));
   _prodInfo.Insert(ProdEntry(191, BtreeType, 1));
   _prodInfo.Insert(ProdEntry(190, IndexType, 1));
   _prodInfo.Insert(ProdEntry(189, IndexType, 1));
   _prodInfo.Insert(ProdEntry(188, IndexOption, 0));
   _prodInfo.Insert(ProdEntry(187, IndexOption, 1));
   _prodInfo.Insert(ProdEntry(186, SimpleAttr, 1));
   _prodInfo.Insert(ProdEntry(185, SimpleAttrList, 1));
   _prodInfo.Insert(ProdEntry(184, SimpleAttrList, 3));
   _prodInfo.Insert(ProdEntry(183, DefaultDefOpt, 0));
   _prodInfo.Insert(ProdEntry(182, DefaultOpt, 1));
   _prodInfo.Insert(ProdEntry(181, DefaultOpt, 2));
   _prodInfo.Insert(ProdEntry(180, DefaultNullOpt, 0));
   _prodInfo.Insert(ProdEntry(179, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(178, NullOpt, 2));
   _prodInfo.Insert(ProdEntry(177, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(176, ColumnDesc, 4));
   _prodInfo.Insert(ProdEntry(175, KeyColumn, 1));
   _prodInfo.Insert(ProdEntry(174, KeyColumn, 2));
   _prodInfo.Insert(ProdEntry(173, ColumnList, 1));
   _prodInfo.Insert(ProdEntry(172, ColumnList, 3));
   _prodInfo.Insert(ProdEntry(171, FetchArgList, 1));
   _prodInfo.Insert(ProdEntry(170, FetchArgList, 3));
   _prodInfo.Insert(ProdEntry(169, CasePrepare, 1));
   _prodInfo.Insert(ProdEntry(168, CaseCondition, 4));
   _prodInfo.Insert(ProdEntry(167, CaseConditionList, 1));
   _prodInfo.Insert(ProdEntry(166, CaseConditionList, 2));
   _prodInfo.Insert(ProdEntry(165, CaseClause, 5));
   _prodInfo.Insert(ProdEntry(164, Factor, 4));
   _prodInfo.Insert(ProdEntry(163, Factor, 4));
   _prodInfo.Insert(ProdEntry(162, Factor, 4));
   _prodInfo.Insert(ProdEntry(161, Factor, 4));
   _prodInfo.Insert(ProdEntry(160, Factor, 4));
   _prodInfo.Insert(ProdEntry(159, Factor, 4));
   _prodInfo.Insert(ProdEntry(158, Factor, 1));
   _prodInfo.Insert(ProdEntry(157, Factor, 3));
   _prodInfo.Insert(ProdEntry(156, Factor, 3));
   _prodInfo.Insert(ProdEntry(155, Factor, 1));
   _prodInfo.Insert(ProdEntry(154, Factor, 1));
   _prodInfo.Insert(ProdEntry(153, Factor, 6));
   _prodInfo.Insert(ProdEntry(152, Factor, 1));
   _prodInfo.Insert(ProdEntry(151, Factor, 1));
   _prodInfo.Insert(ProdEntry(150, Term, 1));
   _prodInfo.Insert(ProdEntry(149, Term, 3));
   _prodInfo.Insert(ProdEntry(148, Term, 3));
   _prodInfo.Insert(ProdEntry(147, Expr, 3));
   _prodInfo.Insert(ProdEntry(146, Expr, 1));
   _prodInfo.Insert(ProdEntry(145, Expr, 3));
   _prodInfo.Insert(ProdEntry(144, Expr, 3));
   _prodInfo.Insert(ProdEntry(143, ProcPredicate, 4));
   _prodInfo.Insert(ProdEntry(142, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(141, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(140, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(139, ProcCondition, 1));
   _prodInfo.Insert(ProdEntry(138, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(137, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(136, ProcWhileCondition, 1));
   _prodInfo.Insert(ProdEntry(135, ProcStatement, 5));
   _prodInfo.Insert(ProdEntry(134, ProcElsIfCondition, 1));
   _prodInfo.Insert(ProdEntry(133, ProcIfCondition, 1));
   _prodInfo.Insert(ProdEntry(132, ProcElsePart, 1));
   _prodInfo.Insert(ProdEntry(131, ProcElseOpt, 0));
   _prodInfo.Insert(ProdEntry(130, ProcElseOpt, 2));
   _prodInfo.Insert(ProdEntry(129, ProcElsIfOpt, 4));
   _prodInfo.Insert(ProdEntry(128, ProcElsIfList, 0));
   _prodInfo.Insert(ProdEntry(127, ProcElsIfList, 2));
   _prodInfo.Insert(ProdEntry(126, ProcIfPart, 4));
   _prodInfo.Insert(ProdEntry(125, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(124, ProcExceptionType, 1));
   _prodInfo.Insert(ProdEntry(123, ProcValueList, 1));
   _prodInfo.Insert(ProdEntry(122, ProcValueList, 3));
   _prodInfo.Insert(ProdEntry(121, ProcValueListOpt, 0));
   _prodInfo.Insert(ProdEntry(120, ProcValueListOpt, 1));
   _prodInfo.Insert(ProdEntry(119, ProcExceptionStmt, 5));
   _prodInfo.Insert(ProdEntry(118, ProcExceptionList, 0));
   _prodInfo.Insert(ProdEntry(117, ProcExceptionList, 2));
   _prodInfo.Insert(ProdEntry(116, ProcBlockStart, 1));
   _prodInfo.Insert(ProdEntry(115, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(114, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(113, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(112, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(111, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(110, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(109, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(108, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(107, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(106, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(105, ProcNoAssignment, 0));
   _prodInfo.Insert(ProdEntry(104, ProcInitialAssignment, 1));
   _prodInfo.Insert(ProdEntry(103, ProcInitialAssignment, 2));
   _prodInfo.Insert(ProdEntry(102, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(101, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(100, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(99, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(98, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(97, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(96, ProcStatementList, 2));
   _prodInfo.Insert(ProdEntry(95, ProcStatementList, 3));
   _prodInfo.Insert(ProdEntry(94, ProcStmtBlock, 2));
   _prodInfo.Insert(ProdEntry(93, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(92, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(91, ProcArgList, 1));
   _prodInfo.Insert(ProdEntry(90, ProcArgList, 3));
   _prodInfo.Insert(ProdEntry(89, ProcArgOpt, 0));
   _prodInfo.Insert(ProdEntry(88, ProcArgOpt, 1));
   _prodInfo.Insert(ProdEntry(87, ReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(86, ReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(85, ProcDef, 4));
   _prodInfo.Insert(ProdEntry(84, ProcHead, 6));
   _prodInfo.Insert(ProdEntry(83, UnionAllOpt, 0));
   _prodInfo.Insert(ProdEntry(82, UnionAllOpt, 3));
   _prodInfo.Insert(ProdEntry(81, JdbcArgList, 1));
   _prodInfo.Insert(ProdEntry(80, JdbcArgList, 2));
   _prodInfo.Insert(ProdEntry(79, Statement, 2));
   _prodInfo.Insert(ProdEntry(78, CounterId, 1));
   _prodInfo.Insert(ProdEntry(77, Statement, 5));
   _prodInfo.Insert(ProdEntry(76, Statement, 3));
   _prodInfo.Insert(ProdEntry(75, Statement, 3));
   _prodInfo.Insert(ProdEntry(74, Statement, 3));
   _prodInfo.Insert(ProdEntry(73, Statement, 2));
   _prodInfo.Insert(ProdEntry(72, Statement, 4));
   _prodInfo.Insert(ProdEntry(71, Statement, 8));
   _prodInfo.Insert(ProdEntry(70, Statement, 15));
   _prodInfo.Insert(ProdEntry(69, DropOpt, 3));
   _prodInfo.Insert(ProdEntry(68, DropOpt, 1));
   _prodInfo.Insert(ProdEntry(67, Statement, 3));
   _prodInfo.Insert(ProdEntry(66, Statement, 3));
   _prodInfo.Insert(ProdEntry(65, Statement, 4));
   _prodInfo.Insert(ProdEntry(64, Statement, 3));
   _prodInfo.Insert(ProdEntry(63, Statement, 3));
   _prodInfo.Insert(ProdEntry(62, Statement, 3));
   _prodInfo.Insert(ProdEntry(61, Statement, 3));
   _prodInfo.Insert(ProdEntry(60, Statement, 9));
   _prodInfo.Insert(ProdEntry(59, Statement, 8));
   _prodInfo.Insert(ProdEntry(58, Statement, 6));
   _prodInfo.Insert(ProdEntry(57, Statement, 7));
   _prodInfo.Insert(ProdEntry(56, Statement, 5));
   _prodInfo.Insert(ProdEntry(55, Statement, 2));
   _prodInfo.Insert(ProdEntry(54, Statement, 2));
   _prodInfo.Insert(ProdEntry(53, Statement, 5));
   _prodInfo.Insert(ProdEntry(52, Statement, 5));
   _prodInfo.Insert(ProdEntry(51, Statement, 1));
   _prodInfo.Insert(ProdEntry(50, Statement, 1));
   _prodInfo.Insert(ProdEntry(49, Statement, 1));
   _prodInfo.Insert(ProdEntry(48, Statement, 1));
   _prodInfo.Insert(ProdEntry(47, Statement, 1));
   _prodInfo.Insert(ProdEntry(46, Statement, 2));
   _prodInfo.Insert(ProdEntry(45, Statement, 1));
   _prodInfo.Insert(ProdEntry(44, Statement, 3));
   _prodInfo.Insert(ProdEntry(43, Statement, 3));
   _prodInfo.Insert(ProdEntry(42, Statement, 4));
   _prodInfo.Insert(ProdEntry(41, Statement, 4));
   _prodInfo.Insert(ProdEntry(40, Statement, 4));
   _prodInfo.Insert(ProdEntry(39, Statement, 4));
   _prodInfo.Insert(ProdEntry(38, Statement, 3));
   _prodInfo.Insert(ProdEntry(37, Statement, 3));
   _prodInfo.Insert(ProdEntry(36, Statement, 3));
   _prodInfo.Insert(ProdEntry(35, Statement, 3));
   _prodInfo.Insert(ProdEntry(34, Statement, 3));
   _prodInfo.Insert(ProdEntry(33, Statement, 1));
   _prodInfo.Insert(ProdEntry(32, Statement, 1));
   _prodInfo.Insert(ProdEntry(31, Statement, 1));
   _prodInfo.Insert(ProdEntry(30, Statement, 7));
   _prodInfo.Insert(ProdEntry(29, Statement, 3));
   _prodInfo.Insert(ProdEntry(28, Statement, 3));
   _prodInfo.Insert(ProdEntry(27, Statement, 3));
   _prodInfo.Insert(ProdEntry(26, Statement, 3));
   _prodInfo.Insert(ProdEntry(25, Statement, 3));
   _prodInfo.Insert(ProdEntry(24, Statement, 3));
   _prodInfo.Insert(ProdEntry(23, Statement, 4));
   _prodInfo.Insert(ProdEntry(22, Statement, 3));
   _prodInfo.Insert(ProdEntry(21, Statement, 3));
   _prodInfo.Insert(ProdEntry(20, Statement, 3));
   _prodInfo.Insert(ProdEntry(19, Statement, 3));
   _prodInfo.Insert(ProdEntry(18, Statement, 2));
   _prodInfo.Insert(ProdEntry(17, Statement, 2));
   _prodInfo.Insert(ProdEntry(16, Statement, 1));
   _prodInfo.Insert(ProdEntry(15, Statement, 2));
   _prodInfo.Insert(ProdEntry(14, TableSetOpt, 0));
   _prodInfo.Insert(ProdEntry(13, TableSetOpt, 2));
   _prodInfo.Insert(ProdEntry(12, Statement, 3));
   _prodInfo.Insert(ProdEntry(11, Statement, 3));
   _prodInfo.Insert(ProdEntry(10, Statement, 3));
   _prodInfo.Insert(ProdEntry(9, Statement, 3));
   _prodInfo.Insert(ProdEntry(8, Statement, 3));
   _prodInfo.Insert(ProdEntry(7, Statement, 3));
   _prodInfo.Insert(ProdEntry(6, Statement, 3));
   _prodInfo.Insert(ProdEntry(5, Statement, 3));
   _prodInfo.Insert(ProdEntry(4, Statement, 3));
   _prodInfo.Insert(ProdEntry(3, Statement, 3));
   _prodInfo.Insert(ProdEntry(2, Statement, 2));
   _prodInfo.Insert(ProdEntry(1, Statement, 1));
   _prodInfo.Insert(ProdEntry(0, Start, 2));
}

Cego::Cego()
{
   loadScanner();
   for ( int i=0; i < 868; i++)
   {
      int j;
      for ( j = 0; j < 186; j++)
         _actionMap[i][j] = ActionEntry();
      for ( j = 0; j < 119; j++)
         _jumpMap[i][j] = -1;
   }
   loadParser0();
   loadParser1();
   loadParser2();
   loadParser3();
   loadParser4();
   loadParser5();
   loadParser6();
   loadParser7();
   loadParser8();
   loadParser9();
   loadParser10();
   loadParser11();
   loadParser12();
   loadParser13();
   loadParser14();
   loadParser15();
   loadParser16();
   loadParser17();
   loadParser18();
   loadParser19();
   loadParser20();
   loadParser21();
   loadParser22();
   loadParser23();
   loadParser24();
   loadParser25();
   loadParser26();
   loadParser27();
   loadParser28();
   loadParser29();
   loadParser30();
   loadParser31();
   loadParser32();
   loadParser33();
   loadParser34();
   loadParser35();
   loadParser36();
   loadParser37();
   loadParser38();
   loadParser39();
   loadParser40();
   loadParser41();
   loadParser42();
   loadParser43();
   loadParser44();
   loadParser45();
   loadParser46();
   loadParser47();
   loadParser48();
   loadParser49();
   loadParser50();
   loadParser51();
   loadParser52();
   loadParser53();
   loadParser54();
   loadParser55();
   loadParser56();
   loadParser57();
   loadParser58();
   loadParser59();
   loadParser60();
   loadParser61();
   loadParser62();
   loadParser63();
   loadParser64();
   loadParser65();
   loadParser66();
   loadParser67();
   loadParser68();
   loadParser69();
   loadParser70();
   loadParser71();
   loadParser72();
   loadParser73();
   loadParser74();
   loadParser75();
   loadParser76();
   loadParser77();
   loadParser78();
   loadParser79();
   loadParser80();
   loadParser81();
   loadParser82();
   loadParser83();
   loadParser84();
   loadParser85();
   loadParser86();
   loadParser87();
   loadParser88();
   loadParser89();
   loadParser90();
   loadParser91();
   loadParser92();
   loadParser93();
   loadParser94();
   loadParser95();
   loadParser96();
   loadParser97();
   loadParser98();
   loadParser99();
   loadParser100();
   loadParser101();
   loadParser102();
   loadParser103();
   loadParser104();
   loadParser105();
   loadParser106();
   loadParser107();
   loadParser108();
   loadParser109();
   loadParser110();
   loadParser111();
   loadParser112();
   loadParser113();
   loadParser114();
   loadParser115();
   loadParser116();
   loadParser117();
   loadParser118();
   loadParser119();
   loadParser120();
   loadParser121();
   loadParser122();
   loadParser123();
   loadParser124();
   loadParser125();
   loadParser126();
   loadParser127();
   loadParser128();
   loadParser129();
   loadParser130();
   loadParser131();
   loadParser132();
   loadParser133();
   loadParser134();
   loadParser135();
   loadParser136();
   loadParser137();
   loadParser138();
   loadParser139();
   loadParser140();
   loadParser141();
   loadParser142();
   loadParser143();
   loadParser144();
   loadParser145();
   loadParser146();
   loadParser147();
   loadParser148();
   loadParser149();
   loadParser150();
   loadParser151();
   loadParser152();
   loadParser153();
   loadParser154();
   loadParser155();
   loadParser156();
   loadParser157();
   loadParser158();
   loadParser159();
   loadParser160();
   loadParser161();
   loadParser162();
   loadParser163();
   loadParser164();
   loadParser165();
   loadParser166();
   loadParser167();
   loadParser168();
   loadParser169();
   loadParser170();
   loadParser171();
   loadParser172();
   loadParser173();
   loadParser174();
   loadParser175();
   loadParser176();
   loadParser177();
   loadParser178();
   loadParser179();
   loadParser180();
   loadParser181();
   loadParser182();
   loadParser183();
   loadParser184();
   loadParser185();
   loadParser186();
   loadParser187();
   loadParser188();
   loadParser189();
   loadParser190();
   loadParser191();
   loadParser192();
   loadParser193();
   loadParser194();
   loadParser195();
   loadParser196();
   loadParser197();
   loadParser198();
   loadParser199();
   loadParser200();
   loadParser201();
   loadParser202();
   loadParser203();
   loadParser204();
   loadParser205();
   loadParser206();
   loadParser207();
   loadParser208();
   loadParser209();
   loadParser210();
   loadParser211();
   loadParser212();
   loadParser213();
   loadParser214();
   loadParser215();
   loadParser216();
   loadParser217();
   loadParser218();
   loadParser219();
   loadParser220();
   loadParser221();
   loadParser222();
   loadParser223();
   loadParser224();
   loadParser225();
   loadParser226();
   loadParser227();
   loadParser228();
   loadParser229();
   loadParser230();
   loadParser231();
   loadParser232();
   loadParser233();
   loadParser234();
   loadParser235();
   loadParser236();
   loadParser237();
   loadParser238();
   loadParser239();
   loadParser240();
   loadParser241();
   loadParser242();
   loadParser243();
   loadParser244();
   loadParser245();
   loadParser246();
   loadParser247();
   loadParser248();
   loadParser249();
   loadParser250();
   loadParser251();
   loadParser252();
   loadParser253();
   loadParser254();
   loadParser255();
   loadParser256();
   loadParser257();
   loadParser258();
   loadParser259();
   loadParser260();
   loadParser261();
   loadParser262();
   loadParser263();
   loadParser264();
   loadParser265();
   loadParser266();
   _isReserved = false;
}

Cego::~Cego()
{
}

void Cego::parse()
{
   StackT<StackEntry> s;
   StackEntry se(NONE, 0, 0);
   s.Push(se);
   _isReserved = false;
   if ( shiftToken() == false )
   {
      Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
      throw Exception(EXLOC, msg);
   }
   while ( true )
   {
      Action a;
      int num;
      if ( getAction(s.getTop()->getState(), _token, a, num) )
      {
         switch (a)
         {
            case SHIFT:
            {
               StackEntry se(TOKEN, _token, num, _tokenVal);
               s.Push(se);
               if ( shiftToken() == false )
               {
                  Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               break;
            }
            case REDUCE:
            {
               _tokenList.Empty();
               ProdEntry* pPE = _prodInfo.Find(num);
               for (int i=0; i<pPE->getNumSymbol();i++)
               {
                  StackEntry se;
                  s.Pop(se);
                  if (se.getSymbol() == TOKEN)
                     _tokenList.Insert(se.getTval());
               }
               int fstate;
               if (getJump(s.getTop()->getState(), pPE->getProd(), fstate))
               {
                  StackEntry se(PROD, pPE->getId(), fstate, _tokenVal);
                  s.Push(se);
               }
               else
               {
                  Chain msg = "Cannot reduce after token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               switch (num)
               {
                  case 383:
                     setObject3();
                     break;
                  case 382:
                     setObject2();
                     break;
                  case 381:
                     setObject1();
                     break;
                  case 380:
                     miscDateValue();
                     break;
                  case 379:
                     miscDateFormat();
                     break;
                  case 378:
                     miscClobRef();
                     break;
                  case 377:
                     miscBlobRef();
                     break;
                  case 376:
                     miscFalseValue();
                     break;
                  case 375:
                     miscTrueValue();
                     break;
                  case 374:
                     miscNull();
                     break;
                  case 373:
                     miscSysDate();
                     break;
                  case 372:
                     miscFormatDate();
                     break;
                  case 371:
                     miscFixedValue();
                     break;
                  case 370:
                     miscDecimalValue();
                     break;
                  case 369:
                     miscDoubleValue();
                     break;
                  case 368:
                     miscFloatValue();
                     break;
                  case 367:
                     miscStringValue();
                     break;
                  case 366:
                     miscTinyIntValue();
                     break;
                  case 365:
                     miscSmallIntValue();
                     break;
                  case 364:
                     miscBigIntValue();
                     break;
                  case 363:
                     miscLongValue();
                     break;
                  case 362:
                     miscIntValue();
                     break;
                  case 361:
                     miscNegatedFloatString();
                     break;
                  case 360:
                     miscFloatString();
                     break;
                  case 359:
                     miscNegatedIntString();
                     break;
                  case 358:
                     miscIntString();
                     break;
                  case 357:
                     miscAttribute3();
                     break;
                  case 356:
                     miscAttribute2();
                     break;
                  case 355:
                     miscAttribute1();
                     break;
                  case 354:
                     miscMoreEqualComp();
                     break;
                  case 353:
                     miscLessEqualComp();
                     break;
                  case 352:
                     miscMoreComp();
                     break;
                  case 351:
                     miscLessComp();
                     break;
                  case 350:
                     miscNotEqualComp();
                     break;
                  case 349:
                     miscEqualComp();
                     break;
                  case 348:
                     miscClobType();
                     break;
                  case 347:
                     miscBlobType();
                     break;
                  case 346:
                     miscFixedType();
                     break;
                  case 345:
                     miscDecimalType();
                     break;
                  case 344:
                     miscTinyIntType();
                     break;
                  case 343:
                     miscSmallIntType();
                     break;
                  case 342:
                     miscDoubleType();
                     break;
                  case 341:
                     miscFloatType();
                     break;
                  case 340:
                     miscBigIntType();
                     break;
                  case 339:
                     miscBoolType();
                     break;
                  case 338:
                     miscDateTimeType();
                     break;
                  case 337:
                     miscStringType();
                     break;
                  case 336:
                     miscLongType();
                     break;
                  case 335:
                     miscIntType();
                     break;
                  case 334:
                     wcPredicateNotPredicate();
                     break;
                  case 333:
                     wcPredicateCondition();
                     break;
                  case 332:
                     wcPredicateNotLikeComp();
                     break;
                  case 331:
                     wcPredicateLikeComp();
                     break;
                  case 330:
                     wcPredicateNotNullComp();
                     break;
                  case 329:
                     wcPredicateNullComp();
                     break;
                  case 328:
                     wcPredicateBetween();
                     break;
                  case 327:
                     wcPredicateExprComp();
                     break;
                  case 326:
                     wcPredicateQueryNotIn();
                     break;
                  case 325:
                     wcPredicateQueryIn();
                     break;
                  case 324:
                     wcPredicateQueryExists();
                     break;
                  case 323:
                     wcConditionPredicate();
                     break;
                  case 322:
                     wcConditionOr();
                     break;
                  case 321:
                     wcConditionAnd();
                     break;
                  case 319:
                     wcEmptyClause();
                     break;
                  case 318:
                     wcWhereClause();
                     break;
                  case 317:
                     functionExprList2();
                     break;
                  case 316:
                     functionExprList1();
                     break;
                  case 315:
                     functionUserDef2();
                     break;
                  case 314:
                     functionUserDef1();
                     break;
                  case 313:
                     functionSetCount();
                     break;
                  case 312:
                     functionNextCount();
                     break;
                  case 311:
                     functionNative();
                     break;
                  case 310:
                     functionNative();
                     break;
                  case 309:
                     functionNative();
                     break;
                  case 308:
                     functionNative();
                     break;
                  case 307:
                     functionNative();
                     break;
                  case 306:
                     functionNative();
                     break;
                  case 305:
                     functionNative();
                     break;
                  case 304:
                     functionNative();
                     break;
                  case 303:
                     functionNative();
                     break;
                  case 302:
                     functionNative();
                     break;
                  case 301:
                     functionNative();
                     break;
                  case 300:
                     functionNative();
                     break;
                  case 299:
                     functionNative();
                     break;
                  case 298:
                     functionNative();
                     break;
                  case 297:
                     functionNative();
                     break;
                  case 296:
                     functionNative();
                     break;
                  case 295:
                     functionNative();
                     break;
                  case 294:
                     functionNative();
                     break;
                  case 293:
                     functionNative();
                     break;
                  case 292:
                     functionNative();
                     break;
                  case 291:
                     functionNative();
                     break;
                  case 290:
                     functionNative();
                     break;
                  case 289:
                     functionNative();
                     break;
                  case 288:
                     functionNative();
                     break;
                  case 287:
                     functionNative();
                     break;
                  case 286:
                     functionNative();
                     break;
                  case 285:
                     functionNative();
                     break;
                  case 284:
                     functionNative();
                     break;
                  case 283:
                     functionNative();
                     break;
                  case 282:
                     functionNative();
                     break;
                  case 281:
                     functionNative();
                     break;
                  case 280:
                     renameCheck();
                     break;
                  case 279:
                     renameView();
                     break;
                  case 278:
                     renameProcedure();
                     break;
                  case 277:
                     renameKey();
                     break;
                  case 276:
                     renameBTree();
                     break;
                  case 275:
                     renameIndex();
                     break;
                  case 274:
                     renameTable();
                     break;
                  case 273:
                     alterRenameCol();
                     break;
                  case 272:
                     alterModDefault();
                     break;
                  case 271:
                     alterModCol();
                     break;
                  case 270:
                     alterAddCol();
                     break;
                  case 269:
                     alterDropCol();
                     break;
                  case 266:
                     alterStore();
                     break;
                  case 264:
                     setUpdDelAlias();
                     break;
                  case 263:
                     deleteStore();
                     break;
                  case 262:
                     returnVarAssignment();
                     break;
                  case 257:
                     updateAssignment();
                     break;
                  case 254:
                     updateStore();
                     break;
                  case 252:
                     selectLimitOpt2();
                     break;
                  case 251:
                     selectLimitOpt1();
                     break;
                  case 249:
                     selectNoDistinctOpt();
                     break;
                  case 248:
                     selectDistinctOpt();
                     break;
                  case 245:
                     selectOrderingDesc();
                     break;
                  case 244:
                     selectOrderingAsc();
                     break;
                  case 243:
                     selectOrderingList2();
                     break;
                  case 242:
                     selectOrderingList1();
                     break;
                  case 240:
                     selectEmptyOrderingClause();
                     break;
                  case 239:
                     selectOrderingClause();
                     break;
                  case 237:
                     selectEmptyHavingClause();
                     break;
                  case 236:
                     selectHavingClause();
                     break;
                  case 235:
                     selectGroupList2();
                     break;
                  case 234:
                     selectGroupList1();
                     break;
                  case 232:
                     selectEmptyGroupClause();
                     break;
                  case 231:
                     selectGroupClause();
                     break;
                  case 229:
                     noAliasOpt();
                     break;
                  case 228:
                     aliasOpt();
                     break;
                  case 227:
                     selectStackJoinTable();
                     break;
                  case 226:
                     selectTable2();
                     break;
                  case 225:
                     selectTable1();
                     break;
                  case 220:
                     selectRightOuterJoinStore();
                     break;
                  case 219:
                     selectLeftOuterJoinStore();
                     break;
                  case 218:
                     selectInnerJoinStore();
                     break;
                  case 215:
                     selectJoinSpecStore();
                     break;
                  case 214:
                     selectTableListStore();
                     break;
                  case 213:
                     selectItem();
                     break;
                  case 212:
                     selectionList2();
                     break;
                  case 211:
                     selectionList1();
                     break;
                  case 210:
                     selectSelectionStore2();
                     break;
                  case 209:
                     selectSelectionStore1();
                     break;
                  case 208:
                     selectStore();
                     break;
                  case 207:
                     insertExprValue();
                     break;
                  case 206:
                     insertExprValue();
                     break;
                  case 205:
                     insertArg();
                     break;
                  case 204:
                     insertArg();
                     break;
                  case 203:
                     insertValueSpecStore();
                     break;
                  case 200:
                     insertPrepare();
                     break;
                  case 197:
                     insertBySelectStore();
                     break;
                  case 196:
                     insertStore();
                     break;
                  case 195:
                     rollbackStore();
                     break;
                  case 194:
                     commitStore();
                     break;
                  case 193:
                     startStore();
                     break;
                  case 190:
                     setBTreeIndex();
                     break;
                  case 189:
                     setAVLIndex();
                     break;
                  case 187:
                     setUniqueIndex();
                     break;
                  case 186:
                     createSimpleAttr();
                     break;
                  case 185:
                     createSimpleAttrList();
                     break;
                  case 182:
                     defaultNullOpt();
                     break;
                  case 181:
                     defaultOpt();
                     break;
                  case 179:
                     setNullOpt();
                     break;
                  case 178:
                     setNotNullOpt();
                     break;
                  case 177:
                     setNullOpt();
                     break;
                  case 176:
                     setColumnDesc();
                     break;
                  case 175:
                     setOrdinaryColumn();
                     break;
                  case 174:
                     setPrimaryColumn();
                     break;
                  case 171:
                     procStoreFetchArg2();
                     break;
                  case 170:
                     procStoreFetchArg1();
                     break;
                  case 169:
                     casePrepare();
                     break;
                  case 168:
                     caseCondition();
                     break;
                  case 167:
                     caseConditionList2();
                     break;
                  case 166:
                     caseConditionList1();
                     break;
                  case 165:
                     caseClause();
                     break;
                  case 164:
                     procFactor14();
                     break;
                  case 163:
                     procFactor13();
                     break;
                  case 162:
                     procFactor12();
                     break;
                  case 161:
                     procFactor11();
                     break;
                  case 160:
                     procFactor10();
                     break;
                  case 159:
                     procFactor9();
                     break;
                  case 158:
                     procFactor8();
                     break;
                  case 157:
                     procFactor7();
                     break;
                  case 156:
                     procFactor6();
                     break;
                  case 155:
                     procFactor5();
                     break;
                  case 154:
                     procFactor4();
                     break;
                  case 153:
                     procFactor3();
                     break;
                  case 152:
                     procFactor2();
                     break;
                  case 151:
                     procFactor1();
                     break;
                  case 150:
                     procTerm3();
                     break;
                  case 149:
                     procTerm2();
                     break;
                  case 148:
                     procTerm1();
                     break;
                  case 147:
                     procExpr4();
                     break;
                  case 146:
                     procExpr3();
                     break;
                  case 145:
                     procExpr2();
                     break;
                  case 144:
                     procExpr1();
                     break;
                  case 143:
                     procPredicate4();
                     break;
                  case 142:
                     procPredicate3();
                     break;
                  case 141:
                     procPredicate2();
                     break;
                  case 140:
                     procPredicate1();
                     break;
                  case 139:
                     procCondition3();
                     break;
                  case 138:
                     procCondition2();
                     break;
                  case 137:
                     procCondition1();
                     break;
                  case 136:
                     procWhileCondition();
                     break;
                  case 135:
                     procWhileStatement();
                     break;
                  case 134:
                     procElsIfCondition();
                     break;
                  case 133:
                     procIfCondition();
                     break;
                  case 132:
                     procElsePart();
                     break;
                  case 130:
                     procStoreElseBlock();
                     break;
                  case 129:
                     procStoreIfBlock();
                     break;
                  case 126:
                     procStoreIfBlock();
                     break;
                  case 125:
                     procIfStatement();
                     break;
                  case 124:
                     procExceptionCondition();
                     break;
                  case 123:
                     procExprValue();
                     break;
                  case 122:
                     procExprValue();
                     break;
                  case 120:
                     procValueSpec();
                     break;
                  case 119:
                     procExceptionStatement();
                     break;
                  case 116:
                     procBlockStart();
                     break;
                  case 115:
                     procBlockStatement();
                     break;
                  case 114:
                     procReturnStatement2();
                     break;
                  case 113:
                     procReturnStatement1();
                     break;
                  case 112:
                     procQueryStatement();
                     break;
                  case 111:
                     procQueryStatement();
                     break;
                  case 110:
                     procQueryStatement();
                     break;
                  case 109:
                     procQueryStatement();
                     break;
                  case 108:
                     procQueryStatement();
                     break;
                  case 107:
                     procQueryStatement();
                     break;
                  case 106:
                     procThrowStatement();
                     break;
                  case 104:
                     procInitialAssignment2();
                     break;
                  case 103:
                     procInitialAssignment1();
                     break;
                  case 102:
                     procNoopStatement();
                     break;
                  case 101:
                     procAssign2NullStatement();
                     break;
                  case 100:
                     procAssignStatement();
                     break;
                  case 99:
                     procCursorCloseStatement();
                     break;
                  case 98:
                     procCursorCreateStatement();
                     break;
                  case 97:
                     procVarStatement();
                     break;
                  case 96:
                     procStoreBlock();
                     break;
                  case 93:
                     procArg2();
                     break;
                  case 92:
                     procArg1();
                     break;
                  case 86:
                     procReturnOpt();
                     break;
                  case 85:
                     procStore();
                     break;
                  case 84:
                     procHead();
                     break;
                  case 82:
                     unionAllStore();
                     break;
                  case 81:
                     jdbcArg2();
                     break;
                  case 80:
                     jdbcArg1();
                     break;
                  case 79:
                     setJDBCInfoMethod();
                     break;
                  case 78:
                     setCounterId();
                     break;
                  case 77:
                     setSetCounterMethod();
                     break;
                  case 76:
                     setDropCounterMethod();
                     break;
                  case 75:
                     setCreateCounterMethod();
                     break;
                  case 74:
                     setIndexCheckMethod();
                     break;
                  case 73:
                     setPrintMethod();
                     break;
                  case 72:
                     setAssignStatementMethod();
                     break;
                  case 71:
                     setCheckCreateMethod();
                     break;
                  case 70:
                     setForeignKeyCreateMethod();
                     break;
                  case 69:
                     dropOpt2();
                     break;
                  case 68:
                     dropOpt1();
                     break;
                  case 67:
                     setBTreeDropMethod();
                     break;
                  case 66:
                     setCheckDropMethod();
                     break;
                  case 65:
                     setFKeyDropMethod();
                     break;
                  case 64:
                     setProcDropMethod();
                     break;
                  case 63:
                     setViewDropMethod();
                     break;
                  case 62:
                     setIndexDropMethod();
                     break;
                  case 61:
                     setTableDropMethod();
                     break;
                  case 60:
                     setIndexCreateMethod();
                     break;
                  case 59:
                     setPrimaryIndexCreateMethod();
                     break;
                  case 58:
                     setUserTableCreateMethod();
                     break;
                  case 57:
                     setFuncCallMethod();
                     break;
                  case 56:
                     setProcCallMethod();
                     break;
                  case 55:
                     setProcLoadMethod();
                     break;
                  case 54:
                     setProcCreateMethod();
                     break;
                  case 53:
                     setViewLoadMethod();
                     break;
                  case 52:
                     setViewCreateMethod();
                     break;
                  case 51:
                     setQueryMethod();
                     break;
                  case 50:
                     setQueryMethod();
                     break;
                  case 49:
                     setQueryMethod();
                     break;
                  case 48:
                     setQueryMethod();
                     break;
                  case 47:
                     setQueryMethod();
                     break;
                  case 46:
                     setSelectPlanMethod();
                     break;
                  case 45:
                     setSelectMethod();
                     break;
                  case 44:
                     setIndexReorganizeMethod();
                     break;
                  case 43:
                     setTableReorganizeMethod();
                     break;
                  case 42:
                     setDisableBTreeCacheMethod();
                     break;
                  case 41:
                     setEnableBTreeCacheMethod();
                     break;
                  case 40:
                     setDisableUpdateSyncMethod();
                     break;
                  case 39:
                     setEnableUpdateSyncMethod();
                     break;
                  case 38:
                     setSetIsolationMethod();
                     break;
                  case 37:
                     setDisableAutoCommitMethod();
                     break;
                  case 36:
                     setEnableAutoCommitMethod();
                     break;
                  case 35:
                     setDisableAppendModeMethod();
                     break;
                  case 34:
                     setEnableAppendModeMethod();
                     break;
                  case 33:
                     setQueryMethod();
                     break;
                  case 32:
                     setQueryMethod();
                     break;
                  case 31:
                     setQueryMethod();
                     break;
                  case 30:
                     setAuthUserMethod();
                     break;
                  case 29:
                     setSetTableSetMethod();
                     break;
                  case 28:
                     setCheckShowMethod();
                     break;
                  case 27:
                     setViewShowMethod();
                     break;
                  case 26:
                     setProcShowMethod();
                     break;
                  case 25:
                     setProcDescMethod();
                     break;
                  case 24:
                     setCheckDescMethod();
                     break;
                  case 23:
                     setKeyDescMethod();
                     break;
                  case 22:
                     setViewDescMethod();
                     break;
                  case 21:
                     setBTreeDescMethod();
                     break;
                  case 20:
                     setIndexDescMethod();
                     break;
                  case 19:
                     setTableDescMethod();
                     break;
                  case 18:
                     setShowSystemSpaceMethod();
                     break;
                  case 17:
                     setShowPoolMethod();
                     break;
                  case 16:
                     setShowUptimeMethod();
                     break;
                  case 15:
                     setTableInfoMethod();
                     break;
                  case 13:
                     setTableSetOpt();
                     break;
                  case 12:
                     setListCheckMethod();
                     break;
                  case 11:
                     setListTmpObjMethod();
                     break;
                  case 10:
                     setListSysObjMethod();
                     break;
                  case 9:
                     setListCounterMethod();
                     break;
                  case 8:
                     setListKeyMethod();
                     break;
                  case 7:
                     setListBTreeMethod();
                     break;
                  case 6:
                     setListIndexMethod();
                     break;
                  case 5:
                     setListViewMethod();
                     break;
                  case 4:
                     setListProcMethod();
                     break;
                  case 3:
                     setListTableMethod();
                     break;
                  case 2:
                     setListTableSetMethod();
                     break;
                  case 1:
                     setSyncMethod();
                     break;
               }
               break;
            }
            case ACCEPT:
            {
               return;
            }
            default:
               break;
         }
      }
      else
      {
         Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
         throw Exception(EXLOC, msg);
      }
   }
}


bool Cego::getAction(int state, Cego::Token token, Cego::Action& a, int& num)
{
    if (_actionMap[state][token].getAction() != NULLACTION )
    {
	a = _actionMap[state][token].getAction();
	num = _actionMap[state][token].getNum();
	return true;
    }
    else
    {
	return false;
    }
}

bool Cego::getJump(int state, Production prod, int& fstate)
{
    if ( _jumpMap[state][prod] > 0 )
    {
       fstate = _jumpMap[state][prod];
	    return true;
    }
    else
    {
	    return false;
    }
}

bool Cego::isSepSign(char c)
{
   if (c == ';') return true;
   if (c == ',') return true;
   if (c == '=') return true;
   if (c == '<') return true;
   if (c == '>') return true;
   if (c == ')') return true;
   if (c == '(') return true;
   if (c == '[') return true;
   if (c == ']') return true;
   if (c == '/') return true;
   if (c == '+') return true;
   if (c == '-') return true;
   if (c == '|') return true;
   if (c == '*') return true;
   return false;
}
bool Cego::isSepIgnore(char c)
{
   if (c == '\t') return true;
   if (c == ' ') return true;
   if (c == '\n') return true;
   return false;
}
bool Cego::shiftToken()
{
   unsigned long i=0;
   char c;
   while ( isSepIgnore(c = nextChar()) && ! _isReserved );
   if ( _isReserved )
   {
      _token = _reservedToken;
      _isReserved = false;
      return true;
   }
   if (c == 0)
   {
      _token = ENDTOKEN;
      return true;
   }
   if (isSepSign(c))
   {
      _tokenVal[i]=c;
       i++;
   }
   else
   {
      while (c && ! isSepIgnore(c) && ! ( isSepSign(c) && i>0 ) )
      {
         _tokenVal[i]=c;
         i++;
         c = nextChar();
      }
      if (isSepSign(c)) backChar();
   }
   _tokenVal[i]=0;
   Scanner* pS = _scannerList.First();
   while (pS)
   {
      if (pS->checkPattern(_tokenVal))
      {
         _token = pS->getToken();
         return true;
      }
      pS=_scannerList.Next();
   }
   return false;
}
void Cego::setReserved(Token t)
{
   _reservedToken = t;
   _isReserved = true;
}
